/******************************************************************************
**
** Source File Name = setact.c  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
**    PURPOSE :
**       an example showing how the SET ACCOUNTING STRING WORKS.
**
**    APIs USED :
**       SET ACCOUNTING STRING             sqlesact
**
**    STRUCTURES USED :
**       sqlca
**
**    OTHER FUNCTIONS USED :
**       'C' COMPILER LIBRARY :
**          stdio.h  -  printf
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.C]          related information available.
**                               This procedure is located in the UTIL.C file.
**  
**    EXTERNAL DEPENDENCIES :
**       - Existing database for precompile purposes.
**       - Precompile with the SQL precompiler (PREP in DB2)
**       - Binding to a database (BIND in DB2)
**       - Compiling and linking with the IBM Cset++ compiler (AIX and OS/2)
**         or the Microsoft Visual C++ compiler (Windows) 
**         or the compiler supported on your platform.
**
*******************************************************************************/
/*--> SQLB0X29.C */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sqlenv.h>
#include "util.h"

#ifdef DB268K
/* Need to include ASLM for 68K applications */
#include <LibraryManager.h>
#endif

/*<-- */

#define  CHECK_ERR(CE_STR)   if (check_error (CE_STR, &sqlca) != 0) return 1;

int main (void) {
/*--> */
   struct sqlca sqlca;
   char pAccountingString[SQL_ACCOUNT_STR_SZ+1];
/*<-- */

#ifdef DB268K
   /* Before making any API calls for 68K environment, need to initial the Library Manager */
	InitLibraryManager(0,kCurrentZone,kNormalMemory);
	atexit(CleanupLibraryManager);
#endif

   printf ("this is sample program 'setact.c'\n");

/*--> */
   /***********************\
   * SET ACCOUNTING STRING *
   \***********************/
   sqlesact (pAccountingString, &sqlca);
/*<-- */
   CHECK_ERR ("SET ACCOUNTING STRING");

   printf ("the accounting string has been set\n");

   return 0;
}
