/*
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
*/


#include <stdlib.h>
#include <math.h>
#include "sqludf.h"

void 
dummy()
{                               /* testing with alternate entry point */
    int             i;
    i = 1 + 1;
}

void SQL_API_FN
price(
      SQLUDF_CHAR *uprice,
      SQLUDF_CHAR *units,
      SQLUDF_CHAR *num_units,
      SQLUDF_CHAR *price,
      SQLUDF_SMALLINT *upriceNullInd,
      SQLUDF_SMALLINT *unitsNullInd,
      SQLUDF_SMALLINT *num_unitsNullInd,
      SQLUDF_SMALLINT *priceNullInd,
      SQLUDF_TRAIL_ARGS)
{
    double          up,         /* Unit Price */
                    p,          /* Price */
                    nu,         /* Number of Units */
                    mu;         /* Minimum units */
    up = atof(uprice);
    nu = atof(num_units);

    switch (units[0]) {
    case 'm':
        mu = .01;
        break;
    case 'l':
        mu = .01;
        break;
    case 'g':
        mu = 1;
        break;
    case 'k':
        mu = .01;
        break;
    case ' ':
        mu = 1;
        break;
    default:
        mu = 1;
        break;
    }
    nu = ceil(nu / mu) * mu;
    p = ceil(nu * up * 100) / 100;

    sprintf(price, "%12.2lf", p);

    return;
}
/* end of UDF : increase */
