/*******************************************************************************
**                                                                        
** Source File Name = seteattr.c  %I%                                      
**                                                                        
** Licensed Materials - Property of IBM                                   
**                                                                        
** (C) COPYRIGHT International Business Machines Corp. 1995               
** All Rights Reserved.                                                   
**                                                                        
** US Government Users Restricted Rights - Use, duplication or            
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.      
**                                                                        
**                                                                        
**    PURPOSE :                                                           
**       Example of setting an environment attribute (option).            
**                                                                        
**    FUNCTIONS USED :                                                    
**        SQLAllocEnv
**        SQLFreeEnv
**                                                                        
**                                                                        
*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include "sqlcli1.h"
#include "samputil.h"  /* header file for common macros and functions */

/* For the Macintosh environment when generating 68K applications */
#ifdef DB268K
   /* Need to include ASLM for 68K applications */
   #include <LibraryManager.h>
#endif

/* Global Variables for user id and password.
   To keep samples simple, not a recommended practice.
*/
    SQLCHAR   server[SQL_MAX_DSN_LENGTH + 1];
    SQLCHAR   uid[MAX_UID_LENGTH + 1];
    SQLCHAR   pwd[MAX_PWD_LENGTH + 1];
/*--> SQLL1X41.SCRIPT */
int
main()
{
    SQLHENV         henv;
    SQLRETURN       rc;
    SQLINTEGER      output_nts = SQL_TRUE;

/* For the Macintosh environment when generating 68K applications */
#ifdef DB268K
   /* Before making any API calls for 68K environment, need to initialize the
      Library Manager */
   InitLibraryManager(0,kCurrentZone,kNormalMemory);
   atexit(CleanupLibraryManager);
#endif

    rc = SQLAllocEnv(&henv);    /* allocate an environment handle    */
    printf("Setting Environment option SQL_ATTR_OUTOUT_NTS\n");

    if (rc == SQL_SUCCESS)
    {   rc = SQLSetEnvAttr(henv, SQL_ATTR_OUTPUT_NTS, (SQLPOINTER)output_nts,
                           SQL_FALSE);
        CHECK_ENV(henv, rc);
    }

    rc = SQLFreeEnv(henv);

}
/*<-- */
