      ***********************************************************************
      *
      *  Source File Name = SQLMONCT.CBL
      *
      *  (C) Copyright IBM Corp. 1993,1995
      *  All Rights Reserved
      *  Licensed Material - Program Property of IBM
      *
      *  US Government Users Restricted Rights - Use, duplication or
      *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      *
      *  Function = Copy File defining:
      *               DB Monitor Constants
      *               DB Monitor External APIs
      *               DB Monitor Error Messages
      *               DB Monitor Local Structures
      *
      ***********************************************************************

      **********************************************************************
      * Database Monitor Version Constants
      **********************************************************************

       78 SQLM-DBMON-VERSION1        VALUE 1.
       78 SQLM-DBMON-VERSION2        VALUE 2.


      **********************************************************************
      * Snapshot Monitor Collected Information types
      * Structure identifier in Snapshot buffer (info_type element)
      **********************************************************************

       78 SQLM-DB2-SS                VALUE "1".
      *DB2 information

       78 SQLM-DBASE-SS              VALUE "2".
      *Database information

       78 SQLM-APPL-SS               VALUE "3".
      *Application information

       78 SQLM-APPLINFO-SS           VALUE "4".
      *Summary Application information

       78 SQLM-TABLE-HEADER-SS       VALUE "5".
      *Table information

       78 SQLM-TABLE-SS              VALUE "6".
      *Table information

       78 SQLM-DBASE-LOCK-SS         VALUE "7".
      *Lock information

       78 SQLM-APPL-LOCK-SS          VALUE "8".
      *Lock information

       78 SQLM-LOCK-SS               VALUE "9".
      *Lock information

       78 SQLM-DCS-APPLINFO-SS       VALUE "A".
      *Lock information

       78 SQLM-TABLESPACE-HEADER-SS  VALUE "B".
      *Tablespace Header information

       78 SQLM-TABLESPACE-SS         VALUE "C".
      *Tablespace information

      **********************************************************************
      * level of data to collect
      **********************************************************************

       78 SQLMA-DB2                  VALUE 1.
      *DB2 related information

       78 SQLMA-DBASE                VALUE 2.
      *Database related information

       78 SQLMA-APPL                 VALUE 3.
      *Application information - by application id

       78 SQLMA-AGENT-ID             VALUE 4.
      *Application information - by agent id

       78 SQLMA-DBASE-TABLES         VALUE 5.
      *Table related information for a database

       78 SQLMA-DBASE-APPLS          VALUE 6.
      *Application related information for a database

       78 SQLMA-DBASE-APPLINFO       VALUE 7.
      *Summary application information for a database

       78 SQLMA-DBASE-LOCKS          VALUE 8.
      *Lock related information for a database

       78 SQLMA-DBASE-ALL            VALUE 9.
      *Database related information for all databases in DB2

       78 SQLMA-APPL-ALL             VALUE 10.
      *Application related information for all active applications

       78 SQLMA-APPLINFO-ALL         VALUE 11.
      *Summary application information for all active applications.

       78 SQLMA-DCS-APPLINFO-ALL     VALUE 12.
      *Information for all active DDCS applications.

       78 SQLMA-DBASE-TABLESPACES    VALUE 13.
      *Tablespace related information for a database

      **********************************************************************
      * size definitions
      **********************************************************************

       78 SQLM-APPLID-SZ             VALUE 32.
      *size of the application id

       78 SQLM-SEQ-SZ                VALUE 4.
      *size of sequence number

       78 SQLM-SH-IDENT-SZ           VALUE 8.
      *size of short identifier

       78 SQLM-IDENT-SZ              VALUE 20.
      *general identifier size

       78 SQLM-OBJECT-SZ             VALUE 36.
      *object name size in sqlma

       78 SQLM-RESERVED-SZ           VALUE 32.
      *size of reserved area

       78 SQLM-DBPATH-SZ             VALUE 256.
      *size of database path

      **********************************************************************
      * Information group state switches
      **********************************************************************

       78 SQLM-OFF                   VALUE 0.
      *turn monitoring group OFF

       78 SQLM-ON                    VALUE 1.
      *turn monitoring group ON

       78 SQLM-HOLD                  VALUE 2.
      *leave monitoring group in current state

      **********************************************************************
      * Information groups array indexes
      **********************************************************************

       78 SQLM-UOW-SW                VALUE 1.
      *Select Unit of Work information

       78 SQLM-STATEMENT-SW          VALUE 2.
      *Select Statement information

       78 SQLM-TABLE-SW              VALUE 3.
      *Select Table information

       78 SQLM-BUFFER-POOL-SW        VALUE 4.
      *Select Buffer Pool information

       78 SQLM-LOCK-SW               VALUE 5.
      *Select Lock information

       78 SQLM-SORT-SW               VALUE 6.
      *Select Sort information


       78 SQLM-NUM-GROUPS            VALUE 6.
      *Number of monitoring groups

      **********************************************************************
      * Statement Types
      **********************************************************************

       78 SQLM-STATIC                VALUE 1.
      *Static Statement

       78 SQLM-DYNAMIC               VALUE 2.
      *Dynamic Statement

       78 SQLM-NON-STMT              VALUE 3.
      *Operation other than an SQL Statement

       78 SQLM-STMT-TYPE-UNKNOWN     VALUE 4.
      *Unknown statement type

      **********************************************************************
      * Statement Operation Types
      **********************************************************************

       78 SQLM-PREPARE               VALUE 1.
      *Prepare operation

       78 SQLM-EXECUTE               VALUE 2.
      *Execute operation

       78 SQLM-EXECUTE-IMMEDIATE     VALUE 3.
      *Execute Immediate operation

       78 SQLM-OPEN                  VALUE 4.
      *Open operation

       78 SQLM-FETCH                 VALUE 5.
      *Fetch operation

       78 SQLM-CLOSE                 VALUE 6.
      *Close operation

       78 SQLM-DESCRIBE              VALUE 7.
      *Describe operation

       78 SQLM-STATIC-COMMIT         VALUE 8.
      *Static Commit operation

       78 SQLM-STATIC-ROLLBACK       VALUE 9.
      *Static Rollback operation

      **********************************************************************
      * Table Types
      **********************************************************************

       78 SQLM-USER-TABLE            VALUE 1.
      *User table

       78 SQLM-DROPPED-TABLE         VALUE 2.
      *Dropped User table

       78 SQLM-TEMP-TABLE            VALUE 3.
      *Temporary table

       78 SQLM-CATALOG-TABLE         VALUE 4.
      *System Catalog table

       78 SQLM-REORG-TABLE           VALUE 5.
      *Reorg table

      **********************************************************************
      * lock modes
      **********************************************************************

       78 SQLM-LNON                  VALUE 0.
      *No Lock

       78 SQLM-LOIS                  VALUE 1.
      *Intention Share Lock

       78 SQLM-LOIX                  VALUE 2.
      *Intention Exclusive Lock

       78 SQLM-LOOS                  VALUE 3.
      *Share Lock

       78 SQLM-LSIX                  VALUE 4.
      *Share with Intention Exclusive Lock

       78 SQLM-LOOX                  VALUE 5.
      *Exclusive Lock

       78 SQLM-LOIN                  VALUE 6.
      *Intent None (For Dirty Read)

       78 SQLM-LOOZ                  VALUE 7.
      *Super Exclusive Lock

       78 SQLM-LOOU                  VALUE 8.
      *Update Lock

      **********************************************************************
      * application status
      **********************************************************************

       78 SQLM-CONNECTPEND           VALUE 1.
      *Connect Pending

       78 SQLM-CONNECTED             VALUE 2.
      *Connect Completed

       78 SQLM-UOWEXEC               VALUE 3.
      *Unit of Work executing

       78 SQLM-UOWWAIT               VALUE 4.
      *Unit of Work waitng

       78 SQLM-LOCKWAIT              VALUE 5.
      *Lock Wait

       78 SQLM-COMMIT-ACT            VALUE 6.
      *Commit Active

       78 SQLM-ROLLBACK-ACT          VALUE 7.
      *Rollback Active

       78 SQLM-RECOMP                VALUE 8.
      *Recompiling a plan

       78 SQLM-COMP                  VALUE 9.
      *Compiling an SQL statement

       78 SQLM-INTR                  VALUE 10.
      *Request interrupted

       78 SQLM-DISCONNECTPEND        VALUE 11.
      *Disconnect Pending

       78 SQLM-TPREP                 VALUE 12.
      *Prepared Transaction

       78 SQLM-THCOMT                VALUE 13.
      *Transaction heuristically committed

       78 SQLM-THABRT                VALUE 14.
      *Transaction heuristically rolled back

       78 SQLM-TEND                  VALUE 15.
      *Transaction ended

       78 SQLM-CREATE-DB             VALUE 16.
      *Creating Database

       78 SQLM-RESTART               VALUE 17.
      *Restarting a Database

       78 SQLM-RESTORE               VALUE 18.
      *Restoring a Database

       78 SQLM-BACKUP                VALUE 19.
      *Performing a Backup

       78 SQLM-LOAD                  VALUE 20.
      *Performing a fast load

       78 SQLM-UNLOAD                VALUE 21.
      *Performing a fast unload

       78 SQLM-IOERROR-WAIT          VALUE 22.
      *Wait to disable tablespace

       78 SQLM-QUIESCE-TABLESPACE    VALUE 23.
      *Quiescing a tablespace

      **********************************************************************
      * database status
      **********************************************************************

       78 SQLM-DB-ACTIVE             VALUE 0.
      *Database is active

       78 SQLM-DB-QUIESCE-PEND       VALUE 1.
      *Quiesce is pending for DB

       78 SQLM-DB-QUIESCED           VALUE 2.
      *Database has been quiesced

      *********************************************************************
      * database manager status
      *********************************************************************

       78 SQLM-DB2-ACTIVE            VALUE 0.
      *DB2 is active

       78 SQLM-DB2-QUIESCE-PEND      VALUE 1.
      *Quiesce is pending for DB2

       78 SQLM-DB2-QUIESCED          VALUE 2.
      *DB2 has been quiesced

      **********************************************************************
      * UOW completion status
      **********************************************************************

       78 SQLM-UOWCOMMIT             VALUE 1.
      *Unit of Work issued a commit

       78 SQLM-UOWROLLBACK           VALUE 2.
      *Unit of Work issued a rollback

       78 SQLM-UOWDEADLOCK           VALUE 3.
      *Unit of Work was rolled back due to a deadlock

       78 SQLM-UOWABEND              VALUE 4.
      *Unit of Work was rolled back due to an abend

       78 SQLM-APPL-END              VALUE 5.
      *Normal application termination

       78 SQLM-UOWLOCKTIMEOUT        VALUE 6.
      *Unit of work was rolled back from a lock timeout

      **********************************************************************
      * lock object type
      **********************************************************************

       78 SQLM-TABLE-LOCK            VALUE 1.
      *Table lock type

       78 SQLM-ROW-LOCK              VALUE 2.
      *Table Row lock type

       78 SQLM-INTERNAL-LOCK         VALUE 3.
      *Internal lock type

       78 SQLM-TABLESPACE-LOCK       VALUE 4.
      *Tablespace lock type

      **********************************************************************
      * lock status
      **********************************************************************

       78 SQLM-LRBGRNT               VALUE 1.
      *Granted State

       78 SQLM-LRBCONV               VALUE 2.
      *Converting State


      **********************************************************************
      * client communications protocols
      **********************************************************************

       78 SQLM-PROT-APPC             VALUE 0.
      *appc

       78 SQLM-PROT-NETBIOS          VALUE 1.
      *netbios

       78 SQLM-PROT-APPN             VALUE 2.
      *appn

       78 SQLM-PROT-TCPIP            VALUE 3.
      *tcp/ip

       78 SQLM-PROT-CPIC             VALUE 4.
      *cpic

       78 SQLM-PROT-IPXSPX           VALUE 5.
      *ipx/spx

       78 SQLM-PROT-LOCAL            VALUE 6.
      *local client

       78 SQLM-PROT-NPIPE            VALUE 7.
      *named pipe


      **********************************************************************
      * client platforms
      **********************************************************************
       78 SQLM-PLATFORM-UNKNOWN      VALUE  0.
      *Unknown client platform

       78 SQLM-PLATFORM-OS2          VALUE  1.
      *OS/2 client

       78 SQLM-PLATFORM-DOS          VALUE  2.
      *DOS client

       78 SQLM-PLATFORM-WINDOWS      VALUE  3.
      *Windows client

       78 SQLM-PLATFORM-AIX          VALUE  4.
      *AIX client

       78 SQLM-PLATFORM-NT           VALUE  5.
      *NT client

       78 SQLM-PLATFORM-HP           VALUE  6.
      *HP client

       78 SQLM-PLATFORM-SUN          VALUE  7.
      *Sun client

       78 SQLM-PLATFORM-MVS-DRDA     VALUE  8.
      *MVS client via DRDA

       78 SQLM-PLATFORM-AS400-DRDA   VALUE  9.
      *AS400 client via DRDA

       78 SQLM-PLATFORM-VM-DRDA      VALUE 10.
      *VM client via DRDA

       78 SQLM-PLATFORM-VSE-DRDA     VALUE 11.
      *VSE client via DRDA

       78 SQLM-PLATFORM-UNKNOWN-DRDA VALUE 12.
      *Unknown DRDA Client

       78 SQLM-PLATFORM-SNI          VALUE 13.
      *Siemens Nixdorf Client

       78 SQLM-PLATFORM-MAC          VALUE 14.
      *Macintosh Client


      *********************************************************************
      * Event Monitor Type Identifiers
      *********************************************************************
       78 SQLM-EVENT-DB              VALUE  1.
      *Database Event

       78 SQLM-EVENT-CONN            VALUE  2.
      *Connection Event

       78 SQLM-EVENT-TABLE           VALUE  3.
      *Table Event

       78 SQLM-EVENT-STMT            VALUE  4.
      *Statement Event

       78 SQLM-EVENT-STMTTEXT        VALUE  5.
      *Dynamic Statement Text Event

       78 SQLM-EVENT-XACT            VALUE  6.
      *Transaction Event

       78 SQLM-EVENT-DEADLOCK        VALUE  7.
      *Deadlock Event

       78 SQLM-EVENT-DLCONN          VALUE  8.
      *Deadlock Connection Event

       78 SQLM-EVENT-TABLESPACE      VALUE  9.
      *Tablespace Event

       78 SQLM-EVENT-DBHEADER        VALUE 10.
      *Database Header Event

       78 SQLM-EVENT-START           VALUE 11.
      *Event Monitor Start Event

       78 SQLM-EVENT-CONNHEADER      VALUE 12.
      *Connection Header Event

       78 SQLM-EVENT-OVERFLOW        VALUE 13.
      *Overflow Event

      *****************************************************************************
      * Event Monitor Byte Order Identifiers
      *****************************************************************************
       78 SQLM-LITTLE-ENDIAN         VALUE  0.
      *Little endian server

       78 SQLM-BIG-ENDIAN            VALUE -1.
      *Big endian server


      **********************************************************************
      * Database Monitor Structure Size Constants
      * DON'T USE THESE CONSTANTS. THEY ARE PROVIDED FOR COMPATIBILITY ONLY
      **********************************************************************

       78 SQLM-DB2-SZ                VALUE 100.
      *structure SQLM-DB2

       78 SQLM-DBASE-SZ              VALUE 548.
      *structure SQLM-DBASE

       78 SQLM-APPL-SZ               VALUE 880.
      *structure SQLM-APPL

       78 SQLM-APPLINFO-SZ           VALUE 492.
      *structure SQLM-APPLINFO

       78 SQLM-DCS-APPLINFO-SZ       VALUE 260.
      *structure SQLM-DCS-APPLINFO

       78 SQLM-TABLE-HEADER-SZ       VALUE 356.
      *structure SQLM-TABLE-HEADER

       78 SQLM-TABLE-SZ              VALUE 60.
      *structure SQLM-TABLE

       78 SQLM-DBASE-LOCK-SZ         VALUE 352.
      *structure SQLM-DBASE-LOCK

       78 SQLM-APPL-LOCK-SZ          VALUE 216.
      *structure SQLM-APPL-LOCK

       78 SQLM-LOCK-SZ               VALUE 60.
      *structure SQLM-LOCK

       78 SQLM-TIMESTAMP-SZ          VALUE 8.
      *structure SQLM-TIMESTAMP

       78 SQLM-COLLECTED-SZ          VALUE 232.
      *structure SQLM-COLLECTED

      **********************************************************************
      * Database Monitor Error Constants
      **********************************************************************

       78 SQLM-RC-INV-PTR            VALUE -1601.
      *Parameter is a NULL pointer

       78 SQLM-RC-INV-OBJ-TYPE       VALUE -1602.
      *invalid obj-type in sqlma structure

       78 SQLM-RC-NOT-SPECIFIED      VALUE -1603.
      *database alias or application id not specified in sqlma structure

       78 SQLM-RC-NOT-NULL-TERM      VALUE -1604.
      *database alias or application id not NULL terminated

       78 SQLM-RC-DBNOACT            VALUE  1605.
      *specified database is not active

       78 SQLM-RC-BUFFER-FULL        VALUE  1606.
      *Database Monitor buffer area is full

       78 SQLM-RC-NOMEM              VALUE -1607.
      *not enough working memory for Database Monitor request

       78 SQLM-RC-DUPLICATE-DB       VALUE  1608.
      *duplicate database aliases were specified

       78 SQLM-RC-REMOTE-DB          VALUE -1609.
      *Database Monitor cannot monitor remote databases

       78 SQLM-RC-INV-VALUE          VALUE -1610.
      *Invalid value for input parameter

       78 SQLM-RC-NO-DATA            VALUE  1611.
      *No data returned by Database Monitor


      **********************************************************************
      * Database Monitor Data Structures
      **********************************************************************

      **********************************************************************
      *  SQL Monitor Area
      **********************************************************************

       01 SQLMA.
          05 OBJ-NUM                 PIC 9(9) COMP-5.
          05 OBJ-VAR OCCURS 0 TO 100 TIMES DEPENDING ON OBJ-NUM.
             10 AGENT-ID             PIC 9(9) COMP-5.
             10 OBJ-TYPE             PIC 9(9) COMP-5.
             10 OBJECT               PIC X(36).

      **********************************************************************
      * time stamp data structure
      **********************************************************************

       01 SQLM-TIMESTAMP.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      **********************************************************************
      * Elpased time data structure  (For CPU times)
      **********************************************************************

       01 SQLM-TIME.
          05 SECONDS                 PIC 9(9) COMP-5.
          05 MICROSEC                PIC 9(9) COMP-5.

      **********************************************************************
      * State information for each monitor group
      **********************************************************************

       01 SQLM-RECORDING-GROUP OCCURS 6 TIMES.
          05 INPUT-STATE             PIC 9(9) COMP-5.
          05 OUTPUT-STATE            PIC 9(9) COMP-5.
          05 START-TIME.
             10 SECONDS              PIC 9(9) COMP-5.
             10 MICROSEC             PIC 9(9) COMP-5.

      **********************************************************************
      * collection count data structure returned from get monitor info
      **********************************************************************

       01 SQLM-COLLECTED.
          05 SQLM-SIZE               PIC 9(9) COMP-5.
          05 DB2                     PIC 9(9) COMP-5.
          05 DATABASES               PIC 9(9) COMP-5.
          05 TABLE-DATABASES         PIC 9(9) COMP-5.
          05 LOCK-DATABASES          PIC 9(9) COMP-5.
          05 APPLICATIONS            PIC 9(9) COMP-5.
          05 APPLINFOS               PIC 9(9) COMP-5.
          05 DCS-APPLINFOS           PIC 9(9) COMP-5.
          05 SERVER-DB2-TYPE         PIC 9(9) COMP-5.
          05 TIME-STAMP.
             10 SECONDS              PIC 9(9) COMP-5.
             10 MICROSEC             PIC 9(9) COMP-5.
          05 GROUP-STATES OCCURS 6.
             10 INPUT-STATE          PIC 9(9) COMP-5.
             10 OUTPUT-STATE         PIC 9(9) COMP-5.
             10 START-TIME.
                15 SECONDS           PIC 9(9) COMP-5.
                15 MICROSEC          PIC 9(9) COMP-5.
          05 SERVER-PRDID            PIC X(20).
          05 SERVER-NNAME            PIC X(20).
          05 SERVER-INSTANCE-NAME    PIC X(20).
          05 RESERVED                PIC X(32).
          05 TABLESPACE-DATABASES    PIC 9(9) COMP-5.
          05 SERVER-VERSION          PIC 9(9) COMP-5.
