      *************************************************************************
      **
      ** Source File Name = checkerr.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      **
      **
      ** PURPOSE: a common utility program which outputs the error message
      **          associated with the SQLCODE, if any.
      **
      *************************************************************************

       Identification Division.
       Program-ID. "checkerr".

       Data Division.
       Working-Storage Section.
      *--> sqlb0x24.cobol
       copy "sql.cbl".

      * Local variables
       77 error-rc        pic s9(9) comp-5.
       77 state-rc        pic s9(9) comp-5.

      * Variables for the GET ERROR MESSAGE API
      * Use application specific bound instead of BUFFER-SZ
      * 77 buffer-size     pic s9(4) comp-5 value BUFFER-SZ.
      * 77 error-buffer    pic x(BUFFER-SZ).
      * 77 state-buffer    pic x(BUFFER-SZ).
       77 buffer-size     pic s9(4) comp-5 value 1024.
       77 line-width      pic s9(4) comp-5 value 80.
       77 error-buffer    pic x(1024).
       77 state-buffer    pic x(1024).
      *<--

       Linkage Section.
       01 SQLCA SYNC.
          05 SQLCAID PIC X(8).
          05 SQLCABC PIC S9(9) COMP-5.
          05 SQLCODE PIC S9(9) COMP-5.
          05 SQLERRM.
             49 SQLERRML PIC S9(4) COMP-5.
             49 SQLERRMC PIC X(70).
          05 SQLERRP PIC X(8).
          05 SQLERRD OCCURS 6 TIMES PIC S9(9) COMP-5.
          05 SQLWARN.
             10 SQLWARN0 PIC X.
             10 SQLWARN1 PIC X.
             10 SQLWARN2 PIC X.
             10 SQLWARN3 PIC X.
             10 SQLWARN4 PIC X.
             10 SQLWARN5 PIC X.
             10 SQLWARN6 PIC X.
             10 SQLWARN7 PIC X.
             10 SQLWARN8 PIC X.
             10 SQLWARN9 PIC X.
             10 SQLWARNA PIC X.
          05 SQLSTATE PIC X(5).
       01 errloc pic x(80).

       Procedure Division using SQLCA errloc.
       Checkerr Section.
           if SQLCODE equal 0
              go to End-Checkerr.

           display "--- error report ---".
           display "ERROR occured : ", errloc.
           display "SQLCODE : ", SQLCODE.

      *-->
      ********************************
      * GET ERROR MESSAGE API called *
      ********************************
           call "sqlgintp" using by value       buffer-size
                                                line-width
                                 by reference   sqlca
                                                error-buffer
                           returning error-rc.

      ************************
      * GET SQLSTATE MESSAGE *
      ************************
           call "sqlggstt" using by value       buffer-size
                                                line-width
                                 by reference   sqlstate
                                                state-buffer
                           returning state-rc.
      *<--
           if error-rc is greater than 0
              display error-buffer (1:error-rc).


           if state-rc is greater than 0
              display state-buffer (1:error-rc).

           if state-rc is less than 0
              display "return code from GET SQLSTATE =" state-rc.


           if SQLCODE is less than 0
              display "--- end error report ---"
              go to End-Prog.

           display "--- end error report ---"
           display "CONTINUING PROGRAM WITH WARNINGS!".
       End-Checkerr. exit program.
       End-Prog. stop run.
