      *************************************************************************
      **
      ** Source File Name = snap.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with
      **
      **    PURPOSE :
      **       to demonstrate the use of the DATABASE MONITOR SNAPSHOT API.
      **
      **    APIs USED :
      **       DATABASE MONITOR SNAPSHOT           sqlgmnss()
      **
      **    EXTERNAL DEPENDANCIES :
      **       - Compiling and linking with Micro Focus Cobol compiler.
      **
      *************************************************************************

       Identification Division.
       Program-Id. "snap".
 
       Data Division.
       Working-Storage Section.
      *--> sqlb0x20.cobol
       copy "sqlca.cbl".
       copy "sqlmonct.cbl".
       copy "sqlmon.cbl".
      *<--

      * Variables for catalog/uncatalog nodes

      * Local Variables
       77 rc                  pic s9(9) comp-5.
       77 errloc              pic x(80).

      *-->
      * DATABASE SYSTEM MONITOR SNAPSHOT
       01 database.
         05 database-length   pic s9(4) comp-5.
         05 database-name     pic x(80).

       01 buff.
         05 buffer-sz         pic 9(9) comp-5 value 0.
         05 buffer            occurs 0 to 100000 times
                              depending on buffer-sz.
           10 element         pic x.
      *<--

       Procedure Division.
       snap-pgm section.

           display "Sample COBOL Program : SNAP.CBL".

      * get database to perform snapshot on

           display "Take a snapshot of database activity".

           display "Enter the name of the database : " with no advancing.
           accept database-name.
           inspect database-name tallying database-length for characters
              before initial " ".
           display " ".

           perform db-snap thru end-db-snap.

       end-snap. stop run.

       db-snap Section.
      ******************************************************
      * perform a snapshot of lock activity for a database *
      ******************************************************

      * request SQLMA-DBASE, and SQLMA-DBASE-LOCKS in the sqlma

           move 2 to OBJ-NUM of SQLMA.
           move SQLMA-DBASE to OBJ-TYPE(1).
           move database-name to OBJECT(1).
           move SQLMA-DBASE-LOCKS to OBJ-TYPE(2).
           move database-name to OBJECT(2).

           display "estimate buffer size".
      * estimate buffer size do I need this??
           call "sqlgmnsz" using by value     0
                                 by reference sqlca
                                 by reference buffer-sz
                                 by reference SQLMA
                                 by value     0
                                 by value     SQLM-DBMON-VERSION2
                           returning rc.
           move "estimate buffer size" to errloc.
           call "checkerr" using SQLCA errloc.


           display "take a snapshot".
      *-->
      ***********************
      * SNAPSHOT API called *
      ***********************
           call "sqlgmnss" using by value     0
                                 by reference sqlca
                                 by reference SQLM-COLLECTED
                                 by reference buffer(1)
                                 by value     buffer-sz
                                 by reference SQLMA
                                 by value     0
                                 by value     SQLM-DBMON-VERSION2
                           returning rc.
      *<--
           move "SNAPSHOT" to errloc.
           call "checkerr" using SQLCA errloc.

       end-db-snap. exit.
