      *************************************************************************
      **
      ** Source File Name = dbstop.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with
      **
      **    PURPOSE :
      **       an example showing how to use the following APIs in order to:
      **          - FORCE USERS off of a database
      **          - STOP a DATABASE MANAGER
      **       This program will stop further connect to the database and will
      **       force the current users off, and shut down the database manager.
      **
      **    APIs USED :
      **       FORCE USERS                            sqlgfrce()
      **       STOP DATABASE MANAGER                  sqlgstdm()
      **
      **
      **    EXTERNAL DEPENDANCIES :
      **       - Compiling and linking with Micro Focus Cobol compiler.
      **
      *************************************************************************

       Identification Division.
       Program-Id. "dbstop".
 
       Data Division.
       Working-Storage Section.
      *--> sqlb0x11.cobol
       copy "sqlenv.cbl".
       copy "sqlca.cbl".
      *<--

      * Local Variables
       77 rc                  pic s9(9) comp-5.
       77 errloc              pic x(80).

      *-->
      * Variables for the CATALOG/UNCATALOG DATABASE APIs
       77 sync-mode           pic 9(4) comp-5 value 0.

      * the number of occurences is an application specific value
      * this example forces all users
       77 cbl-count           pic S9(9) comp-5.

       01 agentid-array.
          05 agentid occurs 100 times pic 9(9) comp-5.
      *<--

       Procedure Division.
       dbstop-pgm section.

      * need to look at "DBMONI" for more information on sqlmonss to get
      * the agentidarray

           display "Sample COBOL Program : DBSTOP.CBL".

           display "Forcing Users off DB2".
           move SQL-ALL-USERS to cbl-count.
      *-->
      **************************
      * FORCE USERS API called *
      **************************   
           call "sqlgfrce" using by reference   sqlca
                                 by value       sync-mode
                                 by reference   agentid-array
                                 by value       cbl-count
                           returning rc.
      *<--
           if sqlcode equal SQLE-RC-NOSTARTG
              display "No start datbase manager command was issued"
              go to end-dbstop.

           move "FORCE APPLICATION ALL" to errloc.
           call "checkerr" using SQLCA errloc.

           display "Stopping the Database Manager".
      *-->
      *********************************
      * STOP DATABASE MANAGER API called *
      *********************************
           call "sqlgstdm" using by reference   sqlca
                           returning rc.
      *<--

           move "STOPPING DATABASE MANAGER" to errloc.
           call "checkerr" using SQLCA errloc.

       end-dbstop. stop run.
