      *************************************************************************
      **
      ** Source File Name = monsz.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with
      **
      **    PURPOSE :
      **       To demonstrate the use of DATABASE MONITOR APIs.  The following
      **       code requests for the buffer size that would be required for
      **       issuing a snapshot for locks, tables, and database level
      **       information.
      **
      **       This testcase will return SQL1611, no data was returned
      **       by Database System Monitor. Some activity must be done to
      **       generate data for the snapshot: connect to database,
      **       manipulate data, etc
      **
      **    APIs USED :
      **       ESTIMATE DATABASE SYSTEM MONITOR BUFFER SIZE    sqlgmnsz()
      **       GET SNAPSHOT                                    sqlgmnss()
      **
      **    EXTERNAL DEPENDANCIES :
      **       - Compiling and linking with Micro Focus Cobol compiler.
      **
      *************************************************************************

       Identification Division.
       Program-Id. "monsz".

       Data Division.
       Working-Storage Section.
      *--> sqlb0x16.cobol
       copy "sqlmonct.cbl".
       copy "sqlca.cbl".
       copy "sqlmon.cbl".

      * Local Variables
       77 rc                  pic s9(9) comp-5.
      *<--
       77 errloc              pic x(80).
      *-->
      * variables for ESTIMATE DATABASE SYSTEM MONITOR BUFFER SIZE
      *  and for DATABASE SYSTEM MONITOR SNAPSHOT
       01 buff.
          05 buffer-sz        pic 9(9) comp-5 value 0.
          05 buffer           occurs 0 to 100000 times
                              depending on buffer-sz.
             10 element       pic x.
      *<--

       Procedure Division.
       monsz-pgm section.

           display "Sample COBOL Program : MONSZ.CBL".

      * Request SQLMA-DBASE, SQLM-DBASE-TABLES, and SQLMA-DBASE-LOCKS
      * in sqlma

      * set the input to SQLMA structure to monitor 3 objects
           move 3 to OBJ-NUM in SQLMA.
           move SQLMA-DBASE to OBJ-TYPE in OBJ-VAR(1).
           move SQLMA-DBASE-LOCKS to OBJ-TYPE in OBJ-VAR(2).
           move SQLMA-DBASE-TABLES to OBJ-TYPE in OBJ-VAR(3).

      * monitor the sample database
           move "sample" to OBJECT in OBJ-VAR(1).
           move "sample" to OBJECT in OBJ-VAR(2).
           move "sample" to OBJECT in OBJ-VAR(3).

      *-->
      ***********************************************************
      * ESTIMATE DATABASE SYSTEM MONITOR BUFFER SIZE API called *
      ***********************************************************
           call "sqlgmnsz" using by value     0
                                 by reference sqlca
                                 by reference buffer-sz
                                 by reference SQLMA
                                 by value     0
                                 by value     SQLM-DBMON-VERSION2
                           returning rc.
      *<--

           move "ESTIMATE BUFFER SIZE" to errloc.
           call "checkerr" using SQLCA errloc.

           display "Buffer size required for this snapshot is ",
                    buffer-sz.

      *-->
      ***********************************************
      * DATABASE SYSTEM MONITOR SNAPSHOT API called *
      ***********************************************
           call "sqlgmnss" using by value     0
                                 by reference sqlca
                                 by reference SQLM-COLLECTED
                                 by reference buffer(1)
                                 by value     buffer-sz
                                 by reference SQLMA
                                 by value     0
                                 by value     SQLM-DBMON-VERSION2
                           returning rc.
      *<--

           move "TAKING SNAPSHOT" to errloc.
           call "checkerr" using SQLCA errloc.

       end-monsz. stop run.
