      *************************************************************************
      **
      ** Source File Name = sws.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with
      **
      **    PURPOSE :
      **       to demonstrate the use of the DATABASE MONITOR SWITCH API.
      **
      **    APIs USED :
      **       DATABASE MONITOR SWITCH            sqlgmon()
      **
      **    EXTERNAL DEPENDANCIES :
      **       - Compiling and linking with Micro Focus Cobol compiler.
      **
      *************************************************************************

       Identification Division.
       Program-Id. "sws".
 
       Data Division.
       Working-Storage Section.
      *--> sqlb0x21.cobol
       copy "sqlutil.cbl".
       copy "sqlca.cbl".
       copy "sqlmonct.cbl".
      *<--

      * Variables for catalog/uncatalog nodes

      * Local Variables
       77 rc                  pic s9(9) comp-5.
       77 errloc              pic x(80).

       Procedure Division.
       sws-pgm section.

           display "Sample COBOL Program : SWS.CBL".

      * Initialize  - table switches ON, UOW switch OFF, others default
           move SQLM-ON   to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-TABLE-SW).
           move SQLM-OFF  to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-UOW-SW).
           move SQLM-HOLD to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-STATEMENT-SW).
           move SQLM-HOLD to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-BUFFER-POOL-SW).
           move SQLM-HOLD to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-LOCK-SW).
           move SQLM-HOLD to INPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-SORT-SW).


      **************************************
      * DATABASE MONITOR SWITCH API called *
      **************************************
           call "sqlgmon" using  by value 0
                                 by reference SQLCA
                                 by reference SQLM-RECORDING-GROUP (1)
                                 by value 0
                                 by value SQLM-DBMON-VERSION2
                           returning rc.
      *<--

           move "MONITOR SWITCH" to errloc.
           call "checkerr" using SQLCA errloc.

           display "Print Switch Values".
           perform print-sws.

           display "Print their switch set time (if on)".
           perform print-sws-set-times.

       end-sws. stop run.

       print-sws Section.
      ***********************
      * print switch values *
      ***********************
           display "SQLM-UOW-SW       : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-UOW-SW).
           display "SQLM-STATEMENT-SW : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-STATEMENT-SW).
           display "SQLM-TABLE-SW     : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-TABLE-SW).
           display "SQLM-BUFFER-SW    : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-BUFFER-POOL-SW).
           display "SQLM-LOCK-SW      : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-LOCK-SW).
           display "SQLM-SORT-SW      : " , OUTPUT-STATE of
                SQLM-RECORDING-GROUP(SQLM-SORT-SW).
       end-print-sws. exit.

       print-sws-set-times Section.
      ********************************
      * print switch set times if on *
      ********************************
           if SECONDS of SQLM-RECORDING-GROUP(SQLM-UOW-SW)
              not equal 0 then
           display "SQLM-UOW-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-UOW-SW).

           if SECONDS of SQLM-RECORDING-GROUP(SQLM-STATEMENT-SW)
              not equal 0 then
           display "SQLM-STATEMENT-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-STATEMENT-SW).

           if SECONDS of SQLM-RECORDING-GROUP(SQLM-TABLE-SW)
              not equal 0 then
           display "SQLM-TABLE-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-TABLE-SW).

           if SECONDS of
              SQLM-RECORDING-GROUP(SQLM-BUFFER-POOL-SW)
              not equal 0 then
           display "SQLM-BUFFER-POOL-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-BUFFER-POOL-SW).

           if SECONDS of SQLM-RECORDING-GROUP(SQLM-LOCK-SW)
              not equal 0 then
           display "SQLM-LOCK-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-LOCK-SW).

           if SECONDS of SQLM-RECORDING-GROUP(SQLM-SORT-SW)
              not equal 0 then
           display "SQLM-SORT-SW start-time : " , SECONDS of
              SQLM-RECORDING-GROUP(SQLM-SORT-SW).

       end-print-sws-set-times. exit.
