C***********************************************************************
C
C  Source File Name = SQLMON.F
C
C  (C) COPYRIGHT International Business Machines Corp. 1993, 1995
C  All Rights Reserved
C  Licensed Materials - Property of IBM
C
C  US Government Users Restricted Rights - Use, duplication or
C  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
C
C  Function = Defining:
C               DB Monitor External APIs
C               API parameter Data Structure
C               DB Monitor Error Code
C
C***********************************************************************

c ***************************************************************************
c Database Monitor Version Constant
c ***************************************************************************

       integer          sqlm_dbmon_version1
       parameter        (sqlm_dbmon_version1    = 1)

       integer          sqlm_dbmon_version2
       parameter        (sqlm_dbmon_version2    = 2)


c ***************************************************************************
c snapshot monitor collected information types
c structure identifier in snapshot buffer (info_type element)
c ***************************************************************************

c          db2 information
        character        sqlm_db2_ss
        parameter       (sqlm_db2_ss                = '1')

c          database information
        character       sqlm_dbase_ss
        parameter       (sqlm_dbase_ss              = '2')

c          application information
        character       sqlm_appl_ss
        parameter       (sqlm_appl_ss               = '3')

c          summary application information
        character       sqlm_applinfo_ss
        parameter       (sqlm_applinfo_ss           = '4')

c          table header information
        character       sqlm_table_header_ss
        parameter       (sqlm_table_header_ss       = '5')

c          table information
        character       sqlm_table_ss
        parameter       (sqlm_table_ss              = '6')

c          database lock information
        character       sqlm_dbase_lock_ss
        parameter       (sqlm_dbase_lock_ss         = '7')

c          application lock information
        character       sqlm_appl_lock_ss
        parameter       (sqlm_appl_lock_ss          = '8')

c          lock information
        character       sqlm_lock_ss
        parameter       (sqlm_lock_ss               = '9')

c          DDCS applinfo information
        character       sqlm_dcs_applinfo_ss
        parameter       (sqlm_dcs_applinfo_ss       = 'A')

c          Tablespace Header information
        character       sqlm_tablespace_header_ss
        parameter       (sqlm_tablespace_header_ss  = 'B')

c          Tablespace information
        character       sqlm_tablespace_ss
        parameter       (sqlm_tablespace_ss         = 'C')


c ***************************************************************************
c level of data to collect
c ***************************************************************************

c          db2 related information
        integer         sqlma_db2
        parameter       (sqlma_db2               = 1)

c          database related information
        integer         sqlma_dbase
        parameter       (sqlma_dbase             = 2)

c          application information - by application id
        integer         sqlma_appl
        parameter       (sqlma_appl              = 3)

c          application information - by agent id
        integer         sqlma_agent_id
        parameter       (sqlma_agent_id          = 4)

c          table related information for a database
        integer         sqlma_dbase_tables
        parameter       (sqlma_dbase_tables      = 5)

c          application related information for a database
        integer         sqlma_dbase_appls
        parameter       (sqlma_dbase_appls       = 6)

c          summary application information for a database
        integer         sqlma_dbase_applinfo
        parameter       (sqlma_dbase_applinfo    = 7)

c          lock related information for a database
        integer         sqlma_dbase_locks
        parameter       (sqlma_dbase_locks       = 8)

c          database related information for all databases in db2
        integer         sqlma_dbase_all
        parameter       (sqlma_dbase_all         = 9)

c          application related information for all active applications
        integer         sqlma_appl_all
        parameter       (sqlma_appl_all          = 10)

c          summary application information for all active applications.
        integer         sqlma_applinfo_all
        parameter       (sqlma_applinfo_all      = 11)

c          application information for all active DDCS applications.
        integer         sqlma_dcs_applinfo_all
        parameter       (sqlma_dcs_applinfo_all  = 12)

c           tablespace related infomation for a database
        integer         sqlma_dbase_tablespaces
        parameter       (sqlma_dbase_tablespaces  = 13)


c ***************************************************************************
c size definitions
c ***************************************************************************

c          size of the application id
        integer         sqlm_applid_sz
        parameter       (sqlm_applid_sz         = 32)

c          size of sequence number
       integer  sqlm_seq_sz
        parameter       (sqlm_seq_sz            = 4)

c          size of short identifier
        integer         sqlm_sh_ident_sz
        parameter       (sqlm_sh_ident_sz       = 8)

c          general identifier size
        integer         sqlm_ident_sz
        parameter       (sqlm_ident_sz          = 20)

c          size of object name in sqlma structure
        integer         sqlm_object_sz
        parameter       (sqlm_object_sz         = 36)

c          size of reserved area
        integer         sqlm_reserved_sz
        parameter       (sqlm_reserved_sz       = 32)

c          size of database path
        integer         sqlm_dbpath_sz
        parameter       (sqlm_dbpath_sz         = 256)

c ***************************************************************************
c information group state switches
c ***************************************************************************

c          turn monitoring group off
        integer         sqlm_off
        parameter       (sqlm_off               = 0)

c          turn monitoring group on
        integer         sqlm_on
        parameter       (sqlm_on                = 1)

c          leave monitoring group in current state
        integer         sqlm_hold
        parameter       (sqlm_hold              = 2)

c ***************************************************************************
c information groups array indexes
c ***************************************************************************

c          select unit of work information
        integer         sqlm_uow_sw
        parameter       (sqlm_uow_sw            = 1)

c          select statement information
        integer         sqlm_statement_sw
        parameter       (sqlm_statement_sw      = 2)

c          select table information
        integer         sqlm_table_sw
        parameter       (sqlm_table_sw          = 3)

c          select buffer pool information
        integer         sqlm_buffer_pool_sw
        parameter       (sqlm_buffer_pool_sw    = 4)

c          select lock information
        integer         sqlm_lock_sw
        parameter       (sqlm_lock_sw           = 5)

c          select sort information
        integer         sqlm_sort_sw
        parameter       (sqlm_sort_sw           = 6)


c          number of monitoring groups
        integer         sqlm_num_groups
        parameter       (sqlm_num_groups        = 6)

c ***************************************************************************
c statement types
c ***************************************************************************

c          static statement
        integer         sqlm_static
        parameter       (sqlm_static            = 1)

c          dynamic statement
        integer         sqlm_dynamic
        parameter       (sqlm_dynamic           = 2)

c          operation other than an sql statement
        integer         sqlm_non_stmt
        parameter       (sqlm_non_stmt          = 3)

c          unknown statment type
        integer         sqlm_stmt_type_unknown
        parameter       (sqlm_stmt_type_unknown = 4)

c ***************************************************************************
c statement operation types
c ***************************************************************************

c          prepare operation
        integer         sqlm_prepare
        parameter       (sqlm_prepare           = 1)

c          execute operation
        integer         sqlm_execute
        parameter       (sqlm_execute           = 2)

c          execute immediate operation
        integer         sqlm_execute_immediate
        parameter       (sqlm_execute_immediate = 3)

c          open operation
        integer         sqlm_open
        parameter       (sqlm_open              = 4)

c          fetch operation
        integer         sqlm_fetch
        parameter       (sqlm_fetch             = 5)

c          close operation
        integer         sqlm_close
        parameter       (sqlm_close             = 6)

c          describe operation
        integer         sqlm_describe
        parameter       (sqlm_describe          = 7)

c          static commit operation
        integer         sqlm_static_commit
        parameter       (sqlm_static_commit     = 8)

c          static rollback operation
        integer         sqlm_static_rollback
        parameter       (sqlm_static_rollback   = 9)

c ***************************************************************************
c table types
c ***************************************************************************

c          user table
        integer         sqlm_user_table
        parameter       (sqlm_user_table        = 1)

c          dropped user table
        integer         sqlm_dropped_table
        parameter       (sqlm_dropped_table     = 2)

c          temporary table
        integer         sqlm_temp_table
        parameter       (sqlm_temp_table        = 3)

c          system catalog table
        integer         sqlm_catalog_table
        parameter       (sqlm_catalog_table     = 4)

c          reorg table
        integer         sqlm_reorg_table
        parameter       (sqlm_reorg_table       = 5)

c ***************************************************************************
c lock modes
c ***************************************************************************

c          no lock
        integer         sqlm_lnon
        parameter       (sqlm_lnon              = 0)

c          intention share lock
        integer         sqlm_lois
        parameter       (sqlm_lois              = 1)

c          intention exclusive lock
        integer         sqlm_loix
        parameter       (sqlm_loix              = 2)

c          share lock
        integer         sqlm_loos
        parameter       (sqlm_loos              = 3)

c          share with intention exclusive lock
        integer         sqlm_lsix
        parameter       (sqlm_lsix              = 4)

c          exclusive lock
        integer         sqlm_loox
        parameter       (sqlm_loox              = 5)

c          intent none (for dirty read)
        integer         sqlm_loin
        parameter       (sqlm_loin              = 6)

c          super exclusive lock
        integer         sqlm_looz
        parameter       (sqlm_looz              = 7)

c          update lock
        integer         sqlm_loou
        parameter       (sqlm_loou              = 8)

c ***************************************************************************
c application status
c ***************************************************************************

c          connect pending
        integer         sqlm_connectpend
        parameter       (sqlm_connectpend        = 1)

c          connect completed
        integer         sqlm_connected
        parameter       (sqlm_connected          = 2)

c          unit of work executing
        integer         sqlm_uowexec
        parameter       (sqlm_uowexec            = 3)

c          unit of work waitng
        integer         sqlm_uowwait
        parameter       (sqlm_uowwait            = 4)

c          lock wait
       integer          sqlm_lockwait
       parameter        (sqlm_lockwait           = 5)

c          commit active
        integer         sqlm_commit_act
        parameter       (sqlm_commit_act         = 6)

c          rollback active
        integer         sqlm_rollback_act
        parameter       (sqlm_rollback_act       = 7)

c          recompiling a plan
        integer         sqlm_recomp
        parameter       (sqlm_recomp             = 8)

c          compiling an sql statement
        integer         sqlm_comp
        parameter       (sqlm_comp               = 9)

c          request interrupted
        integer         sqlm_intr
        parameter       (sqlm_intr               = 10)

c          disconnect pending
        integer         sqlm_disconnectpend
        parameter       (sqlm_disconnectpend     = 11)

c          Prepared Transaction
        integer         sqlm_tprep
        parameter       (sqlm_tprep              = 12)

c          Transaction heuristically committed
        integer         sqlm_thcomt
        parameter       (sqlm_thcomt             = 13)

c          Transaction heuristically rolled back
        integer         sqlm_thabrt
        parameter       (sqlm_thabrt             = 14)

c          Transaction heuristically rolled back
        integer         sqlm_tend
        parameter       (sqlm_tend               = 15)

c          Creating Database
        integer         sqlm_create_db
        parameter       (sqlm_create_db          = 16)

c           Restarting a Database
        integer         sqlm_restart
        parameter       (sqlm_restart            = 17)

c           Restoring a Database
        integer         sqlm_restore
        parameter       (sqlm_restore            = 18)

c           Performing a Backup
        integer         sqlm_backup
        parameter       (sqlm_backup             = 19)

c           Performing a fast load
        integer         sqlm_load
        parameter       (sqlm_load               = 20)

c           Performing a fast unload
        integer         sqlm_unload
        parameter       (sqlm_unload             = 21)

c           Wait to disable tablespace
        integer         sqlm_ioerror_wait
        parameter       (sqlm_ioerror_wait       = 22)

c           Quiescing a tablespace
        integer         sqlm_quiesce_tablespace
        parameter       (sqlm_quiesce_tablespace = 23)

c ***************************************************************************
c database status
c ***************************************************************************
c           Database is active
        integer         sqlm_db_active
        parameter       (sqlm_db_active       = 0)

c           Quiesce is pending for DB
        integer         sqlm_db_quiesce_pend
        parameter       (sqlm_db_quiesce_pend = 1)

c           Database has been quiesced
        integer         sqlm_db_quiesced
        parameter       (sqlm_db_quiesced     = 2)

c ***************************************************************************
c database manager status
c ***************************************************************************
c           DB2 instance is active
        integer         sqlm_db2_active
        parameter       (sqlm_db2_active       = 0)

c           Quiesce is pending for DB2 instance
        integer         sqlm_db2_quiesce_pend
        parameter       (sqlm_db2_quiesce_pend = 1)

c           DB2 has been quiesced
        integer         sqlm_db2_quiesced
        parameter       (sqlm_db2_quiesced     = 2)

c ***************************************************************************
c uow completion status
c ***************************************************************************

c          unit of work issued a commit
        integer         sqlm_uowcommit
        parameter       (sqlm_uowcommit         = 1)

c          unit of work issued a rollback
        integer         sqlm_uowrollback
        parameter       (sqlm_uowrollback       = 2)

c          unit of work was rolled back due to a deadlock
        integer         sqlm_uowdeadlock
        parameter       (sqlm_uowdeadlock       = 3)

c          unit of work was rolled back due to an abend
        integer         sqlm_uowabend
        parameter       (sqlm_uowabend          = 4)

c          normal application termination
        integer         sqlm_appl_end
        parameter       (sqlm_appl_end          = 5)

c          unit of work was rolled back from a lock timeout
        integer         sqlm_uowlocktimeout
        parameter       (sqlm_uowlocktimeout    = 6)

c ***************************************************************************
c lock object type
c ***************************************************************************

c          table lock type
        integer         sqlm_table_lock
        parameter       (sqlm_table_lock        = 1)

c          table row lock type
        integer         sqlm_row_lock
        parameter       (sqlm_row_lock          = 2)

c          internal lock type
        integer         sqlm_internal_lock
        parameter       (sqlm_internal_lock     = 3)

c          tablespace lock type
        integer         sqlm_tablespace_lock
        parameter       (sqlm_tablespace_lock   = 4)


c ***************************************************************************
c lock status
c ***************************************************************************

c          granted state
        integer         sqlm_lrbgrnt
        parameter       (sqlm_lrbgrnt           = 1)

c          converting state
        integer         sqlm_lrbconv
        parameter       (sqlm_lrbconv           = 2)

c ***************************************************************************
c  client communications protocols
c ***************************************************************************

c          appc
        integer         sqlm_prot_appc
        parameter       (sqlm_prot_appc         = 0)

c          netbios
        integer         sqlm_prot_netbios
        parameter       (sqlm_prot_netbios      = 1)

c          appn
        integer         sqlm_prot_appn
        parameter       (sqlm_prot_appn         = 2)

c          tcp/ip
        integer         sqlm_prot_tcpip
        parameter       (sqlm_prot_tcpip        = 3)

c          cpic
        integer         sqlm_prot_cpic
        parameter       (sqlm_prot_cpic         = 4)

c          ipx/spx
        integer         sqlm_prot_ipxspx
        parameter       (sqlm_prot_ipxspx       = 5)

c          local client
        integer         sqlm_prot_local
        parameter       (sqlm_prot_local        = 6)

c          cpic
        integer         sqlm_prot_npipe
        parameter       (sqlm_prot_npipe        = 7)




c ***************************************************************************
c  client platforms
c ***************************************************************************

c          Unknown client platform
        integer         sqlm_platform_unknown
        parameter       (sqlm_platform_unknown       =  0)

c          OS/2 client
        integer          sqlm_platform_os2
        parameter       (sqlm_platform_os2           =  1)

c          DOS client
        integer          sqlm_platform_dos
        parameter       (sqlm_platform_dos           =  2)

c          Windows client
        integer          sqlm_platform_windows
        parameter       (sqlm_platform_windows       =  3)

c          AIX client
        integer          sqlm_platform_aix
        parameter       (sqlm_platform_aix           =  4)

c          NT client
        integer          sqlm_platform_nt
        parameter       (sqlm_platform_nt            =  5)

c          HP client
        integer          sqlm_platform_hp
        parameter       (sqlm_platform_hp            =  6)

c          Sun client
        integer          sqlm_platform_sun
        parameter       (sqlm_platform_sun           =  7)

c          MVS client via DRDA
        integer          sqlm_platform_mvs_drda
        parameter       (sqlm_platform_mvs_drda      =  8)

c          AS400 client via DRDA
        integer          sqlm_platform_as400_drda
        parameter       (sqlm_platform_as400_drda    =  9)

c          VM client via DRDA
        integer          sqlm_platform_vm_drda
        parameter       (sqlm_platform_vm_drda       = 10)

c          VSE client via DRDA
        integer          sqlm_platform_vse_drda
        parameter       (sqlm_platform_vse_drda      = 11)

c          Unknown DRDA Client
        integer          sqlm_platform_unknown_drda
        parameter       (sqlm_platform_unknown_drda  = 12)


c  **************************************************************************
c  Event Monitor Type Identifiers
c  **************************************************************************
c          Database Event
        integer          sqlm_event_db
        parameter       (sqlm_event_db          =   1)

c          Connection Event
        integer          sqlm_event_conn
        parameter       (sqlm_event_conn        =   2)

c          Table Event
        integer          sqlm_event_table
        parameter       (sqlm_event_table       =   3)

c          Statement Event
        integer          sqlm_event_stmt
        parameter       (sqlm_event_stmt        =   4)

c          Dynamic Statement Text Event
        integer          sqlm_event_stmttext
        parameter       (sqlm_event_stmttext    =   5)

c          Transaction Event
        integer          sqlm_event_xact
        parameter       (sqlm_event_xact        =   6)

c          Deadlock Event
        integer          sqlm_event_deadlock
        parameter       (sqlm_event_deadlock    =   7)

c          Deadlock Connection Event
        integer          sqlm_event_dlconn
        parameter       (sqlm_event_dlconn      =   8)

c          Tablespace Event
        integer          sqlm_event_tablespace
        parameter       (sqlm_event_tablespace  =   9)

c          Database Header Event
        integer          sqlm_event_dbheader
        parameter       (sqlm_event_dbheader    =  10)

c          Event Monitor Start event
        integer          sqlm_event_start
        parameter       (sqlm_event_start       =  11)

c          Connection Header Event
        integer          sqlm_event_connheader
        parameter       (sqlm_event_connheader  =  12)

c          Overflow Event
        integer          sqlm_event_overflow
        parameter       (sqlm_event_overflow    =  13)


c ***************************************************************************
c  Event Monitor Byte Order Identifiers
c ***************************************************************************

c          Little endian server
        integer         sqlm_little_endian
        parameter       (sqlm_little_endian     =  0)

c          Big endian server
        integer         sqlm_big_endian
        parameter       (sqlm_big_endian        = -1)


c ***************************************************************************
c database monitor structure size constants
c DON'T USE THESE CONSTANTS. THEY ARE PROVIDED FOR COMPATIBILITY ONLY
c ***************************************************************************

c          structure sqlm_db2
        integer         sqlm_db2_sz
        parameter       (sqlm_db2_sz            = 100)

c          structure sqlm_dbase
        integer         sqlm_dbase_sz
        parameter       (sqlm_dbase_sz          = 548)

c          structure sqlm_appl
        integer         sqlm_appl_sz
        parameter       (sqlm_appl_sz           = 880)

c          structure sqlm_applinfo
        integer         sqlm_applinfo_sz
        parameter       (sqlm_applinfo_sz       = 492)

c          structure sqlm_dcs_applinfo
        integer         sqlm_dcs_applinfo_sz
        parameter       (sqlm_dcs_applinfo_sz   = 260)

c          structure sqlm_table_header
        integer         sqlm_table_header_sz
        parameter       (sqlm_table_header_sz   = 356)

c          structure sqlm_table
        integer         sqlm_table_sz
        parameter       (sqlm_table_sz          = 60)

c          structure sqlm_dbase_lock
        integer         sqlm_dbase_lock_sz
        parameter       (sqlm_dbase_lock_sz     = 352)

c          structure sqlm_appl_lock
        integer         sqlm_appl_lock_sz
        parameter       (sqlm_appl_lock_sz      = 216)

c          structure sqlm_lock
        integer         sqlm_lock_sz
        parameter       (sqlm_lock_sz           = 60)

c          structure sqlm_timestamp
        integer         sqlm_timestamp_sz
        parameter       (sqlm_timestamp_sz      = 8)

c          structure sqlm_collected
        integer         sqlm_collected_sz
        parameter       (sqlm_collected_sz      = 232)

c ***************************************************************************
c database monitor error constants
c ***************************************************************************

c          parameter is a null pointer
        integer         sqlm_rc_inv_ptr
        parameter       (sqlm_rc_inv_ptr        = -1601)

c          invalid obj_type in sqlma structure
        integer         sqlm_rc_inv_obj_type
        parameter       (sqlm_rc_inv_obj_type   = -1602)

c          database alias or application id not specified in sqlma structure
        integer         sqlm_rc_not_specified
        parameter       (sqlm_rc_not_specified  = -1603)

c          database alias or application id not null terminated
        integer         sqlm_rc_not_null_term
        parameter       (sqlm_rc_not_null_term  = -1604)

c          specified database is not active
        integer         sqlm_rc_dbnoact
        parameter       (sqlm_rc_dbnoact        =  1605)

c          database monitor buffer area is full
        integer         sqlm_rc_buffer_full
        parameter       (sqlm_rc_buffer_full    =  1606)

c          not enough working memory for database monitor request
        integer         sqlm_rc_nomem
        parameter       (sqlm_rc_nomem          = -1607)

c          duplicate database aliases were specified
        integer         sqlm_rc_duplicate_db
        parameter       (sqlm_rc_duplicate_db   =  1608)

c          database monitor cannot monitor remote databases
        integer         sqlm_rc_remote_db
        parameter       (sqlm_rc_remote_db      = -1609)

c          invalid value for input parameter
        integer         sqlm_rc_inv_value
        parameter       (sqlm_rc_inv_value      = -1610)

c          no data returned by Database Monitor
        integer         sqlm_rc_no_data
        parameter       (sqlm_rc_no_data        =  1611)


c ***************************************************************************
c database monitor snapshot data structures
c ***************************************************************************

c ***************************************************************************
c  sql monitor area
c  The sqlma structure is the input data structure used by the sqlgmnss and
c  sqlgmrst APIs to indicate the object to be monitored.
c  To build first contains the ma_obj_num indicating the number of objects
c  to monitor, and is then followed by as many sqlma_object structures,
c  each defining one object.
c ***************************************************************************

       integer*4    sqlm_ma_obj_num

       character    sqlma_object(44)

       integer*4    sqlm_ma_agent_id
       integer*4    sqlm_ma_obj_type
       character    sqlm_ma_object(sqlm_object_sz)

       equivalence (sqlma_object ( 1), sqlm_ma_agent_id )
       equivalence (sqlma_object ( 5), sqlm_ma_obj_type )
       equivalence (sqlma_object ( 9), sqlm_ma_object   )

c ***************************************************************************
c Timestamp
c ***************************************************************************

       character   sqlm_timestamp(8)

       integer*4   sqlm_ts_seconds
       integer*4   sqlm_ts_microsec

       equivalence (sqlm_timestamp ( 1), sqlm_ts_seconds )
       equivalence (sqlm_timestamp ( 5), sqlm_ts_microsec)

c ***************************************************************************
c Elapsed Time
c ***************************************************************************

       character   sqlm_time(8)

       integer*4   sqlm_time_seconds
       integer*4   sqlm_time_microsec

       equivalence (sqlm_time ( 1), sqlm_time_seconds )
       equivalence (sqlm_time ( 5), sqlm_time_microsec)

c ***************************************************************************
c state information for each monitor group
c ***************************************************************************

       character   sqlm_recording_group(16)

       integer*4   sqlm_rg_input_state
       integer*4   sqlm_rg_output_state
       integer*4   sqlm_rg_start_seconds
       integer*4   sqlm_rg_start_microsec

       equivalence (sqlm_recording_group( 1), sqlm_rg_input_state)
       equivalence (sqlm_recording_group( 5), sqlm_rg_output_state)
       equivalence (sqlm_recording_group( 9), sqlm_rg_start_seconds)
       equivalence (sqlm_recording_group(13), sqlm_rg_start_microsec)

c ***************************************************************************
c collection count data structure returned from get monitor info
c ***************************************************************************

       character   sqlm_collected(236)

       integer*4   sqlm_c_sqlm_size
       integer*4   sqlm_c_db2
       integer*4   sqlm_c_databases
       integer*4   sqlm_c_table_databases
       integer*4   sqlm_c_lock_databases
       integer*4   sqlm_c_applications
       integer*4   sqlm_c_applinfos
       integer*4   sqlm_c_dcs_applinfos
       integer*4   sqlm_c_server_db2_type
       integer*4   sqlm_c_timestamp_seconds
       integer*4   sqlm_c_timestamp_microsec

c      unit of work group state
       integer*4   sqlm_c_gs_uow_input_state
       integer*4   sqlm_c_gs_uow_output_state
       integer*4   sqlm_c_gs_uow_start_seconds
       integer*4   sqlm_c_gs_uow_start_microsec

c      statement group state
       integer*4   sqlm_c_gs_st_input_state
       integer*4   sqlm_c_gs_st_output_state
       integer*4   sqlm_c_gs_st_start_seconds
       integer*4   sqlm_c_gs_st_start_microsec

c      table group state
       integer*4   sqlm_c_gs_tbl_input_state
       integer*4   sqlm_c_gs_tbl_output_state
       integer*4   sqlm_c_gs_tbl_start_seconds
       integer*4   sqlm_c_gs_tbl_start_microsec

c      buffer pool group state
       integer*4   sqlm_c_gs_bp_input_state
       integer*4   sqlm_c_gs_bp_output_state
       integer*4   sqlm_c_gs_bp_start_seconds
       integer*4   sqlm_c_gs_bp_start_microsec

c      lock group state
       integer*4   sqlm_c_gs_lk_input_state
       integer*4   sqlm_c_gs_lk_output_state
       integer*4   sqlm_c_gs_lk_start_seconds
       integer*4   sqlm_c_gs_lk_start_microsec

c      sorting group state
       integer*4   sqlm_c_gs_srt_input_state
       integer*4   sqlm_c_gs_srt_output_state
       integer*4   sqlm_c_gs_srt_start_seconds
       integer*4   sqlm_c_gs_srt_start_microsec

       character   sqlm_c_server_prdid(sqlm_ident_sz)
       character   sqlm_c_server_nname(sqlm_ident_sz)
       character   sqlm_c_server_instance_name(sqlm_ident_sz)

       character   sqlm_c_reserved(sqlm_reserved_sz)

       integer*4   sqlm_c_tablespace_databases


       equivalence (sqlm_collected (  1), sqlm_c_sqlm_size             )
       equivalence (sqlm_collected (  5), sqlm_c_db2                   )
       equivalence (sqlm_collected (  9), sqlm_c_databases             )
       equivalence (sqlm_collected ( 13), sqlm_c_table_databases       )
       equivalence (sqlm_collected ( 17), sqlm_c_lock_databases        )
       equivalence (sqlm_collected ( 21), sqlm_c_applications          )
       equivalence (sqlm_collected ( 25), sqlm_c_applinfos             )
       equivalence (sqlm_collected ( 29), sqlm_c_dcs_applinfos         )
       equivalence (sqlm_collected ( 33), sqlm_c_server_db2_type       )
       equivalence (sqlm_collected ( 37), sqlm_c_timestamp_seconds     )
       equivalence (sqlm_collected ( 41), sqlm_c_timestamp_microsec    )
       equivalence (sqlm_collected ( 45), sqlm_c_gs_uow_input_state    )
       equivalence (sqlm_collected ( 49), sqlm_c_gs_uow_output_state   )
       equivalence (sqlm_collected ( 53), sqlm_c_gs_uow_start_seconds  )
       equivalence (sqlm_collected ( 57), sqlm_c_gs_uow_start_microsec )
       equivalence (sqlm_collected ( 61), sqlm_c_gs_st_input_state     )
       equivalence (sqlm_collected ( 65), sqlm_c_gs_st_output_state    )
       equivalence (sqlm_collected ( 69), sqlm_c_gs_st_start_seconds   )
       equivalence (sqlm_collected ( 73), sqlm_c_gs_st_start_microsec  )
       equivalence (sqlm_collected ( 77), sqlm_c_gs_tbl_input_state    )
       equivalence (sqlm_collected ( 81), sqlm_c_gs_tbl_output_state   )
       equivalence (sqlm_collected ( 85), sqlm_c_gs_tbl_start_seconds  )
       equivalence (sqlm_collected ( 89), sqlm_c_gs_tbl_start_microsec )
       equivalence (sqlm_collected ( 93), sqlm_c_gs_bp_input_state     )
       equivalence (sqlm_collected ( 97), sqlm_c_gs_bp_output_state    )
       equivalence (sqlm_collected (101), sqlm_c_gs_bp_start_seconds   )
       equivalence (sqlm_collected (105), sqlm_c_gs_bp_start_microsec  )
       equivalence (sqlm_collected (109), sqlm_c_gs_lk_input_state     )
       equivalence (sqlm_collected (113), sqlm_c_gs_lk_output_state    )
       equivalence (sqlm_collected (117), sqlm_c_gs_lk_start_seconds   )
       equivalence (sqlm_collected (121), sqlm_c_gs_lk_start_microsec  )
       equivalence (sqlm_collected (125), sqlm_c_gs_srt_input_state    )
       equivalence (sqlm_collected (129), sqlm_c_gs_srt_output_state   )
       equivalence (sqlm_collected (133), sqlm_c_gs_srt_start_seconds  )
       equivalence (sqlm_collected (137), sqlm_c_gs_srt_start_microsec )
       equivalence (sqlm_collected (141), sqlm_c_server_prdid          )
       equivalence (sqlm_collected (161), sqlm_c_server_nname          )
       equivalence (sqlm_collected (181), sqlm_c_server_instance_name  )
       equivalence (sqlm_collected (201), sqlm_c_reserved              )
       equivalence (sqlm_collected (233), sqlm_c_tablespace_databases  )


c ***************************************************************************
c summary application information data structutre
c ***************************************************************************

       character   sqlm_applinfo(556)

       integer*4   sqlm_ai_sqlm_size
       character   sqlm_ai_info_type
       character   sqlm_ai_filler(3)
       integer*4   sqlm_ai_agent_id
       integer*4   sqlm_ai_appl_status
       integer*4   sqlm_ai_codepage_id
       integer*4   sqlm_ai_st_change_seconds
       integer*4   sqlm_ai_st_change_microsec
       character   sqlm_ai_appl_name(sqlm_ident_sz)
       character   sqlm_ai_appl_id(sqlm_applid_sz)
       character   sqlm_ai_sequence_no(sqlm_seq_sz)
       character   sqlm_ai_auth_id(sqlm_ident_sz)
       character   sqlm_ai_client_nname(sqlm_ident_sz)
       character   sqlm_ai_client_prdid(sqlm_ident_sz)
       character   sqlm_ai_input_db_alias(sqlm_ident_sz)
       character   sqlm_ai_client_db_alias(sqlm_ident_sz)
       character   sqlm_ai_db_name(sqlm_ident_sz)
       character   sqlm_ai_db_path(sqlm_dbpath_sz)

       character   sqlm_ai_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  client identification information
       character   sqlm_ai_execution_id(sqlm_ident_sz)
       character   sqlm_ai_corr_token(sqlm_applid_sz)
       integer*4   sqlm_ai_client_pid
       integer*2   sqlm_ai_client_platform
       integer*2   sqlm_ai_client_protocol
       integer*2   sqlm_ai_country_code
       character   sqlm_ai_filler2(2)

       equivalence (sqlm_applinfo (  1),  sqlm_ai_sqlm_size          )
       equivalence (sqlm_applinfo (  5),  sqlm_ai_info_type          )
       equivalence (sqlm_applinfo (  6),  sqlm_ai_filler             )
       equivalence (sqlm_applinfo (  9),  sqlm_ai_agent_id           )
       equivalence (sqlm_applinfo ( 13),  sqlm_ai_appl_status        )
       equivalence (sqlm_applinfo ( 17),  sqlm_ai_codepage_id        )
       equivalence (sqlm_applinfo ( 21),  sqlm_ai_st_change_seconds  )
       equivalence (sqlm_applinfo ( 25),  sqlm_ai_st_change_microsec )
       equivalence (sqlm_applinfo ( 29),  sqlm_ai_appl_name          )
       equivalence (sqlm_applinfo ( 49),  sqlm_ai_appl_id            )
       equivalence (sqlm_applinfo ( 81),  sqlm_ai_sequence_no        )
       equivalence (sqlm_applinfo ( 85),  sqlm_ai_auth_id            )
       equivalence (sqlm_applinfo (105),  sqlm_ai_client_nname       )
       equivalence (sqlm_applinfo (125),  sqlm_ai_client_prdid       )
       equivalence (sqlm_applinfo (145),  sqlm_ai_input_db_alias     )
       equivalence (sqlm_applinfo (165),  sqlm_ai_client_db_alias    )
       equivalence (sqlm_applinfo (185),  sqlm_ai_db_name            )
       equivalence (sqlm_applinfo (205),  sqlm_ai_db_path            )
       equivalence (sqlm_applinfo (461),  sqlm_ai_reserved           )
       equivalence (sqlm_applinfo (493),  sqlm_ai_execution_id       )
       equivalence (sqlm_applinfo (513),  sqlm_ai_corr_token         )
       equivalence (sqlm_applinfo (545),  sqlm_ai_client_pid         )
       equivalence (sqlm_applinfo (549),  sqlm_ai_client_platform    )
       equivalence (sqlm_applinfo (551),  sqlm_ai_client_protocol    )
       equivalence (sqlm_applinfo (553),  sqlm_ai_country_code       )
       equivalence (sqlm_applinfo (555),  sqlm_ai_filler2            )

c ***************************************************************************
c DDCS application information data structutre
c ***************************************************************************

       character   sqlm_dcs_applinfo(sqlm_dcs_applinfo_sz)

       integer*4   sqlm_dcs_sqlm_size
       character   sqlm_dcs_info_type
       character   sqlm_dcs_filler(3)
       integer*4   sqlm_dcs_agent_id
       integer*4   sqlm_dcs_codepage_id
       character   sqlm_dcs_appl_name(sqlm_ident_sz)
       character   sqlm_dcs_appl_id(sqlm_applid_sz)
       character   sqlm_dcs_sequence_no(sqlm_seq_sz)
       character   sqlm_dcs_auth_id(sqlm_ident_sz)
       character   sqlm_dcs_client_nname(sqlm_ident_sz)
       character   sqlm_dcs_client_prdid(sqlm_ident_sz)
       character   sqlm_dcs_client_db_alias(sqlm_ident_sz)
       character   sqlm_dcs_db_name(sqlm_ident_sz)
       character   sqlm_dcs_host_prdid(sqlm_ident_sz)
       character   sqlm_dcs_outbound_appl_id(sqlm_applid_sz)
       character   sqlm_dcs_outbound_sequence_no(sqlm_seq_sz)

       character   sqlm_dcs_reserved(sqlm_reserved_sz)

       equivalence (sqlm_dcs_applinfo (  1), sqlm_dcs_sqlm_size       )
       equivalence (sqlm_dcs_applinfo (  5), sqlm_dcs_info_type       )
       equivalence (sqlm_dcs_applinfo (  6), sqlm_dcs_filler          )
       equivalence (sqlm_dcs_applinfo (  9), sqlm_dcs_agent_id        )
       equivalence (sqlm_dcs_applinfo ( 13), sqlm_dcs_codepage_id     )
       equivalence (sqlm_dcs_applinfo ( 17), sqlm_dcs_appl_name       )
       equivalence (sqlm_dcs_applinfo ( 37), sqlm_dcs_appl_id         )
       equivalence (sqlm_dcs_applinfo ( 69), sqlm_dcs_sequence_no     )
       equivalence (sqlm_dcs_applinfo ( 73), sqlm_dcs_auth_id         )
       equivalence (sqlm_dcs_applinfo ( 93), sqlm_dcs_client_nname    )
       equivalence (sqlm_dcs_applinfo (113), sqlm_dcs_client_prdid    )
       equivalence (sqlm_dcs_applinfo (133), sqlm_dcs_client_db_alias )
       equivalence (sqlm_dcs_applinfo (153), sqlm_dcs_db_name         )
       equivalence (sqlm_dcs_applinfo (173), sqlm_dcs_host_prdid      )
       equivalence (sqlm_dcs_applinfo (193), sqlm_dcs_outbound_appl_id)
       equivalence (sqlm_dcs_applinfo (225),
     -                                  sqlm_dcs_outbound_sequence_no )
       equivalence (sqlm_dcs_applinfo (229), sqlm_dcs_reserved        )

c ***************************************************************************
c db2 related snapshot information
c ***************************************************************************

       character sqlm_db2(120)

       integer*4   sqlm_db2_sqlm_size
       character   sqlm_db2_info_type
       character   sqlm_db2_filler(3)
       integer*4   sqlm_db2_sort_heap_allocated
       integer*4   sqlm_db2_post_threshold_sorts
       integer*4   sqlm_db2_piped_sorts_requested
       integer*4   sqlm_db2_piped_sorts_accepted
       integer*4   sqlm_db2_db2start_seconds
       integer*4   sqlm_db2_db2start_microsec
       integer*4   sqlm_db2_last_reset_seconds
       integer*4   sqlm_db2_last_reset_microsec
       integer*4   sqlm_db2_rem_cons_in
       integer*4   sqlm_db2_rem_cons_in_exec
       integer*4   sqlm_db2_local_cons
       integer*4   sqlm_db2_local_cons_in_exec
       integer*4   sqlm_db2_con_local_dbases
       integer*4   sqlm_db2_agents_registered
       integer*4   sqlm_db2_agents_waiting_on_tok

       character   sqlm_db2_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  DB2 instance status
       integer*4   sqlm_db2_db2status

c      sqlm_dbmon_version2  high water marks
       integer*4   sqlm_db2_agents_registered_top
       integer*4   sqlm_db2_agents_waiting_top

c      sqlm_dbmon_version2  DB2 instance memory usage information
       integer*4   sqlm_db2_comm_private_mem

c      sqlm_dbmon_version2  agent information
       integer*4   sqlm_db2_idle_agents


       equivalence (sqlm_db2 (  1),  sqlm_db2_sqlm_size               )
       equivalence (sqlm_db2 (  5),  sqlm_db2_info_type               )
       equivalence (sqlm_db2 (  6),  sqlm_db2_filler                  )
       equivalence (sqlm_db2 (  9),  sqlm_db2_sort_heap_allocated     )
       equivalence (sqlm_db2 ( 13),  sqlm_db2_post_threshold_sorts    )
       equivalence (sqlm_db2 ( 17),  sqlm_db2_piped_sorts_requested   )
       equivalence (sqlm_db2 ( 21),  sqlm_db2_piped_sorts_accepted    )
       equivalence (sqlm_db2 ( 25),  sqlm_db2_db2start_seconds        )
       equivalence (sqlm_db2 ( 29),  sqlm_db2_db2start_microsec       )
       equivalence (sqlm_db2 ( 33),  sqlm_db2_last_reset_seconds      )
       equivalence (sqlm_db2 ( 37),  sqlm_db2_last_reset_microsec     )
       equivalence (sqlm_db2 ( 41),  sqlm_db2_rem_cons_in             )
       equivalence (sqlm_db2 ( 45),  sqlm_db2_rem_cons_in_exec        )
       equivalence (sqlm_db2 ( 49),  sqlm_db2_local_cons              )
       equivalence (sqlm_db2 ( 53),  sqlm_db2_local_cons_in_exec      )
       equivalence (sqlm_db2 ( 57),  sqlm_db2_con_local_dbases        )
       equivalence (sqlm_db2 ( 61),  sqlm_db2_agents_registered       )
       equivalence (sqlm_db2 ( 65),  sqlm_db2_agents_waiting_on_tok   )
       equivalence (sqlm_db2 ( 69),  sqlm_db2_reserved                )
       equivalence (sqlm_db2 (101),  sqlm_db2_db2status               )
       equivalence (sqlm_db2 (105),  sqlm_db2_agents_registered_top   )
       equivalence (sqlm_db2 (109),  sqlm_db2_agents_waiting_top      )
       equivalence (sqlm_db2 (113),  sqlm_db2_comm_private_mem        )
       equivalence (sqlm_db2 (117),  sqlm_db2_idle_agents             )

c ***************************************************************************
c database related snapshot information
c ***************************************************************************

       character sqlm_dbase(640)

       integer*4   sqlm_db_sqlm_size
       character   sqlm_db_info_type
       character   sqlm_db_filler(3)
       character   sqlm_db_input_db_alias(sqlm_ident_sz)
       character   sqlm_db_db_name(sqlm_ident_sz)
       character   sqlm_db_db_path(sqlm_dbpath_sz)

c      lock information
       integer*4   sqlm_db_locks_held
       integer*4   sqlm_db_lock_waits
       integer*4   sqlm_db_lock_wait_time
       integer*4   sqlm_db_lock_list_in_use
       integer*4   sqlm_db_deadlocks
       integer*4   sqlm_db_lock_escals
       integer*4   sqlm_db_x_lock_escals
       integer*4   sqlm_db_locks_waiting

c      sorting information
       integer*4   sqlm_db_sort_heap_allocated
       integer*4   sqlm_db_total_sorts
       integer*4   sqlm_db_total_sort_time
       integer*4   sqlm_db_sort_overflows
       integer*4   sqlm_db_active_sorts

c      buffer pool information
       integer*4   sqlm_db_pool_data_l_reads
       integer*4   sqlm_db_pool_data_p_reads
       integer*4   sqlm_db_pool_data_writes
       integer*4   sqlm_db_pool_index_l_reads
       integer*4   sqlm_db_pool_index_p_reads
       integer*4   sqlm_db_pool_index_writes
       integer*4   sqlm_db_pool_read_time
       integer*4   sqlm_db_pool_write_time
       integer*4   sqlm_db_files_closed

c      sql statement counters
       integer*4   sqlm_db_commit_sql_stmts
       integer*4   sqlm_db_rollback_sql_stmts
       integer*4   sqlm_db_dynamic_sql_stmts
       integer*4   sqlm_db_static_sql_stmts
       integer*4   sqlm_db_failed_sql_stmts
       integer*4   sqlm_db_select_sql_stmts
       integer*4   sqlm_db_ddl_sql_stmts
       integer*4   sqlm_db_uid_sql_stmts

c      internal counts
       integer*4   sqlm_db_int_auto_rebinds
       integer*4   sqlm_db_int_rows_deleted
       integer*4   sqlm_db_int_rows_updated
       integer*4   sqlm_db_int_commits
       integer*4   sqlm_db_int_rollbacks
       integer*4   sqlm_db_int_deadlock_rollbacks

c      row counts
       integer*4   sqlm_db_rows_deleted
       integer*4   sqlm_db_rows_inserted
       integer*4   sqlm_db_rows_updated
       integer*4   sqlm_db_rows_selected

c      binds/precompiles
       integer*4   sqlm_db_binds_precompiles

c      timestamps
       integer*4   sqlm_db_db_conn_seconds
       integer*4   sqlm_db_db_conn_microsec
       integer*4   sqlm_db_last_reset_seconds
       integer*4   sqlm_db_last_reset_microsec
       integer*4   sqlm_db_last_backup_seconds
       integer*4   sqlm_db_last_backup_microsec

c      connection information
       integer*4   sqlm_db_total_cons
       integer*4   sqlm_db_appls_cur_cons
       integer*4   sqlm_db_appls_in_db2

c      logging information
       integer*4   sqlm_db_sec_log_used_top
       integer*4   sqlm_db_tot_log_used_top
       integer*4   sqlm_db_sec_logs_allocated

       character   sqlm_db_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  database status
       integer*4   sqlm_db_dbstatus

c      sqlm_dbmon_version2  lock information
       integer*4   sqlm_db_lock_timeouts

c      sqlm_dbmon_version2  high water marks
       integer*4   sqlm_db_connections_top
       integer*4   sqlm_db_db_heap_top

c      sqlm_dbmon_version2  buffer pool and i/o information
       integer*4   sqlm_db_pool_async_data_reads
       integer*4   sqlm_db_pool_async_data_writes
       integer*4   sqlm_db_pool_async_index_writes
       integer*4   sqlm_db_pool_async_read_time
       integer*4   sqlm_db_pool_async_write_time
       integer*4   sqlm_db_pool_async_data_read_rqs
       integer*4   sqlm_db_pool_lsn_gap_clns
       integer*4   sqlm_db_pool_drty_pg_steal_clns
       integer*4   sqlm_db_pool_drty_pg_thrsh_clns
       integer*4   sqlm_db_direct_reads
       integer*4   sqlm_db_direct_writes
       integer*4   sqlm_db_direct_read_rqs
       integer*4   sqlm_db_direct_write_rqs
       integer*4   sqlm_db_direct_read_time
       integer*4   sqlm_db_direct_write_time

c      sqlm_dbmon_version2 Internal counts
       integer*4   sqlm_db_int_rows_inserted
       integer*4   sqlm_db_int_rows_selected

c      sqlm_dbmon_version2 Logging Information
       integer*4   sqlm_db_log_reads
       integer*4   sqlm_db_log_writes

       equivalence (sqlm_dbase (  1), sqlm_db_sqlm_size                )
       equivalence (sqlm_dbase (  5), sqlm_db_info_type                )
       equivalence (sqlm_dbase (  6), sqlm_db_filler                   )
       equivalence (sqlm_dbase (  9), sqlm_db_input_db_alias           )
       equivalence (sqlm_dbase ( 29), sqlm_db_db_name                  )
       equivalence (sqlm_dbase ( 49), sqlm_db_db_path                  )
       equivalence (sqlm_dbase (305), sqlm_db_locks_held               )
       equivalence (sqlm_dbase (309), sqlm_db_lock_waits               )
       equivalence (sqlm_dbase (313), sqlm_db_lock_wait_time           )
       equivalence (sqlm_dbase (317), sqlm_db_lock_list_in_use         )
       equivalence (sqlm_dbase (321), sqlm_db_deadlocks                )
       equivalence (sqlm_dbase (325), sqlm_db_lock_escals              )
       equivalence (sqlm_dbase (329), sqlm_db_x_lock_escals            )
       equivalence (sqlm_dbase (333), sqlm_db_locks_waiting            )
       equivalence (sqlm_dbase (337), sqlm_db_sort_heap_allocated      )
       equivalence (sqlm_dbase (341), sqlm_db_total_sorts              )
       equivalence (sqlm_dbase (345), sqlm_db_total_sort_time          )
       equivalence (sqlm_dbase (349), sqlm_db_sort_overflows           )
       equivalence (sqlm_dbase (353), sqlm_db_active_sorts             )
       equivalence (sqlm_dbase (357), sqlm_db_pool_data_l_reads        )
       equivalence (sqlm_dbase (361), sqlm_db_pool_data_p_reads        )
       equivalence (sqlm_dbase (365), sqlm_db_pool_data_writes         )
       equivalence (sqlm_dbase (369), sqlm_db_pool_index_l_reads       )
       equivalence (sqlm_dbase (373), sqlm_db_pool_index_p_reads       )
       equivalence (sqlm_dbase (377), sqlm_db_pool_index_writes        )
       equivalence (sqlm_dbase (381), sqlm_db_pool_read_time           )
       equivalence (sqlm_dbase (385), sqlm_db_pool_write_time          )
       equivalence (sqlm_dbase (389), sqlm_db_files_closed             )
       equivalence (sqlm_dbase (393), sqlm_db_commit_sql_stmts         )
       equivalence (sqlm_dbase (397), sqlm_db_rollback_sql_stmts       )
       equivalence (sqlm_dbase (401), sqlm_db_dynamic_sql_stmts        )
       equivalence (sqlm_dbase (405), sqlm_db_static_sql_stmts         )
       equivalence (sqlm_dbase (409), sqlm_db_failed_sql_stmts         )
       equivalence (sqlm_dbase (413), sqlm_db_select_sql_stmts         )
       equivalence (sqlm_dbase (417), sqlm_db_ddl_sql_stmts            )
       equivalence (sqlm_dbase (421), sqlm_db_uid_sql_stmts            )
       equivalence (sqlm_dbase (425), sqlm_db_int_auto_rebinds         )
       equivalence (sqlm_dbase (429), sqlm_db_int_rows_deleted         )
       equivalence (sqlm_dbase (433), sqlm_db_int_rows_updated         )
       equivalence (sqlm_dbase (437), sqlm_db_int_commits              )
       equivalence (sqlm_dbase (441), sqlm_db_int_rollbacks            )
       equivalence (sqlm_dbase (445), sqlm_db_int_deadlock_rollbacks   )
       equivalence (sqlm_dbase (449), sqlm_db_rows_deleted             )
       equivalence (sqlm_dbase (453), sqlm_db_rows_inserted            )
       equivalence (sqlm_dbase (457), sqlm_db_rows_updated             )
       equivalence (sqlm_dbase (461), sqlm_db_rows_selected            )
       equivalence (sqlm_dbase (465), sqlm_db_binds_precompiles        )
       equivalence (sqlm_dbase (469), sqlm_db_db_conn_seconds          )
       equivalence (sqlm_dbase (473), sqlm_db_db_conn_microsec         )
       equivalence (sqlm_dbase (477), sqlm_db_last_reset_seconds       )
       equivalence (sqlm_dbase (481), sqlm_db_last_reset_microsec      )
       equivalence (sqlm_dbase (485), sqlm_db_last_backup_seconds      )
       equivalence (sqlm_dbase (489), sqlm_db_last_backup_microsec     )
       equivalence (sqlm_dbase (493), sqlm_db_total_cons               )
       equivalence (sqlm_dbase (497), sqlm_db_appls_cur_cons           )
       equivalence (sqlm_dbase (501), sqlm_db_appls_in_db2             )
       equivalence (sqlm_dbase (505), sqlm_db_sec_log_used_top         )
       equivalence (sqlm_dbase (509), sqlm_db_tot_log_used_top         )
       equivalence (sqlm_dbase (513), sqlm_db_sec_logs_allocated       )
       equivalence (sqlm_dbase (517), sqlm_db_reserved                 )
       equivalence (sqlm_dbase (549), sqlm_db_dbstatus                 )
       equivalence (sqlm_dbase (553), sqlm_db_lock_timeouts            )
       equivalence (sqlm_dbase (557), sqlm_db_connections_top          )
       equivalence (sqlm_dbase (561), sqlm_db_db_heap_top              )
       equivalence (sqlm_dbase (565), sqlm_db_pool_async_data_reads    )
       equivalence (sqlm_dbase (569), sqlm_db_pool_async_data_writes   )
       equivalence (sqlm_dbase (573), sqlm_db_pool_async_index_writes  )
       equivalence (sqlm_dbase (577), sqlm_db_pool_async_read_time     )
       equivalence (sqlm_dbase (581), sqlm_db_pool_async_write_time    )
       equivalence (sqlm_dbase (585), sqlm_db_pool_async_data_read_rqs )
       equivalence (sqlm_dbase (589), sqlm_db_pool_lsn_gap_clns        )
       equivalence (sqlm_dbase (593), sqlm_db_pool_drty_pg_steal_clns  )
       equivalence (sqlm_dbase (597), sqlm_db_pool_drty_pg_thrsh_clns  )
       equivalence (sqlm_dbase (601), sqlm_db_direct_reads             )
       equivalence (sqlm_dbase (605), sqlm_db_direct_writes            )
       equivalence (sqlm_dbase (609), sqlm_db_direct_read_rqs          )
       equivalence (sqlm_dbase (613), sqlm_db_direct_write_rqs         )
       equivalence (sqlm_dbase (617), sqlm_db_direct_read_time         )
       equivalence (sqlm_dbase (621), sqlm_db_direct_write_time        )
       equivalence (sqlm_dbase (625), sqlm_db_int_rows_inserted        )
       equivalence (sqlm_dbase (629), sqlm_db_int_rows_selected        )
       equivalence (sqlm_dbase (633), sqlm_db_log_reads                )
       equivalence (sqlm_dbase (637), sqlm_db_log_writes               )



c ***************************************************************************
c application related snapshot information
c ***************************************************************************

       character sqlm_appl(1090)

       integer*4   sqlm_a_sqlm_size
       character   sqlm_a_info_type
       character   sqlm_a_filler(3)
       integer*4   sqlm_a_agent_id
       integer*4   sqlm_a_appl_status
       integer*4   sqlm_a_codepage_id
       integer*4   sqlm_a_st_change_seconds
       integer*4   sqlm_a_st_change_microsec
       character   sqlm_a_appl_name(sqlm_ident_sz)
       character   sqlm_a_appl_id(sqlm_applid_sz)
       character   sqlm_a_sequence_no(sqlm_seq_sz)
       character   sqlm_a_auth_id(sqlm_ident_sz)
       character   sqlm_a_client_nname(sqlm_ident_sz)
       character   sqlm_a_client_prdid(sqlm_ident_sz)
       character   sqlm_a_input_db_alias(sqlm_ident_sz)
       character   sqlm_a_client_db_alias(sqlm_ident_sz)
       character   sqlm_a_db_name(sqlm_ident_sz)
       character   sqlm_a_db_path(sqlm_dbpath_sz)

c      lock information
       integer*4   sqlm_a_locks_held
       integer*4   sqlm_a_lock_waits
       integer*4   sqlm_a_lock_wait_time
       integer*4   sqlm_a_lock_escals
       integer*4   sqlm_a_x_lock_escals
       integer*4   sqlm_a_deadlocks
       integer*4   sqlm_a_uow_lock_wait_time
       integer*4   sqlm_a_agent_id_holding_lk
       integer*4   sqlm_a_table_file_id
       integer*4   sqlm_a_lock_mode
       integer*4   sqlm_a_lock_object_type
       integer*4   sqlm_a_lock_object_name
       integer*4   sqlm_a_lk_wait_start_seconds
       integer*4   sqlm_a_lk_wait_start_microsec
       character   sqlm_a_appl_id_holding_lk(sqlm_applid_sz)
       character   sqlm_a_sequence_no_holding_lk(sqlm_seq_sz)

c      sorting information
       integer*4   sqlm_a_total_sorts
       integer*4   sqlm_a_total_sort_time
       integer*4   sqlm_a_sort_overflows

c      buffer pool information
       integer*4   sqlm_a_pool_data_l_reads
       integer*4   sqlm_a_pool_data_p_reads
       integer*4   sqlm_a_pool_data_writes
       integer*4   sqlm_a_pool_index_l_reads
       integer*4   sqlm_a_pool_index_p_reads
       integer*4   sqlm_a_pool_index_writes
       integer*4   sqlm_a_pool_read_time
       integer*4   sqlm_a_pool_write_time

c      sql statement counters
       integer*4   sqlm_a_commit_sql_stmts
       integer*4   sqlm_a_rollback_sql_stmts
       integer*4   sqlm_a_dynamic_sql_stmts
       integer*4   sqlm_a_static_sql_stmts
       integer*4   sqlm_a_failed_sql_stmts
       integer*4   sqlm_a_select_sql_stmts
       integer*4   sqlm_a_ddl_sql_stmts
       integer*4   sqlm_a_uid_sql_stmts

c      internal counts
       integer*4   sqlm_a_int_auto_rebinds
       integer*4   sqlm_a_int_rows_deleted
       integer*4   sqlm_a_int_rows_updated
       integer*4   sqlm_a_int_commits
       integer*4   sqlm_a_int_rollbacks
       integer*4   sqlm_a_int_deadlock_rollbacks

c      row counts
       integer*4   sqlm_a_rows_deleted
       integer*4   sqlm_a_rows_inserted
       integer*4   sqlm_a_rows_updated
       integer*4   sqlm_a_rows_selected

c      binds/precompiles
       integer*4   sqlm_a_binds_precompiles

c      statement information
       integer*4   sqlm_a_stmt_type
       integer*4   sqlm_a_stmt_operation
       integer*4   sqlm_a_section_number
       integer*4   sqlm_a_stmt_length
       integer*4   sqlm_a_stmt_sorts
       integer*4   sqlm_a_stmt_start_seconds
       integer*4   sqlm_a_stmt_start_microsec
       integer*4   sqlm_a_stmt_stop_seconds
       integer*4   sqlm_a_stmt_stop_microsec
       character   sqlm_a_cursor_name(sqlm_ident_sz)
       character   sqlm_a_creator(sqlm_ident_sz)
       character   sqlm_a_package_name(sqlm_ident_sz)

c      unit of work information
       integer*4   sqlm_a_uow_log_space_used
       integer*4   sqlm_a_uow_comp_status
       integer*4   sqlm_a_prev_uow_stop_seconds
       integer*4   sqlm_a_prev_uow_stop_microsec
       integer*4   sqlm_a_uow_start_seconds
       integer*4   sqlm_a_uow_start_microsec
       integer*4   sqlm_a_uow_stop_seconds
       integer*4   sqlm_a_uow_stop_microsec

c      remote cursor information
       integer*4   sqlm_a_open_rem_curs
       integer*4   sqlm_a_open_rem_curs_blk
       integer*4   sqlm_a_rej_curs_blk
       integer*4   sqlm_a_acc_curs_blk

c      timestamps
       integer*4   sqlm_a_appl_conn_seconds
       integer*4   sqlm_a_appl_conn_microsec
       integer*4   sqlm_a_conn_comp_seconds
       integer*4   sqlm_a_conn_comp_microsec
       integer*4   sqlm_a_last_reset_seconds
       integer*4   sqlm_a_last_reset_microsec

c      communication information
       integer*4   sqlm_a_curr_comm_heap_size
       integer*4   sqlm_a_max_comm_heap_size

       character   sqlm_a_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  lock wait information
       character   sqlm_a_table_name(sqlm_ident_sz)
       character   sqlm_a_table_schema(sqlm_ident_sz)
       character   sqlm_a_tablespace_name(sqlm_ident_sz)

c      sqlm_dbmon_version2  lock information
       integer*4   sqlm_a_lock_timeouts

c      sqlm_dbmon_version2  agent cpu times
       integer*4   sqlm_a_agent_usr_cpu_time_seconds
       integer*4   sqlm_a_agent_usr_cpu_time_microsec
       integer*4   sqlm_a_agent_sys_cpu_time_seconds
       integer*4   sqlm_a_agent_sys_cpu_time_microsec

c      sqlm_dbmon_version2  sql statement cpu times
       integer*4   sqlm_a_stmt_usr_cpu_time_seconds
       integer*4   sqlm_a_stmt_usr_cpu_time_microsec
       integer*4   sqlm_a_stmt_sys_cpu_time_seconds
       integer*4   sqlm_a_stmt_sys_cpu_time_microsec

c      sqlm_dbmon_version2  internal counts
       integer*4   sqlm_a_int_rows_inserted
       integer*4   sqlm_a_int_rows_selected

c      sqlm_dbmon_version2  row counts
       integer*4   sqlm_a_rows_read
       integer*4   sqlm_a_rows_written

c      sqlm_dbmon_version2  i/o information
       integer*4   sqlm_a_direct_reads
       integer*4   sqlm_a_direct_writes
       integer*4   sqlm_a_direct_read_rqs
       integer*4   sqlm_a_direct_write_rqs
       integer*4   sqlm_a_direct_read_time
       integer*4   sqlm_a_direct_write_time

c      sqlm_dbmon_version2  local cursor information
       integer*4   sqlm_a_open_loc_curs
       integer*4   sqlm_a_open_loc_curs_blk

c      sqlm_dbmon_version2  client identification information
       character   sqlm_a_execution_id(sqlm_ident_sz)
       character   sqlm_a_corr_token(sqlm_applid_sz)
       integer*4   sqlm_a_client_pid
       integer*2   sqlm_a_client_platform
       integer*2   sqlm_a_client_protocol
       integer*2   sqlm_a_country_code
       character   sqlm_a_filler2(2)



      equivalence (sqlm_appl (   1), sqlm_a_sqlm_size                  )
      equivalence (sqlm_appl (   5), sqlm_a_info_type                  )
      equivalence (sqlm_appl (   6), sqlm_a_filler                     )
      equivalence (sqlm_appl (   9), sqlm_a_agent_id                   )
      equivalence (sqlm_appl (  13), sqlm_a_appl_status                )
      equivalence (sqlm_appl (  17), sqlm_a_codepage_id                )
      equivalence (sqlm_appl (  21), sqlm_a_st_change_seconds          )
      equivalence (sqlm_appl (  25), sqlm_a_st_change_microsec         )
      equivalence (sqlm_appl (  29), sqlm_a_appl_name                  )
      equivalence (sqlm_appl (  49), sqlm_a_appl_id                    )
      equivalence (sqlm_appl (  81), sqlm_a_sequence_no                )
      equivalence (sqlm_appl (  85), sqlm_a_auth_id                    )
      equivalence (sqlm_appl ( 105), sqlm_a_client_nname               )
      equivalence (sqlm_appl ( 125), sqlm_a_client_prdid               )
      equivalence (sqlm_appl ( 145), sqlm_a_input_db_alias             )
      equivalence (sqlm_appl ( 165), sqlm_a_client_db_alias            )
      equivalence (sqlm_appl ( 185), sqlm_a_db_name                    )
      equivalence (sqlm_appl ( 205), sqlm_a_db_path                    )
      equivalence (sqlm_appl ( 461), sqlm_a_locks_held                 )
      equivalence (sqlm_appl ( 465), sqlm_a_lock_waits                 )
      equivalence (sqlm_appl ( 469), sqlm_a_lock_wait_time             )
      equivalence (sqlm_appl ( 473), sqlm_a_lock_escals                )
      equivalence (sqlm_appl ( 477), sqlm_a_x_lock_escals              )
      equivalence (sqlm_appl ( 481), sqlm_a_deadlocks                  )
      equivalence (sqlm_appl ( 485), sqlm_a_uow_lock_wait_time         )
      equivalence (sqlm_appl ( 489), sqlm_a_agent_id_holding_lk        )
      equivalence (sqlm_appl ( 493), sqlm_a_table_file_id              )
      equivalence (sqlm_appl ( 497), sqlm_a_lock_mode                  )
      equivalence (sqlm_appl ( 501), sqlm_a_lock_object_type           )
      equivalence (sqlm_appl ( 505), sqlm_a_lock_object_name           )
      equivalence (sqlm_appl ( 509), sqlm_a_lk_wait_start_seconds      )
      equivalence (sqlm_appl ( 513), sqlm_a_lk_wait_start_microsec     )
      equivalence (sqlm_appl ( 517), sqlm_a_appl_id_holding_lk         )
      equivalence (sqlm_appl ( 549), sqlm_a_sequence_no_holding_lk     )
      equivalence (sqlm_appl ( 553), sqlm_a_total_sorts                )
      equivalence (sqlm_appl ( 557), sqlm_a_total_sort_time            )
      equivalence (sqlm_appl ( 561), sqlm_a_sort_overflows             )
      equivalence (sqlm_appl ( 565), sqlm_a_pool_data_l_reads          )
      equivalence (sqlm_appl ( 569), sqlm_a_pool_data_p_reads          )
      equivalence (sqlm_appl ( 573), sqlm_a_pool_data_writes           )
      equivalence (sqlm_appl ( 577), sqlm_a_pool_index_l_reads         )
      equivalence (sqlm_appl ( 581), sqlm_a_pool_index_p_reads         )
      equivalence (sqlm_appl ( 585), sqlm_a_pool_index_writes          )
      equivalence (sqlm_appl ( 589), sqlm_a_pool_read_time             )
      equivalence (sqlm_appl ( 593), sqlm_a_pool_write_time            )
      equivalence (sqlm_appl ( 597), sqlm_a_commit_sql_stmts           )
      equivalence (sqlm_appl ( 601), sqlm_a_rollback_sql_stmts         )
      equivalence (sqlm_appl ( 605), sqlm_a_dynamic_sql_stmts          )
      equivalence (sqlm_appl ( 609), sqlm_a_static_sql_stmts           )
      equivalence (sqlm_appl ( 613), sqlm_a_failed_sql_stmts           )
      equivalence (sqlm_appl ( 617), sqlm_a_select_sql_stmts           )
      equivalence (sqlm_appl ( 621), sqlm_a_ddl_sql_stmts              )
      equivalence (sqlm_appl ( 625), sqlm_a_uid_sql_stmts              )
      equivalence (sqlm_appl ( 629), sqlm_a_int_auto_rebinds           )
      equivalence (sqlm_appl ( 633), sqlm_a_int_rows_deleted           )
      equivalence (sqlm_appl ( 637), sqlm_a_int_rows_updated           )
      equivalence (sqlm_appl ( 641), sqlm_a_int_commits                )
      equivalence (sqlm_appl ( 645), sqlm_a_int_rollbacks              )
      equivalence (sqlm_appl ( 649), sqlm_a_int_deadlock_rollbacks     )
      equivalence (sqlm_appl ( 653), sqlm_a_rows_deleted               )
      equivalence (sqlm_appl ( 657), sqlm_a_rows_inserted              )
      equivalence (sqlm_appl ( 661), sqlm_a_rows_updated               )
      equivalence (sqlm_appl ( 665), sqlm_a_rows_selected              )
      equivalence (sqlm_appl ( 669), sqlm_a_binds_precompiles          )
      equivalence (sqlm_appl ( 673), sqlm_a_stmt_type                  )
      equivalence (sqlm_appl ( 677), sqlm_a_stmt_operation             )
      equivalence (sqlm_appl ( 681), sqlm_a_section_number             )
      equivalence (sqlm_appl ( 685), sqlm_a_stmt_length                )
      equivalence (sqlm_appl ( 689), sqlm_a_stmt_sorts                 )
      equivalence (sqlm_appl ( 693), sqlm_a_stmt_start_seconds         )
      equivalence (sqlm_appl ( 697), sqlm_a_stmt_start_microsec        )
      equivalence (sqlm_appl ( 701), sqlm_a_stmt_stop_seconds          )
      equivalence (sqlm_appl ( 705), sqlm_a_stmt_stop_microsec         )
      equivalence (sqlm_appl ( 709), sqlm_a_cursor_name                )
      equivalence (sqlm_appl ( 729), sqlm_a_creator                    )
      equivalence (sqlm_appl ( 749), sqlm_a_package_name               )
      equivalence (sqlm_appl ( 769), sqlm_a_uow_log_space_used         )
      equivalence (sqlm_appl ( 773), sqlm_a_uow_comp_status            )
      equivalence (sqlm_appl ( 777), sqlm_a_prev_uow_stop_seconds      )
      equivalence (sqlm_appl ( 781), sqlm_a_prev_uow_stop_microsec     )
      equivalence (sqlm_appl ( 785), sqlm_a_uow_start_seconds          )
      equivalence (sqlm_appl ( 789), sqlm_a_uow_start_microsec         )
      equivalence (sqlm_appl ( 793), sqlm_a_uow_stop_seconds           )
      equivalence (sqlm_appl ( 797), sqlm_a_uow_stop_microsec          )
      equivalence (sqlm_appl ( 801), sqlm_a_open_rem_curs              )
      equivalence (sqlm_appl ( 805), sqlm_a_open_rem_curs_blk          )
      equivalence (sqlm_appl ( 809), sqlm_a_rej_curs_blk               )
      equivalence (sqlm_appl ( 813), sqlm_a_acc_curs_blk               )
      equivalence (sqlm_appl ( 817), sqlm_a_appl_conn_seconds          )
      equivalence (sqlm_appl ( 821), sqlm_a_appl_conn_microsec         )
      equivalence (sqlm_appl ( 825), sqlm_a_conn_comp_seconds          )
      equivalence (sqlm_appl ( 829), sqlm_a_conn_comp_microsec         )
      equivalence (sqlm_appl ( 833), sqlm_a_last_reset_seconds         )
      equivalence (sqlm_appl ( 837), sqlm_a_last_reset_microsec        )
      equivalence (sqlm_appl ( 841), sqlm_a_curr_comm_heap_size        )
      equivalence (sqlm_appl ( 845), sqlm_a_max_comm_heap_size         )
      equivalence (sqlm_appl ( 849), sqlm_a_reserved                   )
      equivalence (sqlm_appl ( 881), sqlm_a_table_name                 )
      equivalence (sqlm_appl ( 901), sqlm_a_table_schema               )
      equivalence (sqlm_appl ( 921), sqlm_a_tablespace_name            )
      equivalence (sqlm_appl ( 941), sqlm_a_lock_timeouts              )
      equivalence (sqlm_appl ( 945), sqlm_a_agent_usr_cpu_time_seconds )
      equivalence (sqlm_appl ( 949), sqlm_a_agent_usr_cpu_time_microsec)
      equivalence (sqlm_appl ( 953), sqlm_a_agent_sys_cpu_time_seconds )
      equivalence (sqlm_appl ( 957), sqlm_a_agent_sys_cpu_time_microsec)
      equivalence (sqlm_appl ( 961), sqlm_a_stmt_usr_cpu_time_seconds  )
      equivalence (sqlm_appl ( 965), sqlm_a_stmt_usr_cpu_time_microsec )
      equivalence (sqlm_appl ( 969), sqlm_a_stmt_sys_cpu_time_seconds  )
      equivalence (sqlm_appl ( 973), sqlm_a_stmt_sys_cpu_time_microsec )
      equivalence (sqlm_appl ( 977), sqlm_a_int_rows_inserted          )
      equivalence (sqlm_appl ( 981), sqlm_a_int_rows_selected          )
      equivalence (sqlm_appl ( 985), sqlm_a_rows_read                  )
      equivalence (sqlm_appl ( 989), sqlm_a_rows_written               )
      equivalence (sqlm_appl ( 993), sqlm_a_direct_reads               )
      equivalence (sqlm_appl ( 997), sqlm_a_direct_writes              )
      equivalence (sqlm_appl (1001), sqlm_a_direct_read_rqs            )
      equivalence (sqlm_appl (1005), sqlm_a_direct_write_rqs           )
      equivalence (sqlm_appl (1009), sqlm_a_direct_read_time           )
      equivalence (sqlm_appl (1013), sqlm_a_direct_write_time          )
      equivalence (sqlm_appl (1017), sqlm_a_open_loc_curs              )
      equivalence (sqlm_appl (1021), sqlm_a_open_loc_curs_blk          )
      equivalence (sqlm_appl (1025), sqlm_a_execution_id               )
      equivalence (sqlm_appl (1045), sqlm_a_corr_token                 )
      equivalence (sqlm_appl (1077), sqlm_a_client_pid                 )
      equivalence (sqlm_appl (1081), sqlm_a_client_platform            )
      equivalence (sqlm_appl (1083), sqlm_a_client_protocol            )
      equivalence (sqlm_appl (1085), sqlm_a_country_code               )
      equivalence (sqlm_appl (1087), sqlm_a_filler2                    )


c ***************************************************************************
c table related snapshot information
c ***************************************************************************


c      table header information

       character   sqlm_table_header(sqlm_table_header_sz)

       integer*4   sqlm_th_sqlm_size
       character   sqlm_th_info_type
       character   sqlm_th_filler(3)
       integer*4   sqlm_th_num_tables
       integer*4   sqlm_th_db_conn_seconds
       integer*4   sqlm_th_db_conn_microsec
       integer*4   sqlm_th_last_reset_seconds
       integer*4   sqlm_th_last_reset_microsec
       character   sqlm_th_input_db_alias(sqlm_ident_sz)
       character   sqlm_th_db_name(sqlm_ident_sz)
       character   sqlm_th_db_path(sqlm_dbpath_sz)

       character   sqlm_th_reserved(sqlm_reserved_sz)


      equivalence (sqlm_table_header (  1), sqlm_th_sqlm_size          )
      equivalence (sqlm_table_header (  5), sqlm_th_info_type          )
      equivalence (sqlm_table_header (  6), sqlm_th_filler             )
      equivalence (sqlm_table_header (  9), sqlm_th_num_tables         )
      equivalence (sqlm_table_header ( 13), sqlm_th_db_conn_seconds    )
      equivalence (sqlm_table_header ( 17), sqlm_th_db_conn_microsec   )
      equivalence (sqlm_table_header ( 21), sqlm_th_last_reset_seconds )
      equivalence (sqlm_table_header ( 25), sqlm_th_last_reset_microsec)
      equivalence (sqlm_table_header ( 29), sqlm_th_input_db_alias     )
      equivalence (sqlm_table_header ( 49), sqlm_th_db_name            )
      equivalence (sqlm_table_header ( 69), sqlm_th_db_path            )
      equivalence (sqlm_table_header (325), sqlm_th_reserved           )


c      individual table information

       character   sqlm_table(100)

       integer*4   sqlm_t_sqlm_size
       character   sqlm_t_info_type
       character   sqlm_t_filler(3)
       integer*4   sqlm_t_table_file_id
       integer*4   sqlm_t_table_type
       integer*4   sqlm_t_rows_written
       integer*4   sqlm_t_rows_read
       integer*4   sqlm_t_overflow_accesses

       character   sqlm_t_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  table identification
       character   sqlm_t_table_name(sqlm_ident_sz)
       character   sqlm_t_table_schema(sqlm_ident_sz)


       equivalence (sqlm_table ( 1), sqlm_t_sqlm_size            )
       equivalence (sqlm_table ( 5), sqlm_t_info_type            )
       equivalence (sqlm_table ( 6), sqlm_t_filler               )
       equivalence (sqlm_table ( 9), sqlm_t_table_file_id        )
       equivalence (sqlm_table (13), sqlm_t_table_type           )
       equivalence (sqlm_table (17), sqlm_t_rows_written         )
       equivalence (sqlm_table (21), sqlm_t_rows_read            )
       equivalence (sqlm_table (25), sqlm_t_overflow_accesses    )
       equivalence (sqlm_table (29), sqlm_t_reserved             )
       equivalence (sqlm_table (61), sqlm_t_table_name           )
       equivalence (sqlm_table (81), sqlm_t_table_schema         )

c ***************************************************************************
c lock related information
c ***************************************************************************

c      database lock information

       character   sqlm_dbase_lock(sqlm_dbase_lock_sz)

       integer*4   sqlm_dl_sqlm_size
       character   sqlm_dl_info_type
       character   sqlm_dl_filler(3)
       integer*4   sqlm_dl_locks_held
       integer*4   sqlm_dl_appls_cur_cons
       integer*4   sqlm_dl_num_appls
       integer*4   sqlm_dl_locks_waiting
       character   sqlm_dl_input_db_alias(sqlm_ident_sz)
       character   sqlm_dl_db_name(sqlm_ident_sz)
       character   sqlm_dl_db_path(sqlm_dbpath_sz)

       character   sqlm_dl_reserved(sqlm_reserved_sz)


       equivalence (sqlm_dbase_lock (  1), sqlm_dl_sqlm_size      )
       equivalence (sqlm_dbase_lock (  5), sqlm_dl_info_type      )
       equivalence (sqlm_dbase_lock (  6), sqlm_dl_filler         )
       equivalence (sqlm_dbase_lock (  9), sqlm_dl_locks_held     )
       equivalence (sqlm_dbase_lock ( 13), sqlm_dl_appls_cur_cons )
       equivalence (sqlm_dbase_lock ( 17), sqlm_dl_num_appls      )
       equivalence (sqlm_dbase_lock ( 21), sqlm_dl_locks_waiting  )
       equivalence (sqlm_dbase_lock ( 25), sqlm_dl_input_db_alias )
       equivalence (sqlm_dbase_lock ( 45), sqlm_dl_db_name        )
       equivalence (sqlm_dbase_lock ( 65), sqlm_dl_db_path        )
       equivalence (sqlm_dbase_lock (321), sqlm_dl_reserved       )


c      application lock information

       character   sqlm_appl_lock(276)

       integer*4   sqlm_al_sqlm_size
       character   sqlm_al_info_type
       character   sqlm_al_filler(3)
       integer*4   sqlm_al_agent_id
       integer*4   sqlm_al_appl_status
       integer*4   sqlm_al_codepage_id
       integer*4   sqlm_al_locks_held
       integer*4   sqlm_al_num_locks
       integer*4   sqlm_al_st_change_seconds
       integer*4   sqlm_al_st_change_microsec
       character   sqlm_al_appl_id(sqlm_applid_sz)
       character   sqlm_al_sequence_no(sqlm_seq_sz)
       character   sqlm_al_appl_name(sqlm_ident_sz)
       character   sqlm_al_auth_id(sqlm_ident_sz)
       character   sqlm_al_client_db_alias(sqlm_ident_sz)
       integer*4   sqlm_al_agent_id_holding_lk
       integer*4   sqlm_al_lock_object_name
       integer*4   sqlm_al_lock_object_type
       integer*4   sqlm_al_table_file_id
       character   sqlm_al_appl_id_holding_lk(sqlm_applid_sz)
       character   sqlm_al_sequence_no_holding_lk(sqlm_seq_sz)

       character   sqlm_al_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  Lock Wait Information
       character   sqlm_al_table_name(sqlm_ident_sz)
       character   sqlm_al_table_schema(sqlm_ident_sz)
       character   sqlm_al_tablespace_name(sqlm_ident_sz)


       equivalence (sqlm_appl_lock (  1), sqlm_al_sqlm_size            )
       equivalence (sqlm_appl_lock (  5), sqlm_al_info_type            )
       equivalence (sqlm_appl_lock (  6), sqlm_al_filler               )
       equivalence (sqlm_appl_lock (  9), sqlm_al_agent_id             )
       equivalence (sqlm_appl_lock ( 13), sqlm_al_appl_status          )
       equivalence (sqlm_appl_lock ( 17), sqlm_al_codepage_id          )
       equivalence (sqlm_appl_lock ( 21), sqlm_al_locks_held           )
       equivalence (sqlm_appl_lock ( 25), sqlm_al_num_locks            )
       equivalence (sqlm_appl_lock ( 29), sqlm_al_st_change_seconds    )
       equivalence (sqlm_appl_lock ( 33), sqlm_al_st_change_microsec   )
       equivalence (sqlm_appl_lock ( 37), sqlm_al_appl_id              )
       equivalence (sqlm_appl_lock ( 69), sqlm_al_sequence_no          )
       equivalence (sqlm_appl_lock ( 73), sqlm_al_appl_name            )
       equivalence (sqlm_appl_lock ( 93), sqlm_al_auth_id              )
       equivalence (sqlm_appl_lock (113), sqlm_al_client_db_alias      )
       equivalence (sqlm_appl_lock (133), sqlm_al_agent_id_holding_lk  )
       equivalence (sqlm_appl_lock (137), sqlm_al_lock_object_name     )
       equivalence (sqlm_appl_lock (141), sqlm_al_lock_object_type     )
       equivalence (sqlm_appl_lock (145), sqlm_al_table_file_id        )
       equivalence (sqlm_appl_lock (149), sqlm_al_appl_id_holding_lk   )
       equivalence (sqlm_appl_lock (181),sqlm_al_sequence_no_holding_lk)
       equivalence (sqlm_appl_lock (185), sqlm_al_reserved             )
       equivalence (sqlm_appl_lock (217), sqlm_al_table_name           )
       equivalence (sqlm_appl_lock (237), sqlm_al_table_schema         )
       equivalence (sqlm_appl_lock (257), sqlm_al_tablespace_name      )


c      individual lock information

       character   sqlm_lock(120)

       integer*4   sqlm_l_sqlm_size
       character   sqlm_l_info_type
       character   sqlm_l_filler(3)
       integer*4   sqlm_l_table_file_id
       integer*4   sqlm_l_lock_object_type
       integer*4   sqlm_l_lock_mode
       integer*4   sqlm_l_lock_status
       integer*4   sqlm_l_lock_object_name

       character   sqlm_l_reserved(sqlm_reserved_sz)

c      sqlm_dbmon_version2  lock information                                    */
       character   sqlm_l_table_name(sqlm_ident_sz)
       character   sqlm_l_table_schema(sqlm_ident_sz)
       character   sqlm_l_tablespace_name(sqlm_ident_sz)


       equivalence (sqlm_lock (  1), sqlm_l_sqlm_size        )
       equivalence (sqlm_lock (  5), sqlm_l_info_type        )
       equivalence (sqlm_lock (  6), sqlm_l_filler           )
       equivalence (sqlm_lock (  9), sqlm_l_table_file_id    )
       equivalence (sqlm_lock ( 13), sqlm_l_lock_object_type )
       equivalence (sqlm_lock ( 17), sqlm_l_lock_mode        )
       equivalence (sqlm_lock ( 21), sqlm_l_lock_status      )
       equivalence (sqlm_lock ( 25), sqlm_l_lock_object_name )
       equivalence (sqlm_lock ( 29), sqlm_l_reserved         )
       equivalence (sqlm_lock ( 61), sqlm_l_table_name       )
       equivalence (sqlm_lock ( 81), sqlm_l_table_schema     )
       equivalence (sqlm_lock (101), sqlm_l_tablespace_name  )


c ***************************************************************************
c Tablespace Related Snapshot Information
c ***************************************************************************

c tablespace header

      character   sqlm_tablespace_header(356)

      integer*4   sqlm_tsh_sqlm_size
      character   sqlm_tsh_info_type
      character   sqlm_tsh_filler(3)
      integer*4   sqlm_tsh_num_tablespaces
      integer*4   sqlm_tsh_db_conn_seconds
      integer*4   sqlm_tsh_db_conn_microsec
      integer*4   sqlm_tsh_last_reset_seconds
      integer*4   sqlm_tsh_last_reset_microsec
      character   sqlm_tsh_input_db_alias(sqlm_ident_sz)
      character   sqlm_tsh_db_name(sqlm_ident_sz)
      character   sqlm_tsh_db_path(sqlm_dbpath_sz)

      character   sqlm_tsh_reserved(sqlm_reserved_sz)


      equivalence (sqlm_tablespace_header(  1), sqlm_tsh_sqlm_size     )
      equivalence (sqlm_tablespace_header(  5), sqlm_tsh_info_type     )
      equivalence (sqlm_tablespace_header(  6), sqlm_tsh_filler        )
      equivalence (sqlm_tablespace_header(  9),
     +                                     sqlm_tsh_num_tablespaces    )
      equivalence (sqlm_tablespace_header( 13),
     +                                     sqlm_tsh_db_conn_seconds    )
      equivalence (sqlm_tablespace_header( 17),
     +                                     sqlm_tsh_db_conn_microsec   )
      equivalence (sqlm_tablespace_header( 21),
     +                                     sqlm_tsh_last_reset_seconds )
      equivalence (sqlm_tablespace_header( 25),
     +                                     sqlm_tsh_last_reset_microsec)
      equivalence (sqlm_tablespace_header( 29), sqlm_tsh_input_db_alias)
      equivalence (sqlm_tablespace_header( 49), sqlm_tsh_db_name       )
      equivalence (sqlm_tablespace_header( 69), sqlm_tsh_db_path       )
      equivalence (sqlm_tablespace_header(325), sqlm_tsh_reserved      )


c individual tablespace information

      character   sqlm_tablespace(134)

      integer*4   sqlm_ts_sqlm_size
      character   sqlm_ts_info_type
      character   sqlm_ts_filler(3)
      character   sqlm_ts_tablespace_name(sqlm_ident_sz)
      integer*4   sqlm_ts_pool_data_l_reads
      integer*4   sqlm_ts_pool_data_p_reads
      integer*4   sqlm_ts_pool_async_data_reads
      integer*4   sqlm_ts_pool_data_writes
      integer*4   sqlm_ts_pool_async_data_writes
      integer*4   sqlm_ts_pool_index_l_reads
      integer*4   sqlm_ts_pool_index_p_reads
      integer*4   sqlm_ts_pool_index_writes
      integer*4   sqlm_ts_pool_async_index_writes
      integer*4   sqlm_ts_pool_read_time
      integer*4   sqlm_ts_pool_write_time
      integer*4   sqlm_ts_pool_async_read_time
      integer*4   sqlm_ts_pool_async_write_time
      integer*4   sqlm_ts_pool_async_data_read_rqs
      integer*4   sqlm_ts_direct_reads
      integer*4   sqlm_ts_direct_writes
      integer*4   sqlm_ts_direct_read_rqs
      integer*4   sqlm_ts_direct_write_rqs
      integer*4   sqlm_ts_direct_read_time
      integer*4   sqlm_ts_direct_write_time
      integer*4   sqlm_ts_files_closed

      character   sqlm_ts_reserved(sqlm_reserved_sz)

      equivalence (sqlm_tablespace (  1), sqlm_ts_sqlm_size            )
      equivalence (sqlm_tablespace (  5), sqlm_ts_info_type            )
      equivalence (sqlm_tablespace (  6), sqlm_ts_filler               )
      equivalence (sqlm_tablespace (  9), sqlm_ts_tablespace_name      )
      equivalence (sqlm_tablespace ( 29), sqlm_ts_pool_data_l_reads    )
      equivalence (sqlm_tablespace ( 33), sqlm_ts_pool_data_p_reads    )
      equivalence (sqlm_tablespace ( 37), sqlm_ts_pool_async_data_reads)
      equivalence (sqlm_tablespace ( 41), sqlm_ts_pool_data_writes     )
      equivalence (sqlm_tablespace ( 45),
     +                                sqlm_ts_pool_async_data_writes   )
      equivalence (sqlm_tablespace ( 49), sqlm_ts_pool_index_l_reads   )
      equivalence (sqlm_tablespace ( 53), sqlm_ts_pool_index_p_reads   )
      equivalence (sqlm_tablespace ( 57), sqlm_ts_pool_index_writes    )
      equivalence (sqlm_tablespace ( 61),
     +                                sqlm_ts_pool_async_index_writes  )
      equivalence (sqlm_tablespace ( 65), sqlm_ts_pool_read_time       )
      equivalence (sqlm_tablespace ( 69), sqlm_ts_pool_write_time      )
      equivalence (sqlm_tablespace ( 73), sqlm_ts_pool_async_read_time )
      equivalence (sqlm_tablespace ( 77), sqlm_ts_pool_async_write_time)
      equivalence (sqlm_tablespace ( 81),
     +                                sqlm_ts_pool_async_data_read_rqs )
      equivalence (sqlm_tablespace ( 85), sqlm_ts_direct_reads         )
      equivalence (sqlm_tablespace ( 89), sqlm_ts_direct_writes        )
      equivalence (sqlm_tablespace ( 93), sqlm_ts_direct_read_rqs      )
      equivalence (sqlm_tablespace ( 97), sqlm_ts_direct_write_rqs     )
      equivalence (sqlm_tablespace (101), sqlm_ts_direct_read_time     )
      equivalence (sqlm_tablespace (105), sqlm_ts_direct_write_time    )
      equivalence (sqlm_tablespace (109), sqlm_ts_files_closed         )
      equivalence (sqlm_tablespace (113), sqlm_ts_reserved             )


c ***************************************************************************
c Database Monitor Event Monitor Data Structures
c ***************************************************************************


c ***************************************************************************
c Event Monitor Log Header Record
c ***************************************************************************

      character   sqlm_event_log_header(76)


      integer*4   sqlm_evlh_byte_order
      integer*4   sqlm_evlh_size
      integer*4   sqlm_evlh_version
      character   sqlm_evlh_event_monitor_name(sqlm_ident_sz)
      integer*2   sqlm_evlh_codepage_id
      integer*2   sqlm_evlh_country_code
      character   sqlm_evlh_server_prdid(sqlm_ident_sz)
      character   sqlm_server_instance_name(sqlm_ident_sz)

      equivalence (sqlm_event_log_header ( 1), sqlm_evlh_byte_order    )
      equivalence (sqlm_event_log_header ( 5), sqlm_evlh_size          )
      equivalence (sqlm_event_log_header ( 9), sqlm_evlh_version       )
      equivalence (sqlm_event_log_header (13),
     +                                    sqlm_evlh_event_monitor_name )
      equivalence (sqlm_event_log_header (33), sqlm_evlh_codepage_id   )
      equivalence (sqlm_event_log_header (35), sqlm_evlh_country_code  )
      equivalence (sqlm_event_log_header (37), sqlm_evlh_server_prdid  )
      equivalence (sqlm_event_log_header (57),
     +                                       sqlm_server_instance_name )





c ***************************************************************************
c Event Monitor Database Event Record
c ***************************************************************************

       character   sqlm_db_event(256)


       integer*4   sqlm_db_ev_size
       integer*4   sqlm_db_ev_event_type

c      Locking Information
       integer*4   sqlm_db_ev_lock_waits
       integer*4   sqlm_db_ev_lock_wait_time
       integer*4   sqlm_db_ev_deadlocks
       integer*4   sqlm_db_ev_lock_escals
       integer*4   sqlm_db_ev_x_lock_escals
       integer*4   sqlm_db_ev_lock_timeouts

c      Sorting Information
       integer*4   sqlm_db_ev_total_sorts
       integer*4   sqlm_db_ev_total_sort_time
       integer*4   sqlm_db_ev_sort_overflows

c      Buffer Pool and I/O Information
       integer*4   sqlm_db_ev_pool_data_l_reads
       integer*4   sqlm_db_ev_pool_data_p_reads
       integer*4   sqlm_db_ev_pool_async_data_reads
       integer*4   sqlm_db_ev_pool_data_writes
       integer*4   sqlm_db_ev_pool_async_data_writes
       integer*4   sqlm_db_ev_pool_index_l_reads
       integer*4   sqlm_db_ev_pool_index_p_reads
       integer*4   sqlm_db_ev_pool_index_writes
       integer*4   sqlm_db_ev_pool_async_index_writes
       integer*4   sqlm_db_ev_pool_read_time
       integer*4   sqlm_db_ev_pool_write_time
       integer*4   sqlm_db_ev_pool_async_read_time
       integer*4   sqlm_db_ev_pool_async_write_time
       integer*4   sqlm_db_ev_pool_async_data_read_rqs
       integer*4   sqlm_db_ev_pool_lsn_gap_clns
       integer*4   sqlm_db_ev_pool_drty_pg_steal_clns
       integer*4   sqlm_db_ev_pool_drty_pg_thrsh_clns
       integer*4   sqlm_db_ev_direct_reads
       integer*4   sqlm_db_ev_direct_writes
       integer*4   sqlm_db_ev_direct_read_rqs
       integer*4   sqlm_db_ev_direct_write_rqs
       integer*4   sqlm_db_ev_direct_read_time
       integer*4   sqlm_db_ev_direct_write_time

       integer*4   sqlm_db_ev_files_closed

c      SQL statement counts
       integer*4   sqlm_db_ev_commit_sql_stmts
       integer*4   sqlm_db_ev_rollback_sql_stmts
       integer*4   sqlm_db_ev_dynamic_sql_stmts
       integer*4   sqlm_db_ev_static_sql_stmts
       integer*4   sqlm_db_ev_failed_sql_stmts
       integer*4   sqlm_db_ev_select_sql_stmts
       integer*4   sqlm_db_ev_ddl_sql_stmts
       integer*4   sqlm_db_ev_uid_sql_stmts

c      Internal counts
       integer*4   sqlm_db_ev_int_auto_rebinds
       integer*4   sqlm_db_ev_int_rows_deleted
       integer*4   sqlm_db_ev_int_rows_updated
       integer*4   sqlm_db_ev_int_rows_inserted
       integer*4   sqlm_db_ev_int_rows_selected
       integer*4   sqlm_db_ev_int_commits
       integer*4   sqlm_db_ev_int_rollbacks

c      Row counts
       integer*4   sqlm_db_ev_rows_deleted
       integer*4   sqlm_db_ev_rows_inserted
       integer*4   sqlm_db_ev_rows_updated
       integer*4   sqlm_db_ev_rows_selected

c      Binds/Precompiles
       integer*4   sqlm_db_ev_binds_precompiles

c      Timestamps
       integer*4   sqlm_db_ev_disconn_time_seconds
       integer*4   sqlm_db_ev_disconn_time_microsec

c      Application connection counters
       integer*4   sqlm_db_ev_total_cons
       integer*4   sqlm_db_ev_connections_top

c      Database memory pool high water marks
       integer*4   sqlm_db_ev_db_heap_top

c      Logging Information
       integer*4   sqlm_db_ev_sec_log_used_top
       integer*4   sqlm_db_ev_tot_log_used_top
       integer*4   sqlm_db_ev_log_reads
       integer*4   sqlm_db_ev_log_writes


       equivalence (sqlm_db_event (  1), sqlm_db_ev_size               )
       equivalence (sqlm_db_event (  5), sqlm_db_ev_event_type         )
       equivalence (sqlm_db_event (  9), sqlm_db_ev_lock_waits         )
       equivalence (sqlm_db_event ( 13), sqlm_db_ev_lock_wait_time     )
       equivalence (sqlm_db_event ( 17), sqlm_db_ev_deadlocks          )
       equivalence (sqlm_db_event ( 21), sqlm_db_ev_lock_escals        )
       equivalence (sqlm_db_event ( 25), sqlm_db_ev_x_lock_escals      )
       equivalence (sqlm_db_event ( 29), sqlm_db_ev_lock_timeouts      )
       equivalence (sqlm_db_event ( 33), sqlm_db_ev_total_sorts        )
       equivalence (sqlm_db_event ( 37), sqlm_db_ev_total_sort_time    )
       equivalence (sqlm_db_event ( 41), sqlm_db_ev_sort_overflows     )
       equivalence (sqlm_db_event ( 45), sqlm_db_ev_pool_data_l_reads  )
       equivalence (sqlm_db_event ( 49), sqlm_db_ev_pool_data_p_reads  )
       equivalence (sqlm_db_event ( 53),
     +                             sqlm_db_ev_pool_async_data_reads    )
       equivalence (sqlm_db_event ( 57), sqlm_db_ev_pool_data_writes   )
       equivalence (sqlm_db_event ( 61),
     +                             sqlm_db_ev_pool_async_data_writes   )
       equivalence (sqlm_db_event ( 65), sqlm_db_ev_pool_index_l_reads )
       equivalence (sqlm_db_event ( 69), sqlm_db_ev_pool_index_p_reads )
       equivalence (sqlm_db_event ( 73), sqlm_db_ev_pool_index_writes  )
       equivalence (sqlm_db_event ( 77),
     +                             sqlm_db_ev_pool_async_index_writes  )
       equivalence (sqlm_db_event ( 81), sqlm_db_ev_pool_read_time     )
       equivalence (sqlm_db_event ( 85), sqlm_db_ev_pool_write_time    )
       equivalence (sqlm_db_event ( 89),
     +                             sqlm_db_ev_pool_async_read_time     )
       equivalence (sqlm_db_event ( 93),
     +                             sqlm_db_ev_pool_async_write_time    )
       equivalence (sqlm_db_event ( 97),
     +                             sqlm_db_ev_pool_async_data_read_rqs )
       equivalence (sqlm_db_event (101), sqlm_db_ev_pool_lsn_gap_clns  )
       equivalence (sqlm_db_event (105),
     +                             sqlm_db_ev_pool_drty_pg_steal_clns  )
       equivalence (sqlm_db_event (109),
     +                             sqlm_db_ev_pool_drty_pg_thrsh_clns  )
       equivalence (sqlm_db_event (113), sqlm_db_ev_direct_reads       )
       equivalence (sqlm_db_event (117), sqlm_db_ev_direct_writes      )
       equivalence (sqlm_db_event (121), sqlm_db_ev_direct_read_rqs    )
       equivalence (sqlm_db_event (125), sqlm_db_ev_direct_write_rqs   )
       equivalence (sqlm_db_event (129), sqlm_db_ev_direct_read_time   )
       equivalence (sqlm_db_event (133), sqlm_db_ev_direct_write_time  )
       equivalence (sqlm_db_event (137), sqlm_db_ev_files_closed       )
       equivalence (sqlm_db_event (141), sqlm_db_ev_commit_sql_stmts   )
       equivalence (sqlm_db_event (145), sqlm_db_ev_rollback_sql_stmts )
       equivalence (sqlm_db_event (149), sqlm_db_ev_dynamic_sql_stmts  )
       equivalence (sqlm_db_event (153), sqlm_db_ev_static_sql_stmts   )
       equivalence (sqlm_db_event (157), sqlm_db_ev_failed_sql_stmts   )
       equivalence (sqlm_db_event (161), sqlm_db_ev_select_sql_stmts   )
       equivalence (sqlm_db_event (165), sqlm_db_ev_ddl_sql_stmts      )
       equivalence (sqlm_db_event (169), sqlm_db_ev_uid_sql_stmts      )
       equivalence (sqlm_db_event (173), sqlm_db_ev_int_auto_rebinds   )
       equivalence (sqlm_db_event (177), sqlm_db_ev_int_rows_deleted   )
       equivalence (sqlm_db_event (181), sqlm_db_ev_int_rows_updated   )
       equivalence (sqlm_db_event (185), sqlm_db_ev_int_rows_inserted  )
       equivalence (sqlm_db_event (189), sqlm_db_ev_int_rows_selected  )
       equivalence (sqlm_db_event (193), sqlm_db_ev_int_commits        )
       equivalence (sqlm_db_event (197), sqlm_db_ev_int_rollbacks      )
       equivalence (sqlm_db_event (201), sqlm_db_ev_rows_deleted       )
       equivalence (sqlm_db_event (205), sqlm_db_ev_rows_inserted      )
       equivalence (sqlm_db_event (209), sqlm_db_ev_rows_updated       )
       equivalence (sqlm_db_event (213), sqlm_db_ev_rows_selected      )
       equivalence (sqlm_db_event (217), sqlm_db_ev_binds_precompiles  )
       equivalence (sqlm_db_event (221),
     +                             sqlm_db_ev_disconn_time_seconds     )
       equivalence (sqlm_db_event (225),
     +                             sqlm_db_ev_disconn_time_microsec    )
       equivalence (sqlm_db_event (229), sqlm_db_ev_total_cons         )
       equivalence (sqlm_db_event (233), sqlm_db_ev_connections_top    )
       equivalence (sqlm_db_event (237), sqlm_db_ev_db_heap_top        )
       equivalence (sqlm_db_event (241), sqlm_db_ev_sec_log_used_top   )
       equivalence (sqlm_db_event (245), sqlm_db_ev_tot_log_used_top   )
       equivalence (sqlm_db_event (249), sqlm_db_ev_log_reads          )
       equivalence (sqlm_db_event (253), sqlm_db_ev_log_writes         )


c ***************************************************************************
c Event Monitor Connection Event Record
c ***************************************************************************

       character   sqlm_conn_event(260)


       integer*4   sqlm_cn_ev_size
       integer*4   sqlm_cn_ev_event_type
       character   sqlm_cn_ev_appl_id(sqlm_applid_sz)
       character   sqlm_cn_ev_sequence_no(sqlm_seq_sz)

c      Locking Information
       integer*4   sqlm_cn_ev_lock_waits
       integer*4   sqlm_cn_ev_lock_wait_time
       integer*4   sqlm_cn_ev_lock_escals
       integer*4   sqlm_cn_ev_x_lock_escals
       integer*4   sqlm_cn_ev_deadlocks
       integer*4   sqlm_cn_ev_lock_timeouts

c      Sorting Information
       integer*4   sqlm_cn_ev_total_sorts
       integer*4   sqlm_cn_ev_total_sort_time
       integer*4   sqlm_cn_ev_sort_overflows

c      Buffer Pool and I/O Information
       integer*4   sqlm_cn_ev_pool_data_l_reads
       integer*4   sqlm_cn_ev_pool_data_p_reads
       integer*4   sqlm_cn_ev_pool_data_writes
       integer*4   sqlm_cn_ev_pool_index_l_reads
       integer*4   sqlm_cn_ev_pool_index_p_reads
       integer*4   sqlm_cn_ev_pool_index_writes
       integer*4   sqlm_cn_ev_pool_read_time
       integer*4   sqlm_cn_ev_pool_write_time
       integer*4   sqlm_cn_ev_direct_reads
       integer*4   sqlm_cn_ev_direct_writes
       integer*4   sqlm_cn_ev_direct_read_rqs
       integer*4   sqlm_cn_ev_direct_write_rqs
       integer*4   sqlm_cn_ev_direct_read_time
       integer*4   sqlm_cn_ev_direct_write_time

c      SQL statement counts
       integer*4   sqlm_cn_ev_commit_sql_stmts
       integer*4   sqlm_cn_ev_rollback_sql_stmts
       integer*4   sqlm_cn_ev_dynamic_sql_stmts
       integer*4   sqlm_cn_ev_static_sql_stmts
       integer*4   sqlm_cn_ev_failed_sql_stmts
       integer*4   sqlm_cn_ev_select_sql_stmts
       integer*4   sqlm_cn_ev_ddl_sql_stmts
       integer*4   sqlm_cn_ev_uid_sql_stmts

c      Internal counts
       integer*4   sqlm_cn_ev_int_auto_rebinds
       integer*4   sqlm_cn_ev_int_rows_deleted
       integer*4   sqlm_cn_ev_int_rows_updated
       integer*4   sqlm_cn_ev_int_rows_inserted
       integer*4   sqlm_cn_ev_int_rows_selected
       integer*4   sqlm_cn_ev_int_commits
       integer*4   sqlm_cn_ev_int_rollbacks
       integer*4   sqlm_cn_ev_int_deadlock_rollbacks

c      Row counts
       integer*4   sqlm_cn_ev_rows_deleted
       integer*4   sqlm_cn_ev_rows_inserted
       integer*4   sqlm_cn_ev_rows_updated
       integer*4   sqlm_cn_ev_rows_selected
       integer*4   sqlm_cn_ev_rows_read
       integer*4   sqlm_cn_ev_rows_written

c      Binds/Precompiles
       integer*4   sqlm_cn_ev_binds_precompiles

c      Blocking Cursor Information
       integer*4   sqlm_cn_ev_rej_curs_blk
       integer*4   sqlm_cn_ev_acc_curs_blk

c      Timestamps
       integer*4    sqlm_cn_ev_disconn_time_seconds
       integer*4    sqlm_cn_ev_disconn_time_microsec

c      Agent activity
       integer*4    sqlm_cn_ev_user_cpu_time_seconds
       integer*4    sqlm_cn_ev_user_cpu_time_microsec
       integer*4    sqlm_cn_ev_system_cpu_time_seconds
       integer*4    sqlm_cn_ev_system_cpu_time_microsec


      equivalence (sqlm_conn_event (  1), sqlm_cn_ev_size              )
      equivalence (sqlm_conn_event (  5), sqlm_cn_ev_event_type        )
      equivalence (sqlm_conn_event (  9), sqlm_cn_ev_appl_id           )
      equivalence (sqlm_conn_event ( 41), sqlm_cn_ev_sequence_no       )
      equivalence (sqlm_conn_event ( 45), sqlm_cn_ev_lock_waits        )
      equivalence (sqlm_conn_event ( 49), sqlm_cn_ev_lock_wait_time    )
      equivalence (sqlm_conn_event ( 53), sqlm_cn_ev_lock_escals       )
      equivalence (sqlm_conn_event ( 57), sqlm_cn_ev_x_lock_escals     )
      equivalence (sqlm_conn_event ( 61), sqlm_cn_ev_deadlocks         )
      equivalence (sqlm_conn_event ( 65), sqlm_cn_ev_lock_timeouts     )
      equivalence (sqlm_conn_event ( 69), sqlm_cn_ev_total_sorts       )
      equivalence (sqlm_conn_event ( 73), sqlm_cn_ev_total_sort_time   )
      equivalence (sqlm_conn_event ( 77), sqlm_cn_ev_sort_overflows    )
      equivalence (sqlm_conn_event ( 81), sqlm_cn_ev_pool_data_l_reads )
      equivalence (sqlm_conn_event ( 85), sqlm_cn_ev_pool_data_p_reads )
      equivalence (sqlm_conn_event ( 89), sqlm_cn_ev_pool_data_writes  )
      equivalence (sqlm_conn_event ( 93), sqlm_cn_ev_pool_index_l_reads)
      equivalence (sqlm_conn_event ( 97), sqlm_cn_ev_pool_index_p_reads)
      equivalence (sqlm_conn_event (101), sqlm_cn_ev_pool_index_writes )
      equivalence (sqlm_conn_event (105), sqlm_cn_ev_pool_read_time    )
      equivalence (sqlm_conn_event (109), sqlm_cn_ev_pool_write_time   )
      equivalence (sqlm_conn_event (113), sqlm_cn_ev_direct_reads      )
      equivalence (sqlm_conn_event (117), sqlm_cn_ev_direct_writes     )
      equivalence (sqlm_conn_event (121), sqlm_cn_ev_direct_read_rqs   )
      equivalence (sqlm_conn_event (125), sqlm_cn_ev_direct_write_rqs  )
      equivalence (sqlm_conn_event (129), sqlm_cn_ev_direct_read_time  )
      equivalence (sqlm_conn_event (133), sqlm_cn_ev_direct_write_time )
      equivalence (sqlm_conn_event (137), sqlm_cn_ev_commit_sql_stmts  )
      equivalence (sqlm_conn_event (141), sqlm_cn_ev_rollback_sql_stmts)
      equivalence (sqlm_conn_event (145), sqlm_cn_ev_dynamic_sql_stmts )
      equivalence (sqlm_conn_event (149), sqlm_cn_ev_static_sql_stmts  )
      equivalence (sqlm_conn_event (153), sqlm_cn_ev_failed_sql_stmts  )
      equivalence (sqlm_conn_event (157), sqlm_cn_ev_select_sql_stmts  )
      equivalence (sqlm_conn_event (161), sqlm_cn_ev_ddl_sql_stmts     )
      equivalence (sqlm_conn_event (165), sqlm_cn_ev_uid_sql_stmts     )
      equivalence (sqlm_conn_event (169), sqlm_cn_ev_int_auto_rebinds  )
      equivalence (sqlm_conn_event (173), sqlm_cn_ev_int_rows_deleted  )
      equivalence (sqlm_conn_event (177), sqlm_cn_ev_int_rows_updated  )
      equivalence (sqlm_conn_event (181), sqlm_cn_ev_int_rows_inserted )
      equivalence (sqlm_conn_event (185), sqlm_cn_ev_int_rows_selected )
      equivalence (sqlm_conn_event (189), sqlm_cn_ev_int_commits       )
      equivalence (sqlm_conn_event (193), sqlm_cn_ev_int_rollbacks     )
      equivalence (sqlm_conn_event (197),
     +                               sqlm_cn_ev_int_deadlock_rollbacks )
      equivalence (sqlm_conn_event (201), sqlm_cn_ev_rows_deleted      )
      equivalence (sqlm_conn_event (205), sqlm_cn_ev_rows_inserted     )
      equivalence (sqlm_conn_event (209), sqlm_cn_ev_rows_updated      )
      equivalence (sqlm_conn_event (213), sqlm_cn_ev_rows_selected     )
      equivalence (sqlm_conn_event (217), sqlm_cn_ev_rows_read         )
      equivalence (sqlm_conn_event (221), sqlm_cn_ev_rows_written      )
      equivalence (sqlm_conn_event (225), sqlm_cn_ev_binds_precompiles )
      equivalence (sqlm_conn_event (229), sqlm_cn_ev_rej_curs_blk      )
      equivalence (sqlm_conn_event (233), sqlm_cn_ev_acc_curs_blk      )
      equivalence (sqlm_conn_event (237),
     +                               sqlm_cn_ev_disconn_time_seconds   )
      equivalence (sqlm_conn_event (241),
     +                               sqlm_cn_ev_disconn_time_microsec  )
      equivalence (sqlm_conn_event (245),
     +                               sqlm_cn_ev_user_cpu_time_seconds  )
      equivalence (sqlm_conn_event (249),
     +                               sqlm_cn_ev_user_cpu_time_microsec )
      equivalence (sqlm_conn_event (253),
     +                               sqlm_cn_ev_system_cpu_time_seconds)
      equivalence (sqlm_conn_event (257),
     +                              sqlm_cn_ev_system_cpu_time_microsec)


c ***************************************************************************
c Event Monitor Table Event Record
c ***************************************************************************

      character    sqlm_table_event(72)


      integer*4    sqlm_tbl_ev_size
      integer*4    sqlm_tbl_ev_event_type
      character    sqlm_tbl_ev_table_name(sqlm_ident_sz)
      character    sqlm_tbl_ev_table_schema(sqlm_ident_sz)
      integer*4    sqlm_tbl_ev_table_type
      integer*4    sqlm_tbl_ev_rows_written
      integer*4    sqlm_tbl_ev_rows_read
      integer*4    sqlm_tbl_ev_overflow_accesses
      integer*4    sqlm_tbl_ev_time_seconds
      integer*4    sqlm_tbl_ev_time_microsec

      equivalence (sqlm_table_event ( 1), sqlm_tbl_ev_size             )
      equivalence (sqlm_table_event ( 5), sqlm_tbl_ev_event_type       )
      equivalence (sqlm_table_event ( 9), sqlm_tbl_ev_table_name       )
      equivalence (sqlm_table_event (29), sqlm_tbl_ev_table_schema     )
      equivalence (sqlm_table_event (49), sqlm_tbl_ev_table_type       )
      equivalence (sqlm_table_event (53), sqlm_tbl_ev_rows_written     )
      equivalence (sqlm_table_event (57), sqlm_tbl_ev_rows_read        )
      equivalence (sqlm_table_event (61), sqlm_tbl_ev_overflow_accesses)
      equivalence (sqlm_table_event (65), sqlm_tbl_ev_time_seconds     )
      equivalence (sqlm_table_event (69), sqlm_tbl_ev_time_microsec    )



c ***************************************************************************
c Event Monitor Statment and Statment Text Event Records
c ***************************************************************************

       character    sqlm_stmt_event(312)


       integer*4    sqlm_stmt_ev_size
       integer*4    sqlm_stmt_ev_event_type
       character    sqlm_stmt_ev_appl_id(sqlm_applid_sz)
       character    sqlm_stmt_ev_sequence_no(sqlm_seq_sz)
       integer*4    sqlm_stmt_ev_stmt_type
       integer*4    sqlm_stmt_ev_operation
       integer*4    sqlm_stmt_ev_fetch_count
       integer*4    sqlm_stmt_ev_section_number
       integer*4    sqlm_stmt_ev_start_time_seconds
       integer*4    sqlm_stmt_ev_start_time_microsec
       integer*4    sqlm_stmt_ev_stop_time_seconds
       integer*4    sqlm_stmt_ev_stop_time_microsec
       character    sqlm_stmt_ev_cursor_name(sqlm_ident_sz)
       character    sqlm_stmt_ev_creator(sqlm_ident_sz)
       character    sqlm_stmt_ev_package_name(sqlm_ident_sz)
       integer*4    sqlm_stmt_ev_usr_cpu_time_seconds
       integer*4    sqlm_stmt_ev_usr_cpu_time_microsec
       integer*4    sqlm_stmt_ev_sys_cpu_time_seconds
       integer*4    sqlm_stmt_ev_sys_cpu_time_microsec
       integer*4    sqlm_stmt_ev_total_sorts
       integer*4    sqlm_stmt_ev_total_sort_time
       integer*4    sqlm_stmt_ev_sort_overflows
       integer*4    sqlm_stmt_ev_rows_read
       integer*4    sqlm_stmt_ev_rows_written
       integer*4    sqlm_stmt_ev_int_rows_deleted
       integer*4    sqlm_stmt_ev_int_rows_updated
       integer*4    sqlm_stmt_ev_int_rows_inserted
       integer*4    sqlm_stmt_ev_int_rows_selected
       character*8  sqlm_stmt_ev_sqlca_sqlcaid
       integer*4    sqlm_stmt_ev_sqlca_sqlcabc
       integer*4    sqlm_stmt_ev_sqlca_sqlcode
       integer*2    sqlm_stmt_ev_sqlca_sqlerrml
       character*70 sqlm_stmt_ev_sqlca_sqlerrmc
       character*8  sqlm_stmt_ev_sqlca_sqlerrp
       integer*4    sqlm_stmt_ev_sqlca_sqlerrd(6)
       character*11 sqlm_stmt_ev_sqlca_sqlwarn
       character*5  sqlm_stmt_ev_sqlca_sqlstate


      equivalence (sqlm_stmt_event (  1), sqlm_stmt_ev_size            )
      equivalence (sqlm_stmt_event (  5), sqlm_stmt_ev_event_type      )
      equivalence (sqlm_stmt_event (  9), sqlm_stmt_ev_appl_id         )
      equivalence (sqlm_stmt_event ( 29), sqlm_stmt_ev_sequence_no     )
      equivalence (sqlm_stmt_event ( 33), sqlm_stmt_ev_stmt_type       )
      equivalence (sqlm_stmt_event ( 37), sqlm_stmt_ev_operation       )
      equivalence (sqlm_stmt_event ( 41), sqlm_stmt_ev_fetch_count     )
      equivalence (sqlm_stmt_event ( 45), sqlm_stmt_ev_section_number  )
      equivalence (sqlm_stmt_event ( 49),
     +                               sqlm_stmt_ev_start_time_seconds   )
      equivalence (sqlm_stmt_event ( 53),
     +                               sqlm_stmt_ev_start_time_microsec  )
      equivalence (sqlm_stmt_event ( 57),
     +                               sqlm_stmt_ev_stop_time_seconds    )
      equivalence (sqlm_stmt_event ( 61),
     +                               sqlm_stmt_ev_stop_time_microsec   )
      equivalence (sqlm_stmt_event ( 65), sqlm_stmt_ev_cursor_name     )
      equivalence (sqlm_stmt_event ( 85), sqlm_stmt_ev_creator         )
      equivalence (sqlm_stmt_event (105), sqlm_stmt_ev_package_name    )
      equivalence (sqlm_stmt_event (125),
     +                               sqlm_stmt_ev_usr_cpu_time_seconds )
      equivalence (sqlm_stmt_event (129),
     +                               sqlm_stmt_ev_usr_cpu_time_microsec)
      equivalence (sqlm_stmt_event (133),
     +                               sqlm_stmt_ev_sys_cpu_time_seconds )
      equivalence (sqlm_stmt_event (137),
     +                               sqlm_stmt_ev_sys_cpu_time_microsec)
      equivalence (sqlm_stmt_event (141), sqlm_stmt_ev_total_sorts     )
      equivalence (sqlm_stmt_event (145), sqlm_stmt_ev_total_sort_time )
      equivalence (sqlm_stmt_event (149), sqlm_stmt_ev_sort_overflows  )
      equivalence (sqlm_stmt_event (153), sqlm_stmt_ev_rows_read       )
      equivalence (sqlm_stmt_event (157), sqlm_stmt_ev_rows_written    )
      equivalence (sqlm_stmt_event (161), sqlm_stmt_ev_int_rows_deleted)
      equivalence (sqlm_stmt_event (165), sqlm_stmt_ev_int_rows_updated)
      equivalence (sqlm_stmt_event (169),
     +                               sqlm_stmt_ev_int_rows_inserted    )
      equivalence (sqlm_stmt_event (173),
     +                               sqlm_stmt_ev_int_rows_selected    )
      equivalence (sqlm_stmt_event (177), sqlm_stmt_ev_sqlca_sqlcaid   )
      equivalence (sqlm_stmt_event (185), sqlm_stmt_ev_sqlca_sqlcabc   )
      equivalence (sqlm_stmt_event (189), sqlm_stmt_ev_sqlca_sqlcode   )
      equivalence (sqlm_stmt_event (193), sqlm_stmt_ev_sqlca_sqlerrml  )
      equivalence (sqlm_stmt_event (195), sqlm_stmt_ev_sqlca_sqlerrmc  )
      equivalence (sqlm_stmt_event (265), sqlm_stmt_ev_sqlca_sqlerrp   )
      equivalence (sqlm_stmt_event (273), sqlm_stmt_ev_sqlca_sqlerrd   )
      equivalence (sqlm_stmt_event (297), sqlm_stmt_ev_sqlca_sqlwarn   )
      equivalence (sqlm_stmt_event (308), sqlm_stmt_ev_sqlca_sqlstate  )


       character    sqlm_stmttext_event(90)

       integer*4    sqlm_stmttxt_ev_size
       integer*4    sqlm_stmttxt_ev_event_type
       character    sqlm_stmttxt_ev_appl_id(sqlm_applid_sz)
       character    sqlm_stmttxt_ev_sequence_no(sqlm_seq_sz)
       character    sqlm_stmttxt_ev_creator(sqlm_ident_sz)
       character    sqlm_stmttxt_ev_package_name(sqlm_ident_sz)
       integer*4    sqlm_stmttxt_ev_section_number
       integer*4    sqlm_stmttxt_ev_stmt_length

c      Note: Variable length statment text follows. The length of the
c            text can be found from the SMTM_LENGTH field.


      equivalence (sqlm_stmttext_event (  1), sqlm_stmttxt_ev_size     )
      equivalence (sqlm_stmttext_event (  5),
     +                                   sqlm_stmttxt_ev_event_type    )
      equivalence (sqlm_stmttext_event (  9), sqlm_stmttxt_ev_appl_id  )
      equivalence (sqlm_stmttext_event ( 29),
     +                                   sqlm_stmttxt_ev_sequence_no   )
      equivalence (sqlm_stmttext_event ( 33), sqlm_stmttxt_ev_creator  )
      equivalence (sqlm_stmttext_event ( 53),
     +                                   sqlm_stmttxt_ev_package_name  )
      equivalence (sqlm_stmttext_event ( 73),
     +                                   sqlm_stmttxt_ev_section_number)
      equivalence (sqlm_stmttext_event ( 77),
     +                                   sqlm_stmttxt_ev_stmt_length   )



c ***************************************************************************
c Event Monitor Transaction Event Record
c ***************************************************************************


      character    sqlm_xact_event(116)

      integer*4    sqlm_xact_ev_size
      integer*4    sqlm_xact_ev_event_type
      character    sqlm_xact_ev_appl_id(sqlm_applid_sz)
      character    sqlm_xact_ev_sequence_no(sqlm_seq_sz)
      integer*4    sqlm_xact_ev_log_space_used
      integer*4    sqlm_xact_ev_status
      integer*4    sqlm_xact_ev_lock_wait_time
      integer*4    sqlm_xact_ev_locks_held_top
      integer*4    sqlm_xact_ev_lock_escals
      integer*4    sqlm_xact_ev_x_lock_escals
      integer*4    sqlm_xact_ev_rows_read
      integer*4    sqlm_xact_ev_rows_written
      integer*4    sqlm_xact_ev_usr_cpu_time_seconds
      integer*4    sqlm_xact_ev_usr_cpu_time_microsec
      integer*4    sqlm_xact_ev_sys_cpu_time_seconds
      integer*4    sqlm_xact_ev_sys_cpu_time_microsec
      integer*4    sqlm_xact_ev_prv_stp_time_seconds
      integer*4    sqlm_xact_ev_prv_stp_time_microsec
      integer*4    sqlm_xact_ev_start_time_seconds
      integer*4    sqlm_xact_ev_start_time_microsec
      integer*4    sqlm_xact_ev_stp_time_seconds
      integer*4    sqlm_xact_ev_stp_time_microsec

      equivalence (sqlm_xact_event (  1), sqlm_xact_ev_size            )
      equivalence (sqlm_xact_event (  5), sqlm_xact_ev_event_type      )
      equivalence (sqlm_xact_event (  9), sqlm_xact_ev_appl_id         )
      equivalence (sqlm_xact_event ( 41), sqlm_xact_ev_sequence_no     )
      equivalence (sqlm_xact_event ( 45), sqlm_xact_ev_log_space_used  )
      equivalence (sqlm_xact_event ( 49), sqlm_xact_ev_status          )
      equivalence (sqlm_xact_event ( 53), sqlm_xact_ev_lock_wait_time  )
      equivalence (sqlm_xact_event ( 57), sqlm_xact_ev_locks_held_top  )
      equivalence (sqlm_xact_event ( 61), sqlm_xact_ev_lock_escals     )
      equivalence (sqlm_xact_event ( 65), sqlm_xact_ev_x_lock_escals   )
      equivalence (sqlm_xact_event ( 69), sqlm_xact_ev_rows_read       )
      equivalence (sqlm_xact_event ( 73), sqlm_xact_ev_rows_written    )
      equivalence (sqlm_xact_event ( 77),
     +                               sqlm_xact_ev_usr_cpu_time_seconds )
      equivalence (sqlm_xact_event ( 81),
     +                               sqlm_xact_ev_usr_cpu_time_microsec)
      equivalence (sqlm_xact_event ( 85),
     +                               sqlm_xact_ev_sys_cpu_time_seconds )
      equivalence (sqlm_xact_event ( 89),
     +                               sqlm_xact_ev_sys_cpu_time_microsec)
      equivalence (sqlm_xact_event ( 93),
     +                               sqlm_xact_ev_prv_stp_time_seconds )
      equivalence (sqlm_xact_event ( 97),
     +                               sqlm_xact_ev_prv_stp_time_microsec)
      equivalence (sqlm_xact_event (101),
     +                               sqlm_xact_ev_start_time_seconds   )
      equivalence (sqlm_xact_event (105),
     +                               sqlm_xact_ev_start_time_microsec  )
      equivalence (sqlm_xact_event (109), sqlm_xact_ev_stp_time_seconds)
      equivalence (sqlm_xact_event (113),
     +                               sqlm_xact_ev_stp_time_microsec    )



c ***************************************************************************
c Event Monitor Deadlock and Deadlocked Connection Event Records
c ***************************************************************************

      character    sqlm_deadlock_event(20)

      integer*4    sqlm_dl_ev_size
      integer*4    sqlm_dl_ev_event_type
      integer*4    sqlm_dl_ev_dl_conns
      integer*4    sqlm_dl_ev_start_time_seconds
      integer*4    sqlm_dl_ev_start_time_microsec

      equivalence (sqlm_deadlock_event ( 1), sqlm_dl_ev_size           )
      equivalence (sqlm_deadlock_event ( 5), sqlm_dl_ev_event_type     )
      equivalence (sqlm_deadlock_event ( 9), sqlm_dl_ev_dl_conns       )
      equivalence (sqlm_deadlock_event (13),
     +                                  sqlm_dl_ev_start_time_seconds  )
      equivalence (sqlm_deadlock_event (17),
     +                                  sqlm_dl_ev_start_time_microsec )



      character    sqlm_dlconn_event(168)

      integer*4    sqlm_dlc_ev_size
      integer*4    sqlm_dlc_ev_event_type
      character    sqlm_dlc_ev_appl_id(sqlm_applid_sz)
      character    sqlm_dlc_ev_sequence_no(sqlm_seq_sz)
      character    sqlm_dlc_ev_appl_id_hldng_lk(sqlm_applid_sz)
      character    sqlm_dlc_ev_sequence_no_hldng_lk(sqlm_seq_sz)
      character    sqlm_dlc_ev_table_name(sqlm_ident_sz)
      character    sqlm_dlc_ev_table_schema(sqlm_ident_sz)
      character    sqlm_dlc_ev_tablespace_name(sqlm_ident_sz)
      integer*4    sqlm_dlc_ev_lock_mode
      integer*4    sqlm_dlc_ev_lock_object_type
      integer*4    sqlm_dlc_ev_lock_object_name
      integer*4    sqlm_dlc_ev_lk_wt_start_seconds
      integer*4    sqlm_dlc_ev_lk_wt_start_microsec
      integer*4    sqlm_dlc_ev_start_time_seconds
      integer*4    sqlm_dlc_ev_start_time_microsec

      equivalence (sqlm_dlconn_event (  1), sqlm_dlc_ev_size           )
      equivalence (sqlm_dlconn_event (  5), sqlm_dlc_ev_event_type     )
      equivalence (sqlm_dlconn_event (  9), sqlm_dlc_ev_appl_id        )
      equivalence (sqlm_dlconn_event ( 41), sqlm_dlc_ev_sequence_no    )
      equivalence (sqlm_dlconn_event ( 45),
     +                                 sqlm_dlc_ev_appl_id_hldng_lk    )
      equivalence (sqlm_dlconn_event ( 77),
     +                                 sqlm_dlc_ev_sequence_no_hldng_lk)
      equivalence (sqlm_dlconn_event ( 81), sqlm_dlc_ev_table_name     )
      equivalence (sqlm_dlconn_event (101), sqlm_dlc_ev_table_schema   )
      equivalence (sqlm_dlconn_event (121), sqlm_dlc_ev_tablespace_name)
      equivalence (sqlm_dlconn_event (141), sqlm_dlc_ev_lock_mode      )
      equivalence (sqlm_dlconn_event (145),
     +                                 sqlm_dlc_ev_lock_object_type    )
      equivalence (sqlm_dlconn_event (149),
     +                                 sqlm_dlc_ev_lock_object_name    )
      equivalence (sqlm_dlconn_event (153),
     +                                 sqlm_dlc_ev_lk_wt_start_seconds )
      equivalence (sqlm_dlconn_event (157),
     +                                 sqlm_dlc_ev_lk_wt_start_microsec)
      equivalence (sqlm_dlconn_event (161),
     +                                 sqlm_dlc_ev_start_time_seconds  )
      equivalence (sqlm_dlconn_event (165),
     +                                 sqlm_dlc_ev_start_time_microsec )



c ***************************************************************************
c Event Monitor Tablespace Event Record
c ***************************************************************************

      character    sqlm_tsp_event(120)

      integer*4    sqlm_ts_ev_size
      integer*4    sqlm_ts_ev_event_type

      character    sqlm_ts_ev_tablespace_name(sqlm_ident_sz)
      integer*4    sqlm_ts_ev_pool_data_l_reads
      integer*4    sqlm_ts_ev_pool_data_p_reads
      integer*4    sqlm_ts_ev_pool_async_data_reads
      integer*4    sqlm_ts_ev_pool_data_writes
      integer*4    sqlm_ts_ev_pool_async_data_writes
      integer*4    sqlm_ts_ev_pool_index_l_reads
      integer*4    sqlm_ts_ev_pool_index_p_reads
      integer*4    sqlm_ts_ev_pool_index_writes
      integer*4    sqlm_ts_ev_pool_async_index_writes
      integer*4    sqlm_ts_ev_pool_read_time
      integer*4    sqlm_ts_ev_pool_write_time
      integer*4    sqlm_ts_ev_pool_async_read_time
      integer*4    sqlm_ts_ev_pool_async_write_time
      integer*4    sqlm_ts_ev_pool_async_data_read_rqs

      integer*4    sqlm_ts_ev_direct_reads
      integer*4    sqlm_ts_ev_direct_writes
      integer*4    sqlm_ts_ev_direct_read_rqs
      integer*4    sqlm_ts_ev_direct_write_rqs
      integer*4    sqlm_ts_ev_direct_read_time
      integer*4    sqlm_ts_ev_direct_write_time

      integer*4    sqlm_ts_ev_files_closed
      integer*4    sqlm_ts_ev_time_seconds
      integer*4    sqlm_ts_ev_time_microsec


      equivalence (sqlm_tsp_event (  1), sqlm_ts_ev_size               )
      equivalence (sqlm_tsp_event (  5), sqlm_ts_ev_event_type         )
      equivalence (sqlm_tsp_event (  9), sqlm_ts_ev_tablespace_name    )
      equivalence (sqlm_tsp_event ( 29), sqlm_ts_ev_pool_data_l_reads  )
      equivalence (sqlm_tsp_event ( 33), sqlm_ts_ev_pool_data_p_reads  )
      equivalence (sqlm_tsp_event ( 37),
     +                              sqlm_ts_ev_pool_async_data_reads   )
      equivalence (sqlm_tsp_event ( 41), sqlm_ts_ev_pool_data_writes   )
      equivalence (sqlm_tsp_event ( 45),
     +                              sqlm_ts_ev_pool_async_data_writes  )
      equivalence (sqlm_tsp_event ( 49), sqlm_ts_ev_pool_index_l_reads )
      equivalence (sqlm_tsp_event ( 53), sqlm_ts_ev_pool_index_p_reads )
      equivalence (sqlm_tsp_event ( 57), sqlm_ts_ev_pool_index_writes  )
      equivalence (sqlm_tsp_event ( 61),
     +                              sqlm_ts_ev_pool_async_index_writes )
      equivalence (sqlm_tsp_event ( 65), sqlm_ts_ev_pool_read_time     )
      equivalence (sqlm_tsp_event ( 69), sqlm_ts_ev_pool_write_time    )
      equivalence (sqlm_tsp_event ( 73),
     +                              sqlm_ts_ev_pool_async_read_time    )
      equivalence (sqlm_tsp_event ( 77),
     +                              sqlm_ts_ev_pool_async_write_time   )
      equivalence (sqlm_tsp_event ( 81),
     +                              sqlm_ts_ev_pool_async_data_read_rqs)
      equivalence (sqlm_tsp_event ( 85), sqlm_ts_ev_direct_reads       )
      equivalence (sqlm_tsp_event ( 89), sqlm_ts_ev_direct_writes      )
      equivalence (sqlm_tsp_event ( 93), sqlm_ts_ev_direct_read_rqs    )
      equivalence (sqlm_tsp_event ( 97), sqlm_ts_ev_direct_write_rqs   )
      equivalence (sqlm_tsp_event (101), sqlm_ts_ev_direct_read_time   )
      equivalence (sqlm_tsp_event (105), sqlm_ts_ev_direct_write_time  )
      equivalence (sqlm_tsp_event (109), sqlm_ts_ev_files_closed       )
      equivalence (sqlm_tsp_event (113), sqlm_ts_ev_time_seconds       )
      equivalence (sqlm_tsp_event (117), sqlm_ts_ev_time_microsec      )


c ***************************************************************************
c Event Monitor Database Header Event Record
c ***************************************************************************

      character    sqlm_dbhdr_event(292)

      integer*4    sqlm_dbh_ev_size
      integer*4    sqlm_dbh_ev_event_type
      character    sqlm_dbh_ev_db_name(sqlm_ident_sz)
      character    sqlm_dbh_ev_db_path(sqlm_dbpath_sz)
      integer*4    sqlm_dbh_ev_conn_time_seconds
      integer*4    sqlm_dbh_ev_conn_time_microsec

      equivalence (sqlm_dbhdr_event (  1), sqlm_dbh_ev_size            )
      equivalence (sqlm_dbhdr_event (  5), sqlm_dbh_ev_event_type      )
      equivalence (sqlm_dbhdr_event (  9), sqlm_dbh_ev_db_name         )
      equivalence (sqlm_dbhdr_event ( 29), sqlm_dbh_ev_db_path         )
      equivalence (sqlm_dbhdr_event (285),
     +                                   sqlm_dbh_ev_conn_time_seconds )
      equivalence (sqlm_dbhdr_event (289),
     +                                   sqlm_dbh_ev_conn_time_microsec)




c ***************************************************************************
c Event Monitor Start Event Record
c ***************************************************************************

      character    sqlm_evmon_start_event(16)

      integer*4    sqlm_ev_st_size
      integer*4    sqlm_ev_st_event_type
      integer*4    sqlm_ev_st_start_time_seconds
      integer*4    sqlm_ev_st_start_time_microsec

      equivalence (sqlm_evmon_start_event (  1), sqlm_ev_st_size       )
      equivalence (sqlm_evmon_start_event (  5), sqlm_ev_st_event_type )
      equivalence (sqlm_evmon_start_event (  9),
     +                                   sqlm_ev_st_start_time_seconds )
      equivalence (sqlm_evmon_start_event ( 13),
     +                                   sqlm_ev_st_start_time_microsec)



c ***************************************************************************
c Event Monitor Connection Header Event Record
c ***************************************************************************

      character    sqlm_connhdr_event(220)

      integer*4    sqlm_ch_ev_size
      integer*4    sqlm_ch_ev_event_type
      character    sqlm_ch_ev_appl_id(sqlm_applid_sz)
      character    sqlm_ch_ev_sequence_no(sqlm_seq_sz)
      character    sqlm_ch_ev_corr_token(sqlm_applid_sz)
      character    sqlm_ch_ev_appl_name(sqlm_ident_sz)
      character    sqlm_ch_ev_auth_id(sqlm_ident_sz)
      character    sqlm_ch_ev_execution_id(sqlm_ident_sz)
      character    sqlm_ch_ev_client_nname(sqlm_ident_sz)
      character    sqlm_ch_ev_client_prdid(sqlm_ident_sz)
      character    sqlm_ch_ev_client_db_alias(sqlm_ident_sz)
      integer*4    sqlm_ch_ev_client_pid
      integer*4    sqlm_ch_ev_agent_id
      integer*2    sqlm_ch_ev_codepage_id
      integer*2    sqlm_ch_ev_country_code
      integer*2    sqlm_ch_ev_client_platform
      integer*2    sqlm_ch_ev_client_protocol
      integer*4    sqlm_ch_ev_conn_time_seconds
      integer*4    sqlm_ch_ev_conn_time_microsec


      equivalence (sqlm_connhdr_event (  1), sqlm_ch_ev_size           )
      equivalence (sqlm_connhdr_event (  5), sqlm_ch_ev_event_type     )
      equivalence (sqlm_connhdr_event (  9), sqlm_ch_ev_appl_id        )
      equivalence (sqlm_connhdr_event ( 41), sqlm_ch_ev_sequence_no    )
      equivalence (sqlm_connhdr_event ( 45), sqlm_ch_ev_corr_token     )
      equivalence (sqlm_connhdr_event ( 77), sqlm_ch_ev_appl_name      )
      equivalence (sqlm_connhdr_event ( 97), sqlm_ch_ev_auth_id        )
      equivalence (sqlm_connhdr_event (117), sqlm_ch_ev_execution_id   )
      equivalence (sqlm_connhdr_event (137), sqlm_ch_ev_client_nname   )
      equivalence (sqlm_connhdr_event (157), sqlm_ch_ev_client_prdid   )
      equivalence (sqlm_connhdr_event (177), sqlm_ch_ev_client_db_alias)
      equivalence (sqlm_connhdr_event (197), sqlm_ch_ev_client_pid     )
      equivalence (sqlm_connhdr_event (201), sqlm_ch_ev_agent_id       )
      equivalence (sqlm_connhdr_event (205), sqlm_ch_ev_codepage_id    )
      equivalence (sqlm_connhdr_event (207), sqlm_ch_ev_country_code   )
      equivalence (sqlm_connhdr_event (209), sqlm_ch_ev_client_platform)
      equivalence (sqlm_connhdr_event (211), sqlm_ch_ev_client_protocol)
      equivalence (sqlm_connhdr_event (213),
     +                                    sqlm_ch_ev_conn_time_seconds )
      equivalence (sqlm_connhdr_event (217),
     +                                    sqlm_ch_ev_conn_time_microsec)


c ***************************************************************************
c Event Monitor Overflow Event Record
c ***************************************************************************

       character    sqlm_overflow_event(28)

       integer*4    size
       integer*4    event_type
       integer*4    count
       integer*4    first_of_time_seconds
       integer*4    first_of_time_microsec
       integer*4    last_of_time_seconds
       integer*4    last_of_time_microsec


       equivalence (sqlm_overflow_event ( 1), size                   )
       equivalence (sqlm_overflow_event ( 5), event_type             )
       equivalence (sqlm_overflow_event ( 9), count                  )
       equivalence (sqlm_overflow_event (13), first_of_time_seconds  )
       equivalence (sqlm_overflow_event (17), first_of_time_microsec )
       equivalence (sqlm_overflow_event (21), last_of_time_seconds   )
       equivalence (sqlm_overflow_event (25), last_of_time_microsec  )




c  ************************************************************
c  Database Monitor function declarations
c  ************************************************************

c     Database Monitor Switch API

      external      sqlgmon
      integer*4     sqlgmon

c     Database Monitor Snapshot API

      external      sqlgmnss
      integer*4     sqlgmnss

c     Database Monitor Estimate Buffer Size API

      external      sqlgmnsz
      integer*4     sqlgmnsz

c     Database Monitor Reset API

      external      sqlgmrst
      integer*4     sqlgmrst

