*******************************************************************************
*  
*  Source File Name: sqlstate
*  
*  (C) COPYRIGHT International Business Machines Corp. 1991, 1995
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function: Include File defining:
*              Labels for the SQL Council's SQL States
*  
*  Operating System: SGI
*  
*  
*  The last five bytes of the SQLCA contain a diagnostic code called
*  SQLSTATE, which is consistent across all IBM SQL products.  The first
*  character of SQLSTATE indicates whether the execution of the SQL
*  statement was successful or unsuccessful ('0' or not).  The first two
*  characters of SQLSTATE represent classes of successful and unsuccessful
*  execution conditions (with '00' through '49' reserved for ANS-defined
*  classes). The class codes and their meanings are:
*  
*  00  Unqualified Successful Completion
*  01  Warning
*  02  No Data
*  08  Connection exception was detected
*  21  Cardinality Violation
*  22  Data Exception
*  23  Constraint Violation
*  24  Invalid Cursor State
*  26  Invalid SQL Statement Identifier
*  37  Syntax Error
*  40  Serialization Failure
*  42  Authorization Violation
*  51  Invalid Application State
*  52  Duplicate or Undefined Name
*  53  Invalid Operand or Inconsistent Specification
*  54  SQL or Product Limit Exceeded
*  55  Object Not in Prerequisite State
*  56  Miscellaneous SQL or Product Restriction
*  57  Resource Not Available or Operator Intervention
*  58  System Error
*  
********************************************************************************
* SQLSTATE CLASSES
       character*2   sqlstate_class_success
       parameter (   sqlstate_class_success              = '00' )

       character*2   sqlstate_class_warning
       parameter (   sqlstate_class_warning              = '01' )

       character*2   sqlstate_class_no_data
       parameter (   sqlstate_class_no_data              = '02' )

       character*2   sqlstate_class_connect_except
       parameter (   sqlstate_class_connect_except       = '08' )

       character*2   sqlstate_class_cardinality
       parameter (   sqlstate_class_cardinality          = '21' )

       character*2   sqlstate_class_data_except
       parameter (   sqlstate_class_data_except          = '22' )

       character*2   sqlstate_class_constraint
       parameter (   sqlstate_class_constraint           = '23' )

       character*2   sqlstate_class_inv_curs_state
       parameter (   sqlstate_class_inv_curs_state       = '24' )

       character*2   sqlstate_class_inv_stmt_id
       parameter (   sqlstate_class_inv_stmt_id          = '26' )

       character*2   sqlstate_class_syntax
       parameter (   sqlstate_class_syntax               = '37' )

       character*2   sqlstate_class_serialization
       parameter (   sqlstate_class_serialization        = '40' )

       character*2   sqlstate_class_authorzation
       parameter (   sqlstate_class_authorzation         = '42' )

       character*2   sqlstate_class_inv_app_state
       parameter (   sqlstate_class_inv_app_state        = '51' )

       character*2   sqlstate_class_dup_undef_name
       parameter (   sqlstate_class_dup_undef_name       = '52' )

       character*2   sqlstate_class_inv_operand
       parameter (   sqlstate_class_inv_operand          = '53' )

       character*2   sqlstate_class_limit
       parameter (   sqlstate_class_limit                = '54' )

       character*2   sqlstate_class_prereq_state
       parameter (   sqlstate_class_prereq_state         = '55' )

       character*2   sqlstate_class_misc_restrict
       parameter (   sqlstate_class_misc_restrict        = '56' )

       character*2   sqlstate_class_resource
       parameter (   sqlstate_class_resource             = '57' )

       character*2   sqlstate_class_system_error
       parameter (   sqlstate_class_system_error         = '58' )

* SQLSTATES
       character*5   sql_exec_ok
       parameter (   sql_exec_ok                         = '00000' )

       character*5   sql_warn_disconnect_err
       parameter (   sql_warn_disconnect_err             = '01002' )

       character*5   sql_warn_null_val_eliminated
       parameter (   sql_warn_null_val_eliminated        = '01003' )

       character*5   sql_warn_val_trunc
       parameter (   sql_warn_val_trunc                  = '01004' )

       character*5   sql_warn_insuff_item_descript
       parameter (   sql_warn_insuff_item_descript       = '01005' )

       character*5   sql_warn_str_trunc
       parameter (   sql_warn_str_trunc                  = '01501' )

       character*5   sql_warn_nulls_elim
       parameter (   sql_warn_nulls_elim                 = '01502' )

       character*5   sql_warn_cols_toomany
       parameter (   sql_warn_cols_toomany               = '01503' )

       character*5   sql_warn_stmt_nowhere
       parameter (   sql_warn_stmt_nowhere               = '01504' )

       character*5   sql_warn_stmt_notexec
       parameter (   sql_warn_stmt_notexec               = '01505' )

       character*5   sql_warn_date_adj
       parameter (   sql_warn_date_adj                   = '01506' )

       character*5   sql_warn_cursor_not_blocked
       parameter (   sql_warn_cursor_not_blocked         = '01509' )

       character*5   sql_warn_char_sub
       parameter (   sql_warn_char_sub                   = '01517' )

       character*5   sql_warn_var_nownull
       parameter (   sql_warn_var_nownull                = '01520' )

* Planned
       character*5   sql_warn_table_undef
       parameter (   sql_warn_table_undef                = '01522' )

       character*5   sql_warn_iso_escal
       parameter (   sql_warn_iso_escal                  = '01526' )

* Planned
       character*5   sql_warn_reg_notexist
       parameter (   sql_warn_reg_notexist               = '01527' )

* Planned
       character*5   sql_warn_where_ignore
       parameter (   sql_warn_where_ignore               = '01528' )

* Planned
       character*5   sql_warn_name_undef
       parameter (   sql_warn_name_undef                 = '01532' )

       character*5   sql_warn_use_sbcs_chars_only
       parameter (   sql_warn_use_sbcs_chars_only        = '01539' )

* Planned
       character*5   sql_warn_op_nopriv
       parameter (   sql_warn_op_nopriv                  = '01542' )

       character*5   sql_warn_ref_ignore
       parameter (   sql_warn_ref_ignore                 = '01543' )

       character*5   sql_warn_name_interp
       parameter (   sql_warn_name_interp                = '01545' )

       character*5   sql_warn_obj_nopriv
       parameter (   sql_warn_obj_nopriv                 = '01548' )

* Planned
       character*5   sql_warn_pack_priv
       parameter (   sql_warn_pack_priv                  = '01549' )

       character*5   sql_warn_index_exist
       parameter (   sql_warn_index_exist                = '01550' )

       character*5   sql_warn_newlogpath_inv
       parameter (   sql_warn_newlogpath_inv             = '01562' )

       character*5   sql_warn_curr_logpath_inv
       parameter (   sql_warn_curr_logpath_inv           = '01563' )

       character*5   sql_warn_auto_check_pend_state
       parameter (   sql_warn_auto_check_pend_state      = '01586' )

       character*5   sql_warn_keyword_redundant
       parameter (   sql_warn_keyword_redundant          = '01589' )

       character*5   sql_warn_val_may_be_trunc
       parameter (   sql_warn_val_may_be_trunc           = '01592' )

       character*5   sql_warn_val_could_be_trunc
       parameter (   sql_warn_val_could_be_trunc         = '01593' )

       character*5   sql_warn_insuff_descriptors
       parameter (   sql_warn_insuff_descriptors         = '01594' )

       character*5   sql_warn_old_view_replaced
       parameter (   sql_warn_old_view_replaced          = '01595' )

       character*5   sql_warn_no_compfunc_for_lstr
       parameter (   sql_warn_no_compfunc_for_lstr       = '01596' )

       character*5   sql_warn_evmon_state_not_set
       parameter (   sql_warn_evmon_state_not_set        = '01598' )

       character*5   sql_warn_rebind_opts_ignored
       parameter (   sql_warn_rebind_opts_ignored        = '01599' )

       character*5   sql_warn_conn_disabled
       parameter (   sql_warn_conn_disabled              = '01601' )

       character*5   sql_warn_sub_optimal_query
       parameter (   sql_warn_sub_optimal_query          = '01602' )

       character*5   sql_warn_constraint_vio_moved
       parameter (   sql_warn_constraint_vio_moved       = '01603' )

       character*5   sql_warn_explain_mode_restrict
       parameter (   sql_warn_explain_mode_restrict      = '01604' )

       character*5   sql_warn_possible_infinit_loop
       parameter (   sql_warn_possible_infinit_loop      = '01605' )

       character*5   sql_warn_dir_empty
       parameter (   sql_warn_dir_empty                  = '01606' )

       character*5   sql_warn_clause_val_replaced
       parameter (   sql_warn_clause_val_replaced        = '01608' )

       character*5   sql_warn_udf_returns_state
       parameter (   sql_warn_udf_returns_state          = '01Hxx' )

       character*5   sql_nodata_exception
       parameter (   sql_nodata_exception                = '02000' )

* Planned
       character*5   sql_nodata_uhole
       parameter (   sql_nodata_uhole                    = '02501' )

* Planned
       character*5   sql_nodata_dhole
       parameter (   sql_nodata_dhole                    = '02502' )

       character*5   sql_inv_num_host_vars
       parameter (   sql_inv_num_host_vars               = '07001' )

       character*5   sql_inv_parm_or_cb
       parameter (   sql_inv_parm_or_cb                  = '07002' )

       character*5   sql_inv_execute_stmt
       parameter (   sql_inv_execute_stmt                = '07003' )

       character*5   sql_using_clause_required
       parameter (   sql_using_clause_required           = '07004' )

       character*5   sql_inv_prep_stmt_cursor
       parameter (   sql_inv_prep_stmt_cursor            = '07005' )

       character*5   sql_hostvar_not_usable
       parameter (   sql_hostvar_not_usable              = '07006' )

       character*5   sql_conn_failed
       parameter (   sql_conn_failed                     = '08001' )

       character*5   sql_conn_already_exist
       parameter (   sql_conn_already_exist              = '08002' )

       character*5   sql_conn_does_not_exit
       parameter (   sql_conn_does_not_exit              = '08003' )

       character*5   sql_conn_rejected_by_server
       parameter (   sql_conn_rejected_by_server         = '08004' )

       character*5   sql_conn_failed_no_tm
       parameter (   sql_conn_failed_no_tm               = '08502' )

       character*5   sql_trigger_error
       parameter (   sql_trigger_error                   = '09000' )

       character*5   sql_proc_not_connectable
       parameter (   sql_proc_not_connectable            = '0A001' )

       character*5   sql_lob_novalue_token_var
       parameter (   sql_lob_novalue_token_var           = '0F001' )

       character*5   sql_card_value_toomany
       parameter (   sql_card_value_toomany              = '21000' )

       character*5   sql_card_ins_multirow
       parameter (   sql_card_ins_multirow               = '21501' )

       character*5   sql_card_upd_multirow
       parameter (   sql_card_upd_multirow               = '21502' )

       character*5   sql_card_del_multirow
       parameter (   sql_card_del_multirow               = '21504' )

       character*5   sql_data_char_rtrunc
       parameter (   sql_data_char_rtrunc                = '22001' )

       character*5   sql_data_indicator_null
       parameter (   sql_data_indicator_null             = '22002' )

       character*5   sql_data_num_range
       parameter (   sql_data_num_range                  = '22003' )

* Planned
       character*5   sql_data_fetch_inv
       parameter (   sql_data_fetch_inv                  = '22006' )

       character*5   sql_data_format_inv
       parameter (   sql_data_format_inv                 = '22007' )

       character*5   sql_data_datetime_ov
       parameter (   sql_data_datetime_ov                = '22008' )

       character*5   sql_data_str_range
       parameter (   sql_data_str_range                  = '22011' )

       character*5   sql_data_div_zero
       parameter (   sql_data_div_zero                   = '22012' )

       character*5   sql_data_inv_cast_char
       parameter (   sql_data_inv_cast_char              = '22018' )

* Planned
       character*5   sql_data_like_inv_char
       parameter (   sql_data_like_inv_char              = '22019' )

       character*5   sql_data_null_missing
       parameter (   sql_data_null_missing               = '22024' )

       character*5   sql_data_like_inv_esc
       parameter (   sql_data_like_inv_esc               = '22025' )

       character*5   sql_data_length_range
       parameter (   sql_data_length_range               = '22501' )

       character*5   sql_data_str_inv
       parameter (   sql_data_str_inv                    = '22503' )

       character*5   sql_data_data_badform
       parameter (   sql_data_data_badform               = '22504' )

       character*5   sql_data_datetime_reg_inv
       parameter (   sql_data_datetime_reg_inv           = '22506' )

       character*5   sql_data_type_cantuse
       parameter (   sql_data_type_cantuse               = '22507' )

       character*5   sql_data_type_incompat
       parameter (   sql_data_type_incompat              = '22509' )

       character*5   sql_hostvar_neg_indvar
       parameter (   sql_hostvar_neg_indvar              = '22512' )

       character*5   sql_data_index_dup
       parameter (   sql_data_index_dup                  = '22515' )

       character*5   sql_data_str_cantuse_xlate
       parameter (   sql_data_str_cantuse_xlate          = '22517' )

       character*5   sql_data_str_cantasgn_xlate
       parameter (   sql_data_str_cantasgn_xlate         = '22518' )

       character*5   sql_data_key_notequal
       parameter (   sql_data_key_notequal               = '22520' )

       character*5   sql_data_ccsidval_inv
       parameter (   sql_data_ccsidval_inv               = '22522' )

       character*5   sql_data_conversion_trunc
       parameter (   sql_data_conversion_trunc           = '22524' )

       character*5   sql_constr_chg_key_notallow
       parameter (   sql_constr_chg_key_notallow         = '23001' )

       character*5   sql_constr_row_notsatisfy_view
       parameter (   sql_constr_row_notsatisfy_view      = '23501' )

       character*5   sql_constr_null_notallow
       parameter (   sql_constr_null_notallow            = '23502' )

       character*5   sql_constr_value_inv
       parameter (   sql_constr_value_inv                = '23503' )

       character*5   sql_constr_op_restrict
       parameter (   sql_constr_op_restrict              = '23504' )

       character*5   sql_constr_index_unique
       parameter (   sql_constr_index_unique             = '23505' )

       character*5   sql_constr_par_row_del_noallow
       parameter (   sql_constr_par_row_del_noallow      = '23511' )

       character*5   sql_constr_row_invalid
       parameter (   sql_constr_row_invalid              = '23512' )

       character*5   sql_constr_row_nonconform
       parameter (   sql_constr_row_nonconform           = '23513' )

       character*5   sql_constr_violations
       parameter (   sql_constr_violations               = '23514' )

       character*5   sql_constr_dup_key_values
       parameter (   sql_constr_dup_key_values           = '23515' )

       character*5   sql_constr_foreign_key_noallow
       parameter (   sql_constr_foreign_key_noallow      = '23520' )

       character*5   sql_constr_update_cat_stats
       parameter (   sql_constr_update_cat_stats         = '23521' )

       character*5   sql_cursor_notopen
       parameter (   sql_cursor_notopen                  = '24501' )

       character*5   sql_cursor_open_already
       parameter (   sql_cursor_open_already             = '24502' )

       character*5   sql_cursor_notpos
       parameter (   sql_cursor_notpos                   = '24504' )

       character*5   sql_cursor_open_no_commit
       parameter (   sql_cursor_open_no_commit           = '24505' )

       character*5   sql_cursor_pd_open
       parameter (   sql_cursor_pd_open                  = '24506' )

* Planned
       character*5   sql_cursor_deleted
       parameter (   sql_cursor_deleted                  = '24507' )

* Planned
       character*5   sql_cursor_dhole
       parameter (   sql_cursor_dhole                    = '24510' )

* Planned
       character*5   sql_cursor_uhole
       parameter (   sql_cursor_uhole                    = '24511' )

* Planned
       character*5   sql_cursor_agree
       parameter (   sql_cursor_agree                    = '24512' )

* Planned
       character*5   sql_cursor_moved
       parameter (   sql_cursor_moved                    = '24513' )

* Planned
       character*5   sql_inv_execution_environment
       parameter (   sql_inv_execution_environment       = '25000' )

* Planned
       character*5   sql_only_as_first_statement
       parameter (   sql_only_as_first_statement         = '25501' )

       character*5   sql_ident_notexist
       parameter (   sql_ident_notexist                  = '26501' )

       character*5   sql_ident_noassoc
       parameter (   sql_ident_noassoc                   = '26503' )

       character*5   sql_ident_select
       parameter (   sql_ident_select                    = '26504' )

* Planned
       character*5   sql_ident_notspec
       parameter (   sql_ident_notspec                   = '26506' )

       character*5   sql_ident_notsrsel
       parameter (   sql_ident_notsrsel                  = '26507' )

* Planned
       character*5   sql_ident_notselect
       parameter (   sql_ident_notselect                 = '26508' )

* Planned
       character*5   sql_ident_dup
       parameter (   sql_ident_dup                       = '26509' )

* Planned
       character*5   sql_ident_hascursor
       parameter (   sql_ident_hascursor                 = '26510' )

       character*5   sql_inv_authorization_spec
       parameter (   sql_inv_authorization_spec          = '28000' )

       character*5   sql_inv_operation_for_envir
       parameter (   sql_inv_operation_for_envir         = '2D521' )

       character*5   sql_dynamic_commit_invalid
       parameter (   sql_dynamic_commit_invalid          = '2D528' )

       character*5   sql_dynamic_rollback_invalid
       parameter (   sql_dynamic_rollback_invalid        = '2D529' )

       character*5   sql_inv_conn_name
       parameter (   sql_inv_conn_name                   = '2E000' )

       character*5   sql_inv_cursor_name
       parameter (   sql_inv_cursor_name                 = '34000' )

       character*5   sql_syntax_token_missing
       parameter (   sql_syntax_token_missing            = '37501' )

       character*5   sql_syntax_name_invchar
       parameter (   sql_syntax_name_invchar             = '37502' )

       character*5   sql_syntax_str_unterm
       parameter (   sql_syntax_str_unterm               = '37503' )

       character*5   sql_syntax_const_inv
       parameter (   sql_syntax_const_inv                = '37504' )

       character*5   sql_syntax_numargs_inv
       parameter (   sql_syntax_numargs_inv              = '37505' )

* Planned
       character*5   sql_syntax_hconst_inv
       parameter (   sql_syntax_hconst_inv               = '37506' )

       character*5   sql_syntax_op_inv_col
       parameter (   sql_syntax_op_inv_col               = '37507' )

       character*5   sql_syntax_op_marker
       parameter (   sql_syntax_op_marker                = '37509' )

       character*5   sql_syntax_marker_inv
       parameter (   sql_syntax_marker_inv               = '37510' )

       character*5   sql_syntax_col_inv
       parameter (   sql_syntax_col_inv                  = '37511' )

       character*5   sql_syntax_stmt_bad
       parameter (   sql_syntax_stmt_bad                 = '37512' )

* Planned
       character*5   sql_syntax_clause_exclusive
       parameter (   sql_syntax_clause_exclusive         = '37513' )

       character*5   sql_syntax_keyword_dup
       parameter (   sql_syntax_keyword_dup              = '37514' )

* Planned
       character*5   sql_syntax_opt_inv
       parameter (   sql_syntax_opt_inv                  = '37516' )

       character*5   sql_syntax_stmt_empty
       parameter (   sql_syntax_stmt_empty               = '37517' )

       character*5   sql_syntax_hostvar_notallow
       parameter (   sql_syntax_hostvar_notallow         = '37518' )

* Planned
       character*5   sql_syntax_readonly_notallow
       parameter (   sql_syntax_readonly_notallow        = '37520' )

       character*5   sql_udf_returns_error_state
       parameter (   sql_udf_returns_error_state         = '38xxx' )

       character*5   sql_udf_call_error
       parameter (   sql_udf_call_error                  = '38501' )

       character*5   sql_udf_excute_sql_notallow
       parameter (   sql_udf_excute_sql_notallow         = '38502' )

       character*5   sql_udf_abnormal_end
       parameter (   sql_udf_abnormal_end                = '38503' )

       character*5   sql_udf_interrupted
       parameter (   sql_udf_interrupted                 = '38504' )

       character*5   sql_udf_returns_inv_state
       parameter (   sql_udf_returns_inv_state           = '39001' )

       character*5   sql_udf_returns_result_toolong
       parameter (   sql_udf_returns_result_toolong      = '39501' )

       character*5   sql_out_sqlda_changed
       parameter (   sql_out_sqlda_changed               = '39502' )

       character*5   sql_serial_rollback
       parameter (   sql_serial_rollback                 = '40000' )

       character*5   sql_rollbk_automatic
       parameter (   sql_rollbk_automatic                = '40001' )

       character*5   sql_stmt_completion_unknown
       parameter (   sql_stmt_completion_unknown         = '40003' )

       character*5   sql_rollbk_dist_env
       parameter (   sql_rollbk_dist_env                 = '40502' )

       character*5   sql_rollbk_conn_lost
       parameter (   sql_rollbk_conn_lost                = '40504' )

       character*5   sql_access_auth_notpriv_obj
       parameter (   sql_access_auth_notpriv_obj         = '42501' )

       character*5   sql_access_auth_notpriv_op
       parameter (   sql_access_auth_notpriv_op          = '42502' )

       character*5   sql_access_auth_not_authorized
       parameter (   sql_access_auth_not_authorized      = '42503' )

       character*5   sql_access_priv_cantrevoke
       parameter (   sql_access_priv_cantrevoke          = '42504' )

       character*5   sql_access_auth_fail_conn
       parameter (   sql_access_auth_fail_conn           = '42505' )

       character*5   sql_access_auth_fail_owner
       parameter (   sql_access_auth_fail_owner          = '42506' )

       character*5   sql_access_auth_fail_server
       parameter (   sql_access_auth_fail_server         = '42507' )

       character*5   sql_access_priv_cantpublic
       parameter (   sql_access_priv_cantpublic          = '42508' )

       character*5   sql_syntax_keyword_incompat
       parameter (   sql_syntax_keyword_incompat         = '42601' )

       character*5   sql_syntax_invalid
       parameter (   sql_syntax_invalid                  = '42601' )

       character*5   sql_invalid_char_in_name
       parameter (   sql_invalid_char_in_name            = '42602' )

       character*5   sql_unterminated_string_const
       parameter (   sql_unterminated_string_const       = '42603' )

       character*5   sql_invalid_num_or_str_const
       parameter (   sql_invalid_num_or_str_const        = '42604' )

       character*5   sql_invalid_num_args
       parameter (   sql_invalid_num_args                = '42605' )

       character*5   sql_invalid_hex_const
       parameter (   sql_invalid_hex_const               = '42606' )

       character*5   sql_invalid_col_func_operand
       parameter (   sql_invalid_col_func_operand        = '42607' )

       character*5   sql_inv_use_of_null_or_dflt
       parameter (   sql_inv_use_of_null_or_dflt         = '42608' )

       character*5   sql_all_operands_parm_markers
       parameter (   sql_all_operands_parm_markers       = '42609' )

       character*5   sql_parameter_markers_invalid
       parameter (   sql_parameter_markers_invalid       = '42610' )

       character*5   sql_syntax_len_scale_inv
       parameter (   sql_syntax_len_scale_inv            = '42611' )

       character*5   sql_stmt_not_in_context
       parameter (   sql_stmt_not_in_context             = '42612' )

       character*5   sql_syntax_keyword_conflict
       parameter (   sql_syntax_keyword_conflict         = '42613' )

       character*5   sql_dup_keyword_inv
       parameter (   sql_dup_keyword_inv                 = '42614' )

       character*5   sql_inv_alternative
       parameter (   sql_inv_alternative                 = '42615' )

       character*5   sql_stmt_str_blank_or_empty
       parameter (   sql_stmt_str_blank_or_empty         = '42617' )

       character*5   sql_host_var_not_allowed
       parameter (   sql_host_var_not_allowed            = '42618' )

       character*5   sql_check_constraint_invalid
       parameter (   sql_check_constraint_invalid        = '42621' )

       character*5   sql_name_or_label_is_too_long
       parameter (   sql_name_or_label_is_too_long       = '42622' )

       character*5   sql_case_res_not_expression
       parameter (   sql_case_res_not_expression         = '42625' )

       character*5   sql_dup_col_in_ins_or_upd
       parameter (   sql_dup_col_in_ins_or_upd           = '42701' )

       character*5   sql_column_name_ambiguous
       parameter (   sql_column_name_ambiguous           = '42702' )

       character*5   sql_undefined_column_name
       parameter (   sql_undefined_column_name           = '42703' )

       character*5   sql_name_object_undef
       parameter (   sql_name_object_undef               = '42704' )

       character*5   sql_name_server_undefined
       parameter (   sql_name_server_undefined           = '42705' )

       character*5   sql_unnamed_cols_in_result_tbl
       parameter (   sql_unnamed_cols_in_result_tbl      = '42706' )

       character*5   sql_name_not_in_result_table
       parameter (   sql_name_not_in_result_table        = '42707' )

       character*5   sql_name_dup_col_in_key
       parameter (   sql_name_dup_col_in_key             = '42709' )

       character*5   sql_name_dup_obj_name
       parameter (   sql_name_dup_obj_name               = '42710' )

       character*5   sql_name_dup_col_name
       parameter (   sql_name_dup_col_name               = '42711' )

       character*5   sql_name_dup_in_from_clause
       parameter (   sql_name_dup_in_from_clause         = '42712' )

       character*5   sql_name_node_not_found_in_dir
       parameter (   sql_name_node_not_found_in_dir      = '42720' )

       character*5   sql_name_dup_signature
       parameter (   sql_name_dup_signature              = '42723' )

       character*5   sql_access_unable
       parameter (   sql_access_unable                   = '42724' )

       character*5   sql_name_ambiguous
       parameter (   sql_name_ambiguous                  = '42725' )

       character*5   sql_dup_derived_table_name
       parameter (   sql_dup_derived_table_name          = '42726' )

       character*5   sql_need_default_prim_tblspace
       parameter (   sql_need_default_prim_tblspace      = '42727' )

       character*5   sql_contnr_name_usedby_another
       parameter (   sql_contnr_name_usedby_another      = '42730' )

       character*5   sql_contnr_name_used
       parameter (   sql_contnr_name_used                = '42731' )

       character*5   sql_dup_schema_name_in_path
       parameter (   sql_dup_schema_name_in_path         = '42732' )

       character*5   sql_num_inserts_invalid
       parameter (   sql_num_inserts_invalid             = '42802' )

       character*5   sql_column_ref_invalid
       parameter (   sql_column_ref_invalid              = '42803' )

       character*5   sql_case_res_not_compatible
       parameter (   sql_case_res_not_compatible         = '42804' )

       character*5   sql_order_by_int_not_in_result
       parameter (   sql_order_by_int_not_in_result      = '42805' )

       character*5   sql_data_types_incompat
       parameter (   sql_data_types_incompat             = '42806' )

       character*5   sql_operation_notpermit_on_obj
       parameter (   sql_operation_notpermit_on_obj      = '42807' )

       character*5   sql_column_not_updateable
       parameter (   sql_column_not_updateable           = '42808' )

       character*5   sql_statement_not_applicable
       parameter (   sql_statement_not_applicable        = '42809' )

       character*5   sql_foreign_key_has_view
       parameter (   sql_foreign_key_has_view            = '42810' )

       character*5   sql_num_cols_not_match_select
       parameter (   sql_num_cols_not_match_select       = '42811' )

       character*5   sql_view_notallow_with_check
       parameter (   sql_view_notallow_with_check        = '42813' )

       character*5   sql_syntax_lang_type_inv
       parameter (   sql_syntax_lang_type_inv            = '42815' )

       character*5   sql_inv_use_datatime_or_dur
       parameter (   sql_inv_use_datatime_or_dur         = '42816' )

       character*5   sql_operands_not_compatible
       parameter (   sql_operands_not_compatible         = '42818' )

       character*5   sql_number_is_required
       parameter (   sql_number_is_required              = '42819' )

       character*5   sql_num_const_out_of_range
       parameter (   sql_num_const_out_of_range          = '42820' )

       character*5   sql_value_incompat_with_column
       parameter (   sql_value_incompat_with_column      = '42821' )

       character*5   sql_bad_group_order_by_expr
       parameter (   sql_bad_group_order_by_expr         = '42822' )

       character*5   sql_mult_cols_in_select_subq
       parameter (   sql_mult_cols_in_select_subq        = '42823' )

       character*5   sql_like_operand_invalid
       parameter (   sql_like_operand_invalid            = '42824' )

       character*5   sql_union_operands_col_incomp
       parameter (   sql_union_operands_col_incomp       = '42825' )

       character*5   sql_num_columns_do_not_match
       parameter (   sql_num_columns_do_not_match        = '42826' )

       character*5   sql_table_differs_from_cursor
       parameter (   sql_table_differs_from_cursor       = '42827' )

       character*5   sql_table_cannot_be_modified
       parameter (   sql_table_cannot_be_modified        = '42828' )

       character*5   sql_cannot_modify_result_tbl
       parameter (   sql_cannot_modify_result_tbl        = '42829' )

       character*5   sql_foreignkey_not_like_parent
       parameter (   sql_foreignkey_not_like_parent      = '42830' )

       character*5   sql_no_nulls_allowed_in_key
       parameter (   sql_no_nulls_allowed_in_key         = '42831' )

       character*5   sql_auth_oper_sysobj_notallow
       parameter (   sql_auth_oper_sysobj_notallow       = '42832' )

       character*5   sql_null_value_notallow
       parameter (   sql_null_value_notallow             = '42834' )

       character*5   sql_udf_invalid_handle_placed
       parameter (   sql_udf_invalid_handle_placed       = '42835' )

       character*5   sql_recurs_name_derive_tbl_inv
       parameter (   sql_recurs_name_derive_tbl_inv      = '42836' )

       character*5   sql_inv_use_of_tablespace
       parameter (   sql_inv_use_of_tablespace           = '42838' )

       character*5   sql_must_use_same_tablespace
       parameter (   sql_must_use_same_tablespace        = '42839' )

       character*5   sql_as_cast_use_error
       parameter (   sql_as_cast_use_error               = '42840' )

       character*5   sql_parm_marker_inv_name
       parameter (   sql_parm_marker_inv_name            = '42841' )

       character*5   sql_syntax_type_opt_inv
       parameter (   sql_syntax_type_opt_inv             = '42842' )

       character*5   sql_inv_bool_in_select_list
       parameter (   sql_inv_bool_in_select_list         = '42844' )

       character*5   sql_inv_variant_function
       parameter (   sql_inv_variant_function            = '42845' )

       character*5   sql_inv_cast
       parameter (   sql_inv_cast                        = '42846' )

       character*5   sql_privs_inv_or_inconsist
       parameter (   sql_privs_inv_or_inconsist          = '42852' )

       character*5   sql_syntax_type_notmatch
       parameter (   sql_syntax_type_notmatch            = '42866' )

       character*5   sql_cannot_qualify_column
       parameter (   sql_cannot_qualify_column           = '42877' )

       character*5   sql_syntax_xtern_name_inv
       parameter (   sql_syntax_xtern_name_inv           = '42878' )

       character*5   sql_syntax_func_src_notmatch
       parameter (   sql_syntax_func_src_notmatch        = '42879' )

       character*5   sql_syntax_cast_error
       parameter (   sql_syntax_cast_error               = '42880' )

       character*5   sql_name_schema_diff
       parameter (   sql_name_schema_diff                = '42882' )

       character*5   sql_name_func_signature_undef
       parameter (   sql_name_func_signature_undef       = '42883' )

       character*5   sql_name_func_argument_undef
       parameter (   sql_name_func_argument_undef        = '42884' )

       character*5   sql_syntax_parm_num_notmatch
       parameter (   sql_syntax_parm_num_notmatch        = '42885' )

       character*5   sql_table_has_no_primkey
       parameter (   sql_table_has_no_primkey            = '42888' )

       character*5   sql_primary_key_already_exist
       parameter (   sql_primary_key_already_exist       = '42889' )

       character*5   sql_not_unique_constraint_cols
       parameter (   sql_not_unique_constraint_cols      = '42890' )

       character*5   sql_obj_depends_on_this
       parameter (   sql_obj_depends_on_this             = '42893' )

       character*5   sql_default_value_inv
       parameter (   sql_default_value_inv               = '42894' )

       character*5   sql_syntax_hostvar_type_incomp
       parameter (   sql_syntax_hostvar_type_incomp      = '42895' )

       character*5   sql_inv_correlation_ref
       parameter (   sql_inv_correlation_ref             = '42898' )

       character*5   sql_correlation_ref_not_allow
       parameter (   sql_correlation_ref_not_allow       = '42899' )

       character*5   sql_error_in_udf
       parameter (   sql_error_in_udf                    = '428A0' )

       character*5   sql_noaccess_hostfile_var_file
       parameter (   sql_noaccess_hostfile_var_file      = '428A1' )

       character*5   sql_evmon_bad_path_specified
       parameter (   sql_evmon_bad_path_specified        = '428A3' )

       character*5   sql_evmon_bad_option_specified
       parameter (   sql_evmon_bad_option_specified      = '428A4' )

       character*5   sql_inv_exception_table
       parameter (   sql_inv_exception_table             = '428A5' )

       character*5   sql_excep_tbl_same_as_chk_tbl
       parameter (   sql_excep_tbl_same_as_chk_tbl       = '428A6' )

       character*5   sql_num_check_tbls_mismatch
       parameter (   sql_num_check_tbls_mismatch         = '428A7' )

       character*5   sql_parent_tbl_in_chck_pend_st
       parameter (   sql_parent_tbl_in_chck_pend_st      = '428A8' )

       character*5   sql_contnr_path_nm_not_valid
       parameter (   sql_contnr_path_nm_not_valid        = '428B2' )

       character*5   sql_inv_sqlstate_from_app
       parameter (   sql_inv_sqlstate_from_app           = '428B3' )

       character*5   sql_col_func_needs_col_name
       parameter (   sql_col_func_needs_col_name         = '42901' )

       character*5   sql_object_also_in_from_clause
       parameter (   sql_object_also_in_from_clause      = '42902' )

       character*5   sql_where_or_set_has_inv_ref
       parameter (   sql_where_or_set_has_inv_ref        = '42903' )

       character*5   sql_string_is_too_long
       parameter (   sql_string_is_too_long              = '42907' )

       character*5   sql_column_list_missing
       parameter (   sql_column_list_missing             = '42908' )

       character*5   sql_invalid_decimal_divide
       parameter (   sql_invalid_decimal_divide          = '42911' )

       character*5   sql_column_not_in_upd_clause
       parameter (   sql_column_not_in_upd_clause        = '42912' )

       character*5   sql_update_or_delete_invalid
       parameter (   sql_update_or_delete_invalid        = '42913' )

       character*5   sql_table_in_subquery_affected
       parameter (   sql_table_in_subquery_affected      = '42914' )

       character*5   sql_inv_referential_constraint
       parameter (   sql_inv_referential_constraint      = '42915' )

       character*5   sql_rep_chain_alias_invalid
       parameter (   sql_rep_chain_alias_invalid         = '42916' )

       character*5   sql_cannot_explicitly_drop_obj
       parameter (   sql_cannot_explicitly_drop_obj      = '42917' )

       character*5   sql_name_reserved
       parameter (   sql_name_reserved                   = '42918' )

       character*5   sql_cannot_add_containers
       parameter (   sql_cannot_add_containers           = '42921' )

       character*5   sql_rec_name_der_tlb_spec_inv
       parameter (   sql_rec_name_der_tlb_spec_inv       = '42925' )

       character*5   sql_prog_assumptions_incorrect
       parameter (   sql_prog_assumptions_incorrect      = '42932' )

       character*5   sql_auth_create_sysobj_noallow
       parameter (   sql_auth_create_sysobj_noallow      = '42939' )

       character*5   sql_inv_use_long_column
       parameter (   sql_inv_use_long_column             = '42962' )

       character*5   sql_no_sw_license
       parameter (   sql_no_sw_license                   = '42968' )

       character*5   sql_inv_conn_reset
       parameter (   sql_inv_conn_reset                  = '42986' )

       character*5   sql_stmt_inv_for_storproc_trig
       parameter (   sql_stmt_inv_for_storproc_trig      = '42987' )

       character*5   sql_syntax_system_use_only
       parameter (   sql_syntax_system_use_only          = '42991' )

       character*5   sql_lob_col_too_big_to_log
       parameter (   sql_lob_col_too_big_to_log          = '42993' )

       character*5   sql_raw_device_not_supp
       parameter (   sql_raw_device_not_supp             = '42994' )

       character*5   sql_view_def_not_satisfied
       parameter (   sql_view_def_not_satisfied          = '44000' )

       character*5   sql_state_call_inv
       parameter (   sql_state_call_inv                  = '51001' )

       character*5   sql_state_package_notfound
       parameter (   sql_state_package_notfound          = '51002' )

       character*5   sql_state_tokens_notmatch
       parameter (   sql_state_tokens_notmatch           = '51003' )

       character*5   sql_state_addr_inv_da
       parameter (   sql_state_addr_inv_da               = '51004' )

       character*5   sql_state_stmt_notexec
       parameter (   sql_state_stmt_notexec              = '51007' )

       character*5   sql_state_release_inv
       parameter (   sql_state_release_inv               = '51008' )

       character*5   sql_state_proc_notconnectable
       parameter (   sql_state_proc_notconnectable       = '51011' )

       character*5   sql_state_section_binderr
       parameter (   sql_state_section_binderr           = '51015' )

       character*5   sql_state_user_notloggedon
       parameter (   sql_state_user_notloggedon          = '51017' )

       character*5   sql_state_app_unconnected
       parameter (   sql_state_app_unconnected           = '51018' )

* Planned
       character*5   sql_state_crtpack_busy
       parameter (   sql_state_crtpack_busy              = '51019' )

* Planned
       character*5   sql_state_pack_none
       parameter (   sql_state_pack_none                 = '51020' )

       character*5   sql_rollback_required
       parameter (   sql_rollback_required               = '51021' )

       character*5   sql_conn_with_auth_already
       parameter (   sql_conn_with_auth_already          = '51022' )

       character*5   sql_state_db_inuse_anoth_inst
       parameter (   sql_state_db_inuse_anoth_inst       = '51023' )

       character*5   sql_inoperaitve_view
       parameter (   sql_inoperaitve_view                = '51024' )

       character*5   sql_conn_settings_in_use
       parameter (   sql_conn_settings_in_use            = '51025' )

       character*5   sql_evmon_path_inuse
       parameter (   sql_evmon_path_inuse                = '51026' )

       character*5   sql_immediate_checked_opt_inv
       parameter (   sql_immediate_checked_opt_inv       = '51027' )

       character*5   sql_package_inoperative
       parameter (   sql_package_inoperative             = '51028' )

       character*5   sql_name_col_dup_stmt
       parameter (   sql_name_col_dup_stmt               = '52001' )

       character*5   sql_name_colref_dup_name
       parameter (   sql_name_colref_dup_name            = '52002' )

       character*5   sql_name_col_undef
       parameter (   sql_name_col_undef                  = '52003' )

       character*5   sql_name_obj_undef
       parameter (   sql_name_obj_undef                  = '52004' )

       character*5   sql_name_server_undef
       parameter (   sql_name_server_undef               = '52005' )

       character*5   sql_name_col_inv
       parameter (   sql_name_col_inv                    = '52006' )

       character*5   sql_name_col_notresult
       parameter (   sql_name_col_notresult              = '52007' )

       character*5   sql_name_cursor_undef
       parameter (   sql_name_cursor_undef               = '52008' )

       character*5   sql_name_col_dup_keyclause
       parameter (   sql_name_col_dup_keyclause          = '52009' )

       character*5   sql_name_obj_dup
       parameter (   sql_name_obj_dup                    = '52010' )

       character*5   sql_name_col_dup_objdef
       parameter (   sql_name_col_dup_objdef             = '52011' )

       character*5   sql_name_table_dup
       parameter (   sql_name_table_dup                  = '52012' )

* Planned
       character*5   sql_name_cursor_dup
       parameter (   sql_name_cursor_dup                 = '52013' )

* Planned
       character*5   sql_name_cursor_notqual
       parameter (   sql_name_cursor_notqual             = '52015' )

* Planned
       character*5   sql_name_colref_dup_set
       parameter (   sql_name_colref_dup_set             = '52016' )

       character*5   sql_name_as_noname
       parameter (   sql_name_as_noname                  = '52017' )

* Planned
       character*5   sql_name_cursor_undecl
       parameter (   sql_name_cursor_undecl              = '52019' )

       character*5   sql_name_node_notfound
       parameter (   sql_name_node_notfound              = '52020' )

* Planned
       character*5   sql_name_reg_unknown
       parameter (   sql_name_reg_unknown                = '52021' )

       character*5   sql_opspec_numval_notsame
       parameter (   sql_opspec_numval_notsame           = '53002' )

       character*5   sql_opspec_column_inv
       parameter (   sql_opspec_column_inv               = '53003' )

       character*5   sql_opspec_clause_notcolumn
       parameter (   sql_opspec_clause_notcolumn         = '53005' )

       character*5   sql_opspec_op_notpermit
       parameter (   sql_opspec_op_notpermit             = '53007' )

       character*5   sql_opspec_col_notupdatable
       parameter (   sql_opspec_col_notupdatable         = '53008' )

       character*5   sql_opspec_obj_wrongtype
       parameter (   sql_opspec_obj_wrongtype            = '53009' )

       character*5   sql_opspec_clause_isview
       parameter (   sql_opspec_clause_isview            = '53010' )

       character*5   sql_opspec_numcol_notsame
       parameter (   sql_opspec_numcol_notsame           = '53011' )

       character*5   sql_opspec_option_bad
       parameter (   sql_opspec_option_bad               = '53013' )

       character*5   sql_opspec_data_inv
       parameter (   sql_opspec_data_inv                 = '53015' )

       character*5   sql_opspec_datetime_inv_expr
       parameter (   sql_opspec_datetime_inv_expr        = '53016' )

       character*5   sql_opspec_numvar_notsame
       parameter (   sql_opspec_numvar_notsame           = '53017' )

       character*5   sql_opspec_operands_notcompat
       parameter (   sql_opspec_operands_notcompat       = '53018' )

       character*5   sql_opspec_op_notnumb
       parameter (   sql_opspec_op_notnumb               = '53019' )

       character*5   sql_opspec_cons_toolong
       parameter (   sql_opspec_cons_toolong             = '53020' )

       character*5   sql_opspec_val_notcompat_col
       parameter (   sql_opspec_val_notcompat_col        = '53021' )

       character*5   sql_opspec_clause_toomany
       parameter (   sql_opspec_clause_toomany           = '53023' )

       character*5   sql_opspec_likeop_bad
       parameter (   sql_opspec_likeop_bad               = '53024' )

       character*5   sql_opspec_unionop_incompat_col
       parameter (   sql_opspec_unionop_incompat_col     = '53025' )

       character*5   sql_opspec_unionop_badnum_col
       parameter (   sql_opspec_unionop_badnum_col       = '53026' )

       character*5   sql_opspec_table_notsame_cursor
       parameter (   sql_opspec_table_notsame_cursor     = '53027' )

       character*5   sql_opspec_table_cantmodify
       parameter (   sql_opspec_table_cantmodify         = '53028' )

       character*5   sql_opspec_update_inv_rotable
       parameter (   sql_opspec_update_inv_rotable       = '53029' )

       character*5   sql_opspec_fkey_notconform
       parameter (   sql_opspec_fkey_notconform          = '53030' )

       character*5   sql_opspec_null_notallow
       parameter (   sql_opspec_null_notallow            = '53031' )

       character*5   sql_opspec_op_notallow_sysobj
       parameter (   sql_opspec_op_notallow_sysobj       = '53032' )

       character*5   sql_opspec_fkey_notallow_null
       parameter (   sql_opspec_fkey_notallow_null       = '53034' )

       character*5   sql_opspec_col_inv
       parameter (   sql_opspec_col_inv                  = '53042' )

       character*5   sql_opspec_priv_inv
       parameter (   sql_opspec_priv_inv                 = '53052' )

* Planned
       character*5   sql_opspec_opt_both
       parameter (   sql_opspec_opt_both                 = '53053' )

       character*5   sql_opspec_auth_bad
       parameter (   sql_opspec_auth_bad                 = '53056' )

* Planned
       character*5   sql_opspec_stmt_cantuse
       parameter (   sql_opspec_stmt_cantuse             = '53059' )

       character*5   sql_opspec_db_cantuse
       parameter (   sql_opspec_db_cantuse               = '53061' )

* Planned
       character*5   sql_opspec_stmt_cantexec
       parameter (   sql_opspec_stmt_cantexec            = '53062' )

       character*5   sql_opspec_hostvar_undef
       parameter (   sql_opspec_hostvar_undef            = '53063' )

* Planned
       character*5   sql_opspec_info_notmatch
       parameter (   sql_opspec_info_notmatch            = '53064' )

* Planned
       character*5   sql_opspec_options_conflict
       parameter (   sql_opspec_options_conflict         = '53067' )

* Planned
       character*5   sql_opspec_descriptors_toofew
       parameter (   sql_opspec_descriptors_toofew       = '53070' )

* Planned
       character*5   sql_opspec_numstructs_notmatch
       parameter (   sql_opspec_numstructs_notmatch      = '53071' )

* Planned
       character*5   sql_opspec_clause_incompat
       parameter (   sql_opspec_clause_incompat          = '53072' )

* Planned
       character*5   sql_opspec_numrows_inv
       parameter (   sql_opspec_numrows_inv              = '53073' )

       character*5   sql_limit_stmt_toolong
       parameter (   sql_limit_stmt_toolong              = '54001' )

       character*5   sql_limit_sconst_toolong
       parameter (   sql_limit_sconst_toolong            = '54002' )

       character*5   sql_limit_name_toolong
       parameter (   sql_limit_name_toolong              = '54003' )

       character*5   sql_limit_names_toomany
       parameter (   sql_limit_names_toomany             = '54004' )

       character*5   sql_limit_concat_toolong
       parameter (   sql_limit_concat_toolong            = '54006' )

* Planned
       character*5   sql_limit_as_toobig
       parameter (   sql_limit_as_toobig                 = '54007' )

       character*5   sql_limit_key_toolong
       parameter (   sql_limit_key_toolong               = '54008' )

       character*5   sql_limit_table_toolong
       parameter (   sql_limit_table_toolong             = '54010' )

       character*5   sql_limit_cols_toomany
       parameter (   sql_limit_cols_toomany              = '54011' )

       character*5   sql_limit_descriptors_toomany
       parameter (   sql_limit_descriptors_toomany       = '54019' )

       character*5   sql_limit_arguments_toomany
       parameter (   sql_limit_arguments_toomany         = '54023' )

       character*5   sql_limit_concur_lob_handles
       parameter (   sql_limit_concur_lob_handles        = '54028' )

       character*5   sql_limit_open_dir_scans
       parameter (   sql_limit_open_dir_scans            = '54029' )

       character*5   sql_limit_evmon_toomany
       parameter (   sql_limit_evmon_toomany             = '54030' )

       character*5   sql_limit_evtfiles_toomany
       parameter (   sql_limit_evtfiles_toomany          = '54031' )

       character*5   sql_limit_max_table_size
       parameter (   sql_limit_max_table_size            = '54032' )

       character*5   sql_limit_contnr_names_len
       parameter (   sql_limit_contnr_names_len          = '54034' )

       character*5   sql_limit_tblspace_size
       parameter (   sql_limit_tblspace_size             = '54035' )

       character*5   sql_limit_contnr_path_len
       parameter (   sql_limit_contnr_path_len           = '54036' )

       character*5   sql_limit_contain_map_complx
       parameter (   sql_limit_contain_map_complx        = '54037' )

       character*5   sql_limit_cascaded_triggers
       parameter (   sql_limit_cascaded_triggers         = '54038' )

       character*5   sql_limit_container_size
       parameter (   sql_limit_container_size            = '54039' )

       character*5   sql_limit_transition_tbl
       parameter (   sql_limit_transition_tbl            = '54040' )

       character*5   sql_state_db_notmigr
       parameter (   sql_state_db_notmigr                = '55001' )

       character*5   sql_state_expl_tbl_not_defined
       parameter (   sql_state_expl_tbl_not_defined      = '55002' )

       character*5   sql_state_obj_inuse
       parameter (   sql_state_obj_inuse                 = '55006' )

       character*5   sql_state_obj_notalter
       parameter (   sql_state_obj_notalter              = '55007' )

       character*5   sql_state_table_nokey
       parameter (   sql_state_table_nokey               = '55008' )

       character*5   sql_state_file_readonly
       parameter (   sql_state_file_readonly             = '55009' )

* Planned
       character*5   sql_state_obj_hasdeps
       parameter (   sql_state_obj_hasdeps               = '55010' )

       character*5   sql_state_table_haskey
       parameter (   sql_state_table_haskey              = '55013' )

* Planned
       character*5   sql_state_refresh_running
       parameter (   sql_state_refresh_running           = '55022' )

       character*5   sql_chk_constraint_too_long
       parameter (   sql_chk_constraint_too_long         = '55024' )

       character*5   sql_state_db_needrestart
       parameter (   sql_state_db_needrestart            = '55025' )

       character*5   sql_trigger_def_too_long
       parameter (   sql_trigger_def_too_long            = '55026' )

* Planned
       character*5   sql_state_os2_reserved
       parameter (   sql_state_os2_reserved              = '55031' )

* Planned
       character*5   sql_conn_inv_dbm_stopped
       parameter (   sql_conn_inv_dbm_stopped            = '55032' )

       character*5   sql_must_commit_for_evmon
       parameter (   sql_must_commit_for_evmon           = '55033' )

       character*5   sql_evmon_active_cant_drop
       parameter (   sql_evmon_active_cant_drop          = '55034' )

       character*5   sql_inv_state_change
       parameter (   sql_inv_state_change                = '55039' )

       character*5   sql_rebalance_in_progress
       parameter (   sql_rebalance_in_progress           = '55041' )

       character*5   sql_misc_noname
       parameter (   sql_misc_noname                     = '56001' )

       character*5   sql_misc_from_inv
       parameter (   sql_misc_from_inv                   = '56002' )

       character*5   sql_misc_where_inv
       parameter (   sql_misc_where_inv                  = '56003' )

       character*5   sql_misc_distinct_toomany
       parameter (   sql_misc_distinct_toomany           = '56005' )

       character*5   sql_misc_str_toolong
       parameter (   sql_misc_str_toolong                = '56007' )

       character*5   sql_misc_list_missing
       parameter (   sql_misc_list_missing               = '56008' )

       character*5   sql_misc_divide_neg
       parameter (   sql_misc_divide_neg                 = '56011' )

       character*5   sql_misc_col_noupdate
       parameter (   sql_misc_col_noupdate               = '56012' )

       character*5   sql_misc_upddel_inv
       parameter (   sql_misc_upddel_inv                 = '56013' )

       character*5   sql_misc_del_inv
       parameter (   sql_misc_del_inv                    = '56014' )

       character*5   sql_misc_constr_inv
       parameter (   sql_misc_constr_inv                 = '56015' )

       character*5   sql_misc_object_nodrop
       parameter (   sql_misc_object_nodrop              = '56017' )

       character*5   sql_misc_inv_comm_roll
       parameter (   sql_misc_inv_comm_roll              = '56021' )

* Planned
       character*5   sql_misc_ref_inv
       parameter (   sql_misc_ref_inv                    = '56023' )

* Planned
       character*5   sql_misc_alias_nottable
       parameter (   sql_misc_alias_nottable             = '56024' )

       character*5   sql_misc_op_inv
       parameter (   sql_misc_op_inv                     = '56026' )

       character*5   sql_misc_mixed_dbcs_inv
       parameter (   sql_misc_mixed_dbcs_inv             = '56031' )

       character*5   sql_misc_prep_inv
       parameter (   sql_misc_prep_inv                   = '56032' )

       character*5   sql_misc_obj_notcrt
       parameter (   sql_misc_obj_notcrt                 = '56039' )

* Planned
       character*5   sql_misc_package_notcommit
       parameter (   sql_misc_package_notcommit          = '56043' )

* Planned
       character*5   sql_misc_name_notid
       parameter (   sql_misc_name_notid                 = '56052' )

* Planned
       character*5   sql_misc_data_notsupp
       parameter (   sql_misc_data_notsupp               = '56059' )

* Planned
       character*5   sql_misc_stmt_notexec
       parameter (   sql_misc_stmt_notexec               = '56060' )

       character*5   sql_misc_name_notmatch
       parameter (   sql_misc_name_notmatch              = '56061' )

       character*5   sql_misc_iso_notuser
       parameter (   sql_misc_iso_notuser                = '56068' )

* Planned
       character*5   sql_misc_join_badcols
       parameter (   sql_misc_join_badcols               = '56072' )

* Planned
       character*5   sql_misc_name_required
       parameter (   sql_misc_name_required              = '56073' )

* Planned
       character*5   sql_misc_name_notqual
       parameter (   sql_misc_name_notqual               = '56074' )

       character*5   sql_lob_nosupp_in_drda
       parameter (   sql_lob_nosupp_in_drda              = '56084' )

       character*5   sql_misc_n_a_compound_sql_err
       parameter (   sql_misc_n_a_compound_sql_err       = '56091' )

       character*5   sql_misc_name_both_user_group
       parameter (   sql_misc_name_both_user_group       = '56092' )

       character*5   sql_misc_no_blob_in_dwnlvl_cl
       parameter (   sql_misc_no_blob_in_dwnlvl_cl       = '56093' )

       character*5   sql_misc_not_aligned
       parameter (   sql_misc_not_aligned                = '56097' )

       character*5   sql_resource_pending
       parameter (   sql_resource_pending                = '57007' )

       character*5   sql_resource_vsdb_tunavail
       parameter (   sql_resource_vsdb_tunavail          = '57009' )

       character*5   sql_resource_vsdb_unavail
       parameter (   sql_resource_vsdb_unavail           = '57011' )

       character*5   sql_resource_nondb_unavail_cont
       parameter (   sql_resource_nondb_unavail_cont     = '57012' )

       character*5   sql_resource_nondb_unavail_stop
       parameter (   sql_resource_nondb_unavail_stop     = '57013' )

       character*5   sql_resource_cancel
       parameter (   sql_resource_cancel                 = '57014' )

       character*5   sql_resource_table_inactive
       parameter (   sql_resource_table_inactive         = '57016' )

       character*5   sql_resource_cxlate_notdef
       parameter (   sql_resource_cxlate_notdef          = '57017' )

       character*5   sql_resource_drive_notexist
       parameter (   sql_resource_drive_notexist         = '57019' )

       character*5   sql_resource_drive_locked
       parameter (   sql_resource_drive_locked           = '57020' )

       character*5   sql_resource_drive_open
       parameter (   sql_resource_drive_open             = '57021' )

       character*5   sql_resource_maxapps
       parameter (   sql_resource_maxapps                = '57030' )

       character*5   sql_resource_maxdb
       parameter (   sql_resource_maxdb                  = '57032' )

       character*5   sql_resource_db_started
       parameter (   sql_resource_db_started             = '57033' )

       character*5   sql_resource_db_acquired
       parameter (   sql_resource_db_acquired            = '57034' )

       character*5   sql_resource_dbfile_notown
       parameter (   sql_resource_dbfile_notown          = '57035' )

       character*5   sql_resource_log_notown
       parameter (   sql_resource_log_notown             = '57036' )

       character*5   sql_resource_standalone
       parameter (   sql_resource_standalone             = '57041' )

       character*5   sql_resource_quiesce_backup
       parameter (   sql_resource_quiesce_backup         = '57046' )

       character*5   sql_resource_dir_not_access
       parameter (   sql_resource_dir_not_access         = '57047' )

       character*5   sql_resource_contnr_acc_err
       parameter (   sql_resource_contnr_acc_err         = '57048' )

       character*5   sql_resource_sys_limit
       parameter (   sql_resource_sys_limit              = '57049' )

       character*5   sql_resource_path
       parameter (   sql_resource_path                   = '57050' )

       character*5   sql_resource_disk_stuffit
       parameter (   sql_resource_disk_stuffit           = '57901' )

       character*5   sql_resource_disk_bad
       parameter (   sql_resource_disk_bad               = '57902' )

       character*5   sql_resource_disk_full
       parameter (   sql_resource_disk_full              = '57903' )

       character*5   sql_syserr_inv_sect
       parameter (   sql_syserr_inv_sect                 = '58003' )

       character*5   sql_syserr_err_cont
       parameter (   sql_syserr_err_cont                 = '58004' )

       character*5   sql_syserr_err_stop
       parameter (   sql_syserr_err_stop                 = '58005' )

       character*5   sql_syserr_dist_cont
       parameter (   sql_syserr_dist_cont                = '58008' )

       character*5   sql_syserr_dist_dealloc
       parameter (   sql_syserr_dist_dealloc             = '58009' )

       character*5   sql_syserr_dist_stop
       parameter (   sql_syserr_dist_stop                = '58010' )

       character*5   sql_syserr_bind_active
       parameter (   sql_syserr_bind_active              = '58011' )

       character*5   sql_syserr_bind_inactive
       parameter (   sql_syserr_bind_inactive            = '58012' )

       character*5   sql_syserr_cmd_notsupp
       parameter (   sql_syserr_cmd_notsupp              = '58014' )

       character*5   sql_syserr_obj_notsupp
       parameter (   sql_syserr_obj_notsupp              = '58015' )

       character*5   sql_syserr_param_notsupp
       parameter (   sql_syserr_param_notsupp            = '58016' )

       character*5   sql_syserr_value_notsupp
       parameter (   sql_syserr_value_notsupp            = '58017' )

       character*5   sql_syserr_msg_notsupp
       parameter (   sql_syserr_msg_notsupp              = '58018' )

       character*5   sql_syserr_commerr
       parameter (   sql_syserr_commerr                  = '58019' )

       character*5   sql_syserr_notdef
       parameter (   sql_syserr_notdef                   = '58020' )

* Planned
       character*5   sql_syserr_hostvars
       parameter (   sql_syserr_hostvars                 = '58026' )

       character*5   sql_syserr_ioerr
       parameter (   sql_syserr_ioerr                    = '58030' )

       character*5   sql_syserr_dbfile
       parameter (   sql_syserr_dbfile                   = '58031' )

       character*5   sql_syserr_str_fenced_fun_fail
       parameter (   sql_syserr_str_fenced_fun_fail      = '58032' )

       character*5   sql_syserr_find_tbsp_pg_fail
       parameter (   sql_syserr_find_tbsp_pg_fail        = '58034' )

       character*5   sql_syserr_free_tbsp_pg_fail
       parameter (   sql_syserr_free_tbsp_pg_fail        = '58035' )

       character*5   sql_syserr_tblspc_id_noexist
       parameter (   sql_syserr_tblspc_id_noexist        = '58036' )


