*******************************************************************************
*  
*  Source File Name: SQLUTIL
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1995
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function = Include File defining:
*               Utility / Configuration Commands - Constants
*               Utility / Configuration Commands - Data Structures
*               Utility / Configuration Commands - Function Prototypes
*               Utility / Configuration Commands - Labels for SQLCODES
*  
*  Operating System:SGI
*  
********************************************************************************
* Interface Parameters/Structures/Return Codes

* Parameters for Rollforward caller action
* Roll forward to requested point
       integer*2   sqlum_rollfwd
       parameter ( sqlum_rollfwd           = 1 )

* End roll-forward recovery
       integer*2   sqlum_stop
       parameter ( sqlum_stop              = 2 )

* Roll forward to requested point and end roll-forward recovery
       integer*2   sqlum_rollfwd_stop
       parameter ( sqlum_rollfwd_stop      = 3 )

* Query nextArcFile, firstDeleteArc, lastDeleteArc, lastCommitTime
       integer*2   sqlum_query
       parameter ( sqlum_query             = 4 )

* Parameter check
       integer*2   sqlum_parm_check
       parameter ( sqlum_parm_check        = 10 )

* Continue load recovery.
       integer*2   sqlum_loadrec_continue
       parameter ( sqlum_loadrec_continue  = 11 )

* Terminate load recovery.
       integer*2   sqlum_loadrec_terminate
       parameter ( sqlum_loadrec_terminate = 12 )

* Terminate device.Caller action codes 31 - 35 reserved for internal use.
       integer*2   sqlum_loadrec_device_terminate
       parameter ( sqlum_loadrec_device_terminate = 13 )


* Constants used for Rollforward
* Roll forward until STOP specified
       character*26  sqlum_infinity_timestamp
       parameter (   sqlum_infinity_timestamp = '9999-12-31-23.59.59.999
     +999' )

* Length of Archive File name
       integer*2   sqlum_archive_file_len
       parameter ( sqlum_archive_file_len  = 12 )

* Length of ISO format Timestamp
       integer*2   sqlum_timestamp_len
       parameter ( sqlum_timestamp_len     = 26 )


* Rollforward connect mode
* Offline rollforward mode
       integer*2   sqlum_offline
       parameter ( sqlum_offline           = x'0' )

* Online rollforward mode
       integer*2   sqlum_online
       parameter ( sqlum_online            = x'1' )


* Backup backup mode
* Offline backup mode
       integer*2   sqlub_offline
       parameter ( sqlub_offline           = x'0' )

* Online backup mode
       integer*2   sqlub_online
       parameter ( sqlub_online            = x'1' )


* Backup type
       integer*2   sqlub_full
       parameter ( sqlub_full              = 0 )

       integer*2   sqlub_tablespace
       parameter ( sqlub_tablespace        = 3 )


* Backup calling action values
* initial call
       integer*2   sqlub_backup
       parameter ( sqlub_backup            = 0 )

* Subsequent call
       integer*2   sqlub_continue
       parameter ( sqlub_continue          = 1 )

* Terminating call
       integer*2   sqlub_terminate
       parameter ( sqlub_terminate         = 2 )

* Initial call to run without prompting
       integer*2   sqlub_nointerrupt
       parameter ( sqlub_nointerrupt       = 3 )

* End media device.
       integer*2   sqlub_device_terminate
       parameter ( sqlub_device_terminate  = 9 )

* for parameter check only.
       integer*2   sqlub_parm_check
       parameter ( sqlub_parm_check        = 10 )


* Restore mode
       integer*2   sqlud_rollfwd
       parameter ( sqlud_rollfwd           = x'0' )

       integer*2   sqlud_norollfwd
       parameter ( sqlud_norollfwd         = x'1' )


* Restore calling action values
* initial call
       integer*2   sqlud_restore
       parameter ( sqlud_restore           = 0 )

* Subsequent call
       integer*2   sqlud_continue
       parameter ( sqlud_continue          = 1 )

* Terminating call
       integer*2   sqlud_terminate
       parameter ( sqlud_terminate         = 2 )

* Initial call to run without prompting
       integer*2   sqlud_nointerrupt
       parameter ( sqlud_nointerrupt       = 3 )

* End media device.
       integer*2   sqlud_device_terminate
       parameter ( sqlud_device_terminate  = 9 )

* for parameter check only.
       integer*2   sqlud_parm_check
       parameter ( sqlud_parm_check        = 10 )

* initial call, tablespace container redefinition requested
       integer*2   sqlud_restore_stordef
       parameter ( sqlud_restore_stordef   = 100 )

* initial call, tablespace container redefinition requested without
* prompting
       integer*2   sqlud_stordef_nointerrupt
       parameter ( sqlud_stordef_nointerrupt = 101 )


* Restore type
       integer*2   sqlud_full
       parameter ( sqlud_full              = 0 )

       integer*2   sqlud_online_tablespace
       parameter ( sqlud_online_tablespace = 3 )

       integer*2   sqlud_history
       parameter ( sqlud_history           = 5 )

* The following are not supported in V2.1.0
       integer*2   sqlud_tablespace_tbl
       parameter ( sqlud_tablespace_tbl    = 6 )

       integer*2   sqlud_hist_tblspace_tbl
       parameter ( sqlud_hist_tblspace_tbl = 7 )


* Backup/Restore Definitions
* length of database alias name
       integer*2   sqlu_alias_sz
       parameter ( sqlu_alias_sz           = 8 )

* length of userid
       integer*2   sqlu_userid_len
       parameter ( sqlu_userid_len         = 8 )

* length of password
       integer*2   sqlu_pwd_len
       parameter ( sqlu_pwd_len            = 18 )

* length of the backup timestamp in yyyymmddhhmmss format
       integer*2   sqlu_time_stamp_len
       parameter ( sqlu_time_stamp_len     = 14 )


* length of filename of backup image:
* dbalias.type.db2instance.node.timestamp.seq
       integer*2   sqlu_backup_name_sz
       parameter ( sqlu_backup_name_sz     = 44 )


* length of directory where backup file will reside:dir - '/' - filename
       integer*2   sqlu_backup_dir_sz
       parameter ( sqlu_backup_dir_sz      = 978 )


* Parameters for Backup/Restore old api's
* User exit used, not SD interface
       character*1   sqlu_nsd_id
       parameter (   sqlu_nsd_id           = '0' )


* Media type for old api's
       integer*2   sqlub_media_target
       parameter ( sqlub_media_target      = x'0' )

       integer*2   sqlub_adsm
       parameter ( sqlub_adsm              = x'1' )

       integer*2   sqlub_other
       parameter ( sqlub_other             = x'2' )


* Old OS/2 Backup/restore media type values
       integer*2   sqlud_media_src
       parameter ( sqlud_media_src         = x'0' )

       integer*2   sqlud_adsm
       parameter ( sqlud_adsm              = x'1' )

       integer*2   sqlud_other
       parameter ( sqlud_other             = x'2' )


* Parameters for SQLUHPRN force option
       integer*2   sqluh_no_force
       parameter ( sqluh_no_force          = 0 )

       integer*2   sqluh_force
       parameter ( sqluh_force             = 1 )


* Parameters for SQLUHOPS caller action
       integer*2   sqluh_list_backup
       parameter ( sqluh_list_backup       = 0 )

       integer*2   sqluh_list_history
       parameter ( sqluh_list_history      = 1 )


* History File structure sizes
       integer*2   sqluh_op_sz
       parameter ( sqluh_op_sz             = 1 )

       integer*2   sqluh_obj_sz
       parameter ( sqluh_obj_sz            = 1 )

       integer*2   sqluh_objpart_sz
       parameter ( sqluh_objpart_sz        = 17 )

       integer*2   sqluh_optype_sz
       parameter ( sqluh_optype_sz         = 1 )

       integer*2   sqluh_devtype_sz
       parameter ( sqluh_devtype_sz        = 1 )

       integer*2   sqluh_firstlog_sz
       parameter ( sqluh_firstlog_sz       = 12 )

       integer*2   sqluh_lastlog_sz
       parameter ( sqluh_lastlog_sz        = 12 )

       integer*2   sqluh_backid_sz
       parameter ( sqluh_backid_sz         = 14 )

       integer*2   sqluh_tcreate_sz
       parameter ( sqluh_tcreate_sz        = 8 )

       integer*2   sqluh_tname_sz
       parameter ( sqluh_tname_sz          = 18 )

       integer*2   sqluh_numtablespace_sz
       parameter ( sqluh_numtablespace_sz  = 5 )

       integer*2   sqluh_loc_sz
       parameter ( sqluh_loc_sz            = 255 )

       integer*2   sqluh_comment_sz
       parameter ( sqluh_comment_sz        = 30 )

       integer*2   sqluh_tablespacename_sz
       parameter ( sqluh_tablespacename_sz = 18 )


* Parameters for RUNSTATS
* TABLEOPT = Table w/o Indexes
       character*1   sql_stats_table
       parameter (   sql_stats_table       = 'T' )

* TABLEOPT = Table and Indexes
       character*1   sql_stats_both
       parameter (   sql_stats_both        = 'B' )

* TABLEOPT = Indexes w/o Table
       character*1   sql_stats_index
       parameter (   sql_stats_index       = 'I' )

* TABLEOPT = Table and dist stats
       character*1   sql_stats_exttable_only
       parameter (   sql_stats_exttable_only = 'D' )

* TABLEOPT = Table and dist stats and basic indexes
       character*1   sql_stats_exttable_index
       parameter (   sql_stats_exttable_index = 'E' )

* TABLEOPT = Ext stats for indexes only
       character*1   sql_stats_extindex_only
       parameter (   sql_stats_extindex_only = 'X' )

* TABLEOPT = Ext stats for indexes and basic table stats
       character*1   sql_stats_extindex_table
       parameter (   sql_stats_extindex_table = 'Y' )

* TABLEOPT = Ext stats for indexes and table with dist stats
       character*1   sql_stats_all
       parameter (   sql_stats_all         = 'A' )

* SHAREOPT = Reference
       character*1   sql_stats_ref
       parameter (   sql_stats_ref         = 'R' )

* SHAREOPT = Change
       character*1   sql_stats_chg
       parameter (   sql_stats_chg         = 'C' )


* TABLEOPT - no statistics are to be gathered - Load only
       character*1   sqlu_stats_none
       parameter (   sqlu_stats_none       = ' ' )


* Parameters for selection method in sqldcol
* Names
       integer*2   sql_meth_n
       parameter ( sql_meth_n              = 78 )

* Positional
       integer*2   sql_meth_p
       parameter ( sql_meth_p              = 80 )

* Default
       integer*2   sql_meth_d
       parameter ( sql_meth_d              = 68 )

* Locations
       integer*2   sql_meth_l
       parameter ( sql_meth_l              = 76 )


* File Types for Import/Export
       character*3   sql_ixf
       parameter (   sql_ixf               = 'IXF' )

       character*3   sql_wsf
       parameter (   sql_wsf               = 'WSF' )

       character*3   sql_del
       parameter (   sql_del               = 'DEL' )

       character*3   sql_asc
       parameter (   sql_asc               = 'ASC' )

* load/unload
       character*5   sql_db2cs
       parameter (   sql_db2cs             = 'DB2CS' )


* Client Communication Protocols
       character*5   sqlf_protocol_tcpip
       parameter (   sqlf_protocol_tcpip   = 'TCPIP' )

       character*4   sqlf_protocol_appc
       parameter (   sqlf_protocol_appc    = 'APPC' )


* Import/Export/Load/Unload calling action values
* Initial call
       integer*2   sqlu_initial
       parameter ( sqlu_initial            = x'0' )

* Subsequent call
       integer*2   sqlu_continue
       parameter ( sqlu_continue           = x'1' )

* Terminating call
       integer*2   sqlu_terminate
       parameter ( sqlu_terminate          = x'2' )

* Initial call - Load/Unload only
       integer*2   sqlu_nointerrupt
       parameter ( sqlu_nointerrupt        = x'3' )

* Abort call - Load only
       integer*2   sqlu_abort
       parameter ( sqlu_abort              = x'4' )

* Restart call - Load only
       integer*2   sqlu_restart
       parameter ( sqlu_restart            = x'5' )

* Subsequent call - Load/Unload only
       integer*2   sqlu_device_terminate
       parameter ( sqlu_device_terminate   = x'9' )


* Actions for quiesce tablespaces for table
       integer*2   sqlu_quiescemode_share
       parameter ( sqlu_quiescemode_share  = 0 )

       integer*2   sqlu_quiescemode_intent_update
       parameter ( sqlu_quiescemode_intent_update = 1 )

       integer*2   sqlu_quiescemode_exclusive
       parameter ( sqlu_quiescemode_exclusive = 2 )

       integer*2   sqlu_quiescemode_reset
       parameter ( sqlu_quiescemode_reset  = 9 )

       integer*2   sqlu_quiescemode_reset_owned
       parameter ( sqlu_quiescemode_reset_owned = 10 )


* Equates for Configuration Utilities

* Token equates for SQLFupd structure for Kernel config file
       integer*2   sqlf_ktn_rqrioblk
       parameter ( sqlf_ktn_rqrioblk       = 1 )

       integer*2   sqlf_ktn_numdb
       parameter ( sqlf_ktn_numdb          = 6 )

       integer*2   sqlf_ktn_nname
       parameter ( sqlf_ktn_nname          = 7 )

       integer*2   sqlf_ktn_maxagents
       parameter ( sqlf_ktn_maxagents      = 12 )

       integer*2   sqlf_ktn_maxcagents
       parameter ( sqlf_ktn_maxcagents     = 13 )

       integer*2   sqlf_ktn_aslheapsz
       parameter ( sqlf_ktn_aslheapsz      = 15 )

       integer*2   sqlf_ktn_sqlstmtsz
       parameter ( sqlf_ktn_sqlstmtsz      = 17 )

       integer*2   sqlf_ktn_backbufsz
       parameter ( sqlf_ktn_backbufsz      = 18 )

       integer*2   sqlf_ktn_restbufsz
       parameter ( sqlf_ktn_restbufsz      = 19 )

       integer*2   sqlf_ktn_indexrec
       parameter ( sqlf_ktn_indexrec       = 20 )

       integer*2   sqlf_ktn_sheapthres
       parameter ( sqlf_ktn_sheapthres     = 21 )

       integer*2   sqlf_ktn_maxdari
       parameter ( sqlf_ktn_maxdari        = 80 )

       integer*2   sqlf_ktn_keepdari
       parameter ( sqlf_ktn_keepdari       = 81 )

       integer*2   sqlf_ktn_svcename
       parameter ( sqlf_ktn_svcename       = 24 )

       integer*2   sqlf_ktn_tpname
       parameter ( sqlf_ktn_tpname         = 25 )

       integer*2   sqlf_ktn_agentpri
       parameter ( sqlf_ktn_agentpri       = 26 )

       integer*2   sqlf_ktn_dftdbpath
       parameter ( sqlf_ktn_dftdbpath      = 27 )


* tokens for new Version 2.1 parameters
       integer*2   sqlf_ktn_dft_account_str
       parameter ( sqlf_ktn_dft_account_str = 28 )


* You may manipulate the bits of SQLF_KTN_DFT_MONSWITCHES or you can enable
* disable, or query the current setting through the individual tokens
       integer*2   sqlf_ktn_dft_monswitches
       parameter ( sqlf_ktn_dft_monswitches = 29 )

* Bit 1 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_uow
       parameter ( sqlf_ktn_dft_mon_uow    = 30 )

* Bit 2 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_stmt
       parameter ( sqlf_ktn_dft_mon_stmt   = 31 )

* Bit 3 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_table
       parameter ( sqlf_ktn_dft_mon_table  = 32 )

* Bit 4 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_bufpool
       parameter ( sqlf_ktn_dft_mon_bufpool = 33 )

* Bit 5 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_lock
       parameter ( sqlf_ktn_dft_mon_lock   = 34 )

* Bit 6 of SQLF_KTN_DFT_MONSWITCHES
       integer*2   sqlf_ktn_dft_mon_sort
       parameter ( sqlf_ktn_dft_mon_sort   = 35 )


       integer*2   sqlf_ktn_sysadm_group
       parameter ( sqlf_ktn_sysadm_group   = 39 )

       integer*2   sqlf_ktn_dir_cache
       parameter ( sqlf_ktn_dir_cache      = 40 )

       integer*2   sqlf_ktn_drda_heap_sz
       parameter ( sqlf_ktn_drda_heap_sz   = 41 )

       integer*2   sqlf_ktn_cpuspeed
       parameter ( sqlf_ktn_cpuspeed       = 42 )

       integer*2   sqlf_ktn_min_priv_mem
       parameter ( sqlf_ktn_min_priv_mem   = 43 )

       integer*2   sqlf_ktn_priv_mem_thresh
       parameter ( sqlf_ktn_priv_mem_thresh = 44 )

       integer*2   sqlf_ktn_maxtotfilop
       parameter ( sqlf_ktn_maxtotfilop    = 45 )

       integer*2   sqlf_ktn_fileserver
       parameter ( sqlf_ktn_fileserver     = 47 )

       integer*2   sqlf_ktn_objectname
       parameter ( sqlf_ktn_objectname     = 48 )

       integer*2   sqlf_ktn_query_heap_sz
       parameter ( sqlf_ktn_query_heap_sz  = 49 )


       integer*2   sqlf_ktn_max_idleagents
       parameter ( sqlf_ktn_max_idleagents = 60 )

       integer*2   sqlf_ktn_agent_stack_sz
       parameter ( sqlf_ktn_agent_stack_sz = 61 )

       integer*2   sqlf_ktn_sysmaint_group
       parameter ( sqlf_ktn_sysmaint_group = 62 )

       integer*2   sqlf_ktn_sysctrl_group
       parameter ( sqlf_ktn_sysctrl_group  = 63 )


       integer*2   sqlf_ktn_diaglevel
       parameter ( sqlf_ktn_diaglevel      = 64 )

       integer*2   sqlf_ktn_diagpath
       parameter ( sqlf_ktn_diagpath       = 65 )


       integer*2   sqlf_ktn_tp_mon_name
       parameter ( sqlf_ktn_tp_mon_name    = 66 )

       integer*2   sqlf_ktn_tm_database
       parameter ( sqlf_ktn_tm_database    = 67 )

       integer*2   sqlf_ktn_resync_interval
       parameter ( sqlf_ktn_resync_interval = 68 )

       integer*2   sqlf_ktn_udf_mem_sz
       parameter ( sqlf_ktn_udf_mem_sz     = 69 )


       integer*2   sqlf_ktn_ipx_socket
       parameter ( sqlf_ktn_ipx_socket     = 71 )

       integer*2   sqlf_ktn_dos_rqrioblk
       parameter ( sqlf_ktn_dos_rqrioblk   = 72 )


* token for directory services
       integer*2   sqlf_ktn_dir_type
       parameter ( sqlf_ktn_dir_type       = 73 )

* token for directory services
       integer*2   sqlf_ktn_dir_path_name
       parameter ( sqlf_ktn_dir_path_name  = 74 )

* token for directory services
       integer*2   sqlf_ktn_dir_obj_name
       parameter ( sqlf_ktn_dir_obj_name   = 75 )

* token for directory services
       integer*2   sqlf_ktn_route_obj_name
       parameter ( sqlf_ktn_route_obj_name = 76 )

* token for directory services
       integer*2   sqlf_ktn_dft_client_comm
       parameter ( sqlf_ktn_dft_client_comm = 77 )

       integer*2   sqlf_ktn_authentication
       parameter ( sqlf_ktn_authentication = 78 )

       integer*2   sqlf_ktn_mon_heap_sz
       parameter ( sqlf_ktn_mon_heap_sz    = 79 )


* tokens for syncpoint manager
       integer*2   sqlf_ktn_spm_log_file_sz
       parameter ( sqlf_ktn_spm_log_file_sz = 90 )

       integer*2   sqlf_ktn_spm_max_resync
       parameter ( sqlf_ktn_spm_max_resync = 91 )

       integer*2   sqlf_ktn_spm_name
       parameter ( sqlf_ktn_spm_name       = 92 )


* tokens for adsm
       integer*2   sqlf_ktn_adsm_password
       parameter ( sqlf_ktn_adsm_password  = 93 )

       integer*2   sqlf_ktn_adsm_nodename
       parameter ( sqlf_ktn_adsm_nodename  = 94 )

       integer*2   sqlf_ktn_adsm_owner
       parameter ( sqlf_ktn_adsm_owner     = 95 )


* equates for diretory type
       integer*2   sqlf_dirtype_none
       parameter ( sqlf_dirtype_none       = 0 )

       integer*2   sqlf_dirtype_dce
       parameter ( sqlf_dirtype_dce        = 1 )


* tokens for internal parameters
       integer*2   sqlf_ktn_nodetype
       parameter ( sqlf_ktn_nodetype       = 100 )

       integer*2   sqlf_ktn_release
       parameter ( sqlf_ktn_release        = 101 )

       integer*2   sqlf_ktn_notoken
       parameter ( sqlf_ktn_notoken        = 200 )


* Nodetype equates
       integer*2   sqlf_nt_standalone
       parameter ( sqlf_nt_standalone      = 0 )

       integer*2   sqlf_nt_server
       parameter ( sqlf_nt_server          = 1 )

       integer*2   sqlf_nt_requestor
       parameter ( sqlf_nt_requestor       = 2 )

       integer*2   sqlf_nt_stand_req
       parameter ( sqlf_nt_stand_req       = 3 )


*******************************************************************************
*  Defines for Database Monitor Switches - SQLF_KTN_DFT_MONSWITCHES
*  
*  The following meanings apply when the bits are set on.
*  
*  SQLF_ENABLE_MON_UOW     -
*  SQLF_ENABLE_MON_STMT    -
*  SQLF_ENABLE_MON_TABLE   -
*  SQLF_ENABLE_MON_BUFPOOL -
*  SQLF_ENABLE_MON_LOCK    -
*  SQLF_ENABLE_MON_SORT    -
********************************************************************************

* xxxx xxxx xxxx xxx1
       integer*2   sqlf_enable_mon_uow
       parameter ( sqlf_enable_mon_uow     = x'1' )

* xxxx xxxx xxxx xx1x
       integer*2   sqlf_enable_mon_stmt
       parameter ( sqlf_enable_mon_stmt    = x'2' )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_enable_mon_table
       parameter ( sqlf_enable_mon_table   = x'4' )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_enable_mon_bufpool
       parameter ( sqlf_enable_mon_bufpool = x'8' )

* xxxx xxxx xxx1 xxxx
       integer*2   sqlf_enable_mon_lock
       parameter ( sqlf_enable_mon_lock    = x'10' )

* xxxx xxxx xx1x xxxx
       integer*2   sqlf_enable_mon_sort
       parameter ( sqlf_enable_mon_sort    = x'20' )


* Token equates for SQLFupd structure for DB config file
       integer*2   sqlf_dbtn_locklist
       parameter ( sqlf_dbtn_locklist      = 1 )

       integer*2   sqlf_dbtn_buff_page
       parameter ( sqlf_dbtn_buff_page     = 90 )

       integer*2   sqlf_dbtn_maxfilop
       parameter ( sqlf_dbtn_maxfilop      = 3 )

       integer*2   sqlf_dbtn_softmax
       parameter ( sqlf_dbtn_softmax       = 5 )

       integer*2   sqlf_dbtn_maxappls
       parameter ( sqlf_dbtn_maxappls      = 6 )

       integer*2   sqlf_dbtn_applheapsz
       parameter ( sqlf_dbtn_applheapsz    = 51 )

       integer*2   sqlf_dbtn_dbheap
       parameter ( sqlf_dbtn_dbheap        = 50 )

       integer*2   sqlf_dbtn_dlchktime
       parameter ( sqlf_dbtn_dlchktime     = 9 )

       integer*2   sqlf_dbtn_sort_heap
       parameter ( sqlf_dbtn_sort_heap     = 52 )

       integer*2   sqlf_dbtn_maxlocks
       parameter ( sqlf_dbtn_maxlocks      = 15 )

       integer*2   sqlf_dbtn_logprimary
       parameter ( sqlf_dbtn_logprimary    = 16 )

       integer*2   sqlf_dbtn_logsecond
       parameter ( sqlf_dbtn_logsecond     = 17 )

       integer*2   sqlf_dbtn_logfilsiz
       parameter ( sqlf_dbtn_logfilsiz     = 18 )

       integer*2   sqlf_dbtn_stmtheap
       parameter ( sqlf_dbtn_stmtheap      = 53 )

       integer*2   sqlf_dbtn_newlogpath
       parameter ( sqlf_dbtn_newlogpath    = 20 )

       integer*2   sqlf_dbtn_dets
       parameter ( sqlf_dbtn_dets          = 21 )

       integer*2   sqlf_dbtn_copy_protect
       parameter ( sqlf_dbtn_copy_protect  = 22 )

       integer*2   sqlf_dbtn_log_retain
       parameter ( sqlf_dbtn_log_retain    = 23 )

       integer*2   sqlf_dbtn_user_exit
       parameter ( sqlf_dbtn_user_exit     = 24 )

       integer*2   sqlf_dbtn_auto_restart
       parameter ( sqlf_dbtn_auto_restart  = 25 )

       integer*2   sqlf_dbtn_indexrec
       parameter ( sqlf_dbtn_indexrec      = 30 )

       integer*2   sqlf_dbtn_pckcachesz
       parameter ( sqlf_dbtn_pckcachesz    = 31 )

       integer*2   sqlf_dbtn_mincommit
       parameter ( sqlf_dbtn_mincommit     = 32 )

       integer*2   sqlf_dbtn_logbufsz
       parameter ( sqlf_dbtn_logbufsz      = 33 )


* tokens for new Version 2.1 parameters
       integer*2   sqlf_dbtn_locktimeout
       parameter ( sqlf_dbtn_locktimeout   = 34 )

       integer*2   sqlf_dbtn_indexsort
       parameter ( sqlf_dbtn_indexsort     = 35 )

       integer*2   sqlf_dbtn_num_freqvalues
       parameter ( sqlf_dbtn_num_freqvalues = 36 )

       integer*2   sqlf_dbtn_num_iocleaners
       parameter ( sqlf_dbtn_num_iocleaners = 37 )

       integer*2   sqlf_dbtn_chngpgs_thresh
       parameter ( sqlf_dbtn_chngpgs_thresh = 38 )

       integer*2   sqlf_dbtn_num_ioservers
       parameter ( sqlf_dbtn_num_ioservers = 39 )

       integer*2   sqlf_dbtn_dft_prefetch_sz
       parameter ( sqlf_dbtn_dft_prefetch_sz = 40 )

       integer*2   sqlf_dbtn_seqdetect
       parameter ( sqlf_dbtn_seqdetect     = 41 )

       integer*2   sqlf_dbtn_dft_loadrec_ses
       parameter ( sqlf_dbtn_dft_loadrec_ses = 42 )

       integer*2   sqlf_dbtn_rec_his_retentn
       parameter ( sqlf_dbtn_rec_his_retentn = 43 )

       integer*2   sqlf_dbtn_collate_info
       parameter ( sqlf_dbtn_collate_info  = 44 )

       integer*2   sqlf_dbtn_stat_heap_sz
       parameter ( sqlf_dbtn_stat_heap_sz  = 45 )

* token for directory services
       integer*2   sqlf_dbtn_dir_obj_name
       parameter ( sqlf_dbtn_dir_obj_name  = 46 )

       integer*2   sqlf_dbtn_avg_appls
       parameter ( sqlf_dbtn_avg_appls     = 47 )

       integer*2   sqlf_dbtn_num_quantiles
       parameter ( sqlf_dbtn_num_quantiles = 48 )

       integer*2   sqlf_dbtn_dft_extent_sz
       parameter ( sqlf_dbtn_dft_extent_sz = 54 )

       integer*2   sqlf_dbtn_util_heap_sz
       parameter ( sqlf_dbtn_util_heap_sz  = 55 )

       integer*2   sqlf_dbtn_catalogcache_sz
       parameter ( sqlf_dbtn_catalogcache_sz = 56 )

       integer*2   sqlf_dbtn_dft_queryopt
       parameter ( sqlf_dbtn_dft_queryopt  = 57 )


* tokens for internal parameters
       integer*2   sqlf_dbtn_country
       parameter ( sqlf_dbtn_country       = 100 )

       integer*2   sqlf_dbtn_codepage
       parameter ( sqlf_dbtn_codepage      = 101 )

       integer*2   sqlf_dbtn_release
       parameter ( sqlf_dbtn_release       = 102 )

       integer*2   sqlf_dbtn_logpath
       parameter ( sqlf_dbtn_logpath       = 103 )

       integer*2   sqlf_dbtn_intflags
       parameter ( sqlf_dbtn_intflags      = 104 )

       integer*2   sqlf_dbtn_loghead
       parameter ( sqlf_dbtn_loghead       = 105 )

       integer*2   sqlf_dbtn_nextactive
       parameter ( sqlf_dbtn_nextactive    = 107 )

       integer*2   sqlf_dbtn_consistent
       parameter ( sqlf_dbtn_consistent    = 111 )

       integer*2   sqlf_dbtn_backup_pending
       parameter ( sqlf_dbtn_backup_pending = 112 )

       integer*2   sqlf_dbtn_rollfwd_pending
       parameter ( sqlf_dbtn_rollfwd_pending = 113 )

       integer*2   sqlf_dbtn_log_retain_status
       parameter ( sqlf_dbtn_log_retain_status = 114 )

       integer*2   sqlf_dbtn_user_exit_status
       parameter ( sqlf_dbtn_user_exit_status = 115 )

       integer*2   sqlf_dbtn_codeset
       parameter ( sqlf_dbtn_codeset       = 120 )

       integer*2   sqlf_dbtn_territory
       parameter ( sqlf_dbtn_territory     = 121 )

       integer*2   sqlf_dbtn_numsegs
       parameter ( sqlf_dbtn_numsegs       = 122 )

       integer*2   sqlf_dbtn_database_level
       parameter ( sqlf_dbtn_database_level = 124 )

       integer*2   sqlf_dbtn_notoken
       parameter ( sqlf_dbtn_notoken       = 200 )


* Index recreate type
       integer*2   sqlf_inx_rec_system
       parameter ( sqlf_inx_rec_system     = 0 )

       integer*2   sqlf_inx_rec_reference
       parameter ( sqlf_inx_rec_reference  = 1 )

       integer*2   sqlf_inx_rec_restart
       parameter ( sqlf_inx_rec_restart    = 2 )


* Special values for configuration defaults
* Default maxcagents
       integer*2   sqlfdmca
       parameter ( sqlfdmca                = -1 )

* Default maxdari
       integer*2   sqlfdmxd
       parameter ( sqlfdmxd                = -1 )

* Default agentpri
       integer*2   sqlfdapr
       parameter ( sqlfdapr                = -1 )

* keepdari - no
       integer*2   sqlfmkpd
       parameter ( sqlfmkpd                = 0 )

* keepdari - yes
       integer*2   sqlfxkpd
       parameter ( sqlfxkpd                = 1 )


*******************************************************************************
*  You may manipulate the bits of SQLF_DBTN_DETS and SQLF_DBTN_INTFLAGS
*  or you can enable, disable, or query the current setting through
*  the individual tokens.
*  
*  Defines for: SQLF_DBTN_COPY_PROTECT    , SQLF_DBTN_LOG_RETAIN
*               SQLF_DBTN_USER_EXIT       , SQLF_DBTN_AUTO_RESTART
*               SQLF_DBTN_CONSISTENT      , SQLF_DBTN_BACKUP_PENDING
*               SQLF_DBTN_ROLLFWD_PENDING , SQLF_DBTN_LOG_RETAIN_STATUS
*               SQLF_DBTN_USER_EXIT_STATUS
********************************************************************************

       integer*2   sqlf_disable
       parameter ( sqlf_disable            = 0 )

       integer*2   sqlf_enable
       parameter ( sqlf_enable             = 1 )

* The third state of rollfwd_pending
       integer*2   sqlf_rollfwd_tablespace
       parameter ( sqlf_rollfwd_tablespace = 2 )

*******************************************************************************
*  Defines for Database Details - SQLF_DBTN_DETS
*  
*  The following meanings apply when the bits are set on.
*  
*  SQLF_COPY_PROTECT       - Database is copy protected.
*  SQLF_ENABLE_LOG_RETAIN  - Next time database is started in normal
*                            conditions, the log files will be retained
*                            for the purpose of roll-forward recovery.
*  SQLF_ENABLE_USER_EXIT   - Next time database is started in normal
*                            conditions, the user log exit will be enabled
*                            for the purpose of roll-forward recovery.
*  SQLF_ENABLE_AUTO_RESTART- The RESTART DATABASE function will be
*                            invoked when needed.
********************************************************************************

* xxxx xxxx xxxx xxx0
       integer*2   sqlf_copy_noprot
       parameter ( sqlf_copy_noprot        = x'0' )

* xxxx xxxx xxxx xxx1
       integer*2   sqlf_copy_protect
       parameter ( sqlf_copy_protect       = x'1' )

* xxxx xxxx xxxx xx1x
       integer*2   sqlf_enable_log_retain
       parameter ( sqlf_enable_log_retain  = x'2' )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_enable_user_exit
       parameter ( sqlf_enable_user_exit   = x'4' )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_enable_auto_restart
       parameter ( sqlf_enable_auto_restart = x'8' )


*******************************************************************************
*  Defines for Logging Flags    - SQLF_DBTN_INTFLAGS
*  
*  The following meanings apply when the bits are set on.
*  
*  SQLF_CONSISTENT      - Database is in a consistent state.
*  SQLF_BACKUP_PENDING  - User is required to take a backup of the
*                         database before the system will allow the
*                         database to be opened for normal processing.
*  SQLF_ROLLFWD_PENDING - User is required to roll forward the database
*                         before the system will allow the database to
*                         be opened for normal processing.
*  SQLF_LOG_RETAIN      - Log files are retained so that a database can be
*                         rolled forward after it has been restored from
*                         a backup copy.
*  SQLF_USER_EXIT       - User exit is taken when log files are filled and
*                         when log files are needed and not found.
*  SQLF_TBS_ROLLFWD     - If the SQLF_ROLLFWD_PENDING bit is off, and this
*                         bit is on, then the tablespace needs to be
*                         rolled forward.
*  
********************************************************************************

* xxxx xxxx xxxx xxx1
       integer*2   sqlf_consistent
       parameter ( sqlf_consistent         = x'1' )

* xxxx xxxx xxxx x1xx
       integer*2   sqlf_backup_pending
       parameter ( sqlf_backup_pending     = x'4' )

* xxxx xxxx xxxx 1xxx
       integer*2   sqlf_rollfwd_pending
       parameter ( sqlf_rollfwd_pending    = x'8' )

* xxxx xxxx xxx1 xxxx
       integer*2   sqlf_log_retain
       parameter ( sqlf_log_retain         = x'10' )

* xxxx xxxx xx1x xxxx
       integer*2   sqlf_user_exit
       parameter ( sqlf_user_exit          = x'20' )

* xxxx xxxx x1xx xxxx
       integer*2   sqlf_tbs_rollfwd
       parameter ( sqlf_tbs_rollfwd        = x'40' )


* length of tpname config parm
       integer*2   sql_tpname_sz
       parameter ( sql_tpname_sz           = 64 )


* length of syncpoint manager name
       integer*2   sql_spm_name_sz
       parameter ( sql_spm_name_sz         = 8 )


* max length of log parms
       integer*2   sql_logpath_sz
       parameter ( sql_logpath_sz          = 242 )

* max length of log file name
       integer*2   sql_logfile_name_sz
       parameter ( sql_logfile_name_sz     = 12 )

* max length of db path parm
       integer*2   sql_dbpath_sz
       parameter ( sql_dbpath_sz           = 215 )

* max length of diagpath parm
       integer*2   sql_ffdcpath_sz
       parameter ( sql_ffdcpath_sz         = 215 )


* LOAD and UNLOAD defines
* restart at load phase
       character*1   sqlu_load_phase
       parameter (   sqlu_load_phase       = 'L' )

* restart at build phase
       character*1   sqlu_build_phase
       parameter (   sqlu_build_phase      = 'B' )

* restart at delete phase
       character*1   sqlu_delete_phase
       parameter (   sqlu_delete_phase     = 'D' )


       integer*2   sqldcoln_struct_sz
       parameter ( sqldcoln_struct_sz      = 8 )

       integer*2   sqldcoln_dcolnlen_sz
       parameter ( sqldcoln_dcolnlen_sz    = 2 )

       integer*2   sqldcoln_dcolnlen_ofs
       parameter ( sqldcoln_dcolnlen_ofs   = 1 )

       integer*2   sqldcoln_dcolnptr_sz
       parameter ( sqldcoln_dcolnptr_sz    = 4 )

       integer*2   sqldcoln_dcolnptr_ofs
       parameter ( sqldcoln_dcolnptr_ofs   = 5 )


       integer*2   sqldcol_struct_sz
       parameter ( sqldcol_struct_sz       = 12 )

       integer*2   sqldcol_dcolmeth_sz
       parameter ( sqldcol_dcolmeth_sz     = 2 )

       integer*2   sqldcol_dcolmeth_ofs
       parameter ( sqldcol_dcolmeth_ofs    = 1 )

       integer*2   sqldcol_dcolnum_sz
       parameter ( sqldcol_dcolnum_sz      = 2 )

       integer*2   sqldcol_dcolnum_ofs
       parameter ( sqldcol_dcolnum_ofs     = 3 )

* actual size must be dcolnum
       integer*2   sqldcol_dcolname_sz
       parameter ( sqldcol_dcolname_sz     = 8 )

       integer*2   sqldcol_dcolname_ofs
       parameter ( sqldcol_dcolname_ofs    = 5 )


       integer*2   sqldcol_header_sz
       parameter ( sqldcol_header_sz       = 4 )

* Structure for Pairs of Locations for ASC files
       integer*2   sqllocpair_struct_sz
       parameter ( sqllocpair_struct_sz    = 4 )

       integer*2   sqllocpair_begin_loc_sz
       parameter ( sqllocpair_begin_loc_sz = 2 )

       integer*2   sqllocpair_begin_loc_ofs
       parameter ( sqllocpair_begin_loc_ofs = 1 )

       integer*2   sqllocpair_end_loc_sz
       parameter ( sqllocpair_end_loc_sz   = 2 )

       integer*2   sqllocpair_end_loc_ofs
       parameter ( sqllocpair_end_loc_ofs  = 3 )


       integer*2   sqlloctab_struct_sz
       parameter ( sqlloctab_struct_sz     = 4 )

* actual size must be dcolnum
       integer*2   sqlloctab_locpair_sz
       parameter ( sqlloctab_locpair_sz    = 4 )

       integer*2   sqlloctab_locpair_ofs
       parameter ( sqlloctab_locpair_ofs   = 1 )


* Structures for Input and Output Data for Import and Export

       integer*2   sqluimpt_in_struct_sz
       parameter ( sqluimpt_in_struct_sz   = 12 )

       integer*2   sqluimpt_in_sizeofstruct_sz
       parameter ( sqluimpt_in_sizeofstruct_sz = 4 )

       integer*2   sqluimpt_in_sizeofstruct_ofs
       parameter ( sqluimpt_in_sizeofstruct_ofs = 1 )

       integer*2   sqluimpt_in_commitcnt_sz
       parameter ( sqluimpt_in_commitcnt_sz = 4 )

       integer*2   sqluimpt_in_commitcnt_ofs
       parameter ( sqluimpt_in_commitcnt_ofs = 5 )

       integer*2   sqluimpt_in_restartcnt_sz
       parameter ( sqluimpt_in_restartcnt_sz = 4 )

       integer*2   sqluimpt_in_restartcnt_ofs
       parameter ( sqluimpt_in_restartcnt_ofs = 9 )


       integer*2   sqluimpt_out_struct_sz
       parameter ( sqluimpt_out_struct_sz  = 28 )

       integer*2   sqluimpt_out_sizeofstruct_sz
       parameter ( sqluimpt_out_sizeofstruct_sz = 4 )

       integer*2   sqluimpt_out_sizeofstruct_ofs
       parameter ( sqluimpt_out_sizeofstruct_ofs = 1 )

       integer*2   sqluimpt_out_rowsread_sz
       parameter ( sqluimpt_out_rowsread_sz = 4 )

       integer*2   sqluimpt_out_rowsread_ofs
       parameter ( sqluimpt_out_rowsread_ofs = 5 )

       integer*2   sqluimpt_out_rowsskipped_sz
       parameter ( sqluimpt_out_rowsskipped_sz = 4 )

       integer*2   sqluimpt_out_rowsskipped_ofs
       parameter ( sqluimpt_out_rowsskipped_ofs = 9 )

       integer*2   sqluimpt_out_rowsinserted_sz
       parameter ( sqluimpt_out_rowsinserted_sz = 4 )

       integer*2   sqluimpt_out_rowsinserted_ofs
       parameter ( sqluimpt_out_rowsinserted_ofs = 13 )

       integer*2   sqluimpt_out_rowsupdated_sz
       parameter ( sqluimpt_out_rowsupdated_sz = 4 )

       integer*2   sqluimpt_out_rowsupdated_ofs
       parameter ( sqluimpt_out_rowsupdated_ofs = 17 )

       integer*2   sqluimpt_out_rowsrejected_sz
       parameter ( sqluimpt_out_rowsrejected_sz = 4 )

       integer*2   sqluimpt_out_rowsrejected_ofs
       parameter ( sqluimpt_out_rowsrejected_ofs = 21 )

       integer*2   sqluimpt_out_rowscommitted_sz
       parameter ( sqluimpt_out_rowscommitted_sz = 4 )

       integer*2   sqluimpt_out_rowscommitted_ofs
       parameter ( sqluimpt_out_rowscommitted_ofs = 25 )


       integer*2   sqluexpt_out_struct_sz
       parameter ( sqluexpt_out_struct_sz  = 8 )

       integer*2   sqluexpt_out_sizeofstruct_sz
       parameter ( sqluexpt_out_sizeofstruct_sz = 4 )

       integer*2   sqluexpt_out_sizeofstruct_ofs
       parameter ( sqluexpt_out_sizeofstruct_ofs = 1 )

       integer*2   sqluexpt_out_rowsexported_sz
       parameter ( sqluexpt_out_rowsexported_sz = 4 )

       integer*2   sqluexpt_out_rowsexported_ofs
       parameter ( sqluexpt_out_rowsexported_ofs = 5 )


       integer*2   sqluimpt_in_size
       parameter ( sqluimpt_in_size        = 12 )

       integer*2   sqluimpt_out_size
       parameter ( sqluimpt_out_size       = 28 )

       integer*2   sqluexpt_out_size
       parameter ( sqluexpt_out_size       = 8 )


* Structures for Input and Output Data for Load and Unload

       integer*2   sqluload_in_struct_sz
       parameter ( sqluload_in_struct_sz   = 32 )

       integer*2   sqluload_in_sizeofstruct_sz
       parameter ( sqluload_in_sizeofstruct_sz = 4 )

       integer*2   sqluload_in_sizeofstruct_ofs
       parameter ( sqluload_in_sizeofstruct_ofs = 1 )

       integer*2   sqluload_in_savecnt_sz
       parameter ( sqluload_in_savecnt_sz  = 4 )

       integer*2   sqluload_in_savecnt_ofs
       parameter ( sqluload_in_savecnt_ofs = 5 )

       integer*2   sqluload_in_restartcnt_sz
       parameter ( sqluload_in_restartcnt_sz = 4 )

       integer*2   sqluload_in_restartcnt_ofs
       parameter ( sqluload_in_restartcnt_ofs = 9 )

       integer*2   sqluload_in_rowcnt_sz
       parameter ( sqluload_in_rowcnt_sz   = 4 )

       integer*2   sqluload_in_rowcnt_ofs
       parameter ( sqluload_in_rowcnt_ofs  = 13 )

       integer*2   sqluload_in_warningcnt_sz
       parameter ( sqluload_in_warningcnt_sz = 4 )

       integer*2   sqluload_in_warningcnt_ofs
       parameter ( sqluload_in_warningcnt_ofs = 17 )

       integer*2   sqluload_in_data_buffer_size_sz
       parameter ( sqluload_in_data_buffer_size_sz = 4 )

       integer*2   sqluload_in_data_buffer_size_ofs
       parameter ( sqluload_in_data_buffer_size_ofs = 21 )

       integer*2   sqluload_in_sort_buffer_size_sz
       parameter ( sqluload_in_sort_buffer_size_sz = 4 )

       integer*2   sqluload_in_sort_buffer_size_ofs
       parameter ( sqluload_in_sort_buffer_size_ofs = 25 )

       integer*2   sqluload_in_hold_quiesce_sz
       parameter ( sqluload_in_hold_quiesce_sz = 2 )

       integer*2   sqluload_in_hold_quiesce_ofs
       parameter ( sqluload_in_hold_quiesce_ofs = 29 )

       integer*2   sqluload_in_restartphase_sz
       parameter ( sqluload_in_restartphase_sz = 1 )

       integer*2   sqluload_in_restartphase_ofs
       parameter ( sqluload_in_restartphase_ofs = 31 )

       integer*2   sqluload_in_statsopt_sz
       parameter ( sqluload_in_statsopt_sz = 1 )

       integer*2   sqluload_in_statsopt_ofs
       parameter ( sqluload_in_statsopt_ofs = 32 )


       integer*2   sqluload_out_struct_sz
       parameter ( sqluload_out_struct_sz  = 28 )

       integer*2   sqluload_out_sizeofstruct_sz
       parameter ( sqluload_out_sizeofstruct_sz = 4 )

       integer*2   sqluload_out_sizeofstruct_ofs
       parameter ( sqluload_out_sizeofstruct_ofs = 1 )

       integer*2   sqluload_out_rowsread_sz
       parameter ( sqluload_out_rowsread_sz = 4 )

       integer*2   sqluload_out_rowsread_ofs
       parameter ( sqluload_out_rowsread_ofs = 5 )

       integer*2   sqluload_out_rowsskipped_sz
       parameter ( sqluload_out_rowsskipped_sz = 4 )

       integer*2   sqluload_out_rowsskipped_ofs
       parameter ( sqluload_out_rowsskipped_ofs = 9 )

       integer*2   sqluload_out_rowsloaded_sz
       parameter ( sqluload_out_rowsloaded_sz = 4 )

       integer*2   sqluload_out_rowsloaded_ofs
       parameter ( sqluload_out_rowsloaded_ofs = 13 )

       integer*2   sqluload_out_rowsrejected_sz
       parameter ( sqluload_out_rowsrejected_sz = 4 )

       integer*2   sqluload_out_rowsrejected_ofs
       parameter ( sqluload_out_rowsrejected_ofs = 17 )

       integer*2   sqluload_out_rowsdeleted_sz
       parameter ( sqluload_out_rowsdeleted_sz = 4 )

       integer*2   sqluload_out_rowsdeleted_ofs
       parameter ( sqluload_out_rowsdeleted_ofs = 21 )

       integer*2   sqluload_out_rowscommitted_sz
       parameter ( sqluload_out_rowscommitted_sz = 4 )

       integer*2   sqluload_out_rowscommitted_ofs
       parameter ( sqluload_out_rowscommitted_ofs = 25 )


       integer*2   sqluunld_in_struct_sz
       parameter ( sqluunld_in_struct_sz   = 24 )

       integer*2   sqluunld_in_sizeofstruct_sz
       parameter ( sqluunld_in_sizeofstruct_sz = 4 )

       integer*2   sqluunld_in_sizeofstruct_ofs
       parameter ( sqluunld_in_sizeofstruct_ofs = 1 )

       integer*2   sqluunld_in_data_buffer_size_sz
       parameter ( sqluunld_in_data_buffer_size_sz = 4 )

       integer*2   sqluunld_in_data_buffer_size_ofs
       parameter ( sqluunld_in_data_buffer_size_ofs = 5 )

       integer*2   sqluunld_in_sort_buffer_size_sz
       parameter ( sqluunld_in_sort_buffer_size_sz = 4 )

       integer*2   sqluunld_in_sort_buffer_size_ofs
       parameter ( sqluunld_in_sort_buffer_size_ofs = 9 )

       integer*2   sqluunld_in_hold_quiesce_sz
       parameter ( sqluunld_in_hold_quiesce_sz = 2 )

       integer*2   sqluunld_in_hold_quiesce_ofs
       parameter ( sqluunld_in_hold_quiesce_ofs = 13 )

       integer*2   sqluunld_in_intent_update_sz
       parameter ( sqluunld_in_intent_update_sz = 2 )

       integer*2   sqluunld_in_intent_update_ofs
       parameter ( sqluunld_in_intent_update_ofs = 15 )

       integer*2   sqluunld_in_serial_write_sz
       parameter ( sqluunld_in_serial_write_sz = 2 )

       integer*2   sqluunld_in_serial_write_ofs
       parameter ( sqluunld_in_serial_write_ofs = 17 )

       integer*2   sqluunld_in_num_buffers_sz
       parameter ( sqluunld_in_num_buffers_sz = 2 )

       integer*2   sqluunld_in_num_buffers_ofs
       parameter ( sqluunld_in_num_buffers_ofs = 19 )

       integer*2   sqluunld_in_reorg_lobs_sz
       parameter ( sqluunld_in_reorg_lobs_sz = 2 )

       integer*2   sqluunld_in_reorg_lobs_ofs
       parameter ( sqluunld_in_reorg_lobs_ofs = 21 )

       integer*2   sqluunld_in_filler_sz
       parameter ( sqluunld_in_filler_sz   = 2 )

       integer*2   sqluunld_in_filler_ofs
       parameter ( sqluunld_in_filler_ofs  = 23 )


       integer*2   sqluunld_out_struct_sz
       parameter ( sqluunld_out_struct_sz  = 8 )

       integer*2   sqluunld_out_sizeofstruct_sz
       parameter ( sqluunld_out_sizeofstruct_sz = 4 )

       integer*2   sqluunld_out_sizeofstruct_ofs
       parameter ( sqluunld_out_sizeofstruct_ofs = 1 )

       integer*2   sqluunld_out_rowsunloaded_sz
       parameter ( sqluunld_out_rowsunloaded_sz = 4 )

       integer*2   sqluunld_out_rowsunloaded_ofs
       parameter ( sqluunld_out_rowsunloaded_ofs = 5 )


       integer*2   sqluload_in_size
       parameter ( sqluload_in_size        = 32 )

       integer*2   sqluload_out_size
       parameter ( sqluload_out_size       = 28 )

       integer*2   sqluunld_in_size
       parameter ( sqluunld_in_size        = 24 )

       integer*2   sqluunld_out_size
       parameter ( sqluunld_out_size       = 8 )


* Structures for Configuration Utility APIs.

C   Byte array offsets to access elements of sqlchar data structure

       integer                             sqlchar_length, sqlchar_data
       parameter ( sqlchar_length          = 1 )
       parameter ( sqlchar_data            = 3 )

       integer*2   sqlfupd_struct_sz
       parameter ( sqlfupd_struct_sz       = 8 )

       integer*2   sqlfupd_token_sz
       parameter ( sqlfupd_token_sz        = 2 )

       integer*2   sqlfupd_token_ofs
       parameter ( sqlfupd_token_ofs       = 1 )

       integer*2   sqlfupd_ptrvalue_sz
       parameter ( sqlfupd_ptrvalue_sz     = 4 )

       integer*2   sqlfupd_ptrvalue_ofs
       parameter ( sqlfupd_ptrvalue_ofs    = 5 )


* Constants and structure used by sqlgadau and sqluadau.
       integer*2   sql_user_authorized
       parameter ( sql_user_authorized     = 1 )

       integer*2   sql_user_unauthorized
       parameter ( sql_user_unauthorized   = 0 )

       integer*2   sql_authorization_size_old
       parameter ( sql_authorization_size_old = 22 )

       integer*2   sql_authorization_size
       parameter ( sql_authorization_size  = 34 )


       integer*2   sql_authorizations_struct_sz
       parameter ( sql_authorizations_struct_sz = 34 )

       integer*2   sql_auth_authorizations_len_sz
       parameter ( sql_auth_authorizations_len_sz = 2 )

       integer*2   sql_auth_authorizations_len_ofs
       parameter ( sql_auth_authorizations_len_ofs = 1 )

       integer*2   sql_auth_sysadm_auth_sz
       parameter ( sql_auth_sysadm_auth_sz = 2 )

       integer*2   sql_auth_sysadm_auth_ofs
       parameter ( sql_auth_sysadm_auth_ofs = 3 )

       integer*2   sql_auth_dbadm_auth_sz
       parameter ( sql_auth_dbadm_auth_sz  = 2 )

       integer*2   sql_auth_dbadm_auth_ofs
       parameter ( sql_auth_dbadm_auth_ofs = 5 )

       integer*2   sql_auth_createtab_auth_sz
       parameter ( sql_auth_createtab_auth_sz = 2 )

       integer*2   sql_auth_createtab_auth_ofs
       parameter ( sql_auth_createtab_auth_ofs = 7 )

       integer*2   sql_auth_bindadd_auth_sz
       parameter ( sql_auth_bindadd_auth_sz = 2 )

       integer*2   sql_auth_bindadd_auth_ofs
       parameter ( sql_auth_bindadd_auth_ofs = 9 )

       integer*2   sql_auth_connect_auth_sz
       parameter ( sql_auth_connect_auth_sz = 2 )

       integer*2   sql_auth_connect_auth_ofs
       parameter ( sql_auth_connect_auth_ofs = 11 )

       integer*2   sql_auth_sysadm_grp_auth_sz
       parameter ( sql_auth_sysadm_grp_auth_sz = 2 )

       integer*2   sql_auth_sysadm_grp_auth_ofs
       parameter ( sql_auth_sysadm_grp_auth_ofs = 13 )

       integer*2   sql_auth_dbadm_grp_auth_sz
       parameter ( sql_auth_dbadm_grp_auth_sz = 2 )

       integer*2   sql_auth_dbadm_grp_auth_ofs
       parameter ( sql_auth_dbadm_grp_auth_ofs = 15 )

       integer*2   sql_auth_createtab_grp_auth_sz
       parameter ( sql_auth_createtab_grp_auth_sz = 2 )

       integer*2   sql_auth_createtab_grp_auth_ofs
       parameter ( sql_auth_createtab_grp_auth_ofs = 17 )

       integer*2   sql_auth_bindadd_grp_auth_sz
       parameter ( sql_auth_bindadd_grp_auth_sz = 2 )

       integer*2   sql_auth_bindadd_grp_auth_ofs
       parameter ( sql_auth_bindadd_grp_auth_ofs = 19 )

       integer*2   sql_auth_connect_grp_auth_sz
       parameter ( sql_auth_connect_grp_auth_sz = 2 )

       integer*2   sql_auth_connect_grp_auth_ofs
       parameter ( sql_auth_connect_grp_auth_ofs = 21 )

       integer*2   sql_auth_sysctrl_auth_sz
       parameter ( sql_auth_sysctrl_auth_sz = 2 )

       integer*2   sql_auth_sysctrl_auth_ofs
       parameter ( sql_auth_sysctrl_auth_ofs = 23 )

       integer*2   sql_auth_sysctrl_grp_auth_sz
       parameter ( sql_auth_sysctrl_grp_auth_sz = 2 )

       integer*2   sql_auth_sysctrl_grp_auth_ofs
       parameter ( sql_auth_sysctrl_grp_auth_ofs = 25 )

       integer*2   sql_auth_sysmaint_auth_sz
       parameter ( sql_auth_sysmaint_auth_sz = 2 )

       integer*2   sql_auth_sysmaint_auth_ofs
       parameter ( sql_auth_sysmaint_auth_ofs = 27 )

       integer*2   sql_auth_sysmaint_grp_auth_sz
       parameter ( sql_auth_sysmaint_grp_auth_sz = 2 )

       integer*2   sql_auth_sysmaint_grp_auth_ofs
       parameter ( sql_auth_sysmaint_grp_auth_ofs = 29 )

       integer*2   sql_auth_crtnfenc_auth_sz
       parameter ( sql_auth_crtnfenc_auth_sz = 2 )

       integer*2   sql_auth_crtnfenc_auth_ofs
       parameter ( sql_auth_crtnfenc_auth_ofs = 31 )

       integer*2   sql_auth_crtnfenc_grp_auth_sz
       parameter ( sql_auth_crtnfenc_grp_auth_sz = 2 )

       integer*2   sql_auth_crtnfenc_grp_auth_ofs
       parameter ( sql_auth_crtnfenc_grp_auth_ofs = 33 )


* Constants and structure used for backup and restore
       integer*2   sqlu_max_tbs_name_len
       parameter ( sqlu_max_tbs_name_len   = 18 )

       integer*2   sqlu_db_dir_len
       parameter ( sqlu_db_dir_len         = 215 )

       integer*2   sqlu_shr_lib_len
       parameter ( sqlu_shr_lib_len        = 255 )

       integer*2   sqlu_media_location_len
       parameter ( sqlu_media_location_len = 255 )

       integer*2   sqlu_applid_len
       parameter ( sqlu_applid_len         = 32 )

       integer*2   sqlu_max_sessions
       parameter ( sqlu_max_sessions       = 999 )


       integer*2   sqlu_tbsp_entry_struct_sz
       parameter ( sqlu_tbsp_entry_struct_sz = 24 )

       integer*2   sqlu_tbsp_len_sz
       parameter ( sqlu_tbsp_len_sz        = 4 )

       integer*2   sqlu_tbsp_len_ofs
       parameter ( sqlu_tbsp_len_ofs       = 1 )

       integer*2   sqlu_tbsp_tbsp_entry_sz
       parameter ( sqlu_tbsp_tbsp_entry_sz = 19 )

       integer*2   sqlu_tbsp_tbsp_entry_ofs
       parameter ( sqlu_tbsp_tbsp_entry_ofs = 5 )

       integer*2   sqlu_tbsp_entry_filler_sz
       parameter ( sqlu_tbsp_entry_filler_sz = 1 )

       integer*2   sqlu_tbsp_entry_filler_ofs
       parameter ( sqlu_tbsp_entry_filler_ofs = 24 )


       integer*2   sqlu_tbsp_bkrst_list_struct_sz
       parameter ( sqlu_tbsp_bkrst_list_struct_sz = 8 )

       integer*2   sqlu_tbsp_bkrst_num_entry_sz
       parameter ( sqlu_tbsp_bkrst_num_entry_sz = 4 )

       integer*2   sqlu_tbsp_bkrst_num_entry_ofs
       parameter ( sqlu_tbsp_bkrst_num_entry_ofs = 1 )

       integer*2   sqlu_tbsp_bkrst_tbsp_sz
       parameter ( sqlu_tbsp_bkrst_tbsp_sz = 4 )

       integer*2   sqlu_tbsp_bkrst_tbsp_ofs
       parameter ( sqlu_tbsp_bkrst_tbsp_ofs = 5 )


       integer*2   sqlu_media_entry_struct_sz
       parameter ( sqlu_media_entry_struct_sz = 220 )

       integer*2   sqlu_medent_len_sz
       parameter ( sqlu_medent_len_sz      = 4 )

       integer*2   sqlu_medent_len_ofs
       parameter ( sqlu_medent_len_ofs     = 1 )

       integer*2   sqlu_medent_media_entry_sz
       parameter ( sqlu_medent_media_entry_sz = 216 )

       integer*2   sqlu_medent_media_entry_ofs
       parameter ( sqlu_medent_media_entry_ofs = 5 )


       integer*2   sqlu_vendor_struct_sz
       parameter ( sqlu_vendor_struct_sz   = 520 )

       integer*2   sqlu_vendor_shrlib_len_sz
       parameter ( sqlu_vendor_shrlib_len_sz = 4 )

       integer*2   sqlu_vendor_shrlib_len_ofs
       parameter ( sqlu_vendor_shrlib_len_ofs = 1 )

       integer*2   sqlu_vendor_shr_lib_sz
       parameter ( sqlu_vendor_shr_lib_sz  = 256 )

       integer*2   sqlu_vendor_shr_lib_ofs
       parameter ( sqlu_vendor_shr_lib_ofs = 5 )

       integer*2   sqlu_vendor_filename_len_sz
       parameter ( sqlu_vendor_filename_len_sz = 4 )

       integer*2   sqlu_vendor_filename_len_ofs
       parameter ( sqlu_vendor_filename_len_ofs = 261 )

       integer*2   sqlu_vendor_filename_sz
       parameter ( sqlu_vendor_filename_sz = 256 )

       integer*2   sqlu_vendor_filename_ofs
       parameter ( sqlu_vendor_filename_ofs = 265 )


       integer*2   sqlu_location_entry_struct_sz
       parameter ( sqlu_location_entry_struct_sz = 260 )

       integer*2   sqlu_location_len_sz
       parameter ( sqlu_location_len_sz    = 4 )

       integer*2   sqlu_location_len_ofs
       parameter ( sqlu_location_len_ofs   = 1 )

       integer*2   sqlu_locent_location_entry_sz
       parameter ( sqlu_locent_location_entry_sz = 256 )

       integer*2   sqlu_locent_location_entry_ofs
       parameter ( sqlu_locent_location_entry_ofs = 5 )


* path/device
       character*1   sqlu_local_media
       parameter (   sqlu_local_media      = 'L' )

* remote file/device/named pipe
       character*1   sqlu_server_location
       parameter (   sqlu_server_location  = 'S' )

* local file/device/named pipe
       character*1   sqlu_client_location
       parameter (   sqlu_client_location  = 'C' )

* ADSM
       character*1   sqlu_adsm_media
       parameter (   sqlu_adsm_media       = 'A' )

* vendor library
       character*1   sqlu_other_media
       parameter (   sqlu_other_media      = 'O' )

* user exit
       character*1   sqlu_user_exit
       parameter (   sqlu_user_exit        = 'U' )

* Generated only by vendors
       character*1   sqlu_disk_media
       parameter (   sqlu_disk_media       = 'D' )

* Generated only by vendors
       character*1   sqlu_diskette_media
       parameter (   sqlu_diskette_media   = 'K' )

* Generated only by vendors
       character*1   sqlu_tape_media
       parameter (   sqlu_tape_media       = 'T' )

* Generated only by vendors
       character*1   sqlu_pipe_media
       parameter (   sqlu_pipe_media       = 'P' )


       integer*2   sqlu_media_list_struct_sz
       parameter ( sqlu_media_list_struct_sz = 12 )

       integer*2   sqlu_media_list_media_type_sz
       parameter ( sqlu_media_list_media_type_sz = 1 )

       integer*2   sqlu_media_list_media_type_ofs
       parameter ( sqlu_media_list_media_type_ofs = 1 )

       integer*2   sqlu_media_list_filler_sz
       parameter ( sqlu_media_list_filler_sz = 3 )

       integer*2   sqlu_media_list_filler_ofs
       parameter ( sqlu_media_list_filler_ofs = 2 )

       integer*2   sqlu_media_list_sessions_sz
       parameter ( sqlu_media_list_sessions_sz = 4 )

       integer*2   sqlu_media_list_sessions_ofs
       parameter ( sqlu_media_list_sessions_ofs = 5 )

       integer*2   sqlu_media_list_target_sz
       parameter ( sqlu_media_list_target_sz = 4 )

       integer*2   sqlu_media_list_target_ofs
       parameter ( sqlu_media_list_target_ofs = 9 )


       integer*2   sqluhtsp_struct_sz
       parameter ( sqluhtsp_struct_sz      = 20 )

* tablespace name
       integer*2   sqluhtsp_tablespace_name_sz
       parameter ( sqluhtsp_tablespace_name_sz = 19 )

       integer*2   sqluhtsp_tablespace_name_ofs
       parameter ( sqluhtsp_tablespace_name_ofs = 1 )

       integer*2   sqluhtsp_filler_sz
       parameter ( sqluhtsp_filler_sz      = 1 )

       integer*2   sqluhtsp_filler_ofs
       parameter ( sqluhtsp_filler_ofs     = 20 )


       integer*2   sqluhinfo_struct_sz
       parameter ( sqluhinfo_struct_sz     = 424 )

* Eye catcher = 'SQLUHINF'
       integer*2   sqluhinfo_sqluhinfoid_sz
       parameter ( sqluhinfo_sqluhinfoid_sz = 8 )

       integer*2   sqluhinfo_sqluhinfoid_ofs
       parameter ( sqluhinfo_sqluhinfoid_ofs = 1 )

* SQLUHINFO  in bytes=(   )
       integer*2   sqluhinfo_sqluhinfobc_sz
       parameter ( sqluhinfo_sqluhinfobc_sz = 4 )

       integer*2   sqluhinfo_sqluhinfobc_ofs
       parameter ( sqluhinfo_sqluhinfobc_ofs = 9 )

* Number of tablespace elements
       integer*2   sqluhinfo_sqln_sz
       parameter ( sqluhinfo_sqln_sz       = 2 )

       integer*2   sqluhinfo_sqln_ofs
       parameter ( sqluhinfo_sqln_ofs      = 13 )

* # of used tablespace elements
       integer*2   sqluhinfo_sqld_sz
       parameter ( sqluhinfo_sqld_sz       = 2 )

       integer*2   sqluhinfo_sqld_ofs
       parameter ( sqluhinfo_sqld_ofs      = 15 )

* operation
       integer*2   sqluhinfo_operation_sz
       parameter ( sqluhinfo_operation_sz  = 2 )

       integer*2   sqluhinfo_operation_ofs
       parameter ( sqluhinfo_operation_ofs = 17 )

* object
       integer*2   sqluhinfo_object_sz
       parameter ( sqluhinfo_object_sz     = 2 )

       integer*2   sqluhinfo_object_ofs
       parameter ( sqluhinfo_object_ofs    = 19 )

* object part
       integer*2   sqluhinfo_object_part_sz
       parameter ( sqluhinfo_object_part_sz = 18 )

       integer*2   sqluhinfo_object_part_ofs
       parameter ( sqluhinfo_object_part_ofs = 21 )

* optype
       integer*2   sqluhinfo_optype_sz
       parameter ( sqluhinfo_optype_sz     = 2 )

       integer*2   sqluhinfo_optype_ofs
       parameter ( sqluhinfo_optype_ofs    = 39 )

* device type
       integer*2   sqluhinfo_device_type_sz
       parameter ( sqluhinfo_device_type_sz = 2 )

       integer*2   sqluhinfo_device_type_ofs
       parameter ( sqluhinfo_device_type_ofs = 41 )

* first log
       integer*2   sqluhinfo_first_log_sz
       parameter ( sqluhinfo_first_log_sz  = 13 )

       integer*2   sqluhinfo_first_log_ofs
       parameter ( sqluhinfo_first_log_ofs = 43 )

* last log
       integer*2   sqluhinfo_last_log_sz
       parameter ( sqluhinfo_last_log_sz   = 13 )

       integer*2   sqluhinfo_last_log_ofs
       parameter ( sqluhinfo_last_log_ofs  = 56 )

* backup id
       integer*2   sqluhinfo_backup_id_sz
       parameter ( sqluhinfo_backup_id_sz  = 15 )

       integer*2   sqluhinfo_backup_id_ofs
       parameter ( sqluhinfo_backup_id_ofs = 69 )

* table creator
       integer*2   sqluhinfo_table_creator_sz
       parameter ( sqluhinfo_table_creator_sz = 9 )

       integer*2   sqluhinfo_table_creator_ofs
       parameter ( sqluhinfo_table_creator_ofs = 84 )

* table name
       integer*2   sqluhinfo_table_name_sz
       parameter ( sqluhinfo_table_name_sz = 19 )

       integer*2   sqluhinfo_table_name_ofs
       parameter ( sqluhinfo_table_name_ofs = 93 )

* # of tablespaces
       integer*2   sqluhinfo_num_of_tablespaces_sz
       parameter ( sqluhinfo_num_of_tablespaces_sz = 6 )

       integer*2   sqluhinfo_num_of_tablespaces_ofs
       parameter ( sqluhinfo_num_of_tablespaces_ofs = 112 )

* location
       integer*2   sqluhinfo_location_sz
       parameter ( sqluhinfo_location_sz   = 256 )

       integer*2   sqluhinfo_location_ofs
       parameter ( sqluhinfo_location_ofs  = 118 )

* comment
       integer*2   sqluhinfo_comment_sz
       parameter ( sqluhinfo_comment_sz    = 31 )

       integer*2   sqluhinfo_comment_ofs
       parameter ( sqluhinfo_comment_ofs   = 374 )

       integer*2   sqluhinfo_tablespace_sz
       parameter ( sqluhinfo_tablespace_sz = 20 )

       integer*2   sqluhinfo_tablespace_ofs
       parameter ( sqluhinfo_tablespace_ofs = 405 )


* Definitions needed for the sqlb api calls
* 
* nb: 'tbs' is an abbreviaton for 'TABLESPACE'

* maximum length of a table space name
       integer*2   sqlb_max_tbs_name_sz
       parameter ( sqlb_max_tbs_name_sz    = 128 )

* NB: this constant is set to the maximum size that is likely to be needed
* in future.  Don't confuse this with SQLU_MAX_TBS_NAME_LEN which is set to
* the current maximum size (18).

* Externally visibile flags of a table space
* storage manager class
* System   Managed Space
       integer*2   sqlb_tbs_sms
       parameter ( sqlb_tbs_sms            = x'1' )

* Database Managed Space
       integer*2   sqlb_tbs_dms
       parameter ( sqlb_tbs_dms            = x'2' )

* table space contents
* regular contents
       integer*2   sqlb_tbs_any
       parameter ( sqlb_tbs_any            = x'0' )

* long field data
       integer*2   sqlb_tbs_long
       parameter ( sqlb_tbs_long           = x'20' )

* temp data
       integer*2   sqlb_tbs_tmp
       parameter ( sqlb_tbs_tmp            = x'10' )

* other flags values
* temp table space is reserved for completion of reorg recovery
       integer*4   sqlb_tbs_tmp_recovery
       parameter ( sqlb_tbs_tmp_recovery   = x'20000' )


* The externally visible state of a table space is composed of the
* hexadecimal sum of various of the following state values.  For example if
* the state is 'quiesced exclusive' and 'load pending', the value would be
* 0x0004 + 0x0008 which is 0x000c.
* 
* You may use the tool db2tbst to do the reverse calculation (from 0x000c to
* 'load pending' and 'quiesced exclusive', for example) which is more
* complex. In our example, execute:
* 
*  db2tbst 0x000c
* 
* which yields:
* 
* State = Quiesced Exclusive
*       + Load Pending
* Normal
       integer*2   sqlb_normal
       parameter ( sqlb_normal             = x'0' )

* Quiesced: SHARE
       integer*2   sqlb_quiesced_share
       parameter ( sqlb_quiesced_share     = x'1' )

* Quiesced: UPDATE
       integer*2   sqlb_quiesced_update
       parameter ( sqlb_quiesced_update    = x'2' )

* Quiesced: EXCLUSIVE
       integer*2   sqlb_quiesced_exclusive
       parameter ( sqlb_quiesced_exclusive = x'4' )

* Load pending
       integer*2   sqlb_load_pending
       parameter ( sqlb_load_pending       = x'8' )

* Delete pending
       integer*2   sqlb_delete_pending
       parameter ( sqlb_delete_pending     = x'10' )

* Backup pending
       integer*2   sqlb_backup_pending
       parameter ( sqlb_backup_pending     = x'20' )

* Roll forward in progress
       integer*2   sqlb_rollforward_in_progress
       parameter ( sqlb_rollforward_in_progress = x'40' )

* Roll forward pending
       integer*2   sqlb_rollforward_pending
       parameter ( sqlb_rollforward_pending = x'80' )

* Restore pending
       integer*2   sqlb_restore_pending
       parameter ( sqlb_restore_pending    = x'100' )

* Recovery pending (use SQLB_RESTORE_PENDING)
       integer*2   sqlb_recovery_pending
       parameter ( sqlb_recovery_pending   = x'100' )

* Disable pending
       integer*2   sqlb_disable_pending
       parameter ( sqlb_disable_pending    = x'200' )

* Reorg in progress
       integer*2   sqlb_reorg_in_progress
       parameter ( sqlb_reorg_in_progress  = x'400' )

* Backup in progress
       integer*2   sqlb_backup_in_progress
       parameter ( sqlb_backup_in_progress = x'800' )

* storage must be defined
       integer*2   sqlb_stordef_pending
       parameter ( sqlb_stordef_pending    = x'1000' )

* Restore in progress
       integer*2   sqlb_restore_in_progress
       parameter ( sqlb_restore_in_progress = x'2000' )

* storage may be defined
       integer*4   sqlb_stordef_allowed
       parameter ( sqlb_stordef_allowed    = x'2000000' )

* storDef is in 'final' state
       integer*4   sqlb_stordef_final_version
       parameter ( sqlb_stordef_final_version = x'4000000' )

* storDef was changed prior to rollforward
       integer*4   sqlb_stordef_changed
       parameter ( sqlb_stordef_changed    = x'8000000' )

* dms rebalancer is active
       integer*4   sqlb_rebal_in_progress
       parameter ( sqlb_rebal_in_progress  = x'10000000' )

* TBS deletion in progress
       integer*4   sqlb_pstat_deletion
       parameter ( sqlb_pstat_deletion     = x'20000000' )

* TBS creation in progress
       integer*4   sqlb_pstat_creation
       parameter ( sqlb_pstat_creation     = x'40000000' )


* Provide info about a tableSpace in a database
       integer*2   sqlb_tbsq_d_struct_sz
       parameter ( sqlb_tbsq_d_struct_sz   = 176 )

* internal id for the pool
       integer*2   sqlb_tbsq_d_id_sz
       parameter ( sqlb_tbsq_d_id_sz       = 4 )

       integer*2   sqlb_tbsq_d_id_ofs
       parameter ( sqlb_tbsq_d_id_ofs      = 1 )

* length of the name (for cobol & other nonC lang.)
       integer*2   sqlb_tbsq_d_namelen_sz
       parameter ( sqlb_tbsq_d_namelen_sz  = 4 )

       integer*2   sqlb_tbsq_d_namelen_ofs
       parameter ( sqlb_tbsq_d_namelen_ofs = 5 )

* NUL terminated name
       integer*2   sqlb_tbsq_d_name_sz
       parameter ( sqlb_tbsq_d_name_sz     = 128 )

       integer*2   sqlb_tbsq_d_name_ofs
       parameter ( sqlb_tbsq_d_name_ofs    = 9 )

* DMS : Pages specified by CREATE TABLESPACE.
* SMS : N/A
       integer*2   sqlb_tbsq_d_totalpages_sz
       parameter ( sqlb_tbsq_d_totalpages_sz = 4 )

       integer*2   sqlb_tbsq_d_totalpages_ofs
       parameter ( sqlb_tbsq_d_totalpages_ofs = 137 )

* DMS : totalPages - overhead
* SMS : N/A
       integer*2   sqlb_tbsq_d_useablepages_sz
       parameter ( sqlb_tbsq_d_useablepages_sz = 4 )

       integer*2   sqlb_tbsq_d_useablepages_ofs
       parameter ( sqlb_tbsq_d_useablepages_ofs = 141 )

* bit attributes for the pool -- includes 'class' & other stuff to be
* defined
       integer*2   sqlb_tbsq_d_flags_sz
       parameter ( sqlb_tbsq_d_flags_sz    = 4 )

       integer*2   sqlb_tbsq_d_flags_ofs
       parameter ( sqlb_tbsq_d_flags_ofs   = 145 )

* pagesize of tablespace (in bytes)..currently fixed at 4K
       integer*2   sqlb_tbsq_d_pagesize_sz
       parameter ( sqlb_tbsq_d_pagesize_sz = 4 )

       integer*2   sqlb_tbsq_d_pagesize_ofs
       parameter ( sqlb_tbsq_d_pagesize_ofs = 149 )

* extent size (in pages)
       integer*2   sqlb_tbsq_d_extsize_sz
       parameter ( sqlb_tbsq_d_extsize_sz  = 4 )

       integer*2   sqlb_tbsq_d_extsize_ofs
       parameter ( sqlb_tbsq_d_extsize_ofs = 153 )

* prefetch size
       integer*2   sqlb_tbsq_d_prefetchsize_sz
       parameter ( sqlb_tbsq_d_prefetchsize_sz = 4 )

       integer*2   sqlb_tbsq_d_prefetchsize_ofs
       parameter ( sqlb_tbsq_d_prefetchsize_ofs = 157 )

* number of containers
       integer*2   sqlb_tbsq_d_ncontainers_sz
       parameter ( sqlb_tbsq_d_ncontainers_sz = 4 )

       integer*2   sqlb_tbsq_d_ncontainers_ofs
       parameter ( sqlb_tbsq_d_ncontainers_ofs = 161 )

* SQLB_NORMAL, SQLB_LOAD_PENDING, etc.
       integer*2   sqlb_tbsq_d_tbsstate_sz
       parameter ( sqlb_tbsq_d_tbsstate_sz = 4 )

       integer*2   sqlb_tbsq_d_tbsstate_ofs
       parameter ( sqlb_tbsq_d_tbsstate_ofs = 165 )

* 'timestamp' identifying the origin of the tbs
       integer*2   sqlb_tbsq_d_lifelsn_sz
       parameter ( sqlb_tbsq_d_lifelsn_sz  = 6 )

       integer*2   sqlb_tbsq_d_lifelsn_ofs
       parameter ( sqlb_tbsq_d_lifelsn_ofs = 169 )

* for alignment
       integer*2   sqlb_tbsq_d_pad_sz
       parameter ( sqlb_tbsq_d_pad_sz      = 2 )

       integer*2   sqlb_tbsq_d_pad_ofs
       parameter ( sqlb_tbsq_d_pad_ofs     = 175 )


* container type
* SMS: directory path specs
       integer*2   sqlb_cont_path
       parameter ( sqlb_cont_path          = 0 )

* DMS: a 'raw' or 'device' spec
       integer*2   sqlb_cont_disk
       parameter ( sqlb_cont_disk          = 1 )

* DMS: a 'cooked file' -> file spec
       integer*2   sqlb_cont_file
       parameter ( sqlb_cont_file          = 2 )


* provide information about the containers on which tablespaces are based
       integer*2   sqlb_tbscq_d_struct_sz
       parameter ( sqlb_tbscq_d_struct_sz  = 292 )

* container id
       integer*2   sqlb_tbscq_d_id_sz
       parameter ( sqlb_tbscq_d_id_sz      = 4 )

       integer*2   sqlb_tbscq_d_id_ofs
       parameter ( sqlb_tbscq_d_id_ofs     = 1 )

* num table spaces sharing this container (is always 1 for DMS tablespaces)
       integer*2   sqlb_tbscq_d_ntbs_sz
       parameter ( sqlb_tbscq_d_ntbs_sz    = 4 )

       integer*2   sqlb_tbscq_d_ntbs_ofs
       parameter ( sqlb_tbscq_d_ntbs_ofs   = 5 )

* tableSpace id, when 'nTbs' is 1
       integer*2   sqlb_tbscq_d_tbsid_sz
       parameter ( sqlb_tbscq_d_tbsid_sz   = 4 )

       integer*2   sqlb_tbscq_d_tbsid_ofs
       parameter ( sqlb_tbscq_d_tbsid_ofs  = 9 )

* length of name (for non-C lang.)
       integer*2   sqlb_tbscq_d_namelen_sz
       parameter ( sqlb_tbscq_d_namelen_sz = 4 )

       integer*2   sqlb_tbscq_d_namelen_ofs
       parameter ( sqlb_tbscq_d_namelen_ofs = 13 )

* null term. name
       integer*2   sqlb_tbscq_d_name_sz
       parameter ( sqlb_tbscq_d_name_sz    = 256 )

       integer*2   sqlb_tbscq_d_name_ofs
       parameter ( sqlb_tbscq_d_name_ofs   = 17 )

* 1 if container is under the DB directory, 0 if not
       integer*2   sqlb_tbscq_d_underdbdir_sz
       parameter ( sqlb_tbscq_d_underdbdir_sz = 4 )

       integer*2   sqlb_tbscq_d_underdbdir_ofs
       parameter ( sqlb_tbscq_d_underdbdir_ofs = 273 )

* SQLB_CONT_PATH/DISK/FILE
       integer*2   sqlb_tbscq_d_conttype_sz
       parameter ( sqlb_tbscq_d_conttype_sz = 4 )

       integer*2   sqlb_tbscq_d_conttype_ofs
       parameter ( sqlb_tbscq_d_conttype_ofs = 277 )

* DMS : Pages specified by CREATE TABLESPACE. SMS : N/A
       integer*2   sqlb_tbscq_d_totalpages_sz
       parameter ( sqlb_tbscq_d_totalpages_sz = 4 )

       integer*2   sqlb_tbscq_d_totalpages_ofs
       parameter ( sqlb_tbscq_d_totalpages_ofs = 281 )

* DMS : totalPages - overhead SMS : N/A
       integer*2   sqlb_tbscq_d_useablepages_sz
       parameter ( sqlb_tbscq_d_useablepages_sz = 4 )

       integer*2   sqlb_tbscq_d_useablepages_ofs
       parameter ( sqlb_tbscq_d_useablepages_ofs = 285 )

* 1 if container is accessible, 0 if there is a problem
       integer*2   sqlb_tbscq_d_ok_sz
       parameter ( sqlb_tbscq_d_ok_sz      = 4 )

       integer*2   sqlb_tbscq_d_ok_ofs
       parameter ( sqlb_tbscq_d_ok_ofs     = 289 )


* provide statistics on a tablespace
* BETA NOTE: currently, we only provide stats on DMS tablespaces
* SRSFIX: determine what SMS support to ship with V2
       integer*2   sqlb_tbs_stats_struct_sz
       parameter ( sqlb_tbs_stats_struct_sz = 20 )

* DMS : Pages specified by CREATE TABLESPACE.
* SMS : Pages of all files in the directories.
       integer*2   sqlb_tbs_stats_totalpages_sz
       parameter ( sqlb_tbs_stats_totalpages_sz = 4 )

       integer*2   sqlb_tbs_stats_totalpages_ofs
       parameter ( sqlb_tbs_stats_totalpages_ofs = 1 )

* DMS : totalPages - overhead
* SMS : same as totalPages
       integer*2   sqlb_tbs_stats_useablepages_sz
       parameter ( sqlb_tbs_stats_useablepages_sz = 4 )

       integer*2   sqlb_tbs_stats_useablepages_ofs
       parameter ( sqlb_tbs_stats_useablepages_ofs = 5 )

* DMS : used and allocated pages in the pool
* SMS : same as totalPages
       integer*2   sqlb_tbs_stats_usedpages_sz
       parameter ( sqlb_tbs_stats_usedpages_sz = 4 )

       integer*2   sqlb_tbs_stats_usedpages_ofs
       parameter ( sqlb_tbs_stats_usedpages_ofs = 9 )

* DMS : useablePages - usedPages
* SMS : N/A
       integer*2   sqlb_tbs_stats_freepages_sz
       parameter ( sqlb_tbs_stats_freepages_sz = 4 )

       integer*2   sqlb_tbs_stats_freepages_ofs
       parameter ( sqlb_tbs_stats_freepages_ofs = 13 )

* DMS : high water mark of used page number
* SMS : N/A
       integer*2   sqlb_tbs_stats_highwatermark_sz
       parameter ( sqlb_tbs_stats_highwatermark_sz = 4 )

       integer*2   sqlb_tbs_stats_highwatermark_ofs
       parameter ( sqlb_tbs_stats_highwatermark_ofs = 17 )


* all tablespaces in database
       integer*2   sqlb_open_tbs_all
       parameter ( sqlb_open_tbs_all       = x'0' )

* all tablespaces my agent is restoring
       integer*2   sqlb_open_tbs_restore
       parameter ( sqlb_open_tbs_restore   = x'1' )

* all tablespaces where storage definition is allowed
       integer*2   sqlb_open_tbs_stordef
       parameter ( sqlb_open_tbs_stordef   = x'2' )


* constant used in place of tablespace id to indicate all table spaces in db
       integer*4   sqlb_all_tablespaces
       parameter ( sqlb_all_tablespaces    = x'fffe' )



       integer*2   sqlb_set_cont_init_state
       parameter ( sqlb_set_cont_init_state = 0 )

       integer*2   sqlb_set_cont_final_state
       parameter ( sqlb_set_cont_final_state = 1 )





* Generic APIs

* Get Authorizations
       integer*4    sqlgadau
       external     sqlgadau


* Get Default Database Configuration
       integer*4    sqlgddb
       external     sqlgddb


* Reset Database Configuration
       integer*4    sqlgrdb
       external     sqlgrdb


* Update Database Configuration
       integer*4    sqlgudb
       external     sqlgudb


* Get Database Configuration
       integer*4    sqlgxdb
       external     sqlgxdb


* Get Database Manager Configuration Defaults
       integer*4    sqlgdsys
       external     sqlgdsys


* Backup Database
       integer*4    sqlgbkup
       external     sqlgbkup


* Close Recovery History File Scan
       integer*4    sqlghcls
       external     sqlghcls


* Get Next Recovery History File Entry
       integer*4    sqlghgne
       external     sqlghgne


* Open Recovery History File Scan
       integer*4    sqlghops
       external     sqlghops


* Prune Recovery History File
       integer*4    sqlghprn
       external     sqlghprn


* Update Recovery History File
       integer*4    sqlghupd
       external     sqlghupd


* Rollforward Database
       integer*4    sqlgrllf
       external     sqlgrllf


* Restore Database
       integer*4    sqlgrsto
       external     sqlgrsto


* Quiesce Tablespaces for Table
       integer*4    sqlgvqdp
       external     sqlgvqdp


* Old Backup
       integer*4    sqlgbckp
       external     sqlgbckp


* Restore
       integer*4    sqlgdrst
       external     sqlgdrst


* EXPORT FROM
       integer*4    sqlgexpr
       external     sqlgexpr


* Export
       integer*4    sqlgexpt
       external     sqlgexpt


* Import
       integer*4    sqlgimpr
       external     sqlgimpr

* Import
       integer*4    sqlgimpt
       external     sqlgimpt


* Load
       integer*4    sqlgload
       external     sqlgload


* Query
       integer*4    sqlgqry
       external     sqlgqry


* Reorganize Table
       integer*4    sqlgreot
       external     sqlgreot


* Rollforward
       integer*4    sqlgrfwd
       external     sqlgrfwd


* Run Statistics
       integer*4    sqlgstat
       external     sqlgstat


* Dereference Address
       integer*4    sqlgdref
       external     sqlgdref


* Copy Memory
       integer*4    sqlgmcpy
       external     sqlgmcpy


* Return address
       integer*4    sqlgaddr
       external     sqlgaddr


* Configuration Utility Commands

* Reset Database Manager Configuration
       integer*4    sqlgrsys
       external     sqlgrsys


* Update Database Manager Configuration
       integer*4    sqlgusys
       external     sqlgusys


* Get Database Manager Configuration
       integer*4    sqlgxsys
       external     sqlgxsys


* Single TableSpace Query
       integer*4    sqlgstsq
       external     sqlgstsq


* Open TableSpace Query
       integer*4    sqlgotsq
       external     sqlgotsq


* Fetch TableSpace Query
       integer*4    sqlgftsq
       external     sqlgftsq


* Close TableSpace Query
       integer*4    sqlgctsq
       external     sqlgctsq


* TableSpace Query
       integer*4    sqlgtsq
       external     sqlgtsq


* Open Tablespace Container Query
       integer*4    sqlgotcq
       external     sqlgotcq


* Fetch Tablespace Container Query
       integer*4    sqlgftcq
       external     sqlgftcq


* Close Tablespace Container Query
       integer*4    sqlgctcq
       external     sqlgctcq


* Tablespace Container Query
       integer*4    sqlgtcq
       external     sqlgtcq


* Set TableSpace Containers
       integer*4    sqlgstsc
       external     sqlgstsc


* Get TableSpace Statistics
       integer*4    sqlggtss
       external     sqlggtss


* Get table authorizations
       integer*4    sqlgtbau
       external     sqlgtbau


* SQL Return Codes in SQLCODE for UTILITY/CONFIGURATION Commands

* If using the symbolic constants SQL-RC-OK and SQL-RC-INVALID-SQLCA ensure
* sql.f is included.

* ROLL FORWARD Return Codes - more in the 4900's

* Log Control file not found.
       integer*2   sqlu_rc_nolfh
       parameter ( sqlu_rc_nolfh           = -1258 )

* I/O Error accessing LFH.
       integer*2   sqlu_rc_ioelfh
       parameter ( sqlu_rc_ioelfh          = -1259 )

* DB not enabled for Roll Fwd
       integer*2   sqlu_rc_rfnoten
       parameter ( sqlu_rc_rfnoten         = -1260 )

* Roll Forward is not Pending
       integer*2   sqlu_rc_rfnotp
       parameter ( sqlu_rc_rfnotp          = -1261 )

* Bad Point in Time specified
       integer*2   sqlu_rc_badpit
       parameter ( sqlu_rc_badpit          = -1262 )

* Invalid Log Extent file
       integer*2   sqlu_rc_invext
       parameter ( sqlu_rc_invext          = -1263 )

* Log Extent file does not belong to DB
       integer*2   sqlu_rc_notext
       parameter ( sqlu_rc_notext          = -1264 )

* Log extent file is incorrect version
       integer*2   sqlu_rc_ivrext
       parameter ( sqlu_rc_ivrext          = -1265 )

* Time specified is before previous roll-forward time
       integer*2   sqlu_rc_prtime
       parameter ( sqlu_rc_prtime          = -1266 )

* User exit encountered an error (other than retry) while attempting to
* retrieve a log extent file for roll forward
       integer*2   sqlu_rc_uexit_err
       parameter ( sqlu_rc_uexit_err       = -1268 )

* Rollforward by tablespace in progress.
       integer*2   sqlu_rc_rfinprg
       parameter ( sqlu_rc_rfinprg         = -1269 )

* Roll forward complete but I/O errors encountered
       integer*2   sqlu_rc_rcvioerr
       parameter ( sqlu_rc_rcvioerr        = 1271 )

* Rollforward by tablespace has stopped.
       integer*2   sqlu_rc_rfstop
       parameter ( sqlu_rc_rfstop          = -1272 )

* Missing log extent file.
       integer*2   sqlu_rc_missing_ext
       parameter ( sqlu_rc_missing_ext     = -1273 )

* Invalid stop time for tablespace rollforward.
       integer*2   sqlu_rc_invtsp_stoptime
       parameter ( sqlu_rc_invtsp_stoptime = -1274 )

* invalid stop time specified
       integer*2   sqlu_invrfr_stoptime
       parameter ( sqlu_invrfr_stoptime    = -1275 )

* invalid time to issue a stop
       integer*2   sqlu_invrfr_stop
       parameter ( sqlu_invrfr_stop        = -1276 )

* Restore found one or more containers are inaccessable
       integer*2   sqlud_inaccessable_container
       parameter ( sqlud_inaccessable_container = 1277 )

* Restart complete but not all invalid  indexes were recreated
       integer*2   sql_rc_recreate_indexes
       parameter ( sql_rc_recreate_indexes = 1279 )


* invalid client comm. protocols
       integer*2   sqlf_rc_inv_client_comm
       parameter ( sqlf_rc_inv_client_comm = -1290 )

* invalid directory services field
       integer*2   sqlf_rc_inv_dir_field
       parameter ( sqlf_rc_inv_dir_field   = -1296 )


* hostname in node dir unknown
       integer*2   sqlcc_rc_unknown_host
       parameter ( sqlcc_rc_unknown_host   = -1336 )

* service name in node directory is unknown
       integer*2   sqlcc_rc_unknown_service
       parameter ( sqlcc_rc_unknown_service = -1337 )

* CPI-C symdestname is unknown
       integer*2   sqlcc_rc_unknown_sym_dest_name
       parameter ( sqlcc_rc_unknown_sym_dest_name = -1338 )

* wrkstn name (nname)
       integer*2   sqlcc_rc_nname_notfound
       parameter ( sqlcc_rc_nname_notfound = -1341 )

* SOCKS env vars not found
       integer*2   sqlcc_rc_no_socks_env_var
       parameter ( sqlcc_rc_no_socks_env_var = -1460 )


* GENERAL UTILITY Return Codes

* Invalid output drive
       integer*2   sqlu_bad_drive
       parameter ( sqlu_bad_drive          = -2000 )

* Backup terminated by user
       integer*2   sqlu_user_term
       parameter ( sqlu_user_term          = -2001 )

* database not local
       integer*2   sqlu_not_local
       parameter ( sqlu_not_local          = -2002 )

* base op system error
       integer*2   sqlu_dos_error
       parameter ( sqlu_dos_error          = -2003 )

* SQL error occurred
       integer*2   sqlu_sql_error
       parameter ( sqlu_sql_error          = -2004 )

* read wrong # of bytes
       integer*2   sqlu_read_error
       parameter ( sqlu_read_error         = -2005 )

* call out of sequence
       integer*2   sqlu_invalid_action
       parameter ( sqlu_invalid_action     = -2008 )

* insufficient memory
       integer*2   sqlu_insuff_memory
       parameter ( sqlu_insuff_memory      = -2009 )

* error in Start Using
       integer*2   sqlu_strd_error
       parameter ( sqlu_strd_error         = -2010 )

* error in Stop Using
       integer*2   sqlu_stpd_error
       parameter ( sqlu_stpd_error         = -2011 )

* directory Scan error
       integer*2   sqlu_dir_error
       parameter ( sqlu_dir_error          = -2013 )

* invalid database name
       integer*2   sqlu_invalid_dbname
       parameter ( sqlu_invalid_dbname     = -2015 )

* invalid path in environment
       integer*2   sqlu_invalid_path
       parameter ( sqlu_invalid_path       = -2016 )

* Start Session failed
       integer*2   sqlu_start_session
       parameter ( sqlu_start_session      = -2017 )

* invalid authorizations
       integer*2   sqlu_invalid_auths
       parameter ( sqlu_invalid_auths      = -2018 )

* auto-binding failed
       integer*2   sqlu_autobind
       parameter ( sqlu_autobind           = -2019 )

* conflict after auto-bind control file
       integer*2   sqlu_timestamp
       parameter ( sqlu_timestamp          = -2020 )

* I/O error in accessing the log
       integer*2   sqlu_io_error_lfh
       parameter ( sqlu_io_error_lfh       = -2023 )

* I/O error in accessing the Backup/Restore flag file
       integer*2   sqlu_io_error_brg
       parameter ( sqlu_io_error_brg       = -2024 )

* System I/O error occurred
       integer*2   sqlu_io_error
       parameter ( sqlu_io_error           = -2025 )

* error in PAUSE the started DB
       integer*2   sqlu_pause_error
       parameter ( sqlu_pause_error        = -2026 )

* error in CONTINUE the stoped DB
       integer*2   sqlu_cont_error
       parameter ( sqlu_cont_error         = -2027 )

* interruption installing error
       integer*2   sqlu_int_inst_err
       parameter ( sqlu_int_inst_err       = -2028 )

* user exit returned non-zero rc
       integer*2   sqlu_uexit_rc
       parameter ( sqlu_uexit_rc           = -2029 )


* warning to mount tape
       integer*2   sqlu_first_tape_warning
       parameter ( sqlu_first_tape_warning = 2031 )

* parameter to utility incorrect
       integer*2   sqlu_invalid_parm
       parameter ( sqlu_invalid_parm       = -2032 )

* ADSM reported error
       integer*2   sqlu_adsm_error
       parameter ( sqlu_adsm_error         = -2033 )

* address of parameter incorrect
       integer*2   sqlu_invalid_parm_address
       parameter ( sqlu_invalid_parm_address = -2034 )

* error during nointerrupt action
       integer*2   sqlu_noint_error
       parameter ( sqlu_noint_error        = -2035 )

* directory does not exist
       integer*2   sqlu_path_error
       parameter ( sqlu_path_error         = -2036 )

* unable to load ADSM
       integer*2   sqlu_load_adsm_error
       parameter ( sqlu_load_adsm_error    = -2037 )

* database system error
       integer*2   sqlu_dbsystem_error
       parameter ( sqlu_dbsystem_error     = -2038 )

* application terminated
       integer*2   sqlu_no_app_error
       parameter ( sqlu_no_app_error       = -2039 )

* alias parameter error
       integer*2   sqlu_alias_error
       parameter ( sqlu_alias_error        = -2040 )

* buff_size parameter error
       integer*2   sqlu_buffsize_error
       parameter ( sqlu_buffsize_error     = -2041 )

* I/O error during change tape
       integer*2   sqlu_io_warning
       parameter ( sqlu_io_warning         = 2042 )

* Spawn child process error
       integer*2   sqlu_spawn_edu_error
       parameter ( sqlu_spawn_edu_error    = -2043 )

* Message queue error
       integer*2   sqlu_queue_error
       parameter ( sqlu_queue_error        = -2044 )

* Object access error
       integer*2   sqlu_object_access_error
       parameter ( sqlu_object_access_error = -2048 )

* Bad backup image
       integer*2   sqlu_corrupt_image_error
       parameter ( sqlu_corrupt_image_error = -2054 )

* Unable to access memory set
       integer*2   sqlu_memory_access_error
       parameter ( sqlu_memory_access_error = -2055 )

* device path point to unknown device type
       integer*2   sqlu_unknown_media_type
       parameter ( sqlu_unknown_media_type = -2056 )

* device or file already opened by other process
       integer*2   sqlu_media_cannot_be_shared
       parameter ( sqlu_media_cannot_be_shared = -2057 )

* End of tape or file encountered during read
       integer*2   sqlu_end_of_media_warning
       parameter ( sqlu_end_of_media_warning = 2058 )

* Device is full during write
       integer*2   sqlu_device_full_warning
       parameter ( sqlu_device_full_warning = 2059 )

* Empty device or file not found during read
       integer*2   sqlu_media_empty_warning
       parameter ( sqlu_media_empty_warning = 2060 )

* Access denied due to authority level
       integer*2   sqlu_media_access_denied
       parameter ( sqlu_media_access_denied = -2061 )

* Access error
       integer*2   sqlu_media_access_error
       parameter ( sqlu_media_access_error = -2062 )

* Terminate last Media IO.
       integer*2   sqlu_term_last_media_warning
       parameter ( sqlu_term_last_media_warning = 2065 )

* Invalid tablespace name
       integer*2   sqlu_bad_tablespace_name
       parameter ( sqlu_bad_tablespace_name = -2066 )

* Could not locate media header in backup or copy image
       integer*2   sqlu_no_media_header
       parameter ( sqlu_no_media_header    = -2068 )

* Mismatch alias name from media
       integer*2   sqlu_incorrect_dbalias
       parameter ( sqlu_incorrect_dbalias  = -2069 )

* Mismatch timestamp read from media
       integer*2   sqlu_incorrect_timestamp
       parameter ( sqlu_incorrect_timestamp = -2070 )


* Shared library access error
       integer*2   sqlu_shr_lib_access_error
       parameter ( sqlu_shr_lib_access_error = -2071 )

* Bind shared library error
       integer*2   sqlu_bind_shr_lib_error
       parameter ( sqlu_bind_shr_lib_error = -2072 )


* Out of sequence tablespace restore
       integer*2   sqlud_tsp_restore_out_of_seq
       parameter ( sqlud_tsp_restore_out_of_seq = -2154 )


* HISTORY TABLE Return Codes
* Changes were made to historyfile during update.
       integer*2   sqluh_scan_updated_warning
       parameter ( sqluh_scan_updated_warning = 2155 )

* MAX # open scans exceeded
       integer*2   sqluh_max_scans_exceeded
       parameter ( sqluh_max_scans_exceeded = -2157 )

* History file is unfixable
       integer*2   sqluh_damaged_file
       parameter ( sqluh_damaged_file      = -2161 )

* number of tablespaces changed
       integer*2   sqluh_sqluhinfo_vars_warning
       parameter ( sqluh_sqluhinfo_vars_warning = 2165 )

* Entry not found on update
       integer*2   sqluh_entry_not_found
       parameter ( sqluh_entry_not_found   = -2171 )


* REORGANIZE TABLE Return Codes
* invalid authid on index name
       integer*2   sqlur_invalid_authid
       parameter ( sqlur_invalid_authid    = -2200 )

* invalid tablename syntax
       integer*2   sqlur_invalid_tablename
       parameter ( sqlur_invalid_tablename = -2203 )

* invalid tablename syntax
       integer*2   sqlur_invalid_indexname
       parameter ( sqlur_invalid_indexname = -2204 )

* index doesn't exist
       integer*2   sqlur_index_not_found
       parameter ( sqlur_index_not_found   = -2205 )

* invalid filepath pointer
       integer*2   sqlur_invalid_filepath
       parameter ( sqlur_invalid_filepath  = -2207 )

* invalid tablespace pointer
       integer*2   sqlur_invalid_tablespace
       parameter ( sqlur_invalid_tablespace = -2208 )

* table does not exist
       integer*2   sqlur_table_not_found
       parameter ( sqlur_table_not_found   = -2211 )

* cannot reorg a view
       integer*2   sqlur_view_error
       parameter ( sqlur_view_error        = -2212 )

* Incorrect tablespace type
       integer*2   sqlur_incorrect_tablespace
       parameter ( sqlur_incorrect_tablespace = -2213 )

* insuffic authority
       integer*2   sqlur_insauth
       parameter ( sqlur_insauth           = -2214 )

* SQL error commiting prev work
       integer*2   sqlur_sqlerr_comprev
       parameter ( sqlur_sqlerr_comprev    = -2215 )

* SQL error during reorganization
       integer*2   sqlur_sqlerr_reorg
       parameter ( sqlur_sqlerr_reorg      = -2216 )


* RUN STATISTICS Return Codes
* invalid authid
       integer*2   sqlus_invalid_authid
       parameter ( sqlus_invalid_authid    = -2300 )

* invalid table name
       integer*2   sqlus_invalid_table_name
       parameter ( sqlus_invalid_table_name = -2301 )

* invalid index pointer
       integer*2   sqlus_invalid_index_list
       parameter ( sqlus_invalid_index_list = -2302 )

* statsopt parameter invalid
       integer*2   sqlus_invalid_stats_opt
       parameter ( sqlus_invalid_stats_opt = -2303 )

* sharelev parameter invalid
       integer*2   sqlus_invalid_share_lev
       parameter ( sqlus_invalid_share_lev = -2304 )

* table specified is a view
       integer*2   sqlus_views_not_allowed
       parameter ( sqlus_views_not_allowed = -2305 )

* object doesn't exist
       integer*2   sqlus_obj_does_not_exist
       parameter ( sqlus_obj_does_not_exist = -2306 )

* system table not allowed
       integer*2   sqlus_sys_table_not_allowed
       parameter ( sqlus_sys_table_not_allowed = -2307 )

* index authid invalid
       integer*2   sqlus_invalid_index_authid
       parameter ( sqlus_invalid_index_authid = -2308 )

* index name invalid
       integer*2   sqlus_invalid_index_name
       parameter ( sqlus_invalid_index_name = -2309 )

* error running statistics
       integer*2   sqlus_error_stat
       parameter ( sqlus_error_stat        = -2310 )

* insuffic authority for runstats
       integer*2   sqlus_insauth
       parameter ( sqlus_insauth           = -2311 )

* statistics heap is too small
       integer*2   sqlus_stats_heap_too_small
       parameter ( sqlus_stats_heap_too_small = -2312 )

* incomplete statistics collected
       integer*2   sqlus_partial_success
       parameter ( sqlus_partial_success   = 2313 )


* Rst DB turn off roll fwd pend, old OS/2 API only
       integer*2   sqlud_rst_norollfwd
       parameter ( sqlud_rst_norollfwd     = 3 )

* Old OS/2 Backup calling action values
* backup entire database
       integer*2   sqlu_back_all
       parameter ( sqlu_back_all           = x'0' )

* backup changes only
       integer*2   sqlu_back_changes
       parameter ( sqlu_back_changes       = x'1' )

* quiesce during backup
       integer*2   sqlu_back_quiesce
       parameter ( sqlu_back_quiesce       = x'800' )

* New UOW return error immed
       integer*2   sqlu_new_uow_return_error
       parameter ( sqlu_new_uow_return_error = x'400' )


* pause or Continue or migration error
       integer*2   sqlu_dbm_error
       parameter ( sqlu_dbm_error          = -2014 )

* Wrong diskette inserted
       integer*2   sqlu_wrong_diskette
       parameter ( sqlu_wrong_diskette     = -2021 )

* a specific fixed disk is full
       integer*2   sqlu_disk_full
       parameter ( sqlu_disk_full          = -2030 )


* invalid type
       integer*2   sqlub_bad_type
       parameter ( sqlub_bad_type          = -2400 )

* type must be database
       integer*2   sqlub_type_mustbe_db
       parameter ( sqlub_type_mustbe_db    = -2401 )

* insufficient auth for backup
       integer*2   sqlub_user_not_auth
       parameter ( sqlub_user_not_auth     = -2403 )

* The target disk/diskette is full
       integer*2   sqlub_media_full
       parameter ( sqlub_media_full        = -2404 )

* The Backup can't run because B/R flag file existed and read I/O error
* occurred
       integer*2   sqlub_br_inprog
       parameter ( sqlub_br_inprog         = -2407 )

* Backup process is successful, but unable to delete BRG file
       integer*2   sqlub_del_brg_err
       parameter ( sqlub_del_brg_err       = 2408 )

* 'change-only' is only applied to the most recent base image
       integer*2   sqlub_wrong_base_image
       parameter ( sqlub_wrong_base_image  = -2409 )

* change only, backup not allowed to user exit
       integer*2   sqlub_no_chg_nsd
       parameter ( sqlub_no_chg_nsd        = -2410 )

* I/O error during backup
       integer*2   sqlub_io_error
       parameter ( sqlub_io_error          = -2411 )

* Restore utility not bound
       integer*2   sqlud_bind_warning
       parameter ( sqlud_bind_warning      = 2507 )

* error dropping database
       integer*2   sqlud_drop_error
       parameter ( sqlud_drop_error        = -2511 )


* BACKUP Return Codes
* The backup can't run because the Restore is in progress
       integer*2   sqlub_rst_in_prog
       parameter ( sqlub_rst_in_prog       = -2405 )

* The Backup can't run because roll forward is pending
       integer*2   sqlub_rollfwd_pending
       parameter ( sqlub_rollfwd_pending   = -2406 )

* data page encountered during backup is corrupted
       integer*2   sqlub_corrupt_page
       parameter ( sqlub_corrupt_page      = -2412 )

* retain req'd for online backup
       integer*2   sqlub_logretain_online_error
       parameter ( sqlub_logretain_online_error = -2413 )

* no space for control info
       integer*2   sqlub_insuf_space_warning
       parameter ( sqlub_insuf_space_warning = 2414 )

* tape full, mount another
       integer*2   sqlub_next_tape_warning
       parameter ( sqlub_next_tape_warning = 2416 )

* database does not exist
       integer*2   sqlub_dbase_does_not_exist
       parameter ( sqlub_dbase_does_not_exist = -2418 )

* disk full during backup
       integer*2   sqlub_disk_full_error
       parameter ( sqlub_disk_full_error   = -2419 )


* first tape cannot hold header
       integer*2   sqlub_first_tape_error
       parameter ( sqlub_first_tape_error  = -2420 )

* retain req'd for tbs backup
       integer*2   sqlub_logretain_tbs_error
       parameter ( sqlub_logretain_tbs_error = -2421 )

* the backup API used does not support this format of database
       integer*2   sqlub_db_unsupported_by_api
       parameter ( sqlub_db_unsupported_by_api = -2422 )

* A required index is missing during an offline backup
       integer*2   sqlub_missing_index
       parameter ( sqlub_missing_index     = -2423 )


* RESTORE Return Codes
* can't read restored database
       integer*2   sqlud_cannot_restore
       parameter ( sqlud_cannot_restore    = -2501 )

* error reading backup diskette
       integer*2   sqlud_diskette_error
       parameter ( sqlud_diskette_error    = -2502 )

* wrong backup diskette
       integer*2   sqlud_wrong_database
       parameter ( sqlud_wrong_database    = -2503 )

* prompt for backup diskette
       integer*2   sqlud_diskette_prompt
       parameter ( sqlud_diskette_prompt   = 2504 )

* warn that drop will be done
       integer*2   sqlud_drop_warning
       parameter ( sqlud_drop_warning      = 2505 )

* Restore worked, but not cleanup
       integer*2   sqlud_database_warning
       parameter ( sqlud_database_warning  = 2506 )

* timestamp incorrectly specified
       integer*2   sqlud_invalid_timestamp
       parameter ( sqlud_invalid_timestamp = -2508 )

* invalid database drive
       integer*2   sqlud_invalid_dbdrv
       parameter ( sqlud_invalid_dbdrv     = -2509 )

* semaphore error
       integer*2   sqlud_sem_error
       parameter ( sqlud_sem_error         = -2510 )

* error creating database
       integer*2   sqlud_create_error
       parameter ( sqlud_create_error      = -2512 )

* error renaming database
       integer*2   sqlud_ren_error
       parameter ( sqlud_ren_error         = -2513 )

* restored database wrong version
       integer*2   sqlud_bad_version
       parameter ( sqlud_bad_version       = -2514 )

* insuffic authority to restore
       integer*2   sqlud_insauth
       parameter ( sqlud_insauth           = -2515 )

* a database active
       integer*2   sqlud_dbact
       parameter ( sqlud_dbact             = -2516 )

* database migrated
       integer*2   sqlud_migrated
       parameter ( sqlud_migrated          = 2517 )

* error in restoring DB config.
       integer*2   sqlud_rst_dbcong_err
       parameter ( sqlud_rst_dbcong_err    = -2518 )

* error in migrating the database
       integer*2   sqlud_migrate_error
       parameter ( sqlud_migrate_error     = -2519 )

* DBCON file is restored using the backup version
       integer*2   sqlud_dbcon_warn
       parameter ( sqlud_dbcon_warn        = 2520 )

* Restore process is successful, but unable to delete BRG file
       integer*2   sqlud_del_brg_err
       parameter ( sqlud_del_brg_err       = 2521 )

* more than one file match
       integer*2   sqlud_too_many_backup_files
       parameter ( sqlud_too_many_backup_files = -2522 )

* corrupted backup image
       integer*2   sqlud_media_corrupt
       parameter ( sqlud_media_corrupt     = -2530 )

* image of wrong database
       integer*2   sqlud_wrgimage_error
       parameter ( sqlud_wrgimage_error    = -2532 )

* image of wrong database
       integer*2   sqlud_wrgimage_warning
       parameter ( sqlud_wrgimage_warning  = 2533 )

* seq number of backup incorrect
       integer*2   sqlud_wrongseq_warning
       parameter ( sqlud_wrongseq_warning  = 2536 )

* roll forward required
       integer*2   sqlud_must_rollfwd
       parameter ( sqlud_must_rollfwd      = -2537 )

* end of file reached unexpectedly
       integer*2   sqlud_unexpect_eof_error
       parameter ( sqlud_unexpect_eof_error = -2538 )

* noint type restore had warning
       integer*2   sqlud_noint_warning
       parameter ( sqlud_noint_warning     = 2540 )

* unable to close backup file
       integer*2   sqlud_close_media_warning
       parameter ( sqlud_close_media_warning = 2541 )

* no backup file match found
       integer*2   sqlud_no_backup_file_match
       parameter ( sqlud_no_backup_file_match = -2542 )

* invalid directory for new dbase
       integer*2   sqlud_db_dir_error
       parameter ( sqlud_db_dir_error      = -2543 )

* disk full during restore
       integer*2   sqlud_disk_full_error
       parameter ( sqlud_disk_full_error   = -2544 )

* restore requires first image first
       integer*2   sqlud_not_first_image
       parameter ( sqlud_not_first_image   = -2546 )

* cannot restore online backup from a previous release
       integer*2   sqlud_old_online_image_error
       parameter ( sqlud_old_online_image_error = -2547 )

* backup has diff codepage from disk DB
       integer*2   sqlud_image_db_cp_mismatch
       parameter ( sqlud_image_db_cp_mismatch = -2548 )


*******************************************************************************
*   the meaning of the following 8 warnings :
*         A -> database alias
*         N -> database name
*         S -> database seed
*         0 -> target db value DOES NOT matches backup image value
*         1 -> target db value matches backup image value
*  
********************************************************************************
       integer*2   sqlud_a0n0s0_warning
       parameter ( sqlud_a0n0s0_warning    = 2529 )

       integer*2   sqlud_a0n0s1_warning
       parameter ( sqlud_a0n0s1_warning    = 2528 )

       integer*2   sqlud_a0n1s0_warning
       parameter ( sqlud_a0n1s0_warning    = 2525 )

       integer*2   sqlud_a0n1s1_warning
       parameter ( sqlud_a0n1s1_warning    = 2524 )

       integer*2   sqlud_a1n0s0_warning
       parameter ( sqlud_a1n0s0_warning    = 2527 )

       integer*2   sqlud_a1n0s1_warning
       parameter ( sqlud_a1n0s1_warning    = 2526 )

       integer*2   sqlud_a1n1s0_warning
       parameter ( sqlud_a1n1s0_warning    = 2523 )

       integer*2   sqlud_a1n1s1_warning
       parameter ( sqlud_a1n1s1_warning    = 2539 )

* restore tablespace to a non original database.
       integer*2   sqlud_tblsp_to_other_db
       parameter ( sqlud_tblsp_to_other_db = -2560 )

* restore tablespace to a new data base.
       integer*2   sqlud_tblsp_to_new_db
       parameter ( sqlud_tblsp_to_new_db   = 2561 )

* restore tablespace from full backup image.
       integer*2   sqlud_tblsp_fr_full_bkup
       parameter ( sqlud_tblsp_fr_full_bkup = -2562 )

* Not all tablespases were restored
       integer*2   sqlud_notall_tbs_restored
       parameter ( sqlud_notall_tbs_restored = 2563 )

* Mismatch between restore image and database restored to
       integer*2   sqlud_db_mismatch
       parameter ( sqlud_db_mismatch       = 2565 )

* Problem on first media write
       integer*2   sqlu_header_write_err
       parameter ( sqlu_header_write_err   = 2045 )


* sqlgadau and sqluadau Return codes
* sql_authorizations parm is bad
       integer*2   sqlua_bad_input_parameter
       parameter ( sqlua_bad_input_parameter = -2600 )


* IMPORT/EXPORT Return codes
* error opening output file
       integer*2   sqlue_dfo
       parameter ( sqlue_dfo               = -3001 )

* i/o error writing output file
       integer*2   sqlue_ioe
       parameter ( sqlue_ioe               = -3002 )

* i/o error closing output file
       integer*2   sqlue_cls
       parameter ( sqlue_cls               = -3003 )

* invalid filetype parameter
       integer*2   sqlue_ift
       parameter ( sqlue_ift               = -3004 )

* function interrupted
       integer*2   sqlue_cbi
       parameter ( sqlue_cbi               = -3005 )

* i/o error opening message file
       integer*2   sqlue_mfo
       parameter ( sqlue_mfo               = -3006 )

* i/o error writing message file
       integer*2   sqlue_mfw
       parameter ( sqlue_mfw               = -3007 )

* start using database failed
       integer*2   sqlue_sta
       parameter ( sqlue_sta               = -3008 )

* invalid tcolstrg
       integer*2   sqlue_str
       parameter ( sqlue_str               = -3009 )

* invalid dcoldata
       integer*2   sqlue_col
       parameter ( sqlue_col               = -3010 )


* memory allocation error
       integer*2   sqlue_mem
       parameter ( sqlue_mem               = -3011 )

* system error
       integer*2   sqlue_syserr
       parameter ( sqlue_syserr            = -3012 )

* invalid filetmod
       integer*2   sqlue_ftmod
       parameter ( sqlue_ftmod             = -3013 )

* failure on closing message file
       integer*2   sqlue_mfc
       parameter ( sqlue_mfc               = -3014 )

* SQL error occurred
       integer*2   sqlue_sqlerr
       parameter ( sqlue_sqlerr            = -3015 )

* no keywords found
       integer*2   sqlue_fmodnk
       parameter ( sqlue_fmodnk            = -3016 )

* invalid delimiter or duplicate
       integer*2   sqlue_fmodid
       parameter ( sqlue_fmodid            = -3017 )

* decimal used for char delimiter
       integer*2   sqlue_fmoddec
       parameter ( sqlue_fmoddec           = -3018 )

* no tcolstrg
       integer*2   sqlue_nts
       parameter ( sqlue_nts               = -3019 )

* insufficient authority for exp.
       integer*2   sqlue_rc_insauth
       parameter ( sqlue_rc_insauth        = -3020 )


* insufficient authority for imp.
       integer*2   sqlui_rc_insauth
       parameter ( sqlui_rc_insauth        = -3021 )

* SQL error on input string
       integer*2   sqlue_sql_prep_err
       parameter ( sqlue_sql_prep_err      = -3022 )

* invalid database name
       integer*2   sqlue_database
       parameter ( sqlue_database          = -3023 )

* invalid datafile
       integer*2   sqlue_datafile
       parameter ( sqlue_datafile          = -3025 )

* invalid msgfile
       integer*2   sqlue_msgfile
       parameter ( sqlue_msgfile           = -3026 )

* Export method indicator not n/d
       integer*2   sqlue_dcolmeth
       parameter ( sqlue_dcolmeth          = -3028 )

* filetype is null
       integer*2   sqlue_nul_ftype
       parameter ( sqlue_nul_ftype         = -3029 )


* error opening input data file
       integer*2   sqlui_dfo
       parameter ( sqlui_dfo               = -3030 )

* i/o error reading input file
       integer*2   sqlui_ioe
       parameter ( sqlui_ioe               = -3031 )

* Import method not n/d/p
       integer*2   sqlui_dcolmeth
       parameter ( sqlui_dcolmeth          = -3032 )

* invalid insert in tcolstrg
       integer*2   sqlui_tinsert
       parameter ( sqlui_tinsert           = -3033 )

* invalid into in tcolstrg
       integer*2   sqlui_tinto
       parameter ( sqlui_tinto             = -3034 )

* invalid tablename in tcolstrg
       integer*2   sqlui_tablename
       parameter ( sqlui_tablename         = -3035 )

* close paren not in tcolstrg
       integer*2   sqlui_cparen
       parameter ( sqlui_cparen            = -3036 )

* SQL error on insert string
       integer*2   sqlue_sql_prep_insert
       parameter ( sqlue_sql_prep_insert   = -3037 )

* tcolstrg invalid
       integer*2   sqlui_tcoljunk
       parameter ( sqlui_tcoljunk          = -3038 )

* lob file error
       integer*2   sqlue_lobfile_error
       parameter ( sqlue_lobfile_error     = -3040 )


* invalid dcol position for CSV
       integer*2   sqluic_bad_dcol_pos
       parameter ( sqluic_bad_dcol_pos     = -3045 )

* non-default dcol and no cols
       integer*2   sqlui_nondef_dcol_nocols
       parameter ( sqlui_nondef_dcol_nocols = -3046 )

* dcolinfo has invalid method
       integer*2   sqlui_bad_dcol_meth
       parameter ( sqlui_bad_dcol_meth     = -3047 )

* non nullable column
       integer*2   sqlui_nodcol_for_nonnull_dbcol
       parameter ( sqlui_nodcol_for_nonnull_dbcol = -3048 )

* unsupported column type
       integer*2   sqluic_unsuptyp_nonulls
       parameter ( sqluic_unsuptyp_nonulls = -3049 )


* conversion for cdpg
       integer*2   sqluii_conversion
       parameter ( sqluii_conversion       = 3050 )

* too many rows for WSF export
       integer*2   sqlue_rowct_toobig
       parameter ( sqlue_rowct_toobig      = -3053 )

* eof reading first rec in IXF
       integer*2   sqluii_heof
       parameter ( sqluii_heof             = -3054 )

* length of 'H' rec not numeric
       integer*2   sqluii_hlen_conv
       parameter ( sqluii_hlen_conv        = -3055 )

* first record too short
       integer*2   sqluii_hlen_short
       parameter ( sqluii_hlen_short       = -3056 )

* first IXF rec is not 'H'
       integer*2   sqluii_htyp
       parameter ( sqluii_htyp             = -3057 )

* no IXF identifier in 'H'
       integer*2   sqluii_hid
       parameter ( sqluii_hid              = -3058 )

* invalid version field in 'H'
       integer*2   sqluii_hvers
       parameter ( sqluii_hvers            = -3059 )


* HCNT in 'H' not numeric
       integer*2   sqluii_hcnt
       parameter ( sqluii_hcnt             = -3060 )

* SBCP in 'H' not numeric
       integer*2   sqluii_hsbcp_bad
       parameter ( sqluii_hsbcp_bad        = -3061 )

* DBCP in 'H' not numeric
       integer*2   sqluii_hdbcp_bad
       parameter ( sqluii_hdbcp_bad        = -3062 )

* 'H' SBCP not compat w/data SBCP
       integer*2   sqluii_hsbcp_cmp
       parameter ( sqluii_hsbcp_cmp        = -3063 )

* 'H' DBCP not compat w/data DBCP
       integer*2   sqluii_hdbcp_cmp
       parameter ( sqluii_hdbcp_cmp        = -3064 )

* can't get codepages
       integer*2   sqluii_db_codepg
       parameter ( sqluii_db_codepg        = -3065 )

* eof reading/looking for 'T' rec
       integer*2   sqluii_teof
       parameter ( sqluii_teof             = -3066 )

* length of 'T' rec not numeric
       integer*2   sqluii_tlen_conv
       parameter ( sqluii_tlen_conv        = -3067 )

* 'T' record is too short
       integer*2   sqluii_tlen_short
       parameter ( sqluii_tlen_short       = -3068 )

* first non-'A' rec not 'T' rec
       integer*2   sqluii_ttyp
       parameter ( sqluii_ttyp             = -3069 )


* invalid rec length of 'A' rec
       integer*2   sqluii_alen_bad
       parameter ( sqluii_alen_bad         = -3070 )

* invalid data convention in 'T'
       integer*2   sqluii_tconv
       parameter ( sqluii_tconv            = -3071 )

* invalid data format in 'T'
       integer*2   sqluii_tform
       parameter ( sqluii_tform            = -3072 )

* invalid machine form in 'T'
       integer*2   sqluii_tmfrm
       parameter ( sqluii_tmfrm            = -3073 )

* invalid data location in 'T'
       integer*2   sqluii_tloc
       parameter ( sqluii_tloc             = -3074 )

* 'C' rec cnt in 'T' not numeric
       integer*2   sqluii_tccnt
       parameter ( sqluii_tccnt            = -3075 )

* name len fld in 'T' not numeric
       integer*2   sqluii_tnaml
       parameter ( sqluii_tnaml            = -3076 )

* too many 'C' records
       integer*2   sqluii_ccnt_high
       parameter ( sqluii_ccnt_high        = -3077 )

* length of 'A' rec not numeric
       integer*2   sqluii_alen_conv
       parameter ( sqluii_alen_conv        = -3078 )

* length of 'C' rec not numeric
       integer*2   sqluii_clen_conv
       parameter ( sqluii_clen_conv        = -3079 )


* 'C' record is too short
       integer*2   sqluii_clen_short
       parameter ( sqluii_clen_short       = -3080 )

* wrong rec type / 'C' expected
       integer*2   sqluii_ctyp
       parameter ( sqluii_ctyp             = -3081 )

* EOF while processing 'C' recs
       integer*2   sqluii_ceof
       parameter ( sqluii_ceof             = -3082 )

* 'D' rec id field not numeric
       integer*2   sqluii_cdrid
       parameter ( sqluii_cdrid            = -3083 )

* 'D' rec posn field not numeric
       integer*2   sqluii_cposn
       parameter ( sqluii_cposn            = -3084 )

* 'D' id/position not consistent
       integer*2   sqluii_cidpos
       parameter ( sqluii_cidpos           = -3085 )

* IXF column does not exist
       integer*2   sqluii_nocrec_for_nonnull_dbcol
       parameter ( sqluii_nocrec_for_nonnull_dbcol = -3086 )

* IXF column not valid
       integer*2   sqluii_invcrec_nonnull_dbcol
       parameter ( sqluii_invcrec_nonnull_dbcol = -3087 )

* IXF column not compatible
       integer*2   sqluii_creccomp_nonnull_dbcol
       parameter ( sqluii_creccomp_nonnull_dbcol = -3088 )

* wrong rec type / 'D' expected
       integer*2   sqluii_dtyp
       parameter ( sqluii_dtyp             = -3089 )


* length of 'D' rec not numeric
       integer*2   sqluii_dlen_conv
       parameter ( sqluii_dlen_conv        = -3090 )

* length of 'D' rec not valid
       integer*2   sqluii_dlen_range
       parameter ( sqluii_dlen_range       = -3091 )

* invalid id field in 'D' rec
       integer*2   sqluii_did
       parameter ( sqluii_did              = -3092 )

* import file not valid WSF
       integer*2   sqluiw_ifile_inv
       parameter ( sqluiw_ifile_inv        = -3093 )

* DOS non-nullable name not found
       integer*2   sqluiw_nncol_lost
       parameter ( sqluiw_nncol_lost       = -3094 )

* col position out of range
       integer*2   sqluiw_pcol_inv
       parameter ( sqluiw_pcol_inv         = -3095 )

* unsup col type - not nullable
       integer*2   sqluiw_ucoltyp_nonul
       parameter ( sqluiw_ucoltyp_nonul    = -3096 )

* record length invalid
       integer*2   sqluiw_reclen_inv
       parameter ( sqluiw_reclen_inv       = -3097 )

* row number out of range
       integer*2   sqluiw_inrow_inv
       parameter ( sqluiw_inrow_inv        = -3098 )

* col number out of range
       integer*2   sqluiw_incol_inv
       parameter ( sqluiw_incol_inv        = -3099 )


* column longer than 254 chars
       integer*2   sqlue_col_toobig
       parameter ( sqlue_col_toobig        = 3100 )

* column has char delimiter
       integer*2   sqlue_data_chardel
       parameter ( sqlue_data_chardel      = 3101 )

* dcol column nbr > tcol number
       integer*2   sqlue_dcnum_high
       parameter ( sqlue_dcnum_high        = 3102 )

* dcol column nbr < tcol number
       integer*2   sqlue_dcnum_low
       parameter ( sqlue_dcnum_low         = 3103 )

* warning message issued
       integer*2   sqlue_warning
       parameter ( sqlue_warning           = 3107 )


* extra database cols
       integer*2   sqlui_fewer_dcols_dbcols_nulled
       parameter ( sqlui_fewer_dcols_dbcols_nulled = 3112 )

* column will be nulled
       integer*2   sqluic_unsuptyp_nullable
       parameter ( sqluic_unsuptyp_nullable = 3113 )

* character ignored
       integer*2   sqluic_ignored_char
       parameter ( sqluic_ignored_char     = 3114 )

* input CSV field too long
       integer*2   sqluic_field_too_long
       parameter ( sqluic_field_too_long   = 3115 )

* field value missing
       integer*2   sqluic_cf_reqfield_missing
       parameter ( sqluic_cf_reqfield_missing = 3116 )

* smallint field nulled
       integer*2   sqluic_cfint2_nulled
       parameter ( sqluic_cfint2_nulled    = 3117 )

* smallint field error
       integer*2   sqluic_cfint2_rowrej
       parameter ( sqluic_cfint2_rowrej    = 3118 )

* int field nulled
       integer*2   sqluic_cfint4_nulled
       parameter ( sqluic_cfint4_nulled    = 3119 )


* int field error
       integer*2   sqluic_cfint4_rowrej
       parameter ( sqluic_cfint4_rowrej    = 3120 )

* float field nulled
       integer*2   sqluic_cffloat_nulled
       parameter ( sqluic_cffloat_nulled   = 3121 )

* float field error
       integer*2   sqluic_cffloat_rowrej
       parameter ( sqluic_cffloat_rowrej   = 3122 )

* decimal field nulled
       integer*2   sqluic_cfdec_nulled
       parameter ( sqluic_cfdec_nulled     = 3123 )

* decimal field error
       integer*2   sqluic_cfdec_rowrej
       parameter ( sqluic_cfdec_rowrej     = 3124 )

* char field truncated
       integer*2   sqluic_cftrunc
       parameter ( sqluic_cftrunc          = 3125 )


* char field nulled
       integer*2   sqluic_cfchar_nulled
       parameter ( sqluic_cfchar_nulled    = 3126 )

* char field error
       integer*2   sqluic_cfchar_rowrej
       parameter ( sqluic_cfchar_rowrej    = 3127 )

* date field truncated
       integer*2   sqluic_cfdatetrunc
       parameter ( sqluic_cfdatetrunc      = 3128 )

* date/time/stamp field padded
       integer*2   sqluic_cfdtpad
       parameter ( sqluic_cfdtpad          = 3129 )


* time field truncated
       integer*2   sqluic_cftimetrunc
       parameter ( sqluic_cftimetrunc      = 3130 )

* stamp field truncated
       integer*2   sqluic_cfstamptrunc
       parameter ( sqluic_cfstamptrunc     = 3131 )

* char field truncated
       integer*2   sqlue_truncate
       parameter ( sqlue_truncate          = 3132 )

* not enough columns
       integer*2   sqluic_rowtooshort
       parameter ( sqluic_rowtooshort      = 3137 )

* end of input data file
       integer*2   sqluic_eof_in_chardels
       parameter ( sqluic_eof_in_chardels  = 3138 )

* stop using database failed
       integer*2   sqlue_sqlstpdb_err
       parameter ( sqlue_sqlstpdb_err      = 3139 )


* WSF label too big
       integer*2   sqlue_wsflab_len
       parameter ( sqlue_wsflab_len        = 3142 )

* WSF char type length too long
       integer*2   sqlue_char_mtrunc
       parameter ( sqlue_char_mtrunc       = 3143 )

* WSF char type length too long
       integer*2   sqlue_char_wtrunc
       parameter ( sqlue_char_wtrunc       = 3144 )

* WSF char truncated at 240
       integer*2   sqlue_char_itrunc
       parameter ( sqlue_char_itrunc       = 3145 )

* row count exceeds 2048
       integer*2   sqlue_rowct_large
       parameter ( sqlue_rowct_large       = 3147 )

* row not inserted
       integer*2   sqlue_3148
       parameter ( sqlue_3148              = 3148 )


* 'H' hcnt not equal 'T' rec ccnt
       integer*2   sqluii_tcntcmp
       parameter ( sqluii_tcntcmp          = 3154 )

* invalid name length in 'C' rec
       integer*2   sqluii_cnaml
       parameter ( sqluii_cnaml            = 3155 )

* invalid null field in 'C' rec
       integer*2   sqluii_cnull
       parameter ( sqluii_cnull            = 3156 )

* invalid type field in 'C' rec
       integer*2   sqluii_ctype
       parameter ( sqluii_ctype            = 3157 )

* invalid SBCP field in 'C' rec
       integer*2   sqluii_csbcp
       parameter ( sqluii_csbcp            = 3158 )

* invalid DBCP field in 'C' rec
       integer*2   sqluii_cdbcp
       parameter ( sqluii_cdbcp            = 3159 )


* invalid col len fld in 'C' rec
       integer*2   sqluii_cleng
       parameter ( sqluii_cleng            = 3160 )

* invalid precision in 'C' rec
       integer*2   sqluii_cprec
       parameter ( sqluii_cprec            = 3161 )

* invalid scale field in 'C' rec
       integer*2   sqluii_cscal
       parameter ( sqluii_cscal            = 3162 )

* use 00008 for float col length
       integer*2   sqluii_cfloat_blankleng
       parameter ( sqluii_cfloat_blankleng = 3163 )

* invalid float col len in 'C'.
       integer*2   sqluii_cfloat_badleng
       parameter ( sqluii_cfloat_badleng   = 3164 )

* 'C' record has invalid type
       integer*2   sqluii_cutype
       parameter ( sqluii_cutype           = 3165 )

* IXF col does not exist
       integer*2   sqluii_nocrec_for_null_dbcol
       parameter ( sqluii_nocrec_for_null_dbcol = 3166 )

* IXF col is invalid
       integer*2   sqluii_invcrec_for_null_dbcol
       parameter ( sqluii_invcrec_for_null_dbcol = 3167 )

* IXF col not compatible
       integer*2   sqluii_creccomp_null_dbcol
       parameter ( sqluii_creccomp_null_dbcol = 3168 )


* EOF found in row of data
       integer*2   sqluii_deof_inrow
       parameter ( sqluii_deof_inrow       = 3170 )

* non-label cell in hdr row
       integer*2   sqluiw_nonlab_hdr
       parameter ( sqluiw_nonlab_hdr       = 3171 )

* nullable colnam not found
       integer*2   sqluiw_ncol_lost
       parameter ( sqluiw_ncol_lost        = 3172 )

* unsup col type - nullable
       integer*2   sqluiw_ucoltyp_null
       parameter ( sqluiw_ucoltyp_null     = 3174 )

* wrong rec type for db col
       integer*2   sqluiw_intype_inv
       parameter ( sqluiw_intype_inv       = 3175 )

* date value out of range
       integer*2   sqluiw_date_inv
       parameter ( sqluiw_date_inv         = 3176 )

* time value out of range
       integer*2   sqluiw_time_inv
       parameter ( sqluiw_time_inv         = 3177 )

* int rec for time invalid
       integer*2   sqluiw_intime_inv
       parameter ( sqluiw_intime_inv       = 3178 )

* no data / non nullable col
       integer*2   sqluiw_nodata_nnull
       parameter ( sqluiw_nodata_nnull     = 3179 )


* insert diskette request
       integer*2   sqlue_insert_disk
       parameter ( sqlue_insert_disk       = 3180 )

* file ended before AE rec
       integer*2   sqluii_ae_notfound
       parameter ( sqluii_ae_notfound      = 3181 )

* retry to insert diskette
       integer*2   sqluii_insert_disk_retry
       parameter ( sqluii_insert_disk_retry = 3182 )

* mult del o'rides/no blanks
       integer*2   sqluec_noblank_b4kw
       parameter ( sqluec_noblank_b4kw     = 3183 )

* row of previous warning
       integer*2   sqlui_prevmesg_rowno
       parameter ( sqlui_prevmesg_rowno    = 3185 )

* log full inserting row
       integer*2   sqlui_logfull_inswarn
       parameter ( sqlui_logfull_inswarn   = 3186 )

* error creating index
       integer*2   sqlui_index_warn
       parameter ( sqlui_index_warn        = 3187 )

* error truncating table
       integer*2   sqlui_truncate_table
       parameter ( sqlui_truncate_table    = -3188 )


* invalid INDEXIXF option
       integer*2   sqlui_indexixf
       parameter ( sqlui_indexixf          = -3190 )

* cannot import to this view
       integer*2   sqlui_view_error
       parameter ( sqlui_view_error        = -3193 )

* cannot import system table
       integer*2   sqlui_systbl_error
       parameter ( sqlui_systbl_error      = -3194 )

* not enough space
       integer*2   sqlue_retry_disk
       parameter ( sqlue_retry_disk        = 3195 )

* input file not found
       integer*2   sqlui_in_notfd
       parameter ( sqlui_in_notfd          = -3196 )

* import/export in use
       integer*2   sqlui_impbusy
       parameter ( sqlui_impbusy           = -3197 )


* cant replace parent table
       integer*2   sqlui_repl_par
       parameter ( sqlui_repl_par          = -3201 )

* cant update without PK's
       integer*2   sqlui_iuopt_nopk
       parameter ( sqlui_iuopt_nopk        = -3203 )

* cant update views
       integer*2   sqlui_iuopt_noview
       parameter ( sqlui_iuopt_noview      = -3204 )

* cant replace ref cons view
       integer*2   sqlui_view_ref
       parameter ( sqlui_view_ref          = -3205 )

* cant replace subquery view
       integer*2   sqlui_view_squery
       parameter ( sqlui_view_squery       = -3206 )


* AIX req next file
       integer*2   sqlue_provide_file_part
       parameter ( sqlue_provide_file_part = 3220 )

* start commit
       integer*2   sqlui_start_commit
       parameter ( sqlui_start_commit      = 3221 )

* finish commit
       integer*2   sqlui_finish_commit
       parameter ( sqlui_finish_commit     = 3222 )

* bad input parms
       integer*2   sqlui_bad_struct_parm
       parameter ( sqlui_bad_struct_parm   = -3223 )

* restartcnt too big
       integer*2   sqlui_skipped_all_rows
       parameter ( sqlui_skipped_all_rows  = -3225 )

* compound=x error
       integer*2   sqlui_compound_err
       parameter ( sqlui_compound_err      = -3250 )


* row/col sequence invalid
       integer*2   sqluiw_rcseq_inv
       parameter ( sqluiw_rcseq_inv        = -3300 )

* BOF in middle of WSF file
       integer*2   sqluiw_bof_inv
       parameter ( sqluiw_bof_inv          = -3301 )

* unexpected EOF
       integer*2   sqluiw_early_eof
       parameter ( sqluiw_early_eof        = -3302 )

* filetype not ixf
       integer*2   sqlui_ixfonly
       parameter ( sqlui_ixfonly           = -3303 )

* table does not exist
       integer*2   sqlui_deltable
       parameter ( sqlui_deltable          = -3304 )

* table already exists
       integer*2   sqlui_create_err
       parameter ( sqlui_create_err        = -3305 )

* SQL error during insert
       integer*2   sqlui_execute_err
       parameter ( sqlui_execute_err       = -3306 )

* incomplete col info
       integer*2   sqlui_inc_col
       parameter ( sqlui_inc_col           = -3307 )

* codepage mismatch
       integer*2   sqlui_cp_mismatch
       parameter ( sqlui_cp_mismatch       = -3308 )

* double byte data found
       integer*2   sqlui_dbldata
       parameter ( sqlui_dbldata           = -3309 )


* unrec col type
       integer*2   sqlui_unrec_ctype
       parameter ( sqlui_unrec_ctype       = -3310 )

* invalid IXF column
       integer*2   sqlui_invcrec_for_create
       parameter ( sqlui_invcrec_for_create = -3310 )


* disk full - OS/2
       integer*2   sqlue_disk_full_db2os2
       parameter ( sqlue_disk_full_db2os2  = -3313 )

* disk full - Windows NT
       integer*2   sqlue_disk_full_db2nt
       parameter ( sqlue_disk_full_db2nt   = -3313 )

* disk full - DOS
       integer*2   sqlue_disk_full_db2dos
       parameter ( sqlue_disk_full_db2dos  = -3313 )

* disk full - Windows
       integer*2   sqlue_disk_full_db2win
       parameter ( sqlue_disk_full_db2win  = -3313 )

* disk full - AIX
       integer*2   sqlue_disk_full_db2aix
       parameter ( sqlue_disk_full_db2aix  = -10018 )

* disk full - MacOS
       integer*2   sqlue_disk_full_db2mac
       parameter ( sqlue_disk_full_db2mac  = -3313 )


       integer*2   sqlue_disk_full
       parameter ( sqlue_disk_full         = -10018 )


* 'A' data/ time not as 'H'.
       integer*2   sqluii_astamp_nomatch
       parameter ( sqluii_astamp_nomatch   = -3314 )

* invalid volume info
       integer*2   sqluii_acrec_badvol
       parameter ( sqluii_acrec_badvol     = -3315 )

* error closing IXF file
       integer*2   sqluii_close_notlast
       parameter ( sqluii_close_notlast    = -3316 )

* conflict in filetmod
       integer*2   sqluw_ftmod_inv
       parameter ( sqluw_ftmod_inv         = -3317 )

* keyword repeated/filetmod
       integer*2   sqluec_dup_keyword
       parameter ( sqluec_dup_keyword      = -3318 )

* error creating table
       integer*2   sqlui_err_createtab
       parameter ( sqlui_err_createtab     = -3319 )


* keyword at end of filetmod
       integer*2   sqluec_noroom_afterkw
       parameter ( sqluec_noroom_afterkw   = -3320 )

* circular log full
       integer*2   sqlui_logfull_inserr
       parameter ( sqlui_logfull_inserr    = -3321 )

* semaphore error
       integer*2   sqlue_sem_error
       parameter ( sqlue_sem_error         = -3322 )

* column type invalid
       integer*2   sqlue_invcoltype
       parameter ( sqlue_invcoltype        = -3324 )

* ignored WSF row
       integer*2   sqluew_ignored_row
       parameter ( sqluew_ignored_row      = 3325 )

* column list invalid
       integer*2   sqlui_col_list
       parameter ( sqlui_col_list          = -3326 )

* system error
       integer*2   sqluei_syserror
       parameter ( sqluei_syserror         = -3327 )


* odd leng char -> graphic
       integer*2   sqluii_odd2graph
       parameter ( sqluii_odd2graph        = 3330 )

* permission denied
       integer*2   sqlue_oeaccess
       parameter ( sqlue_oeaccess          = -3331 )

* too many files open
       integer*2   sqlue_oemfile
       parameter ( sqlue_oemfile           = -3332 )

* no such file or directory
       integer*2   sqlue_oenoent
       parameter ( sqlue_oenoent           = -3333 )

* not enough memory
       integer*2   sqlue_oenomem
       parameter ( sqlue_oenomem           = -3334 )

* no space left
       integer*2   sqlue_oenospc
       parameter ( sqlue_oenospc           = -3335 )


* invalid method for ASC
       integer*2   sqluia_bad_dcol_meth
       parameter ( sqluia_bad_dcol_meth    = -3400 )

* invalid import method
       integer*2   sqlui_dcolm_all
       parameter ( sqlui_dcolm_all         = -3401 )

* zeroes as begin/end
       integer*2   sqluia_nullloc
       parameter ( sqluia_nullloc          = -3402 )

* invalid pair
       integer*2   sqluia_locpair
       parameter ( sqluia_locpair          = -3403 )

* invalid pair for number
       integer*2   sqluia_locnum
       parameter ( sqluia_locnum           = -3404 )

* invalid pair for date
       integer*2   sqluia_locdate
       parameter ( sqluia_locdate          = -3405 )

* invalid pair for time
       integer*2   sqluia_loctime
       parameter ( sqluia_loctime          = -3406 )

* invalid pair for timestamp
       integer*2   sqluia_locstamp
       parameter ( sqluia_locstamp         = -3407 )

* pair defines long field
       integer*2   sqluia_loclong
       parameter ( sqluia_loclong          = 3408 )

* pair defines short field
       integer*2   sqluia_locshort
       parameter ( sqluia_locshort         = 3409 )

* invalid pair for graphic
       integer*2   sqluia_locodd
       parameter ( sqluia_locodd           = -3410 )

* value not graphic--null
       integer*2   sqluia_cfgraph_nulled
       parameter ( sqluia_cfgraph_nulled   = 3411 )

* value not graphic--not null
       integer*2   sqluia_cfgraph_rowrej
       parameter ( sqluia_cfgraph_rowrej   = 3412 )

* field too short--nulled
       integer*2   sqluia_shortfldnulled
       parameter ( sqluia_shortfldnulled   = 3413 )


* number of warnings hit threshold
       integer*2   sqlu_too_many_warnings
       parameter ( sqlu_too_many_warnings  = 3502 )

* number of rows hit threshold
       integer*2   sqlu_rowcnt
       parameter ( sqlu_rowcnt             = 3503 )

* reclen > 32767
       integer*2   sqlula_invalid_reclen
       parameter ( sqlula_invalid_reclen   = -3505 )

* null ind value not Y or N
       integer*2   sqlula_nullind_ignored
       parameter ( sqlula_nullind_ignored  = 3506 )

* nullind column is invalid
       integer*2   sqlui_nullind
       parameter ( sqlui_nullind           = -3507 )

* file access error during load
       integer*2   sqlul_file_error
       parameter ( sqlul_file_error        = -3508 )

* num of row deleted after load
       integer*2   sqlul_num_row_deleted
       parameter ( sqlul_num_row_deleted   = 3509 )

* work directory is invalid
       integer*2   sqlu_sort_work_dir_error
       parameter ( sqlu_sort_work_dir_error = -3510 )

* lobfile missing but nullable col
       integer*2   sqlu_nb_lobfile_missing
       parameter ( sqlu_nb_lobfile_missing = 3511 )

* lobfile missing, nonnullable col
       integer*2   sqlu_nnb_lobfile_missing
       parameter ( sqlu_nnb_lobfile_missing = 3512 )

* codepage doesn't match db
       integer*2   sqlul_unmatched_codepage
       parameter ( sqlul_unmatched_codepage = -3513 )

* system error with reason code
       integer*2   sqlul_syserr_with_reason
       parameter ( sqlul_syserr_with_reason = -3514 )

* unexpected rec in db2cs
       integer*2   sqlul_unexpected_record
       parameter ( sqlul_unexpected_record = -3517 )

* coltype incompatible for db2cs
       integer*2   sqlul_incompatible_table
       parameter ( sqlul_incompatible_table = -3518 )

* missing file
       integer*2   sqlul_file_not_found
       parameter ( sqlul_file_not_found    = -3521 )

* copy spec, no logretain/userexit
       integer*2   sqlul_copy_logretain_off
       parameter ( sqlul_copy_logretain_off = -3522 )

* no messages to be retrieved
       integer*2   sqlul_no_messages
       parameter ( sqlul_no_messages       = 3523 )

* freespace option invalid
       integer*2   sqlul_freespace_opt
       parameter ( sqlul_freespace_opt     = -3524 )

* incompatible options
       integer*2   sqlu_incompat_opt
       parameter ( sqlu_incompat_opt       = -3525 )

* mount new tape
       integer*2   sqlu_next_tape_warning
       parameter ( sqlu_next_tape_warning  = 3700 )

* no lobs/longs but lobpath nonull
       integer*2   sqlu_lobpaths_ignored
       parameter ( sqlu_lobpaths_ignored   = 3701 )

* device error but ignored
       integer*2   sqlu_device_ignored
       parameter ( sqlu_device_ignored     = 3702 )

* invalid number of buffers
       integer*2   sqlu_num_buffers
       parameter ( sqlu_num_buffers        = -3704 )

* invalid load/unload buffer size
       integer*2   sqlu_buffer_size_error
       parameter ( sqlu_buffer_size_error  = -3705 )

* copy target full
       integer*2   sqlul_disk_full
       parameter ( sqlul_disk_full         = -3706 )

* invalid sort buffer size
       integer*2   sqlu_sort_buffsize_error
       parameter ( sqlu_sort_buffsize_error = -3707 )


* Load / unload / load recovery SQLCODES
       integer*2   sqlu_open_copy_loc_file_error
       parameter ( sqlu_open_copy_loc_file_error = -3783 )

       integer*2   sqlu_inv_copy_loc_file_input
       parameter ( sqlu_inv_copy_loc_file_input = -3784 )

       integer*2   sqlu_load_recovery_failed
       parameter ( sqlu_load_recovery_failed = -3785 )

       integer*2   sqlu_invalid_parm_warning
       parameter ( sqlu_invalid_parm_warning = 3798 )

       integer*2   sqlu_load_recovery_pending
       parameter ( sqlu_load_recovery_pending = 3799 )


* load recovery - copy location input error type
       integer*2   sqlu_keyword_code
       parameter ( sqlu_keyword_code       = 1 )

       integer*2   sqlu_override_code
       parameter ( sqlu_override_code      = 2 )

       integer*2   sqlu_unexpected_eof_code
       parameter ( sqlu_unexpected_eof_code = 3 )

       integer*2   sqlu_ioerror_code
       parameter ( sqlu_ioerror_code       = 4 )


* Loadapi SQLCODES
       integer*2   sqlu_invalid_quiescemode
       parameter ( sqlu_invalid_quiescemode = -3802 )

       integer*2   sqlu_invalid_index
       parameter ( sqlu_invalid_index      = -3804 )

       integer*2   sqlu_invalid_loadapi_action
       parameter ( sqlu_invalid_loadapi_action = -3805 )

       integer*2   sqlu_constraints_not_off
       parameter ( sqlu_constraints_not_off = -3806 )

       integer*2   sqlu_no_lifeboat
       parameter ( sqlu_no_lifeboat        = -3414 )


* Export SQLCODES
* Export message
       integer*2   sqlue_msg
       parameter ( sqlue_msg               = -3999 )


* Roll-Forward Recovery SQLCODES
* invalid parameter
       integer*2   sqlu_invalid_param
       parameter ( sqlu_invalid_param      = -4904 )

* invalid parameter range
       integer*2   sqlu_invalid_range
       parameter ( sqlu_invalid_range      = -4905 )


* Configuration SQLCODES
* only SYSADM_GROUP can change db2 configuration file
       integer*2   sqlf_rc_sysauth
       parameter ( sqlf_rc_sysauth         = -5001 )

* system error
       integer*2   sqlf_rc_syserr
       parameter ( sqlf_rc_syserr          = -5005 )

* path name error
       integer*2   sqlf_rc_pathname
       parameter ( sqlf_rc_pathname        = -5010 )

* invalid node name
       integer*2   sqlf_rc_invnodename
       parameter ( sqlf_rc_invnodename     = -5020 )

* invalid system flag
       integer*2   sqlf_rc_invsysidx
       parameter ( sqlf_rc_invsysidx       = -5021 )

* invalid database flag
       integer*2   sqlf_rc_invdbidx
       parameter ( sqlf_rc_invdbidx        = -5022 )

* not current db2 configuration
       integer*2   sqlf_rc_kcon
       parameter ( sqlf_rc_kcon            = -5025 )

* invalid sysadm_group
       integer*2   sqlf_rc_invsysadm
       parameter ( sqlf_rc_invsysadm       = -5028 )

* invalid release number
       integer*2   sqlf_rc_rel
       parameter ( sqlf_rc_rel             = -5030 )

* database needs migration; release number is back-level
       integer*2   sqlf_rc_needmig
       parameter ( sqlf_rc_needmig         = -5035 )


* insufficient memory to support stack switching
       integer*2   sqlf_rc_insmem
       parameter ( sqlf_rc_insmem          = -5047 )

* invalid db2 configuration file
       integer*2   sqlf_rc_syscsum
       parameter ( sqlf_rc_syscsum         = -5050 )

* invalid db configuration file
       integer*2   sqlf_rc_dbcsum
       parameter ( sqlf_rc_dbcsum          = -5055 )

* invalid token parameter
       integer*2   sqlf_rc_invtkn
       parameter ( sqlf_rc_invtkn          = -5060 )

* invalid ptr to sqlfupd
       integer*2   sqlf_rc_invtkn_struct
       parameter ( sqlf_rc_invtkn_struct   = -5061 )

* invalid token ptr value
       integer*2   sqlf_rc_invtkn_ptr
       parameter ( sqlf_rc_invtkn_ptr      = -5062 )

* invalid node type
       integer*2   sqlf_rc_invnt
       parameter ( sqlf_rc_invnt           = -5065 )

* invalid count parameter
       integer*2   sqlf_rc_cntinv
       parameter ( sqlf_rc_cntinv          = -5070 )

* interrupt received
       integer*2   sqlf_rc_cntbrk
       parameter ( sqlf_rc_cntbrk          = -5075 )

* invalid initial log size
       integer*2   sqlf_rc_invilf
       parameter ( sqlf_rc_invilf          = -5083 )


* invalid logfile extention
       integer*2   sqlf_rc_invlfe
       parameter ( sqlf_rc_invlfe          = -5091 )

* invalid # of log extention
       integer*2   sqlf_rc_invnle
       parameter ( sqlf_rc_invnle          = -5092 )

* invalid new log path
       integer*2   sqlf_rc_invnewlogp
       parameter ( sqlf_rc_invnewlogp      = -5099 )


* incompatible logfile parameter
       integer*2   sqlf_rc_invdb1
       parameter ( sqlf_rc_invdb1          = -5101 )

* invalid bit value - must be 0 or 1
       integer*2   sqlf_rc_inv_bit_value
       parameter ( sqlf_rc_inv_bit_value   = -5112 )


* both R1 & R3 Log parameters may not be modified
       integer*2   sqlf_rc_lf_1_3
       parameter ( sqlf_rc_lf_1_3          = -5120 )

* invalid DB configuration details
       integer*2   sqlf_rc_invdets
       parameter ( sqlf_rc_invdets         = -5121 )

* database is copy protected
       integer*2   sqlf_rc_protect
       parameter ( sqlf_rc_protect         = -5122 )

* I/O Error with log header
       integer*2   sqlf_rc_logio
       parameter ( sqlf_rc_logio           = -5123 )

* invalid db2 config file entry
       integer*2   sqlf_rc_inv_dbment
       parameter ( sqlf_rc_inv_dbment      = -5126 )

* integer out of range
       integer*2   sqlf_rc_inv_range
       parameter ( sqlf_rc_inv_range       = -5130 )

* integer out of range (-1)
       integer*2   sqlf_rc_inv_range_2
       parameter ( sqlf_rc_inv_range_2     = -5131 )

* string null or too long
       integer*2   sqlf_rc_inv_string
       parameter ( sqlf_rc_inv_string      = -5132 )

* char/int not in set
       integer*2   sqlf_rc_inv_set
       parameter ( sqlf_rc_inv_set         = -5133 )

* tpname not valid
       integer*2   sqlf_rc_invtpname
       parameter ( sqlf_rc_invtpname       = -5134 )

* maxappls*maxlocks too low
       integer*2   sqlf_rc_low_appls_and_locks
       parameter ( sqlf_rc_low_appls_and_locks = -5135 )

* dftdbpath not valid
       integer*2   sqlf_rc_inv_dbpath
       parameter ( sqlf_rc_inv_dbpath      = -5136 )

* diagpath not valid
       integer*2   sqlf_rc_inv_diagpath
       parameter ( sqlf_rc_inv_diagpath    = -5137 )

* To many items on update or get
       integer*2   sqlf_rc_max_items_exceeded
       parameter ( sqlf_rc_max_items_exceeded = -5139 )

* invalid authentication
       integer*2   sqlf_rc_inv_authentication
       parameter ( sqlf_rc_inv_authentication = -5140 )

* invalid AVG_APPLS
       integer*2   sqlf_rc_inv_avg_appls
       parameter ( sqlf_rc_inv_avg_appls   = -5141 )

* invalid agent priority
       integer*2   sqlf_rc_inv_agentpri
       parameter ( sqlf_rc_inv_agentpri    = -5131 )

* out of range - maximum limited by an expression
       integer*2   sqlf_rc_inv_range_max_expr
       parameter ( sqlf_rc_inv_range_max_expr = -5144 )

* out of range - maximum limited by an expression (range includes -1)
       integer*2   sqlf_rc_inv_range_max_expr_2
       parameter ( sqlf_rc_inv_range_max_expr_2 = -5145 )

* out of range - minimum limited by an expression
       integer*2   sqlf_rc_inv_range_min_expr
       parameter ( sqlf_rc_inv_range_min_expr = -5146 )

* out of range - minimum limited by an expression (range includes -1)
       integer*2   sqlf_rc_inv_range_min_expr_2
       parameter ( sqlf_rc_inv_range_min_expr_2 = -5147 )


* Repository for obsolete Return Codes

* wrote wrong # of bytes
       integer*2   sqlu_write_error
       parameter ( sqlu_write_error        = -2006 )

* error in Start Using
       integer*2   sqlu_connect_error
       parameter ( sqlu_connect_error      = -2010 )

* error in ints
       integer*2   sqlu_int_error
       parameter ( sqlu_int_error          = -2012 )

* media header not present
       integer*2   sqlud_no_mheader_error
       parameter ( sqlud_no_mheader_error  = -2531 )

* media header missing
       integer*2   sqlud_no_mheader_warning
       parameter ( sqlud_no_mheader_warning = 2534 )

* another tape mount required
       integer*2   sqlud_next_tape_warning
       parameter ( sqlud_next_tape_warning = 2535 )

* waiting for ADSM server to access data on removable media
       integer*2   sqlud_adsm_mount_wait
       parameter ( sqlud_adsm_mount_wait   = 2545 )


*******************************************************************************
*  Configuration parameter obsolete return codes defines -  
*  Some configuration parameters had specific out of range return
*  codes; these have been replaced by generic out of range messages
*  In these cases the old token names for the specific return codes
*  are given, but the values are replaced by the new values returned 
*  when out of range.
********************************************************************************

* only SYSADM can changedatabase configuration file
       integer*2   sqlf_rc_dbauth
       parameter ( sqlf_rc_dbauth          = -5002 )

* invalid # of concurrent db
       integer*2   sqlf_rc_invndb
       parameter ( sqlf_rc_invndb          = -5130 )

* invalid req I/O blk size
       integer*2   sqlf_rc_invrio
       parameter ( sqlf_rc_invrio          = -5130 )

* invalid serv I/O blk size
       integer*2   sqlf_rc_invsio
       parameter ( sqlf_rc_invsio          = -5015 )

* invalid communications heap
       integer*2   sqlf_rc_invcheap
       parameter ( sqlf_rc_invcheap        = -5016 )

* invalid remote services heap
       integer*2   sqlf_rc_invrsheap
       parameter ( sqlf_rc_invrsheap       = -5017 )

* invalid sort heap threshold
       integer*2   sqlf_rc_invshpthr
       parameter ( sqlf_rc_invshpthr       = -5130 )

* invalid DB2COMM value
       integer*2   sqlcc_rc_bad_db2comm
       parameter ( sqlcc_rc_bad_db2comm    = -5036 )

* service name not definein db2 config file
       integer*2   sqlcc_rc_no_serv_in_dbmcfg
       parameter ( sqlcc_rc_no_serv_in_dbmcfg = -5037 )

* service name not found in/etc/services file
       integer*2   sqlcc_rc_serv_not_found
       parameter ( sqlcc_rc_serv_not_found = -5038 )

* interrupt port not found in/etc/services file
       integer*2   sqlcc_rc_int_port_not_found
       parameter ( sqlcc_rc_int_port_not_found = -5039 )

* socket address in use
       integer*2   sqlcc_rc_sockaddr_in_use
       parameter ( sqlcc_rc_sockaddr_in_use = -5040 )

* trans program name not definedin db2 configuration file
       integer*2   sqlcc_rc_no_tpn_in_dbmcfg
       parameter ( sqlcc_rc_no_tpn_in_dbmcfg = -5041 )

* general failure in servercommunications support
       integer*2   sqlcc_rc_comm_support_failed
       parameter ( sqlcc_rc_comm_support_failed = -5042 )

* invalid # of locklist
       integer*2   sqlf_rc_invnll
       parameter ( sqlf_rc_invnll          = -5130 )

* invalid # bufr pool pages
       integer*2   sqlf_rc_invnbp
       parameter ( sqlf_rc_invnbp          = -5130 )

* invalid # of DB files open
       integer*2   sqlf_rc_invndbf
       parameter ( sqlf_rc_invndbf         = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp_db2os2
       parameter ( sqlf_rc_invscp_db2os2   = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp_db2aix
       parameter ( sqlf_rc_invscp_db2aix   = -5130 )

* invalid soft check point value
       integer*2   sqlf_rc_invscp
       parameter ( sqlf_rc_invscp          = -5130 )

* invalid # of active appls
       integer*2   sqlf_rc_invnap
       parameter ( sqlf_rc_invnap          = -5130 )

* invalid application heapsz
       integer*2   sqlf_rc_invahp
       parameter ( sqlf_rc_invahp          = -5130 )

* invalid database heap size
       integer*2   sqlf_rc_invdhp
       parameter ( sqlf_rc_invdhp          = -5130 )

* invalid deadlock detection
       integer*2   sqlf_rc_invdlt
       parameter ( sqlf_rc_invdlt          = -5130 )

* invalid # of total files openper application
       integer*2   sqlf_rc_invtaf
       parameter ( sqlf_rc_invtaf          = -5130 )

* invalid sortlist heap
       integer*2   sqlf_rc_invshp
       parameter ( sqlf_rc_invshp          = -5130 )

* invalid maxlocks per application
       integer*2   sqlf_rc_invmal
       parameter ( sqlf_rc_invmal          = -5130 )

* invalid statement heap
       integer*2   sqlf_rc_invstmhp
       parameter ( sqlf_rc_invstmhp        = -5130 )

* invalid number primary log files
       integer*2   sqlf_rc_invlogprim
       parameter ( sqlf_rc_invlogprim      = -5130 )

* invalid number of secondary log files
       integer*2   sqlf_rc_invlog2nd
       parameter ( sqlf_rc_invlog2nd       = -5130 )

* invalid log file size
       integer*2   sqlf_rc_invlogfsz
       parameter ( sqlf_rc_invlogfsz       = -5130 )

* incompatible file open parmeter
       integer*2   sqlf_rc_invdb2
       parameter ( sqlf_rc_invdb2          = -5102 )

* no DB's / requestor only
       integer*2   sqlf_rc_invk2
       parameter ( sqlf_rc_invk2           = -5104 )

* standalone nodetype does notsupport nodename
       integer*2   sqlf_rc_invk3
       parameter ( sqlf_rc_invk3           = -5126 )

* remote workstation has alreadybeen configured
       integer*2   sqlf_rc_rws_exist
       parameter ( sqlf_rc_rws_exist       = -5106 )

* <authid> does not haveauthority to add or drop a remote workstation
       integer*2   sqlf_rc_rws_sysadm
       parameter ( sqlf_rc_rws_sysadm      = -5107 )

* remote workstation has notbeen previously setup using sqlarws
       integer*2   sqlf_rc_rws_not_exist
       parameter ( sqlf_rc_rws_not_exist   = -5108 )

* machine name is missing ors too long.
       integer*2   sqlf_rc_rws_machinename
       parameter ( sqlf_rc_rws_machinename = -5109 )

* configuration option is invalid
       integer*2   sqlf_rc_rws_inv_opt
       parameter ( sqlf_rc_rws_inv_opt     = -5110 )

* environment variableDB2WKSTPROF is not defined
       integer*2   sqlf_rc_env_var_notdef
       parameter ( sqlf_rc_env_var_notdef  = -5111 )

* incompatible buffer pool and maximum # of applications
       integer*2   sqlf_rc_invdb3
       parameter ( sqlf_rc_invdb3          = -5146 )

* invalid QUERY_HEAP_SZ
       integer*2   sqlf_rc_inv_query_heap_sz
       parameter ( sqlf_rc_inv_query_heap_sz = -5143 )

* out of range - limited by a parm
       integer*2   sqlf_rc_inv_range_3
       parameter ( sqlf_rc_inv_range_3     = -5144 )


* obsolete database manager configuration parameter tokens
       integer*2   sqlf_ktn_svrioblk
       parameter ( sqlf_ktn_svrioblk       = 3 )

       integer*2   sqlf_ktn_sqlenseg
       parameter ( sqlf_ktn_sqlenseg       = 5 )

       integer*2   sqlf_ktn_comheapsz
       parameter ( sqlf_ktn_comheapsz      = 8 )

       integer*2   sqlf_ktn_rsheapsz
       parameter ( sqlf_ktn_rsheapsz       = 9 )

       integer*2   sqlf_ktn_numrc
       parameter ( sqlf_ktn_numrc          = 10 )

       integer*2   sqlf_ktn_cuinterval
       parameter ( sqlf_ktn_cuinterval     = 14 )

       integer*2   sqlf_ktn_comheapsz_p
       parameter ( sqlf_ktn_comheapsz_p    = 50 )

       integer*2   sqlf_ktn_rsheapsz_p
       parameter ( sqlf_ktn_rsheapsz_p     = 51 )

       integer*2   sqlf_ktn_ipx_fileserver
       parameter ( sqlf_ktn_ipx_fileserver = 47 )

       integer*2   sqlf_ktn_ipx_objectname
       parameter ( sqlf_ktn_ipx_objectname = 48 )


* obsolete database configuration parameter tokens
       integer*2   sqlf_dbtn_logfile
       parameter ( sqlf_dbtn_logfile       = 4 )

       integer*2   sqlf_dbtn_maxtotfilop
       parameter ( sqlf_dbtn_maxtotfilop   = 10 )

       integer*2   sqlf_dbtn_logext
       parameter ( sqlf_dbtn_logext        = 12 )

       integer*2   sqlf_dbtn_logmaxext
       parameter ( sqlf_dbtn_logmaxext     = 13 )

       integer*2   sqlf_dbtn_agentheap
       parameter ( sqlf_dbtn_agentheap     = 14 )

       integer*2   sqlf_dbtn_segpages
       parameter ( sqlf_dbtn_segpages      = 123 )

       integer*2   sqlf_dbtn_buffpage
       parameter ( sqlf_dbtn_buffpage      = 2 )

       integer*2   sqlf_dbtn_sortheap
       parameter ( sqlf_dbtn_sortheap      = 91 )

       integer*2   sqlf_dbtn_sortheapsz_p
       parameter ( sqlf_dbtn_sortheapsz_p  = 52 )

       integer*2   sqlf_dbtn_dbheap_p
       parameter ( sqlf_dbtn_dbheap_p      = 50 )

       integer*2   sqlf_dbtn_applheapsz_p
       parameter ( sqlf_dbtn_applheapsz_p  = 51 )

       integer*2   sqlf_dbtn_stmtheapsz_p
       parameter ( sqlf_dbtn_stmtheapsz_p  = 53 )



* Repository for obsolete prototypes

* Update Database Configuration
       integer*4    sqlgeudb
       external     sqlgeudb


* Reset Database Configuration
       integer*4    sqlgrdbc
       external     sqlgrdbc


* Return Database Configuration
       integer*4    sqlgxdbc
       external     sqlgxdbc


*******************************************************************************
*  
*  The following functions and symbols are obsolete and may not be supported
*  in future releases. The obsolete functions are provided for backward compatibility
*  and exported from DB2API.LIB. All applications should be migrated to use new APIs.
*  Note: Some of the function parameters may be NO-OP.
*  
********************************************************************************
* invalid into in tcolstrg
       integer*2   slqui_tinto
       parameter ( slqui_tinto             = -3034 )

*******************************************************************************
*  
*  End of obsolete functions and symbols
*  
********************************************************************************
