*******************************************************************************
**
** Source File Name = advsql.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
** PURPOSE: an example of using advanced SQL statements.
**          The advanced SQL statement to be executed and displayed
**          is :
**             SELECT LASTNAME, WORKDEPT FROM EMPLOYEE
**                WHERE CASE
**                   WHEN BONUS+COMM = 0 THEN NULL
**                   ELSE SALARY/(BONUS+COMM)
**                END > 10
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program advsql
      implicit none

      include 'sqlenv.f'
      include 'sql.f'
      EXEC SQL INCLUDE SQLCA

      EXEC SQL BEGIN DECLARE SECTION
        character*8     userid
        character*18    passwd
        character*15    lname
        character*3     wdept
      EXEC SQL END DECLARE SECTION

      character*80      errloc
      integer*2         counter

      print *, 'Sample Fortran Program: ADVSQL.SQF'
      print *, 'the statement to be executed:'
      print *, ' '
      print *, 'SELECT LASTNAME, WORKDEPT FROM EMPLOYEE'
      print *, '   WHERE CASE'
      print *, '      WHEN BONUS+COMM = 0 THEN NULL'
      print *, '      ELSE SALARY/(BONUS+COMM)'
      print *, '   END > 10'
      print *, ' '

      print *, 'Enter in your user id :'
      read 100, userid
100   format (a8)
      print *, 'Enter in your password :'
      read 100, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

* Declare the cursor for the advanced SQL statement.
      EXEC SQL DECLARE c1 CURSOR FOR
     +         SELECT LASTNAME, WORKDEPT FROM employee
     +         WHERE CASE
     +            WHEN BONUS+COMM = 0 THEN NULL
     +            ELSE SALARY/(BONUS+COMM)
     +         END > 10
      errloc = 'DECLARE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL OPEN c1
      errloc = 'OPEN'
      call checkerr (sqlca, errloc, *999)

      print *, 'LASTNAME       WORKDEPT'

      counter = 0
*     FETCH the rows from the table corresponding to the SQL statement
      do 20 while (sqlcode .eq. 0)

         EXEC SQL FETCH c1 INTO :lname, :wdept
         if (sqlcode .ne. 0) goto 20

         print *, lname, wdept
         counter = counter + 1
   20 end do
      print *, '    ', counter, 'record(s) selected'

      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
