*******************************************************************************
**
** Source File Name = cursor.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: This sample program demonstrates the use of a CURSOR.
**          The CURSOR is processed using static SQL.  This program
**          will obtain all managers in the STAFF table of the
**          SAMPLE database and change their job from "Mgr" to
**          "Clerk".  A ROLLBACK will be done so that the SAMPLE
**          database remains untouched.
**
*******************************************************************************

      program cursor
      implicit none

      include 'sqlenv.f'
      EXEC SQL INCLUDE SQLCA
      EXEC SQL BEGIN DECLARE SECTION
        character*10  pname
        integer*2     dept
        character*8   userid
        character*18  passwd
      EXEC SQL END DECLARE SECTION

      character*80    errloc

      print *, 'Sample FORTRAN program: CURSOR'

      print *, 'Enter in your user id :'
      read 109, userid
109   format (a8)

      print *, 'Enter in your password :'
      read 109, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL DECLARE c1 CURSOR FOR
* :rk.1:erk.
     c         SELECT name, dept FROM staff WHERE job='Mgr'
     c         FOR UPDATE OF job
      errloc = 'DECLARE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL OPEN c1
* :rk.2:erk.
      errloc = 'OPEN'
      call checkerr (sqlca, errloc, *999)

  100 continue
      EXEC SQL FETCH c1 INTO :pname, :dept
* :rk.3:erk.
      if (sqlcode .ne. 0) goto 200
      print *, pname, ' in dept. ', dept, ' will be demoted to Clerk.'
      goto 100

  200 EXEC SQL CLOSE c1
* :rk.4:erk.
      errloc = 'CLOSE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL ROLLBACK
      errloc = 'ROLLBACK'
      call checkerr (sqlca, errloc, *999)
      print *, 'On second thought -- changes rolled back.'

      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
