*******************************************************************************
**
** Source File Name = d_dbconf.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE:
**       This program is an example of how APIs are implemented in order to
**       obtain Database Configuration Defaults, by using the
**       GET DATABASE CONFIGURATION DEFAULTS API.
**
**    APIs USED :
**       GET DATABASE CONFIGURATION DEFAULTS       sqlgddb
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program d_dbconf
      implicit none

*--> sqlb0x03.fortran
      include 'sqlutil.f'
      include 'sqlenv.f'
      include 'sqlca_cn.f'
      include 'sql.f'

      integer*4         rc
      integer*2         listnumber      /5/
*<--
      character*80      errloc

*-->
* Variables for GET DATABASE CONFIGURATION DEFAULTS API
      integer*2         dbname_len
      character*(sql_dbname_sz+1)       dbname

      character         token_list(5 * sqlfupd_struct_sz)

      integer*2         token1
      integer*2         token2
*<--
      integer*2         token3
      integer*2         token4
      integer*2         token5

      integer*4         token1ptr
      integer*4         token2ptr
      integer*4         token3ptr
      integer*4         token4ptr
      integer*4         token5ptr

*-->
      equivalence (token_list(0*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token1)
      equivalence (token_list(1*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token2)
*<--
      equivalence (token_list(2*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token3)
      equivalence (token_list(3*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token4)
      equivalence (token_list(4*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token5)

*-->
      equivalence (token_list(0*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token1ptr)
      equivalence (token_list(1*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token2ptr)
*<--
      equivalence (token_list(2*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token3ptr)
      equivalence (token_list(3*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token4ptr)
      equivalence (token_list(4*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token5ptr)

*-->
      integer*2         locklist
      integer*4         buff_page
*<--
      integer*2         maxfilop
      integer*2         softmax
      character*(sql_logpath_sz)        logpath

* Main Program Body.
      print *, 'Sample Fortran program : D_DBCONF.F'

*-->
      token1 = sqlf_dbtn_locklist
      token2 = sqlf_dbtn_buff_page
*<--
      token3 = sqlf_dbtn_maxfilop
      token4 = sqlf_dbtn_softmax
      token5 = sqlf_dbtn_logpath

      dbname     = 'SAMPLE'
      dbname_len = 6

      errloc = 'GET ADDRESS'
*-->
*******************
*     GET ADDRESS *
*******************
      rc = sqlgaddr (%ref(locklist),    %ref(token1ptr))
*<--
      call checkerr (sqlca, errloc, *999)

*-->
      rc = sqlgaddr (%ref(buff_page),   %ref(token2ptr))
*<--
      call checkerr (sqlca, errloc, *999)

      rc = sqlgaddr (%ref(maxfilop),    %ref(token3ptr))
      call checkerr (sqlca, errloc, *999)

      rc = sqlgaddr (%ref(softmax),     %ref(token4ptr))
      call checkerr (sqlca, errloc, *999)

      rc = sqlgaddr (%ref(logpath),     %ref(token5ptr))
      call checkerr (sqlca, errloc, *999)


*-->
*******************************************
*     GET DATABASE CONFIGURATION DEFAULTS *
*******************************************
      rc = sqlgddb (%val(dbname_len),
     +              %val(listnumber),
     +              %ref(token_list),
     +              %ref(sqlca),
     +              %ref(dbname))
*<--
      errloc = 'GET DB CFG DEFAULTS'
      call checkerr (sqlca, errloc, *999)

      print *, 'Max. storage for lost lists (4kb)            :',
     + locklist
      print *, 'Buffer pool size (4kb)                       :',
     + buff_page
      print *, 'Max. DB files open per application           :',
     + maxfilop
      print *, 'percent log reclaimed before soft checkpoint :',
     + softmax
      print *, 'path [not changeable] : ', logpath

  999 stop
      end
