*******************************************************************************
**
** Source File Name = d_dbmcon.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE:
**       This program is an example of how APIs are implemented in order to
**       obtain the Database Manager Configuration Defaults, by using the
**       GET DATABASE MANAGER CONFIGURATION DEFAULTS API.
**
**    APIs USED :
**       GET DATABASE MANAGER CONFIGURATION DEFAULTS       sqlgdsys
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program d_dbmcon
      implicit none

*--> sqlb0x04.fortran
      include 'sqlutil.f'
      include 'sqlenv.f'
      include 'sqlca_cn.f'
      include 'sql.f'

      integer*4         rc
      integer*2         listnumber      /2/
*<--
      character*80      errloc

*-->
* Variables for GET DATABASE MANAGER CONFIGURATION DEFAULTS API
      character         token_list(2 * sqlfupd_struct_sz)

      integer*2         token1
      integer*2         token2

      integer*4         token1ptr
      integer*4         token2ptr

      equivalence (token_list(0*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token1)
      equivalence (token_list(1*sqlfupd_struct_sz + sqlfupd_token_ofs),
     +                                                           token2)

      equivalence (token_list(0*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token1ptr)
      equivalence (token_list(1*sqlfupd_struct_sz +
     +                                 sqlfupd_ptrvalue_ofs), token2ptr)

      integer*4         max_agents
      integer*2         numbdb
*<--


* Main Program Body.
      print *, 'Sample Fortran program : D_DBMCON.F'

*-->
      token1 = sqlf_ktn_maxagents
      token2 = sqlf_ktn_numdb
*<--

      errloc = 'GET ADDRESS'
*-->
*******************
*     GET ADDRESS *
*******************
      rc = sqlgaddr (%ref(max_agents),  %ref(token1ptr))
*<--
      call checkerr (sqlca, errloc, *999)

*-->
      rc = sqlgaddr (%ref(numbdb),      %ref(token2ptr))
*<--
      call checkerr (sqlca, errloc, *999)


*-->
***************************************************
*     GET DATABASE MANAGER CONFIGURATION DEFAULTS *
***************************************************
      rc = sqlgdsys (%val(listnumber),
     +               %ref(token_list),
     +               %ref(sqlca))
*<--
      errloc = 'GET DB CFG DEFAULTS'
      call checkerr (sqlca, errloc, *999)

      print *, 'Maximum number of agents                :', max_agents
      print *, 'Number of concurrent active DB allowed  :', numbdb

  999 stop
      end
