*******************************************************************************
**
** Source File Name = dbstart.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: to start the database manager
**
**    APIs USED :
**       START DATABASE MANAGER    sqlestar()
**
**    STRUCTURES USED :
**       sqlca
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program dbstart
      implicit none

*--> sqlb0x32.fortran
      include 'sqlenv.f'
      include 'sqlca_cn.f'

      integer*4         rc
*<--
      character*80      errloc

* Main Program Body
      print *, 'Sample Fortran program : DBSTART.F'

*-->
******************************
*     START DATABASE MANAGER *
******************************
      rc = sqlgstar ()
*<--
      if (rc .eq. sqle_rc_invstrt) then
         print *, 'The database manager is already active.'
         goto 999
      endif
      errloc = 'START DATABASE MANAGER'
      call checkerr (sqlca, errloc, *999)

      print *, 'The database has been successfully STARTED'

  999 stop
      end
