*******************************************************************************
**
** Source File Name = dynamic.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: This sample program demonstrates the use of a CURSOR.
**          The CURSOR is processed using dynamic SQL.  This program
**          will list all the entries in the system table
**          sysibm.systables that do not have the value "STAFF" in
**          the "name" column.
**
*******************************************************************************

      program dynamic
      implicit none

      include 'sqlenv.f'
      EXEC SQL INCLUDE SQLCA

      EXEC SQL BEGIN DECLARE SECTION
* :rk.1:erk.
        character*8   userid
        character*18  passwd
        character*20  table_name
        character*80  st
        character*18  parm_var
      EXEC SQL END DECLARE SECTION

        character*80  errloc

      print *, 'Sample FORTRAN program: DYNAMIC'

      print *, 'Enter in your user id :'
      read 109, userid
109   format (a8)

      print *, 'Enter in your password :'
      read 109, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      st = 'SELECT tabname FROM syscat.tables WHERE tabname <> ?'
      EXEC SQL PREPARE s1 FROM :st
* :rk.2:erk.
      errloc = 'PREPARE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL DECLARE c1 CURSOR FOR s1
* :rk.3:erk.
      errloc = 'DECLARE'
      call checkerr (sqlca, errloc, *999)

      parm_var = 'STAFF'
      EXEC SQL OPEN c1 USING :parm_var
* :rk.4:erk.
      errloc = 'OPEN'
      call checkerr (sqlca, errloc, *999)

   10 continue
         EXEC SQL FETCH c1 INTO :table_name
* :rk.5:erk.
         if (sqlcode .ne. 0) goto 100

         print *, 'Table = ', table_name
      goto 10

  100 EXEC SQL CLOSE c1
* :rk.6:erk.
      errloc = 'CLOSE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL COMMIT
      errloc = 'COMMIT'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
