*******************************************************************************
**
** Source File Name = monreset.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: to demonstrate the use the RESET DATABASE SYSTEM MONITOR DATA
**           AREAS.
** The following illustrates how to issue a snapshot and process the output.
** It prints database lock snapshots. Printing routines for other
** request types are left to the reader to complete as an exercise...
**
** EXTERNAL FUNCTIONS USED IN CODE SAMPLE :
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program monreset
      implicit none

*--> sqlb0x19.fortran
      include 'sqlutil.f'
      include 'sqlmon.f'
      include 'sqlenv.f'
      include 'sql.f'
      include 'sqlca_cn.f'

      integer*4         rc
*<--
      character*80      errloc

*-->
* Variables for the RESET MONITOR API
      character*(sql_alias_sz+1)        dbalias
      integer*2         dbalias_len
      integer*4         reserved_len
      integer*4         reset_mode
      character*(sqlm_reserved_sz+1)    reserved
      integer*4         version_id
*<--

* Main Program Body
      print *, 'Sample Fortran program : MONRESET.F'

      print *, 'Enter in the database alias to reset monitor data :'
      read *, dbalias
      dbalias_len = index(dbalias, ' ') - 1

*     Initialise the RESET MONITOR variables
      reset_mode = sqlm_off
      version_id = sqlm_dbmon_version2

*-->
*********************
*     RESET MONITOR *
*********************
      rc = sqlgmrst (%val(dbalias_len),
     +               %val(reserved_len),
     +               %ref(sqlca),
     +               %ref(dbalias),
     +               %val(reset_mode),
     +               %ref(reserved),
     +               %val(version_id))
*<--
      errloc = 'RESET MONITOR'
      call checkerr (sqlca, errloc, *999)

      print *, 'Database Monitor Reset for :',dbalias,': was successful'

  999 stop
      end
