*******************************************************************************
**
** Source File Name = qload.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE:
**       This program is an example of how APIs are implemented in order to
**       query the current status of any LOAD being envoked on a table in
**       the database that the program is currently connected to.
**
**       This program needs the embedded SQL calls in order to connect to
**       an existing database, then to create a temporary table to work with.
**
**    STRUCTURES USED :
**       sqlca
**
**    APIs USED :
**       LOAD QUERY                 sqluqry()
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program qload
      implicit none

*--> sqlb0x39.fortran
      include 'sqlenv.f'
      include 'sqlutil.f'
      include 'sql.f'
      EXEC SQL INCLUDE SQLCA
*<--
      character*80      errloc
*-->

      EXEC SQL BEGIN DECLARE SECTION
        character*8     userid
        character*18    passwd
      EXEC SQL END DECLARE SECTION

      integer*4         rc

* Variables for the QUERY LOAD API
      integer*2         rmtfile_len             /8/
      character*13      rmtfile                 /'RLOADMSG'/
      integer*2         locfile_len             /8/
      character*13      locfile                 /'QLOADMSG'/

*<--

* Main Program Body
      print *, 'Sample Fortran Program: QLOAD.SQF'

*-->
      print *, 'Enter in your user id / schema:'
      read *, userid

      print *, 'Enter in your password :'
      read *, passwd


      print *, 'CONNECT TO sample database'
      EXEC SQL CONNECT TO sample USER :userid USING :passwd
*<--
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      print *, 'Querying Load Status' 
*-->
******************
*     LOAD QUERY *
******************
      rc = sqlgqry  (%val(locfile_len),
     +               %val(rmtfile_len),
     +               %ref(locfile),
     +               %ref(rmtfile),
     +               %ref(sqlca))
*<--
      errloc = 'LOAD QUERY'
      call checkerr (sqlca, errloc, *999)

      print *, 'QLOADMSG file created'

      print *, 'CONNECT RESETting'
      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
