*******************************************************************************
**
** Source File Name = rebind.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE:
**       This program is an example of how APIs are implemented in order to
**
**       This program needs the embedded SQL calls in order to connect to
**       an existing database, then to create a temporary table to work with.
**
**    STRUCTURES USED :
**       sqlca
**
**    APIs USED :
**       REBIND package             sqlgrbnd()
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program rebind
      implicit none

*--> sqlb0x40.fortran
      include 'sqlenv.f'
      include 'sqlutil.f'
      include 'sql.f'
      EXEC SQL INCLUDE SQLCA
*<--
      character*80      errloc
*-->

      EXEC SQL BEGIN DECLARE SECTION
        character*8     userid
        character*18    passwd
      EXEC SQL END DECLARE SECTION

      integer*4         rc

* Variables for the REBIND API
      integer*2         pkg_name_len            /6/
      character*7       pkg_name                /'REBIND'/

* Main Program Body
      print *, 'Sample Fortran Program: REBIND.SQF'

*-->
      print *, 'Enter in your user id / schema:'
      read 100, userid
100   format (a8)      

      print *, 'Enter in your password :'
      read 100, passwd


      print *, 'CONNECT TO sample database'
      EXEC SQL CONNECT TO sample USER :userid USING :passwd
*<--
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      print *, 'REBIND the rebind package'
*-->
**************
*     REBIND 
**************
      rc = sqlgrbnd (%val(pkg_name_len),
     +               %ref(pkg_name),
     +               %ref(sqlca),
     +               %val(0))
*<--
      errloc = 'REBIND' 
      call checkerr (sqlca, errloc, *999)

      print *, 'CONNECT RESETting'
      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
