*******************************************************************************
**
** Source File Name = restart.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: to restart a database when it has been abnormally terminated
**
**    APIs USED :
**       RESTART DATABASE     sqlgrstd()
**
**    STRUCTURES USED :
**       sqlca
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program restart
      implicit none

*--> sqlb0x28.fortran
      include 'sqlenv.f'
      include 'sqlca_cn.f'
      include 'sql.f'

      integer*4         rc
*<--
      character*80      errloc

*-->
* Variables used for the RESTART DATABASE API
      integer*2         dbname_len
      integer*2         passwd_len
      integer*2         userid_len
      character*(sql_dbname_sz+1)       dbname
      character*(sql_lg_ident+1)        passwd
      character*(sql_sh_ident+1)        userid
*<--

* Main Program Body
      print *, 'Sample Fortran program : RESTART.F'

      print *, 'Enter in the database name to restart :'
      read 100, dbname
100   format (a8)      
      dbname_len = index(dbname, ' ') -1
      if (dbname_len .lt. 0) dbname_len = sql_dbname_sz

      print *, 'Enter in your user id :'
      read 100, userid
      userid_len = index(userid, ' ') - 1
      if (userid_len .lt. 0) userid_len = sql_sh_ident

      print *, 'Enter in your password :'
      read 100, passwd
      passwd_len = index(passwd, ' ') - 1
      if (passwd_len .lt. 0) passwd_len = sql_lg_ident

*-->
********************************
*     RESTART DATABASE MANAGER *
********************************
      rc = sqlgrstd (%val(passwd_len),
     +               %val(userid_len),
     +               %val(dbname_len),
     +               %ref(sqlca),
     +               %ref(passwd),
     +               %ref(userid),
     +               %ref(dbname))
*<--
      errloc = 'RESTART DATABASE'
      call checkerr (sqlca, errloc, *999)

      print *, 'The database has been successfully RESTARTED'

  999 stop
      end
