*******************************************************************************
**
** Source File Name = setact.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: to show the invokation of the SET ACCOUNTING STRING API.
**
**    OTHER FUNCTIONS USED :
**       internal :
**
**       external :
**          check_error :     Checks for SQLCODE error, and prints out any
**          [in UTIL.F]          related information available.
**                               This procedure is located in the UTIL.F file.
**
*******************************************************************************

      program setact
      implicit none

*--> sqlb0x29.fortran
      include 'sqlenv.f'
      include 'sql.f'
      include 'sqlca_cn.f'

      integer*4         rc
*<--
      character*80      errloc

*-->
* Variables for the SET ACCOUNTING STRING API
      integer*2         account_str_len
      character*(sql_account_str_sz+1)  account_str
*<--

* Main Program Body
      print *, 'Sample Fortran program : SETACT.F'

      account_str = ' '
*-->
*****************************
*     SET ACCOUNTING STRING *
*****************************
      rc = sqlgsact (%val(account_str_len),
     +               %ref(account_str),
     +               %ref(sqlca))
      errloc = 'SET ACCOUNTING STRING'
*<--
      call checkerr (sqlca, errloc, *999)

      print *, 'The accounting string has been set'

  999 stop
      end
