*******************************************************************************
**
** Source File Name = updat.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: This sample program demonstrates the use of static SQL.
**          It updates all managers in the STAFF table of the
**          SAMPLE database and changes their job from "Mgr" to
**          "Clerk".  Finally, a ROLLBACK is done so that the SAMPLE
**          database remains unchanged.
**
*******************************************************************************

      program updat
      implicit none

      include 'sql.f'
      include 'sqlenv.f'
      EXEC SQL INCLUDE SQLCA
* :rk.1:erk.

      EXEC SQL BEGIN DECLARE SECTION
* :rk.2:erk.
        character*80   statement
        character*8    userid
        character*18   passwd
        character*5    job_update
      EXEC SQL END DECLARE SECTION

      character*80     errloc

      print *, 'Sample FORTRAN program: UPDAT'

      print *, 'Enter in your user id :'
      read 100, userid
100   format (a8)      

      print *, 'Enter in your password :'
      read 100, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
* :rk.3:erk.
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      job_update='Clerk'
      EXEC SQL UPDATE staff SET job = :job_update
     +         WHERE job = 'Mgr'
* :rk.4:erk.
      errloc = 'UPDATE STAFF'
      call checkerr (sqlca, errloc, *999)
      print *, 'All ''Mgr'' have been demoted to ''Clerk!'''

      job_update='Sales'
      EXEC SQL DELETE FROM STAFF WHERE job = :job_update
* :rk.5:erk.
      errloc = 'DELETE FROM STAFF'
      call checkerr (sqlca, errloc, *999)
      print *, 'All ''Sales'' people have been deleted!'

      EXEC SQL INSERT INTO staff VALUES (999, 'Testing', 99,
* :rk.6:erk.
     +         :job_update, 0, 0, 0)
      errloc = 'INSERT INTO STAFF'
      call checkerr (sqlca, errloc, *999)
      print *, 'New data has been inserted'

      EXEC SQL ROLLBACK
* :rk.7:erk.
      errloc = 'ROLLBACK'
      call checkerr (sqlca, errloc, *999)
      print *, 'On second thought -- changes rolled back.'

      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
