*******************************************************************************
**
** Source File Name = util.f  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE : Error Checking utility procedure used to return information to
**           the calling program.
**
*******************************************************************************
      subroutine checkerr (ca, errloc, *)
      character     ca(136)
      character*60  errloc

*--> sqlb0x24.fortran
      include 'sqlenv.f'
      include 'sqlutil.f'
      include 'sqlca_cn.f'
      include 'sql.f'
      integer*4         error_rc
      integer*4         state_rc
      integer*2         line_width   

*     Use application-specifice bound instead of INTBUFSZ
*      integer*2         buffer_size  /INTBUFSZ/
*      character         error_buffer(INTBUFSZ)
*      character         state_buffer(INTBUFSZ)
      integer*2         buffer_size  /1024/
      character         error_buffer(1024)
      character         state_buffer(1024)
*<--

      error_rc = sqlgmcpy (%ref(sqlca),
     +                     %ref(ca),
     +                     %val(136))

      if ( sqlcode .ne. 0 ) then
        print *, '--- error report ---'
        print *, 'ERROR occured : ', errloc

*-->
*************************
*     GET ERROR MESSAGE *
*************************
        error_rc = sqlgintp ( %val(buffer_size),
     +                  %val(line_width),
     +                  %ref(sqlca),
     +                  %ref(error_buffer))

****************************
*     GET SQLSTATE MESSAGE *
****************************
        state_rc = sqlggstt (%val(buffer_size),
     +                       %val(line_width),
     +                       %ref(sqlstate),
     +                       %ref(state_buffer))
*<--
        if (state_rc .gt. 0) then
          print *, state_buffer(1:state_rc)
        endif

        if (state_rc .lt. 0) then
          print *, 'return code from GET SQLSTATE = ', state_rc
        endif

        print *, 'SQLCODE : ', sqlcode
        if (error_rc .gt. 0) then
          print *, error_buffer(1:error_rc)
          print *, '--- end error report ---'
          if (sqlcode .lt. 0) then
            return 1
          endif

          if (sqlcode .gt. 0) then
            print *, 'CONTINUING PROGRAM WITH WARNINGS'
            return
          endif
        endif

        print *, 'DID NOT GET ERROR MESSAGE'
        return 1
      endif
      return
      end
