*******************************************************************************
**
** Source File Name = varinp.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: This sample program demonstrates the use of a CURSOR.
**          The CURSOR is processed using static SQL.  This program
**          obtains all managers in the STAFF table of the SAMPLE
**          database and changes their job from 'Mgr' to 'Clerk'.
**          A ROLLBACK is implemented so that the SAMPLE database
**          remains unchanged.
**
** an external function "checkerr" is found in the file "util.f"
** which must be compiled along with this file.
**
*******************************************************************************

      program varinp
      implicit none

      include 'sqlenv.f'
      EXEC SQL INCLUDE SQLCA

      EXEC SQL BEGIN DECLARE SECTION
* :rk.1:erk.
        character*8   userid
        character*18  passwd
        character*9   pname
        integer*4     dept
        character*127 st
        character*5   parm_var
      EXEC SQL END DECLARE SECTION

        character*80  errloc

      print *, 'Sample FORTRAN program: VARINP'

      print *, 'Enter in your user id :'
      read 109, userid
109   format (a8)

      print *, 'Enter in your password :'
      read 109, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      st='SELECT name, dept FROM staff WHERE job=? FOR UPDATE of job'
      EXEC SQL PREPARE s1 FROM :st
* :rk.1:erk.
      errloc = 'PREPARE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL DECLARE c1 CURSOR FOR s1
* :rk.2:erk.
      errloc = 'DECLARE'
      call checkerr (sqlca, errloc, *999)

      parm_var = 'Mgr'
      EXEC SQL OPEN c1 USING :parm_var
* :rk.3:erk.
      errloc = 'OPEN'
      call checkerr (sqlca, errloc, *999)

      parm_var = 'Clerk'
      st = 'UPDATE staff SET job = ? WHERE CURRENT OF c1'
      EXEC SQL PREPARE s2 FROM :st
* :rk.4:erk.

   10 continue
         EXEC SQL FETCH c1 INTO :pname, :dept
* :rk.5:erk.
         if (sqlcode .ne. 0) goto 100

         print *, pname, 'in dept. ', dept, ' will be demoted to Clerk'

         EXEC SQL EXECUTE s2 USING :parm_var
* :rk.6:erk.
      goto 10

  100 EXEC SQL CLOSE c1
* :rk.7:erk.
      errloc = 'CLOSE'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL ROLLBACK
      errloc = 'ROLLBACK'
      call checkerr (sqlca, errloc, *999)
      print *, 'On second thought -- changes rolled back.'

      EXEC SQL CONNECT RESET
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
